
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 2003-2009, PgPool Global Development Group
 * Portions Copyright (c) 1996-2010, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  $PostgreSQL: pgsql/src/backend/parser/gram.y,v 2.713.2.1 2010/08/18 18:35:30 tgl Exp $
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *	  SQL92-specific syntax is separated from plain SQL/Postgres syntax
 *	  to help isolate the non-extensible portions of the parser.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "pool_parser.h"

#include <ctype.h>
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "nodes.h"
#include "keywords.h"
#include "pool_memory.h"
#include "gramparse.h"
#include "makefuncs.h"
#include "pool_string.h"
#include "parser.h"

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (Rhs)[0]; \
	} while (0)

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* for XML data type */
typedef enum
{
        XML_STANDALONE_YES,
        XML_STANDALONE_NO,
        XML_STANDALONE_NO_VALUE,
        XML_STANDALONE_OMITTED
} XmlStandaloneType;



/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static FuncCall *makeOverlaps(List *largs, List *rargs,
							  int location, core_yyscan_t yyscanner);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static SelectStmt *findLeftmostSelect(SelectStmt *node);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static DefElem *defWithOids(bool value);



/* Line 189 of yacc.c  */
#line 227 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     AUTHORIZATION = 292,
     BACKWARD = 293,
     BEFORE = 294,
     BEGIN_P = 295,
     BETWEEN = 296,
     BIGINT = 297,
     BINARY = 298,
     BIT = 299,
     BOOLEAN_P = 300,
     BOTH = 301,
     BY = 302,
     CACHE = 303,
     CALLED = 304,
     CASCADE = 305,
     CASCADED = 306,
     CASE = 307,
     CAST = 308,
     CATALOG_P = 309,
     CHAIN = 310,
     CHAR_P = 311,
     CHARACTER = 312,
     CHARACTERISTICS = 313,
     CHECK = 314,
     CHECKPOINT = 315,
     CLASS = 316,
     CLOSE = 317,
     CLUSTER = 318,
     COALESCE = 319,
     COLLATE = 320,
     COLUMN = 321,
     COMMENT = 322,
     COMMENTS = 323,
     COMMIT = 324,
     COMMITTED = 325,
     CONCURRENTLY = 326,
     CONFIGURATION = 327,
     CONNECTION = 328,
     CONSTRAINT = 329,
     CONSTRAINTS = 330,
     CONTENT_P = 331,
     CONTINUE_P = 332,
     CONVERSION_P = 333,
     COPY = 334,
     COST = 335,
     CREATE = 336,
     CREATEDB = 337,
     CREATEROLE = 338,
     CREATEUSER = 339,
     CROSS = 340,
     CSV = 341,
     CURRENT_P = 342,
     CURRENT_CATALOG = 343,
     CURRENT_DATE = 344,
     CURRENT_ROLE = 345,
     CURRENT_SCHEMA = 346,
     CURRENT_TIME = 347,
     CURRENT_TIMESTAMP = 348,
     CURRENT_USER = 349,
     CURSOR = 350,
     CYCLE = 351,
     DATA_P = 352,
     DATABASE = 353,
     DAY_P = 354,
     DEALLOCATE = 355,
     DEC = 356,
     DECIMAL_P = 357,
     DECLARE = 358,
     DEFAULT = 359,
     DEFAULTS = 360,
     DEFERRABLE = 361,
     DEFERRED = 362,
     DEFINER = 363,
     DELETE_P = 364,
     DELIMITER = 365,
     DELIMITERS = 366,
     DESC = 367,
     DICTIONARY = 368,
     DISABLE_P = 369,
     DISCARD = 370,
     DISTINCT = 371,
     DO = 372,
     DOCUMENT_P = 373,
     DOMAIN_P = 374,
     DOUBLE_P = 375,
     DROP = 376,
     EACH = 377,
     ELSE = 378,
     ENABLE_P = 379,
     ENCODING = 380,
     ENCRYPTED = 381,
     END_P = 382,
     ENUM_P = 383,
     ESCAPE = 384,
     EXCEPT = 385,
     EXCLUDE = 386,
     EXCLUDING = 387,
     EXCLUSIVE = 388,
     EXECUTE = 389,
     EXISTS = 390,
     EXPLAIN = 391,
     EXTERNAL = 392,
     EXTRACT = 393,
     FALSE_P = 394,
     FAMILY = 395,
     FETCH = 396,
     FIRST_P = 397,
     FLOAT_P = 398,
     FOLLOWING = 399,
     FOR = 400,
     FORCE = 401,
     FOREIGN = 402,
     FORWARD = 403,
     FREEZE = 404,
     FROM = 405,
     FULL = 406,
     FUNCTION = 407,
     FUNCTIONS = 408,
     GLOBAL = 409,
     GRANT = 410,
     GRANTED = 411,
     GREATEST = 412,
     GROUP_P = 413,
     HANDLER = 414,
     HAVING = 415,
     HEADER_P = 416,
     HOLD = 417,
     HOUR_P = 418,
     IDENTITY_P = 419,
     IF_P = 420,
     ILIKE = 421,
     IMMEDIATE = 422,
     IMMUTABLE = 423,
     IMPLICIT_P = 424,
     IN_P = 425,
     INCLUDING = 426,
     INCREMENT = 427,
     INDEX = 428,
     INDEXES = 429,
     INHERIT = 430,
     INHERITS = 431,
     INITIALLY = 432,
     INLINE_P = 433,
     INNER_P = 434,
     INOUT = 435,
     INPUT_P = 436,
     INSENSITIVE = 437,
     INSERT = 438,
     INSTEAD = 439,
     INT_P = 440,
     INTEGER = 441,
     INTERSECT = 442,
     INTERVAL = 443,
     INTO = 444,
     INVOKER = 445,
     IS = 446,
     ISNULL = 447,
     ISOLATION = 448,
     JOIN = 449,
     KEY = 450,
     LANGUAGE = 451,
     LARGE_P = 452,
     LAST_P = 453,
     LC_COLLATE_P = 454,
     LC_CTYPE_P = 455,
     LEADING = 456,
     LEAST = 457,
     LEFT = 458,
     LEVEL = 459,
     LIKE = 460,
     LIMIT = 461,
     LISTEN = 462,
     LOAD = 463,
     LOCAL = 464,
     LOCALTIME = 465,
     LOCALTIMESTAMP = 466,
     LOCATION = 467,
     LOCK_P = 468,
     LOGIN_P = 469,
     MAPPING = 470,
     MATCH = 471,
     MAXVALUE = 472,
     MINUTE_P = 473,
     MINVALUE = 474,
     MODE = 475,
     MONTH_P = 476,
     MOVE = 477,
     NAME_P = 478,
     NAMES = 479,
     NATIONAL = 480,
     NATURAL = 481,
     NCHAR = 482,
     NEXT = 483,
     NO = 484,
     NOCREATEDB = 485,
     NOCREATEROLE = 486,
     NOCREATEUSER = 487,
     NOINHERIT = 488,
     NOLOGIN_P = 489,
     NONE = 490,
     NOSUPERUSER = 491,
     NOT = 492,
     NOTHING = 493,
     NOTIFY = 494,
     NOTNULL = 495,
     NOWAIT = 496,
     NULL_P = 497,
     NULLIF = 498,
     NULLS_P = 499,
     NUMERIC = 500,
     OBJECT_P = 501,
     OF = 502,
     OFF = 503,
     OFFSET = 504,
     OIDS = 505,
     ON = 506,
     ONLY = 507,
     OPERATOR = 508,
     OPTION = 509,
     OPTIONS = 510,
     OR = 511,
     ORDER = 512,
     OUT_P = 513,
     OUTER_P = 514,
     OVER = 515,
     OVERLAPS = 516,
     OVERLAY = 517,
     OWNED = 518,
     OWNER = 519,
     PARSER = 520,
     PARTIAL = 521,
     PARTITION = 522,
     PASSWORD = 523,
     PLACING = 524,
     PLANS = 525,
     POSITION = 526,
     PRECEDING = 527,
     PRECISION = 528,
     PRESERVE = 529,
     PREPARE = 530,
     PREPARED = 531,
     PRIMARY = 532,
     PRIOR = 533,
     PRIVILEGES = 534,
     PROCEDURAL = 535,
     PROCEDURE = 536,
     QUOTE = 537,
     RANGE = 538,
     READ = 539,
     REAL = 540,
     REASSIGN = 541,
     RECHECK = 542,
     RECURSIVE = 543,
     REFERENCES = 544,
     REINDEX = 545,
     RELATIVE_P = 546,
     RELEASE = 547,
     RENAME = 548,
     REPEATABLE = 549,
     REPLACE = 550,
     REPLICA = 551,
     RESET = 552,
     RESTART = 553,
     RESTRICT = 554,
     RETURNING = 555,
     RETURNS = 556,
     REVOKE = 557,
     RIGHT = 558,
     ROLE = 559,
     ROLLBACK = 560,
     ROW = 561,
     ROWS = 562,
     RULE = 563,
     SAVEPOINT = 564,
     SCHEMA = 565,
     SCROLL = 566,
     SEARCH = 567,
     SECOND_P = 568,
     SECURITY = 569,
     SELECT = 570,
     SEQUENCE = 571,
     SEQUENCES = 572,
     SERIALIZABLE = 573,
     SERVER = 574,
     SESSION = 575,
     SESSION_USER = 576,
     SET = 577,
     SETOF = 578,
     SHARE = 579,
     SHOW = 580,
     SIMILAR = 581,
     SIMPLE = 582,
     SMALLINT = 583,
     SOME = 584,
     STABLE = 585,
     STANDALONE_P = 586,
     START = 587,
     STATEMENT = 588,
     STATISTICS = 589,
     STDIN = 590,
     STDOUT = 591,
     STORAGE = 592,
     STRICT_P = 593,
     STRIP_P = 594,
     SUBSTRING = 595,
     SUPERUSER_P = 596,
     SYMMETRIC = 597,
     SYSID = 598,
     SYSTEM_P = 599,
     TABLE = 600,
     TABLES = 601,
     TABLESPACE = 602,
     TEMP = 603,
     TEMPLATE = 604,
     TEMPORARY = 605,
     TEXT_P = 606,
     THEN = 607,
     TIME = 608,
     TIMESTAMP = 609,
     TO = 610,
     TRAILING = 611,
     TRANSACTION = 612,
     TREAT = 613,
     TRIGGER = 614,
     TRIM = 615,
     TRUE_P = 616,
     TRUNCATE = 617,
     TRUSTED = 618,
     TYPE_P = 619,
     UNBOUNDED = 620,
     UNCOMMITTED = 621,
     UNENCRYPTED = 622,
     UNION = 623,
     UNIQUE = 624,
     UNKNOWN = 625,
     UNLISTEN = 626,
     UNTIL = 627,
     UPDATE = 628,
     USER = 629,
     USING = 630,
     VACUUM = 631,
     VALID = 632,
     VALIDATOR = 633,
     VALUE_P = 634,
     VALUES = 635,
     VARCHAR = 636,
     VARIADIC = 637,
     VARYING = 638,
     VERBOSE = 639,
     VERSION_P = 640,
     VIEW = 641,
     VOLATILE = 642,
     WHEN = 643,
     WHERE = 644,
     WHITESPACE_P = 645,
     WINDOW = 646,
     WITH = 647,
     WITHOUT = 648,
     WORK = 649,
     WRAPPER = 650,
     WRITE = 651,
     XML_P = 652,
     XMLATTRIBUTES = 653,
     XMLCONCAT = 654,
     XMLELEMENT = 655,
     XMLFOREST = 656,
     XMLPARSE = 657,
     XMLPI = 658,
     XMLROOT = 659,
     XMLSERIALIZE = 660,
     YEAR_P = 661,
     YES_P = 662,
     ZONE = 663,
     NULLS_FIRST = 664,
     NULLS_LAST = 665,
     WITH_TIME = 666,
     POSTFIXOP = 667,
     UMINUS = 668
   };
#endif
/* Tokens.  */
#define IDENT 258
#define FCONST 259
#define SCONST 260
#define BCONST 261
#define XCONST 262
#define Op 263
#define ICONST 264
#define PARAM 265
#define TYPECAST 266
#define DOT_DOT 267
#define COLON_EQUALS 268
#define ABORT_P 269
#define ABSOLUTE_P 270
#define ACCESS 271
#define ACTION 272
#define ADD_P 273
#define ADMIN 274
#define AFTER 275
#define AGGREGATE 276
#define ALL 277
#define ALSO 278
#define ALTER 279
#define ALWAYS 280
#define ANALYSE 281
#define ANALYZE 282
#define AND 283
#define ANY 284
#define ARRAY 285
#define AS 286
#define ASC 287
#define ASSERTION 288
#define ASSIGNMENT 289
#define ASYMMETRIC 290
#define AT 291
#define AUTHORIZATION 292
#define BACKWARD 293
#define BEFORE 294
#define BEGIN_P 295
#define BETWEEN 296
#define BIGINT 297
#define BINARY 298
#define BIT 299
#define BOOLEAN_P 300
#define BOTH 301
#define BY 302
#define CACHE 303
#define CALLED 304
#define CASCADE 305
#define CASCADED 306
#define CASE 307
#define CAST 308
#define CATALOG_P 309
#define CHAIN 310
#define CHAR_P 311
#define CHARACTER 312
#define CHARACTERISTICS 313
#define CHECK 314
#define CHECKPOINT 315
#define CLASS 316
#define CLOSE 317
#define CLUSTER 318
#define COALESCE 319
#define COLLATE 320
#define COLUMN 321
#define COMMENT 322
#define COMMENTS 323
#define COMMIT 324
#define COMMITTED 325
#define CONCURRENTLY 326
#define CONFIGURATION 327
#define CONNECTION 328
#define CONSTRAINT 329
#define CONSTRAINTS 330
#define CONTENT_P 331
#define CONTINUE_P 332
#define CONVERSION_P 333
#define COPY 334
#define COST 335
#define CREATE 336
#define CREATEDB 337
#define CREATEROLE 338
#define CREATEUSER 339
#define CROSS 340
#define CSV 341
#define CURRENT_P 342
#define CURRENT_CATALOG 343
#define CURRENT_DATE 344
#define CURRENT_ROLE 345
#define CURRENT_SCHEMA 346
#define CURRENT_TIME 347
#define CURRENT_TIMESTAMP 348
#define CURRENT_USER 349
#define CURSOR 350
#define CYCLE 351
#define DATA_P 352
#define DATABASE 353
#define DAY_P 354
#define DEALLOCATE 355
#define DEC 356
#define DECIMAL_P 357
#define DECLARE 358
#define DEFAULT 359
#define DEFAULTS 360
#define DEFERRABLE 361
#define DEFERRED 362
#define DEFINER 363
#define DELETE_P 364
#define DELIMITER 365
#define DELIMITERS 366
#define DESC 367
#define DICTIONARY 368
#define DISABLE_P 369
#define DISCARD 370
#define DISTINCT 371
#define DO 372
#define DOCUMENT_P 373
#define DOMAIN_P 374
#define DOUBLE_P 375
#define DROP 376
#define EACH 377
#define ELSE 378
#define ENABLE_P 379
#define ENCODING 380
#define ENCRYPTED 381
#define END_P 382
#define ENUM_P 383
#define ESCAPE 384
#define EXCEPT 385
#define EXCLUDE 386
#define EXCLUDING 387
#define EXCLUSIVE 388
#define EXECUTE 389
#define EXISTS 390
#define EXPLAIN 391
#define EXTERNAL 392
#define EXTRACT 393
#define FALSE_P 394
#define FAMILY 395
#define FETCH 396
#define FIRST_P 397
#define FLOAT_P 398
#define FOLLOWING 399
#define FOR 400
#define FORCE 401
#define FOREIGN 402
#define FORWARD 403
#define FREEZE 404
#define FROM 405
#define FULL 406
#define FUNCTION 407
#define FUNCTIONS 408
#define GLOBAL 409
#define GRANT 410
#define GRANTED 411
#define GREATEST 412
#define GROUP_P 413
#define HANDLER 414
#define HAVING 415
#define HEADER_P 416
#define HOLD 417
#define HOUR_P 418
#define IDENTITY_P 419
#define IF_P 420
#define ILIKE 421
#define IMMEDIATE 422
#define IMMUTABLE 423
#define IMPLICIT_P 424
#define IN_P 425
#define INCLUDING 426
#define INCREMENT 427
#define INDEX 428
#define INDEXES 429
#define INHERIT 430
#define INHERITS 431
#define INITIALLY 432
#define INLINE_P 433
#define INNER_P 434
#define INOUT 435
#define INPUT_P 436
#define INSENSITIVE 437
#define INSERT 438
#define INSTEAD 439
#define INT_P 440
#define INTEGER 441
#define INTERSECT 442
#define INTERVAL 443
#define INTO 444
#define INVOKER 445
#define IS 446
#define ISNULL 447
#define ISOLATION 448
#define JOIN 449
#define KEY 450
#define LANGUAGE 451
#define LARGE_P 452
#define LAST_P 453
#define LC_COLLATE_P 454
#define LC_CTYPE_P 455
#define LEADING 456
#define LEAST 457
#define LEFT 458
#define LEVEL 459
#define LIKE 460
#define LIMIT 461
#define LISTEN 462
#define LOAD 463
#define LOCAL 464
#define LOCALTIME 465
#define LOCALTIMESTAMP 466
#define LOCATION 467
#define LOCK_P 468
#define LOGIN_P 469
#define MAPPING 470
#define MATCH 471
#define MAXVALUE 472
#define MINUTE_P 473
#define MINVALUE 474
#define MODE 475
#define MONTH_P 476
#define MOVE 477
#define NAME_P 478
#define NAMES 479
#define NATIONAL 480
#define NATURAL 481
#define NCHAR 482
#define NEXT 483
#define NO 484
#define NOCREATEDB 485
#define NOCREATEROLE 486
#define NOCREATEUSER 487
#define NOINHERIT 488
#define NOLOGIN_P 489
#define NONE 490
#define NOSUPERUSER 491
#define NOT 492
#define NOTHING 493
#define NOTIFY 494
#define NOTNULL 495
#define NOWAIT 496
#define NULL_P 497
#define NULLIF 498
#define NULLS_P 499
#define NUMERIC 500
#define OBJECT_P 501
#define OF 502
#define OFF 503
#define OFFSET 504
#define OIDS 505
#define ON 506
#define ONLY 507
#define OPERATOR 508
#define OPTION 509
#define OPTIONS 510
#define OR 511
#define ORDER 512
#define OUT_P 513
#define OUTER_P 514
#define OVER 515
#define OVERLAPS 516
#define OVERLAY 517
#define OWNED 518
#define OWNER 519
#define PARSER 520
#define PARTIAL 521
#define PARTITION 522
#define PASSWORD 523
#define PLACING 524
#define PLANS 525
#define POSITION 526
#define PRECEDING 527
#define PRECISION 528
#define PRESERVE 529
#define PREPARE 530
#define PREPARED 531
#define PRIMARY 532
#define PRIOR 533
#define PRIVILEGES 534
#define PROCEDURAL 535
#define PROCEDURE 536
#define QUOTE 537
#define RANGE 538
#define READ 539
#define REAL 540
#define REASSIGN 541
#define RECHECK 542
#define RECURSIVE 543
#define REFERENCES 544
#define REINDEX 545
#define RELATIVE_P 546
#define RELEASE 547
#define RENAME 548
#define REPEATABLE 549
#define REPLACE 550
#define REPLICA 551
#define RESET 552
#define RESTART 553
#define RESTRICT 554
#define RETURNING 555
#define RETURNS 556
#define REVOKE 557
#define RIGHT 558
#define ROLE 559
#define ROLLBACK 560
#define ROW 561
#define ROWS 562
#define RULE 563
#define SAVEPOINT 564
#define SCHEMA 565
#define SCROLL 566
#define SEARCH 567
#define SECOND_P 568
#define SECURITY 569
#define SELECT 570
#define SEQUENCE 571
#define SEQUENCES 572
#define SERIALIZABLE 573
#define SERVER 574
#define SESSION 575
#define SESSION_USER 576
#define SET 577
#define SETOF 578
#define SHARE 579
#define SHOW 580
#define SIMILAR 581
#define SIMPLE 582
#define SMALLINT 583
#define SOME 584
#define STABLE 585
#define STANDALONE_P 586
#define START 587
#define STATEMENT 588
#define STATISTICS 589
#define STDIN 590
#define STDOUT 591
#define STORAGE 592
#define STRICT_P 593
#define STRIP_P 594
#define SUBSTRING 595
#define SUPERUSER_P 596
#define SYMMETRIC 597
#define SYSID 598
#define SYSTEM_P 599
#define TABLE 600
#define TABLES 601
#define TABLESPACE 602
#define TEMP 603
#define TEMPLATE 604
#define TEMPORARY 605
#define TEXT_P 606
#define THEN 607
#define TIME 608
#define TIMESTAMP 609
#define TO 610
#define TRAILING 611
#define TRANSACTION 612
#define TREAT 613
#define TRIGGER 614
#define TRIM 615
#define TRUE_P 616
#define TRUNCATE 617
#define TRUSTED 618
#define TYPE_P 619
#define UNBOUNDED 620
#define UNCOMMITTED 621
#define UNENCRYPTED 622
#define UNION 623
#define UNIQUE 624
#define UNKNOWN 625
#define UNLISTEN 626
#define UNTIL 627
#define UPDATE 628
#define USER 629
#define USING 630
#define VACUUM 631
#define VALID 632
#define VALIDATOR 633
#define VALUE_P 634
#define VALUES 635
#define VARCHAR 636
#define VARIADIC 637
#define VARYING 638
#define VERBOSE 639
#define VERSION_P 640
#define VIEW 641
#define VOLATILE 642
#define WHEN 643
#define WHERE 644
#define WHITESPACE_P 645
#define WINDOW 646
#define WITH 647
#define WITHOUT 648
#define WORK 649
#define WRAPPER 650
#define WRITE 651
#define XML_P 652
#define XMLATTRIBUTES 653
#define XMLCONCAT 654
#define XMLELEMENT 655
#define XMLFOREST 656
#define XMLPARSE 657
#define XMLPI 658
#define XMLROOT 659
#define XMLSERIALIZE 660
#define YEAR_P 661
#define YES_P 662
#define ZONE 663
#define NULLS_FIRST 664
#define NULLS_LAST 665
#define WITH_TIME 666
#define POSTFIXOP 667
#define UMINUS 668




#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 155 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;



/* Line 214 of yacc.c  */
#line 1128 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 1153 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  682
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   63076

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  431
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  515
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2090
/* YYNRULES -- Number of states.  */
#define YYNSTATES  3840

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   668

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   420,     2,     2,
     425,   426,   418,   416,   429,   417,   427,   419,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   430,   428,
     413,   412,   414,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   423,     2,   424,   421,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   415,   422
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   216,   222,
     224,   225,   228,   229,   232,   233,   236,   239,   243,   247,
     249,   251,   253,   255,   257,   259,   261,   263,   265,   267,
     269,   271,   275,   279,   282,   284,   287,   290,   293,   297,
     301,   307,   313,   314,   318,   324,   330,   335,   339,   345,
     349,   355,   361,   368,   370,   372,   376,   382,   389,   394,
     396,   397,   400,   401,   403,   405,   407,   409,   411,   413,
     416,   420,   424,   428,   432,   436,   440,   444,   448,   451,
     457,   460,   463,   466,   469,   473,   477,   481,   483,   487,
     489,   493,   495,   497,   499,   502,   505,   508,   510,   512,
     514,   516,   518,   520,   522,   526,   533,   535,   537,   539,
     541,   543,   544,   546,   548,   551,   555,   560,   564,   567,
     570,   572,   575,   579,   584,   588,   591,   596,   598,   600,
     602,   604,   606,   609,   612,   615,   618,   623,   628,   633,
     638,   640,   644,   647,   651,   656,   663,   670,   677,   683,
     689,   696,   703,   708,   716,   719,   726,   731,   735,   739,
     743,   747,   751,   756,   761,   765,   769,   773,   777,   781,
     785,   790,   795,   799,   802,   806,   810,   814,   817,   820,
     824,   827,   829,   831,   832,   835,   836,   840,   843,   844,
     846,   850,   854,   856,   862,   866,   869,   872,   883,   890,
     892,   894,   896,   898,   900,   902,   906,   909,   910,   912,
     914,   918,   922,   924,   926,   930,   934,   938,   942,   947,
     949,   950,   953,   954,   958,   959,   961,   962,   964,   968,
     971,   973,   975,   977,   979,   983,   984,   986,   990,   992,
     994,  1006,  1017,  1019,  1021,  1024,  1027,  1030,  1033,  1034,
    1036,  1037,  1041,  1042,  1044,  1048,  1050,  1054,  1056,  1058,
    1060,  1062,  1064,  1068,  1073,  1076,  1077,  1081,  1083,  1085,
    1088,  1090,  1094,  1099,  1104,  1107,  1113,  1115,  1118,  1121,
    1124,  1128,  1132,  1136,  1137,  1139,  1141,  1143,  1145,  1147,
    1149,  1153,  1155,  1161,  1169,  1178,  1188,  1200,  1204,  1205,
    1207,  1211,  1213,  1216,  1219,  1222,  1223,  1225,  1229,  1233,
    1240,  1245,  1246,  1248,  1250,  1253,  1256,  1257,  1261,  1265,
    1268,  1270,  1272,  1275,  1278,  1283,  1284,  1287,  1290,  1293,
    1294,  1298,  1303,  1308,  1309,  1312,  1313,  1318,  1319,  1327,
    1333,  1337,  1338,  1340,  1344,  1346,  1349,  1353,  1354,  1360,
    1365,  1367,  1368,  1370,  1373,  1376,  1378,  1381,  1385,  1388,
    1391,  1394,  1397,  1401,  1405,  1407,  1411,  1413,  1414,  1416,
    1419,  1421,  1423,  1427,  1434,  1445,  1447,  1448,  1450,  1453,
    1456,  1457,  1460,  1463,  1465,  1466,  1472,  1480,  1482,  1483,
    1490,  1493,  1494,  1498,  1504,  1512,  1519,  1528,  1536,  1543,
    1550,  1555,  1556,  1558,  1562,  1567,  1569,  1573,  1575,  1578,
    1581,  1584,  1587,  1589,  1591,  1602,  1605,  1606,  1609,  1612,
    1614,  1615,  1620,  1627,  1633,  1638,  1643,  1652,  1654,  1656,
    1658,  1666,  1676,  1685,  1701,  1722,  1724,  1726,  1728,  1732,
    1734,  1736,  1738,  1742,  1744,  1748,  1749,  1751,  1752,  1754,
    1756,  1761,  1762,  1764,  1768,  1769,  1771,  1773,  1775,  1777,
    1779,  1781,  1784,  1785,  1787,  1790,  1792,  1795,  1796,  1799,
    1801,  1804,  1807,  1814,  1823,  1832,  1837,  1843,  1848,  1853,
    1858,  1862,  1870,  1879,  1886,  1893,  1900,  1907,  1911,  1913,
    1917,  1921,  1923,  1925,  1927,  1929,  1931,  1933,  1937,  1941,
    1945,  1947,  1951,  1955,  1957,  1958,  1960,  1964,  1978,  1980,
    1984,  1989,  1995,  2000,  2008,  2011,  2013,  2014,  2017,  2018,
    2020,  2021,  2028,  2037,  2046,  2048,  2052,  2058,  2064,  2072,
    2082,  2090,  2100,  2106,  2113,  2120,  2125,  2127,  2129,  2131,
    2133,  2135,  2137,  2139,  2141,  2145,  2149,  2153,  2157,  2159,
    2163,  2165,  2168,  2171,  2175,  2181,  2184,  2187,  2188,  2195,
    2203,  2211,  2219,  2228,  2237,  2244,  2253,  2263,  2273,  2281,
    2292,  2300,  2309,  2318,  2327,  2336,  2338,  2340,  2342,  2344,
    2346,  2348,  2350,  2352,  2354,  2356,  2358,  2360,  2362,  2364,
    2367,  2370,  2372,  2375,  2379,  2383,  2387,  2391,  2396,  2401,
    2405,  2409,  2413,  2418,  2423,  2427,  2432,  2437,  2439,  2441,
    2443,  2444,  2452,  2460,  2471,  2473,  2475,  2478,  2483,  2489,
    2491,  2495,  2498,  2501,  2504,  2507,  2509,  2512,  2515,  2520,
    2524,  2527,  2530,  2533,  2537,  2540,  2543,  2549,  2555,  2561,
    2563,  2567,  2569,  2572,  2576,  2577,  2579,  2583,  2586,  2593,
    2600,  2610,  2614,  2615,  2619,  2620,  2626,  2629,  2630,  2634,
    2638,  2642,  2650,  2658,  2669,  2671,  2673,  2675,  2690,  2692,
    2693,  2695,  2696,  2698,  2699,  2702,  2703,  2705,  2709,  2714,
    2719,  2726,  2728,  2731,  2732,  2734,  2736,  2737,  2739,  2741,
    2742,  2752,  2765,  2773,  2776,  2777,  2781,  2784,  2786,  2790,
    2794,  2797,  2799,  2803,  2807,  2811,  2814,  2817,  2819,  2821,
    2823,  2825,  2828,  2830,  2832,  2834,  2836,  2841,  2847,  2849,
    2853,  2857,  2859,  2862,  2867,  2873,  2875,  2877,  2879,  2881,
    2885,  2889,  2892,  2895,  2898,  2901,  2903,  2906,  2909,  2911,
    2913,  2915,  2919,  2922,  2923,  2926,  2928,  2932,  2938,  2940,
    2943,  2945,  2946,  2952,  2960,  2966,  2974,  2980,  2988,  2992,
    2998,  3004,  3010,  3012,  3016,  3019,  3021,  3024,  3026,  3029,
    3041,  3052,  3063,  3066,  3069,  3070,  3080,  3083,  3084,  3089,
    3094,  3099,  3101,  3103,  3105,  3106,  3114,  3121,  3128,  3135,
    3142,  3150,  3160,  3170,  3177,  3184,  3191,  3198,  3205,  3214,
    3223,  3230,  3237,  3244,  3250,  3256,  3265,  3274,  3283,  3292,
    3299,  3301,  3302,  3305,  3306,  3314,  3321,  3328,  3335,  3342,
    3349,  3356,  3364,  3371,  3378,  3385,  3392,  3400,  3408,  3416,
    3426,  3436,  3443,  3450,  3457,  3466,  3475,  3484,  3491,  3505,
    3507,  3509,  3513,  3517,  3519,  3521,  3523,  3525,  3527,  3529,
    3531,  3532,  3534,  3536,  3538,  3540,  3542,  3544,  3545,  3552,
    3561,  3565,  3568,  3569,  3572,  3575,  3578,  3581,  3585,  3589,
    3592,  3595,  3598,  3601,  3605,  3608,  3614,  3619,  3623,  3627,
    3631,  3633,  3635,  3636,  3640,  3643,  3646,  3648,  3652,  3655,
    3657,  3658,  3667,  3678,  3682,  3687,  3692,  3693,  3696,  3702,
    3705,  3706,  3710,  3714,  3718,  3722,  3726,  3730,  3734,  3738,
    3742,  3746,  3750,  3754,  3758,  3763,  3767,  3771,  3773,  3774,
    3780,  3787,  3792,  3795,  3796,  3801,  3805,  3811,  3818,  3823,
    3830,  3837,  3843,  3851,  3853,  3854,  3861,  3873,  3885,  3897,
    3911,  3921,  3933,  3944,  3949,  3952,  3958,  3961,  3962,  3967,
    3973,  3979,  3984,  3991,  3993,  3997,  3999,  4001,  4003,  4005,
    4008,  4013,  4015,  4017,  4019,  4020,  4022,  4023,  4025,  4026,
    4030,  4031,  4034,  4039,  4043,  4049,  4051,  4053,  4055,  4057,
    4059,  4061,  4063,  4065,  4069,  4072,  4074,  4076,  4078,  4080,
    4082,  4084,  4085,  4091,  4095,  4096,  4098,  4100,  4102,  4104,
    4108,  4117,  4121,  4122,  4125,  4129,  4132,  4136,  4142,  4144,
    4149,  4152,  4154,  4158,  4161,  4164,  4165,  4172,  4175,  4176,
    4182,  4186,  4187,  4190,  4193,  4196,  4200,  4202,  4206,  4208,
    4211,  4213,  4214,  4222,  4224,  4228,  4230,  4232,  4236,  4242,
    4245,  4247,  4251,  4259,  4261,  4262,  4266,  4269,  4272,  4275,
    4276,  4279,  4282,  4284,  4286,  4290,  4294,  4296,  4299,  4304,
    4309,  4312,  4316,  4322,  4328,  4330,  4332,  4342,  4344,  4347,
    4352,  4357,  4362,  4365,  4369,  4371,  4375,  4380,  4383,  4384,
    4388,  4392,  4397,  4402,  4407,  4412,  4415,  4417,  4419,  4420,
    4422,  4424,  4425,  4427,  4433,  4435,  4436,  4438,  4439,  4443,
    4445,  4449,  4454,  4458,  4461,  4464,  4466,  4468,  4470,  4471,
    4474,  4479,  4485,  4488,  4492,  4494,  4496,  4498,  4500,  4504,
    4505,  4507,  4509,  4511,  4513,  4515,  4519,  4520,  4523,  4524,
    4526,  4530,  4532,  4533,  4535,  4538,  4543,  4548,  4551,  4552,
    4555,  4559,  4562,  4563,  4565,  4569,  4571,  4574,  4576,  4579,
    4585,  4592,  4598,  4600,  4603,  4605,  4610,  4614,  4619,  4625,
    4630,  4636,  4641,  4647,  4650,  4655,  4657,  4660,  4663,  4666,
    4668,  4670,  4671,  4676,  4679,  4681,  4684,  4687,  4692,  4694,
    4698,  4700,  4703,  4707,  4709,  4712,  4713,  4716,  4721,  4722,
    4724,  4728,  4731,  4734,  4738,  4744,  4751,  4754,  4758,  4762,
    4767,  4768,  4770,  4772,  4774,  4776,  4778,  4781,  4787,  4789,
    4791,  4793,  4795,  4798,  4802,  4806,  4807,  4809,  4811,  4813,
    4815,  4817,  4820,  4823,  4826,  4829,  4832,  4834,  4838,  4839,
    4841,  4843,  4845,  4847,  4853,  4856,  4858,  4860,  4862,  4864,
    4870,  4873,  4876,  4879,  4881,  4885,  4889,  4892,  4894,  4895,
    4899,  4900,  4906,  4909,  4915,  4918,  4920,  4923,  4927,  4928,
    4930,  4932,  4934,  4936,  4938,  4940,  4944,  4948,  4952,  4956,
    4960,  4964,  4968,  4969,  4971,  4976,  4978,  4982,  4988,  4991,
    4994,  4998,  5002,  5006,  5010,  5014,  5018,  5022,  5026,  5030,
    5034,  5037,  5040,  5044,  5048,  5051,  5055,  5061,  5066,  5073,
    5077,  5083,  5088,  5095,  5100,  5107,  5113,  5121,  5125,  5128,
    5133,  5136,  5140,  5144,  5149,  5153,  5158,  5162,  5167,  5173,
    5180,  5187,  5195,  5202,  5210,  5217,  5225,  5229,  5234,  5239,
    5246,  5249,  5253,  5258,  5260,  5264,  5267,  5270,  5274,  5278,
    5282,  5286,  5290,  5294,  5298,  5302,  5306,  5310,  5313,  5316,
    5322,  5329,  5336,  5344,  5348,  5353,  5355,  5357,  5360,  5365,
    5367,  5369,  5371,  5374,  5377,  5380,  5382,  5387,  5393,  5400,
    5409,  5416,  5424,  5432,  5438,  5440,  5442,  5447,  5449,  5454,
    5456,  5461,  5463,  5468,  5470,  5472,  5474,  5476,  5478,  5480,
    5487,  5492,  5497,  5502,  5507,  5514,  5520,  5526,  5532,  5537,
    5544,  5549,  5554,  5559,  5564,  5570,  5578,  5586,  5596,  5601,
    5608,  5614,  5622,  5630,  5638,  5641,  5645,  5649,  5653,  5658,
    5659,  5664,  5666,  5670,  5674,  5676,  5678,  5680,  5683,  5686,
    5687,  5690,  5691,  5693,  5697,  5701,  5704,  5707,  5708,  5715,
    5717,  5718,  5722,  5723,  5726,  5729,  5730,  5732,  5737,  5740,
    5743,  5746,  5749,  5752,  5757,  5761,  5767,  5769,  5771,  5773,
    5775,  5777,  5779,  5781,  5783,  5785,  5787,  5789,  5791,  5793,
    5795,  5797,  5802,  5804,  5809,  5811,  5816,  5818,  5821,  5823,
    5826,  5828,  5832,  5834,  5838,  5840,  5844,  5846,  5850,  5854,
    5858,  5861,  5863,  5867,  5871,  5872,  5874,  5876,  5878,  5880,
    5882,  5884,  5886,  5888,  5893,  5897,  5900,  5904,  5905,  5909,
    5913,  5916,  5919,  5921,  5922,  5925,  5928,  5932,  5935,  5937,
    5939,  5943,  5949,  5951,  5954,  5959,  5962,  5963,  5965,  5966,
    5968,  5971,  5974,  5977,  5981,  5987,  5989,  5992,  5993,  5996,
    5998,  5999,  6001,  6003,  6005,  6009,  6013,  6015,  6019,  6023,
    6026,  6028,  6030,  6032,  6036,  6038,  6041,  6043,  6047,  6049,
    6051,  6053,  6055,  6057,  6059,  6061,  6064,  6066,  6068,  6070,
    6072,  6074,  6077,  6083,  6086,  6090,  6097,  6099,  6101,  6103,
    6105,  6107,  6109,  6111,  6114,  6117,  6119,  6121,  6123,  6125,
    6127,  6129,  6131,  6133,  6135,  6137,  6139,  6141,  6143,  6145,
    6147,  6149,  6151,  6153,  6155,  6157,  6159,  6161,  6163,  6165,
    6167,  6169,  6171,  6173,  6175,  6177,  6179,  6181,  6183,  6185,
    6187,  6189,  6191,  6193,  6195,  6197,  6199,  6201,  6203,  6205,
    6207,  6209,  6211,  6213,  6215,  6217,  6219,  6221,  6223,  6225,
    6227,  6229,  6231,  6233,  6235,  6237,  6239,  6241,  6243,  6245,
    6247,  6249,  6251,  6253,  6255,  6257,  6259,  6261,  6263,  6265,
    6267,  6269,  6271,  6273,  6275,  6277,  6279,  6281,  6283,  6285,
    6287,  6289,  6291,  6293,  6295,  6297,  6299,  6301,  6303,  6305,
    6307,  6309,  6311,  6313,  6315,  6317,  6319,  6321,  6323,  6325,
    6327,  6329,  6331,  6333,  6335,  6337,  6339,  6341,  6343,  6345,
    6347,  6349,  6351,  6353,  6355,  6357,  6359,  6361,  6363,  6365,
    6367,  6369,  6371,  6373,  6375,  6377,  6379,  6381,  6383,  6385,
    6387,  6389,  6391,  6393,  6395,  6397,  6399,  6401,  6403,  6405,
    6407,  6409,  6411,  6413,  6415,  6417,  6419,  6421,  6423,  6425,
    6427,  6429,  6431,  6433,  6435,  6437,  6439,  6441,  6443,  6445,
    6447,  6449,  6451,  6453,  6455,  6457,  6459,  6461,  6463,  6465,
    6467,  6469,  6471,  6473,  6475,  6477,  6479,  6481,  6483,  6485,
    6487,  6489,  6491,  6493,  6495,  6497,  6499,  6501,  6503,  6505,
    6507,  6509,  6511,  6513,  6515,  6517,  6519,  6521,  6523,  6525,
    6527,  6529,  6531,  6533,  6535,  6537,  6539,  6541,  6543,  6545,
    6547,  6549,  6551,  6553,  6555,  6557,  6559,  6561,  6563,  6565,
    6567,  6569,  6571,  6573,  6575,  6577,  6579,  6581,  6583,  6585,
    6587,  6589,  6591,  6593,  6595,  6597,  6599,  6601,  6603,  6605,
    6607,  6609,  6611,  6613,  6615,  6617,  6619,  6621,  6623,  6625,
    6627,  6629,  6631,  6633,  6635,  6637,  6639,  6641,  6643,  6645,
    6647,  6649,  6651,  6653,  6655,  6657,  6659,  6661,  6663,  6665,
    6667,  6669,  6671,  6673,  6675,  6677,  6679,  6681,  6683,  6685,
    6687,  6689,  6691,  6693,  6695,  6697,  6699,  6701,  6703,  6705,
    6707,  6709,  6711,  6713,  6715,  6717,  6719,  6721,  6723,  6725,
    6727,  6729,  6731,  6733,  6735,  6737,  6739,  6741,  6743,  6745,
    6747,  6749,  6751,  6753,  6755,  6757,  6759,  6761,  6763,  6765,
    6767,  6769,  6771,  6773,  6775,  6777,  6779,  6781,  6783,  6785,
    6787,  6789,  6791,  6793,  6795,  6797,  6799,  6801,  6803,  6805,
    6807,  6809,  6811,  6813,  6815,  6817,  6819,  6821,  6823,  6825,
    6827,  6829,  6831,  6833,  6835,  6837,  6839,  6841,  6843,  6845,
    6847,  6849,  6851,  6853,  6855,  6857,  6859,  6861,  6863,  6865,
    6867,  6869,  6871,  6873,  6875,  6877,  6879,  6881,  6883,  6885,
    6887,  6889,  6891,  6893,  6895,  6897,  6899,  6901,  6903,  6905,
    6907,  6909,  6911,  6913,  6915,  6917,  6919,  6921,  6923,  6925,
    6927
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     432,     0,    -1,   433,    -1,   433,   428,   434,    -1,   434,
      -1,   734,    -1,   735,    -1,   653,    -1,   740,    -1,   563,
      -1,   577,    -1,   687,    -1,   450,    -1,   708,    -1,   709,
      -1,   543,    -1,   475,    -1,   444,    -1,   442,    -1,   743,
      -1,   742,    -1,   581,    -1,   446,    -1,   445,    -1,   750,
      -1,   473,    -1,   485,    -1,   745,    -1,   631,    -1,   470,
      -1,   486,    -1,   536,    -1,   597,    -1,   698,    -1,   744,
      -1,   739,    -1,   561,    -1,   572,    -1,   668,    -1,   449,
      -1,   610,    -1,   616,    -1,   617,    -1,   550,    -1,   453,
      -1,   542,    -1,   501,    -1,   558,    -1,   582,    -1,   435,
      -1,   441,    -1,   578,    -1,   730,    -1,   767,    -1,   786,
      -1,   599,    -1,   773,    -1,   474,    -1,   695,    -1,   598,
      -1,   700,    -1,   562,    -1,   576,    -1,   452,    -1,   620,
      -1,   621,    -1,   622,    -1,   556,    -1,   717,    -1,   624,
      -1,   560,    -1,   596,    -1,   447,    -1,   448,    -1,   580,
      -1,   738,    -1,   765,    -1,   756,    -1,   634,    -1,   638,
      -1,   649,    -1,   658,    -1,   768,    -1,   720,    -1,   729,
      -1,   775,    -1,   718,    -1,   762,    -1,   623,    -1,   702,
      -1,   691,    -1,   690,    -1,   692,    -1,   705,    -1,   639,
      -1,   650,    -1,   710,    -1,   790,    -1,   722,    -1,   629,
      -1,   721,    -1,   779,    -1,   747,    -1,   467,    -1,   457,
      -1,   469,    -1,   727,    -1,    -1,    81,   304,   937,   436,
     437,    -1,   392,    -1,    -1,   437,   440,    -1,    -1,   438,
     439,    -1,    -1,   268,   936,    -1,   268,   242,    -1,   126,
     268,   936,    -1,   367,   268,   936,    -1,   341,    -1,   236,
      -1,   175,    -1,   233,    -1,    82,    -1,   230,    -1,    83,
      -1,   231,    -1,    84,    -1,   232,    -1,   214,    -1,   234,
      -1,    73,   206,   938,    -1,   377,   372,   936,    -1,   374,
     926,    -1,   439,    -1,   343,   935,    -1,    19,   926,    -1,
     304,   926,    -1,   170,   304,   926,    -1,   170,   158,   926,
      -1,    81,   374,   937,   436,   437,    -1,    24,   304,   937,
     436,   438,    -1,    -1,   170,    98,   928,    -1,    24,   304,
     937,   443,   468,    -1,    24,   374,   937,   436,   438,    -1,
      24,   374,   937,   468,    -1,   121,   304,   926,    -1,   121,
     304,   165,   135,   926,    -1,   121,   374,   926,    -1,   121,
     374,   165,   135,   926,    -1,    81,   158,   937,   436,   437,
      -1,    24,   158,   937,   451,   374,   926,    -1,    18,    -1,
     121,    -1,   121,   158,   926,    -1,   121,   158,   165,   135,
     926,    -1,    81,   310,   454,    37,   937,   455,    -1,    81,
     310,   939,   455,    -1,   939,    -1,    -1,   455,   456,    -1,
      -1,   501,    -1,   658,    -1,   542,    -1,   582,    -1,   638,
      -1,   727,    -1,   322,   458,    -1,   322,   209,   458,    -1,
     322,   320,   458,    -1,   459,   355,   460,    -1,   459,   412,
     460,    -1,   459,   355,   104,    -1,   459,   412,   104,    -1,
     459,   150,    87,    -1,   353,   408,   464,    -1,   357,   725,
      -1,   320,    58,    31,   357,   725,    -1,    54,   936,    -1,
     310,   936,    -1,   224,   465,    -1,   304,   466,    -1,   320,
      37,   466,    -1,   320,    37,   104,    -1,   397,   254,   874,
      -1,   939,    -1,   459,   427,   939,    -1,   461,    -1,   460,
     429,   461,    -1,   463,    -1,   466,    -1,   548,    -1,   284,
     366,    -1,   284,    70,    -1,   294,   284,    -1,   318,    -1,
     361,    -1,   139,    -1,   251,    -1,   248,    -1,   936,    -1,
       3,    -1,   861,   936,   863,    -1,   861,   425,   935,   426,
     936,   863,    -1,   548,    -1,   104,    -1,   209,    -1,   936,
      -1,   104,    -1,    -1,   939,    -1,   936,    -1,   297,   459,
      -1,   297,   353,   408,    -1,   297,   357,   193,   204,    -1,
     297,   320,    37,    -1,   297,    22,    -1,   322,   458,    -1,
     467,    -1,   325,   459,    -1,   325,   353,   408,    -1,   325,
     357,   193,   204,    -1,   325,   320,    37,    -1,   325,    22,
      -1,   322,    75,   471,   472,    -1,    22,    -1,   924,    -1,
     107,    -1,   167,    -1,    60,    -1,   115,    22,    -1,   115,
     348,    -1,   115,   350,    -1,   115,   270,    -1,    24,   345,
     833,   476,    -1,    24,   173,   925,   476,    -1,    24,   316,
     925,   476,    -1,    24,   386,   925,   476,    -1,   477,    -1,
     476,   429,   477,    -1,    18,   509,    -1,    18,    66,   509,
      -1,    24,   706,   939,   478,    -1,    24,   706,   939,   121,
     237,   242,    -1,    24,   706,   939,   322,   237,   242,    -1,
      24,   706,   939,   322,   334,   938,    -1,    24,   706,   939,
     322,   481,    -1,    24,   706,   939,   297,   481,    -1,    24,
     706,   939,   322,   337,   939,    -1,   121,   706,   165,   135,
     939,   479,    -1,   121,   706,   939,   479,    -1,    24,   706,
     939,   707,   364,   841,   480,    -1,    18,   518,    -1,   121,
      74,   165,   135,   927,   479,    -1,   121,    74,   927,   479,
      -1,   322,   392,   250,    -1,   322,   393,   250,    -1,    63,
     251,   927,    -1,   322,   393,    63,    -1,   124,   359,   927,
      -1,   124,    25,   359,   927,    -1,   124,   296,   359,   927,
      -1,   124,   359,    22,    -1,   124,   359,   374,    -1,   114,
     359,   927,    -1,   114,   359,    22,    -1,   114,   359,   374,
      -1,   124,   308,   927,    -1,   124,    25,   308,   927,    -1,
     124,   296,   308,   927,    -1,   114,   308,   927,    -1,   175,
     925,    -1,   229,   175,   925,    -1,   264,   355,   937,    -1,
     322,   347,   927,    -1,   322,   481,    -1,   297,   481,    -1,
     322,   104,   865,    -1,   121,   104,    -1,    50,    -1,   299,
      -1,    -1,   375,   865,    -1,    -1,   425,   483,   426,    -1,
     392,   481,    -1,    -1,   484,    -1,   483,   429,   484,    -1,
     941,   412,   603,    -1,   941,    -1,   941,   427,   941,   412,
     603,    -1,   941,   427,   941,    -1,    62,   787,    -1,    62,
      22,    -1,    79,   492,   925,   520,   493,   487,   488,   494,
     436,   489,    -1,    79,   791,   355,   488,   436,   489,    -1,
     150,    -1,   355,    -1,   936,    -1,   335,    -1,   336,    -1,
     490,    -1,   425,   496,   426,    -1,   490,   491,    -1,    -1,
      43,    -1,   250,    -1,   110,   741,   936,    -1,   242,   741,
     936,    -1,    86,    -1,   161,    -1,   282,   741,   936,    -1,
     129,   741,   936,    -1,   146,   282,   521,    -1,   146,   282,
     418,    -1,   146,   237,   242,   521,    -1,    43,    -1,    -1,
     392,   250,    -1,    -1,   495,   111,   936,    -1,    -1,   375,
      -1,    -1,   497,    -1,   496,   429,   497,    -1,   941,   498,
      -1,   463,    -1,   466,    -1,   548,    -1,   418,    -1,   425,
     499,   426,    -1,    -1,   500,    -1,   499,   429,   500,    -1,
     463,    -1,   466,    -1,    81,   502,   345,   925,   425,   503,
     426,   531,   532,   533,   534,    -1,    81,   502,   345,   925,
     247,   627,   504,   532,   533,   534,    -1,   350,    -1,   348,
      -1,   209,   350,    -1,   209,   348,    -1,   154,   350,    -1,
     154,   348,    -1,    -1,   505,    -1,    -1,   425,   506,   426,
      -1,    -1,   507,    -1,   505,   429,   507,    -1,   508,    -1,
     506,   429,   508,    -1,   509,    -1,   515,    -1,   518,    -1,
     510,    -1,   518,    -1,   939,   841,   511,    -1,   939,   392,
     255,   511,    -1,   511,   512,    -1,    -1,    74,   927,   513,
      -1,   513,    -1,   514,    -1,   237,   242,    -1,   242,    -1,
     369,   684,   535,    -1,   277,   195,   684,   535,    -1,    59,
     425,   865,   426,    -1,   104,   866,    -1,   289,   925,   520,
     523,   527,    -1,   106,    -1,   237,   106,    -1,   177,   107,
      -1,   177,   167,    -1,   205,   925,   516,    -1,   516,   171,
     517,    -1,   516,   132,   517,    -1,    -1,   105,    -1,    75,
      -1,   174,    -1,   337,    -1,    68,    -1,    22,    -1,    74,
     927,   519,    -1,   519,    -1,    59,   425,   865,   426,   593,
      -1,   369,   425,   521,   426,   684,   535,   593,    -1,   277,
     195,   425,   521,   426,   684,   535,   593,    -1,   131,   662,
     425,   524,   426,   684,   535,   526,   593,    -1,   147,   195,
     425,   521,   426,   289,   925,   520,   523,   527,   593,    -1,
     425,   521,   426,    -1,    -1,   522,    -1,   521,   429,   522,
      -1,   939,    -1,   216,   151,    -1,   216,   266,    -1,   216,
     327,    -1,    -1,   525,    -1,   524,   429,   525,    -1,   664,
     392,   694,    -1,   664,   392,   253,   425,   694,   426,    -1,
     389,   425,   865,   426,    -1,    -1,   528,    -1,   529,    -1,
     528,   529,    -1,   529,   528,    -1,    -1,   251,   373,   530,
      -1,   251,   109,   530,    -1,   229,    17,    -1,   299,    -1,
      50,    -1,   322,   242,    -1,   322,   104,    -1,   176,   425,
     924,   426,    -1,    -1,   392,   481,    -1,   392,   250,    -1,
     393,   250,    -1,    -1,   251,    69,   121,    -1,   251,    69,
     109,   307,    -1,   251,    69,   274,   307,    -1,    -1,   347,
     927,    -1,    -1,   375,   173,   347,   927,    -1,    -1,    81,
     502,   345,   537,    31,   790,   541,    -1,   925,   538,   532,
     533,   534,    -1,   425,   539,   426,    -1,    -1,   540,    -1,
     539,   429,   540,    -1,   939,    -1,   392,    97,    -1,   392,
     229,    97,    -1,    -1,    81,   502,   316,   925,   544,    -1,
      24,   316,   925,   545,    -1,   545,    -1,    -1,   546,    -1,
     545,   546,    -1,    48,   548,    -1,    96,    -1,   229,    96,
      -1,   172,   547,   548,    -1,   217,   548,    -1,   219,   548,
      -1,   229,   217,    -1,   229,   219,    -1,   263,    47,   627,
      -1,   332,   436,   548,    -1,   298,    -1,   298,   436,   548,
      -1,    47,    -1,    -1,     4,    -1,   417,     4,    -1,   938,
      -1,   548,    -1,   549,   429,   548,    -1,    81,   669,   551,
     557,   196,   466,    -1,    81,   669,   551,   557,   196,   466,
     159,   552,   553,   555,    -1,   363,    -1,    -1,   927,    -1,
     927,   628,    -1,   178,   552,    -1,    -1,   378,   552,    -1,
     229,   378,    -1,   554,    -1,    -1,   121,   557,   196,   466,
     479,    -1,   121,   557,   196,   165,   135,   466,   479,    -1,
     280,    -1,    -1,    81,   347,   927,   559,   212,   936,    -1,
     264,   927,    -1,    -1,   121,   347,   927,    -1,   121,   347,
     165,   135,   927,    -1,    81,   147,    97,   395,   927,   555,
     564,    -1,   121,   147,    97,   395,   927,   479,    -1,   121,
     147,    97,   395,   165,   135,   927,   479,    -1,    24,   147,
      97,   395,   927,   554,   566,    -1,    24,   147,    97,   395,
     927,   554,    -1,    24,   147,    97,   395,   927,   566,    -1,
     255,   425,   565,   426,    -1,    -1,   569,    -1,   565,   429,
     569,    -1,   255,   425,   567,   426,    -1,   568,    -1,   567,
     429,   568,    -1,   569,    -1,   322,   569,    -1,    18,   569,
      -1,   121,   570,    -1,   570,   571,    -1,   941,    -1,   936,
      -1,    81,   319,   927,   573,   575,   147,    97,   395,   927,
     564,    -1,   364,   936,    -1,    -1,   385,   936,    -1,   385,
     242,    -1,   574,    -1,    -1,   121,   319,   927,   479,    -1,
     121,   319,   165,   135,   927,   479,    -1,    24,   319,   927,
     574,   566,    -1,    24,   319,   927,   574,    -1,    24,   319,
     927,   566,    -1,    81,   374,   215,   145,   579,   319,   927,
     564,    -1,    94,    -1,   374,    -1,   937,    -1,   121,   374,
     215,   145,   579,   319,   927,    -1,   121,   374,   215,   165,
     135,   145,   579,   319,   927,    -1,    24,   374,   215,   145,
     579,   319,   927,   566,    -1,    81,   359,   927,   583,   584,
     251,   925,   586,   589,   134,   281,   933,   425,   590,   426,
      -1,    81,    74,   359,   927,    20,   584,   251,   925,   592,
     593,   145,   122,   306,   589,   134,   281,   933,   425,   590,
     426,    -1,    39,    -1,    20,    -1,   585,    -1,   584,   256,
     585,    -1,   183,    -1,   109,    -1,   373,    -1,   373,   247,
     521,    -1,   362,    -1,   145,   587,   588,    -1,    -1,   122,
      -1,    -1,   306,    -1,   333,    -1,   388,   425,   865,   426,
      -1,    -1,   591,    -1,   590,   429,   591,    -1,    -1,   935,
      -1,     4,    -1,   936,    -1,     6,    -1,     7,    -1,   939,
      -1,   150,   925,    -1,    -1,   594,    -1,   594,   595,    -1,
     595,    -1,   595,   594,    -1,    -1,   237,   106,    -1,   106,
      -1,   177,   167,    -1,   177,   107,    -1,   121,   359,   927,
     251,   925,   479,    -1,   121,   359,   165,   135,   927,   251,
     925,   479,    -1,    81,    33,   927,    59,   425,   865,   426,
     593,    -1,   121,    33,   927,   479,    -1,    81,    21,   933,
     604,   600,    -1,    81,    21,   933,   605,    -1,    81,   253,
     694,   600,    -1,    81,   364,   627,   600,    -1,    81,   364,
     627,    -1,    81,   364,   627,    31,   425,   839,   426,    -1,
      81,   364,   627,    31,   128,   425,   608,   426,    -1,    81,
     351,   312,   265,   627,   600,    -1,    81,   351,   312,   113,
     627,   600,    -1,    81,   351,   312,   349,   627,   600,    -1,
      81,   351,   312,    72,   627,   600,    -1,   425,   601,   426,
      -1,   602,    -1,   601,   429,   602,    -1,   941,   412,   603,
      -1,   941,    -1,   678,    -1,   945,    -1,   891,    -1,   548,
      -1,   936,    -1,   425,   896,   426,    -1,   425,   418,   426,
      -1,   425,   606,   426,    -1,   607,    -1,   606,   429,   607,
      -1,     3,   412,   603,    -1,   609,    -1,    -1,   936,    -1,
     609,   429,   936,    -1,    81,   253,    61,   627,   613,   145,
     364,   841,   375,   929,   614,    31,   611,    -1,   612,    -1,
     611,   429,   612,    -1,   253,   935,   694,   615,    -1,   253,
     935,   694,   693,   615,    -1,   152,   935,   933,   670,    -1,
     152,   935,   425,   896,   426,   933,   670,    -1,   337,   841,
      -1,   104,    -1,    -1,   140,   627,    -1,    -1,   287,    -1,
      -1,    81,   253,   140,   627,   375,   929,    -1,    24,   253,
     140,   627,   375,   929,    18,   611,    -1,    24,   253,   140,
     627,   375,   929,   121,   618,    -1,   619,    -1,   618,   429,
     619,    -1,   253,   935,   425,   896,   426,    -1,   152,   935,
     425,   896,   426,    -1,   121,   253,    61,   627,   375,   929,
     479,    -1,   121,   253,    61,   165,   135,   627,   375,   929,
     479,    -1,   121,   253,   140,   627,   375,   929,   479,    -1,
     121,   253,   140,   165,   135,   627,   375,   929,   479,    -1,
     121,   263,    47,   926,   479,    -1,   286,   263,    47,   926,
     355,   927,    -1,   121,   625,   165,   135,   626,   479,    -1,
     121,   625,   626,   479,    -1,   345,    -1,   316,    -1,   386,
      -1,   173,    -1,   364,    -1,   119,    -1,    78,    -1,   310,
      -1,   351,   312,   265,    -1,   351,   312,   113,    -1,   351,
     312,   349,    -1,   351,   312,    72,    -1,   627,    -1,   626,
     429,   627,    -1,   939,    -1,   939,   628,    -1,   427,   930,
      -1,   628,   427,   930,    -1,   362,   800,   834,   630,   479,
      -1,    77,   164,    -1,   298,   164,    -1,    -1,    67,   251,
     632,   627,   191,   633,    -1,    67,   251,    21,   933,   604,
     191,   633,    -1,    67,   251,   152,   933,   670,   191,   633,
      -1,    67,   251,   253,   694,   693,   191,   633,    -1,    67,
     251,    74,   927,   251,   627,   191,   633,    -1,    67,   251,
     308,   927,   251,   627,   191,   633,    -1,    67,   251,   308,
     927,   191,   633,    -1,    67,   251,   359,   927,   251,   627,
     191,   633,    -1,    67,   251,   253,    61,   627,   375,   929,
     191,   633,    -1,    67,   251,   253,   140,   627,   375,   929,
     191,   633,    -1,    67,   251,   197,   246,   548,   191,   633,
      -1,    67,   251,    53,   425,   841,    31,   841,   426,   191,
     633,    -1,    67,   251,   557,   196,   627,   191,   633,    -1,
      67,   251,   351,   312,   265,   627,   191,   633,    -1,    67,
     251,   351,   312,   113,   627,   191,   633,    -1,    67,   251,
     351,   312,   349,   627,   191,   633,    -1,    67,   251,   351,
     312,    72,   627,   191,   633,    -1,    66,    -1,    98,    -1,
     310,    -1,   173,    -1,   316,    -1,   345,    -1,   119,    -1,
     364,    -1,   386,    -1,    78,    -1,   347,    -1,   304,    -1,
     936,    -1,   242,    -1,   141,   635,    -1,   222,   635,    -1,
     787,    -1,   636,   787,    -1,   228,   637,   787,    -1,   278,
     637,   787,    -1,   142,   637,   787,    -1,   198,   637,   787,
      -1,    15,   938,   637,   787,    -1,   291,   938,   637,   787,
      -1,   938,   637,   787,    -1,    22,   637,   787,    -1,   148,
     637,   787,    -1,   148,   938,   637,   787,    -1,   148,    22,
     637,   787,    -1,    38,   637,   787,    -1,    38,   938,   637,
     787,    -1,    38,    22,   637,   787,    -1,   150,    -1,   170,
      -1,   636,    -1,    -1,   155,   640,   251,   643,   355,   644,
     646,    -1,   302,   640,   251,   643,   150,   644,   479,    -1,
     302,   155,   254,   145,   640,   251,   643,   150,   644,   479,
      -1,   641,    -1,    22,    -1,    22,   279,    -1,    22,   425,
     521,   426,    -1,    22,   279,   425,   521,   426,    -1,   642,
      -1,   641,   429,   642,    -1,   315,   520,    -1,   289,   520,
      -1,    81,   520,    -1,   939,   520,    -1,   924,    -1,   345,
     924,    -1,   316,   924,    -1,   147,    97,   395,   926,    -1,
     147,   319,   926,    -1,   152,   647,    -1,    98,   926,    -1,
     196,   926,    -1,   197,   246,   549,    -1,   310,   926,    -1,
     347,   926,    -1,    22,   346,   170,   310,   926,    -1,    22,
     317,   170,   310,   926,    -1,    22,   153,   170,   310,   926,
      -1,   645,    -1,   644,   429,   645,    -1,   937,    -1,   158,
     937,    -1,   392,   155,   254,    -1,    -1,   648,    -1,   647,
     429,   648,    -1,   933,   670,    -1,   155,   641,   355,   926,
     651,   652,    -1,   302,   641,   150,   926,   652,   479,    -1,
     302,    19,   254,   145,   641,   150,   926,   652,   479,    -1,
     392,    19,   254,    -1,    -1,   156,    47,   937,    -1,    -1,
      24,   104,   279,   654,   656,    -1,   654,   655,    -1,    -1,
     170,   310,   926,    -1,   145,   304,   926,    -1,   145,   374,
     926,    -1,   155,   640,   251,   657,   355,   644,   646,    -1,
     302,   640,   251,   657,   150,   644,   479,    -1,   302,   155,
     254,   145,   640,   251,   657,   150,   644,   479,    -1,   346,
      -1,   153,    -1,   317,    -1,    81,   659,   173,   660,   661,
     251,   925,   662,   425,   663,   426,   482,   534,   837,    -1,
     369,    -1,    -1,    71,    -1,    -1,   931,    -1,    -1,   375,
     929,    -1,    -1,   664,    -1,   663,   429,   664,    -1,   939,
     665,   666,   667,    -1,   868,   665,   666,   667,    -1,   425,
     865,   426,   665,   666,   667,    -1,   627,    -1,   375,   627,
      -1,    -1,    32,    -1,   112,    -1,    -1,   409,    -1,   410,
      -1,    -1,    81,   669,   152,   933,   672,   301,   677,   680,
     684,    -1,    81,   669,   152,   933,   672,   301,   345,   425,
     686,   426,   680,   684,    -1,    81,   669,   152,   933,   672,
     680,   684,    -1,   256,   295,    -1,    -1,   425,   671,   426,
      -1,   425,   426,    -1,   674,    -1,   671,   429,   674,    -1,
     425,   673,   426,    -1,   425,   426,    -1,   679,    -1,   673,
     429,   679,    -1,   675,   676,   678,    -1,   676,   675,   678,
      -1,   676,   678,    -1,   675,   678,    -1,   678,    -1,   170,
      -1,   258,    -1,   180,    -1,   170,   258,    -1,   382,    -1,
     940,    -1,   678,    -1,   841,    -1,   940,   628,   420,   364,
      -1,   323,   940,   628,   420,   364,    -1,   674,    -1,   674,
     104,   865,    -1,   674,   412,   865,    -1,   682,    -1,   680,
     682,    -1,    49,   251,   242,   181,    -1,   301,   242,   251,
     242,   181,    -1,   338,    -1,   168,    -1,   330,    -1,   387,
      -1,   137,   314,   108,    -1,   137,   314,   190,    -1,   314,
     108,    -1,   314,   190,    -1,    80,   548,    -1,   307,   548,
      -1,   468,    -1,    31,   683,    -1,   196,   466,    -1,   391,
      -1,   681,    -1,   936,    -1,   936,   429,   936,    -1,   392,
     600,    -1,    -1,   676,   678,    -1,   685,    -1,   686,   429,
     685,    -1,    24,   152,   648,   688,   689,    -1,   681,    -1,
     688,   681,    -1,   299,    -1,    -1,   121,   152,   933,   670,
     479,    -1,   121,   152,   165,   135,   933,   670,   479,    -1,
     121,    21,   933,   604,   479,    -1,   121,    21,   165,   135,
     933,   604,   479,    -1,   121,   253,   694,   693,   479,    -1,
     121,   253,   165,   135,   694,   693,   479,    -1,   425,   841,
     426,    -1,   425,   841,   429,   841,   426,    -1,   425,   235,
     429,   841,   426,    -1,   425,   841,   429,   235,   426,    -1,
     888,    -1,   939,   427,   694,    -1,   117,   696,    -1,   697,
      -1,   696,   697,    -1,   936,    -1,   196,   466,    -1,    81,
      53,   425,   841,    31,   841,   426,   392,   152,   648,   699,
      -1,    81,    53,   425,   841,    31,   841,   426,   393,   152,
     699,    -1,    81,    53,   425,   841,    31,   841,   426,   392,
     180,   699,    -1,    31,   169,    -1,    31,    34,    -1,    -1,
     121,    53,   701,   425,   841,    31,   841,   426,   479,    -1,
     165,   135,    -1,    -1,   290,   703,   925,   704,    -1,   290,
     344,   927,   704,    -1,   290,    98,   927,   704,    -1,   173,
      -1,   345,    -1,   146,    -1,    -1,    24,    21,   933,   604,
     293,   355,   927,    -1,    24,    78,   627,   293,   355,   927,
      -1,    24,    98,   928,   293,   355,   928,    -1,    24,   152,
     648,   293,   355,   927,    -1,    24,   158,   937,   293,   355,
     937,    -1,    24,   557,   196,   927,   293,   355,   927,    -1,
      24,   253,    61,   627,   375,   929,   293,   355,   927,    -1,
      24,   253,   140,   627,   375,   929,   293,   355,   927,    -1,
      24,   310,   927,   293,   355,   927,    -1,    24,   345,   833,
     293,   355,   927,    -1,    24,   316,   925,   293,   355,   927,
      -1,    24,   386,   925,   293,   355,   927,    -1,    24,   173,
     925,   293,   355,   927,    -1,    24,   345,   833,   293,   706,
     927,   355,   927,    -1,    24,   359,   927,   251,   925,   293,
     355,   927,    -1,    24,   304,   937,   293,   355,   937,    -1,
      24,   374,   937,   293,   355,   937,    -1,    24,   347,   927,
     293,   355,   927,    -1,    24,   347,   927,   322,   481,    -1,
      24,   347,   927,   297,   481,    -1,    24,   351,   312,   265,
     627,   293,   355,   927,    -1,    24,   351,   312,   113,   627,
     293,   355,   927,    -1,    24,   351,   312,   349,   627,   293,
     355,   927,    -1,    24,   351,   312,    72,   627,   293,   355,
     927,    -1,    24,   364,   627,   293,   355,   927,    -1,    66,
      -1,    -1,   322,    97,    -1,    -1,    24,    21,   933,   604,
     322,   310,   927,    -1,    24,   119,   627,   322,   310,   927,
      -1,    24,   152,   648,   322,   310,   927,    -1,    24,   345,
     833,   322,   310,   927,    -1,    24,   316,   925,   322,   310,
     927,    -1,    24,   386,   925,   322,   310,   927,    -1,    24,
     364,   627,   322,   310,   927,    -1,    24,    21,   933,   604,
     264,   355,   937,    -1,    24,    78,   627,   264,   355,   937,
      -1,    24,    98,   928,   264,   355,   937,    -1,    24,   119,
     627,   264,   355,   937,    -1,    24,   152,   648,   264,   355,
     937,    -1,    24,   557,   196,   927,   264,   355,   937,    -1,
      24,   197,   246,   548,   264,   355,   937,    -1,    24,   253,
     694,   693,   264,   355,   937,    -1,    24,   253,    61,   627,
     375,   929,   264,   355,   937,    -1,    24,   253,   140,   627,
     375,   929,   264,   355,   937,    -1,    24,   310,   927,   264,
     355,   937,    -1,    24,   364,   627,   264,   355,   937,    -1,
      24,   347,   927,   264,   355,   937,    -1,    24,   351,   312,
     113,   627,   264,   355,   937,    -1,    24,   351,   312,    72,
     627,   264,   355,   937,    -1,    24,   147,    97,   395,   927,
     264,   355,   937,    -1,    24,   319,   927,   264,   355,   937,
      -1,    81,   669,   308,   927,    31,   251,   715,   355,   925,
     837,   117,   716,   711,    -1,   238,    -1,   713,    -1,   425,
     712,   426,    -1,   712,   428,   714,    -1,   714,    -1,   790,
      -1,   768,    -1,   779,    -1,   773,    -1,   718,    -1,   713,
      -1,    -1,   315,    -1,   373,    -1,   109,    -1,   183,    -1,
     184,    -1,    23,    -1,    -1,   121,   308,   927,   251,   925,
     479,    -1,   121,   308,   165,   135,   927,   251,   925,   479,
      -1,   239,   939,   719,    -1,   429,   936,    -1,    -1,   207,
     939,    -1,   371,   939,    -1,   371,   418,    -1,    14,   723,
      -1,    40,   723,   726,    -1,   332,   357,   726,    -1,    69,
     723,    -1,   127,   723,    -1,   305,   723,    -1,   309,   939,
      -1,   292,   309,   939,    -1,   292,   939,    -1,   305,   723,
     355,   309,   939,    -1,   305,   723,   355,   939,    -1,   275,
     357,   936,    -1,    69,   276,   936,    -1,   305,   276,   936,
      -1,   394,    -1,   357,    -1,    -1,   193,   204,   462,    -1,
     284,   252,    -1,   284,   396,    -1,   724,    -1,   725,   429,
     724,    -1,   725,   724,    -1,   725,    -1,    -1,    81,   502,
     386,   925,   520,    31,   790,   728,    -1,    81,   256,   295,
     502,   386,   925,   520,    31,   790,   728,    -1,   392,    59,
     254,    -1,   392,    51,    59,   254,    -1,   392,   209,    59,
     254,    -1,    -1,   208,   932,    -1,    81,    98,   928,   436,
     731,    -1,   731,   732,    -1,    -1,   347,   733,   927,    -1,
     347,   733,   104,    -1,   212,   733,   936,    -1,   212,   733,
     104,    -1,   349,   733,   927,    -1,   349,   733,   104,    -1,
     125,   733,   936,    -1,   125,   733,   935,    -1,   125,   733,
     104,    -1,   199,   733,   936,    -1,   199,   733,   104,    -1,
     200,   733,   936,    -1,   200,   733,   104,    -1,    73,   206,
     733,   938,    -1,   264,   733,   927,    -1,   264,   733,   104,
      -1,   412,    -1,    -1,    24,    98,   928,   436,   736,    -1,
      24,    98,   928,   322,   347,   927,    -1,    24,    98,   928,
     468,    -1,   736,   737,    -1,    -1,    73,   206,   733,   938,
      -1,   121,    98,   928,    -1,   121,    98,   165,   135,   928,
      -1,    81,   119,   627,   741,   841,   511,    -1,    24,   119,
     627,   478,    -1,    24,   119,   627,   121,   237,   242,    -1,
      24,   119,   627,   322,   237,   242,    -1,    24,   119,   627,
      18,   518,    -1,    24,   119,   627,   121,    74,   927,   479,
      -1,    31,    -1,    -1,    24,   351,   312,   113,   627,   600,
      -1,    24,   351,   312,    72,   627,    18,   215,   145,   926,
     392,   626,    -1,    24,   351,   312,    72,   627,    24,   215,
     145,   926,   392,   626,    -1,    24,   351,   312,    72,   627,
      24,   215,   295,   627,   392,   627,    -1,    24,   351,   312,
      72,   627,    24,   215,   145,   926,   295,   627,   392,   627,
      -1,    24,   351,   312,    72,   627,   121,   215,   145,   926,
      -1,    24,   351,   312,    72,   627,   121,   215,   165,   135,
     145,   926,    -1,    81,   613,    78,   627,   145,   936,   355,
     936,   150,   627,    -1,    63,   752,   925,   746,    -1,    63,
     752,    -1,    63,   752,   931,   251,   925,    -1,   375,   931,
      -1,    -1,   376,   753,   754,   752,    -1,   376,   753,   754,
     752,   925,    -1,   376,   753,   754,   752,   750,    -1,   376,
     425,   748,   426,    -1,   376,   425,   748,   426,   925,   755,
      -1,   749,    -1,   748,   429,   749,    -1,   751,    -1,   384,
      -1,   149,    -1,   151,    -1,   751,   752,    -1,   751,   752,
     925,   755,    -1,    27,    -1,    26,    -1,   384,    -1,    -1,
     151,    -1,    -1,   149,    -1,    -1,   425,   926,   426,    -1,
      -1,   136,   757,    -1,   136,   751,   752,   757,    -1,   136,
     384,   757,    -1,   136,   425,   758,   426,   757,    -1,   790,
      -1,   768,    -1,   779,    -1,   773,    -1,   786,    -1,   536,
      -1,   765,    -1,   759,    -1,   758,   429,   759,    -1,   760,
     761,    -1,   939,    -1,   751,    -1,   384,    -1,   463,    -1,
     466,    -1,   548,    -1,    -1,   275,   927,   763,    31,   764,
      -1,   425,   896,   426,    -1,    -1,   790,    -1,   768,    -1,
     779,    -1,   773,    -1,   134,   927,   766,    -1,    81,   502,
     345,   537,    31,   134,   927,   766,    -1,   425,   893,   426,
      -1,    -1,   100,   927,    -1,   100,   275,   927,    -1,   100,
      22,    -1,   100,   275,    22,    -1,   183,   189,   925,   769,
     772,    -1,   790,    -1,   425,   770,   426,   790,    -1,   104,
     380,    -1,   771,    -1,   770,   429,   771,    -1,   939,   917,
      -1,   300,   922,    -1,    -1,   109,   150,   835,   774,   838,
     772,    -1,   375,   826,    -1,    -1,   213,   800,   834,   776,
     778,    -1,   170,   777,   220,    -1,    -1,    16,   324,    -1,
     306,   324,    -1,   306,   133,    -1,   324,   373,   133,    -1,
     324,    -1,   324,   306,   133,    -1,   133,    -1,    16,   133,
      -1,   241,    -1,    -1,   373,   835,   322,   780,   825,   838,
     772,    -1,   781,    -1,   780,   429,   781,    -1,   782,    -1,
     783,    -1,   784,   412,   919,    -1,   425,   785,   426,   412,
     921,    -1,   939,   917,    -1,   784,    -1,   785,   429,   784,
      -1,   103,   787,   788,    95,   789,   145,   790,    -1,   927,
      -1,    -1,   788,   229,   311,    -1,   788,   311,    -1,   788,
      43,    -1,   788,   182,    -1,    -1,   392,   162,    -1,   393,
     162,    -1,   792,    -1,   791,    -1,   425,   792,   426,    -1,
     425,   791,   426,    -1,   794,    -1,   793,   804,    -1,   793,
     803,   819,   808,    -1,   793,   803,   807,   820,    -1,   795,
     793,    -1,   795,   793,   804,    -1,   795,   793,   803,   819,
     808,    -1,   795,   793,   803,   807,   820,    -1,   794,    -1,
     791,    -1,   315,   802,   922,   798,   825,   837,   817,   818,
     876,    -1,   824,    -1,   345,   833,    -1,   793,   368,   801,
     793,    -1,   793,   187,   801,   793,    -1,   793,   130,   801,
     793,    -1,   392,   796,    -1,   392,   288,   796,    -1,   797,
      -1,   796,   429,   797,    -1,   927,   755,    31,   791,    -1,
     189,   799,    -1,    -1,   350,   800,   925,    -1,   348,   800,
     925,    -1,   209,   350,   800,   925,    -1,   209,   348,   800,
     925,    -1,   154,   350,   800,   925,    -1,   154,   348,   800,
     925,    -1,   345,   925,    -1,   925,    -1,   345,    -1,    -1,
      22,    -1,   116,    -1,    -1,   116,    -1,   116,   251,   425,
     893,   426,    -1,    22,    -1,    -1,   804,    -1,    -1,   257,
      47,   805,    -1,   806,    -1,   805,   429,   806,    -1,   865,
     375,   891,   667,    -1,   865,   666,   667,    -1,   809,   810,
      -1,   810,   809,    -1,   809,    -1,   810,    -1,   807,    -1,
      -1,   206,   811,    -1,   206,   811,   429,   812,    -1,   141,
     816,   813,   815,   252,    -1,   249,   812,    -1,   249,   814,
     815,    -1,   865,    -1,    22,    -1,   865,    -1,   938,    -1,
     425,   865,   426,    -1,    -1,   867,    -1,   306,    -1,   307,
      -1,   142,    -1,   228,    -1,   158,    47,   893,    -1,    -1,
     160,   865,    -1,    -1,   821,    -1,   145,   284,   252,    -1,
     819,    -1,    -1,   822,    -1,   821,   822,    -1,   145,   373,
     823,   778,    -1,   145,   324,   823,   778,    -1,   247,   924,
      -1,    -1,   380,   921,    -1,   824,   429,   921,    -1,   150,
     826,    -1,    -1,   827,    -1,   826,   429,   827,    -1,   833,
      -1,   833,   829,    -1,   836,    -1,   836,   829,    -1,   836,
      31,   425,   839,   426,    -1,   836,    31,   939,   425,   839,
     426,    -1,   836,   939,   425,   839,   426,    -1,   791,    -1,
     791,   829,    -1,   828,    -1,   425,   828,   426,   829,    -1,
     425,   828,   426,    -1,   827,    85,   194,   827,    -1,   827,
     830,   194,   827,   832,    -1,   827,   194,   827,   832,    -1,
     827,   226,   830,   194,   827,    -1,   827,   226,   194,   827,
      -1,    31,   939,   425,   926,   426,    -1,    31,   939,    -1,
     939,   425,   926,   426,    -1,   939,    -1,   151,   831,    -1,
     203,   831,    -1,   303,   831,    -1,   179,    -1,   259,    -1,
      -1,   375,   425,   926,   426,    -1,   251,   865,    -1,   925,
      -1,   925,   418,    -1,   252,   925,    -1,   252,   425,   925,
     426,    -1,   833,    -1,   834,   429,   833,    -1,   833,    -1,
     833,   939,    -1,   833,    31,   939,    -1,   868,    -1,   389,
     865,    -1,    -1,   389,   865,    -1,   389,    87,   247,   927,
      -1,    -1,   840,    -1,   839,   429,   840,    -1,   939,   841,
      -1,   843,   842,    -1,   323,   843,   842,    -1,   843,    30,
     423,   935,   424,    -1,   323,   843,    30,   423,   935,   424,
      -1,   843,    30,    -1,   323,   843,    30,    -1,   842,   423,
     424,    -1,   842,   423,   935,   424,    -1,    -1,   845,    -1,
     847,    -1,   849,    -1,   853,    -1,   860,    -1,   861,   863,
      -1,   861,   425,   935,   426,   863,    -1,   847,    -1,   850,
      -1,   854,    -1,   860,    -1,   940,   846,    -1,   940,   628,
     846,    -1,   425,   893,   426,    -1,    -1,   185,    -1,   186,
      -1,   328,    -1,    42,    -1,   285,    -1,   143,   848,    -1,
     120,   273,    -1,   102,   846,    -1,   101,   846,    -1,   245,
     846,    -1,    45,    -1,   425,   935,   426,    -1,    -1,   851,
      -1,   852,    -1,   851,    -1,   852,    -1,    44,   858,   425,
     893,   426,    -1,    44,   858,    -1,   855,    -1,   856,    -1,
     855,    -1,   856,    -1,   857,   425,   935,   426,   859,    -1,
     857,   859,    -1,    57,   858,    -1,    56,   858,    -1,   381,
      -1,   225,    57,   858,    -1,   225,    56,   858,    -1,   227,
     858,    -1,   383,    -1,    -1,    57,   322,   939,    -1,    -1,
     354,   425,   935,   426,   862,    -1,   354,   862,    -1,   353,
     425,   935,   426,   862,    -1,   353,   862,    -1,   188,    -1,
     411,   408,    -1,   393,   353,   408,    -1,    -1,   406,    -1,
     221,    -1,    99,    -1,   163,    -1,   218,    -1,   864,    -1,
     406,   355,   221,    -1,    99,   355,   163,    -1,    99,   355,
     218,    -1,    99,   355,   864,    -1,   163,   355,   218,    -1,
     163,   355,   864,    -1,   218,   355,   864,    -1,    -1,   313,
      -1,   313,   425,   935,   426,    -1,   867,    -1,   865,    11,
     841,    -1,   865,    36,   353,   408,   865,    -1,   416,   865,
      -1,   417,   865,    -1,   865,   416,   865,    -1,   865,   417,
     865,    -1,   865,   418,   865,    -1,   865,   419,   865,    -1,
     865,   420,   865,    -1,   865,   421,   865,    -1,   865,   413,
     865,    -1,   865,   414,   865,    -1,   865,   412,   865,    -1,
     865,   890,   865,    -1,   890,   865,    -1,   865,   890,    -1,
     865,    28,   865,    -1,   865,   256,   865,    -1,   237,   865,
      -1,   865,   205,   865,    -1,   865,   205,   865,   129,   865,
      -1,   865,   237,   205,   865,    -1,   865,   237,   205,   865,
     129,   865,    -1,   865,   166,   865,    -1,   865,   166,   865,
     129,   865,    -1,   865,   237,   166,   865,    -1,   865,   237,
     166,   865,   129,   865,    -1,   865,   326,   355,   865,    -1,
     865,   326,   355,   865,   129,   865,    -1,   865,   237,   326,
     355,   865,    -1,   865,   237,   326,   355,   865,   129,   865,
      -1,   865,   191,   242,    -1,   865,   192,    -1,   865,   191,
     237,   242,    -1,   865,   240,    -1,   886,   261,   886,    -1,
     865,   191,   361,    -1,   865,   191,   237,   361,    -1,   865,
     191,   139,    -1,   865,   191,   237,   139,    -1,   865,   191,
     370,    -1,   865,   191,   237,   370,    -1,   865,   191,   116,
     150,   865,    -1,   865,   191,   237,   116,   150,   865,    -1,
     865,   191,   247,   425,   896,   426,    -1,   865,   191,   237,
     247,   425,   896,   426,    -1,   865,    41,   918,   866,    28,
     866,    -1,   865,   237,    41,   918,   866,    28,   866,    -1,
     865,    41,   342,   866,    28,   866,    -1,   865,   237,    41,
     342,   866,    28,   866,    -1,   865,   170,   908,    -1,   865,
     237,   170,   908,    -1,   865,   892,   887,   791,    -1,   865,
     892,   887,   425,   865,   426,    -1,   369,   791,    -1,   865,
     191,   118,    -1,   865,   191,   237,   118,    -1,   867,    -1,
     866,    11,   841,    -1,   416,   866,    -1,   417,   866,    -1,
     866,   416,   866,    -1,   866,   417,   866,    -1,   866,   418,
     866,    -1,   866,   419,   866,    -1,   866,   420,   866,    -1,
     866,   421,   866,    -1,   866,   413,   866,    -1,   866,   414,
     866,    -1,   866,   412,   866,    -1,   866,   890,   866,    -1,
     890,   866,    -1,   866,   890,    -1,   866,   191,   116,   150,
     866,    -1,   866,   191,   237,   116,   150,   866,    -1,   866,
     191,   247,   425,   896,   426,    -1,   866,   191,   237,   247,
     425,   896,   426,    -1,   866,   191,   118,    -1,   866,   191,
     237,   118,    -1,   914,    -1,   934,    -1,    10,   917,    -1,
     425,   865,   426,   917,    -1,   909,    -1,   868,    -1,   791,
      -1,   135,   791,    -1,    30,   791,    -1,    30,   897,    -1,
     886,    -1,   933,   425,   426,   879,    -1,   933,   425,   894,
     426,   879,    -1,   933,   425,   382,   895,   426,   879,    -1,
     933,   425,   894,   429,   382,   895,   426,   879,    -1,   933,
     425,   894,   804,   426,   879,    -1,   933,   425,    22,   894,
     803,   426,   879,    -1,   933,   425,   116,   894,   803,   426,
     879,    -1,   933,   425,   418,   426,   879,    -1,    89,    -1,
      92,    -1,    92,   425,   935,   426,    -1,    93,    -1,    93,
     425,   935,   426,    -1,   210,    -1,   210,   425,   935,   426,
      -1,   211,    -1,   211,   425,   935,   426,    -1,    90,    -1,
      94,    -1,   321,    -1,   374,    -1,    88,    -1,    91,    -1,
      53,   425,   865,    31,   841,   426,    -1,   138,   425,   899,
     426,    -1,   262,   425,   901,   426,    -1,   271,   425,   903,
     426,    -1,   340,   425,   904,   426,    -1,   358,   425,   865,
      31,   841,   426,    -1,   360,   425,    46,   907,   426,    -1,
     360,   425,   201,   907,   426,    -1,   360,   425,   356,   907,
     426,    -1,   360,   425,   907,   426,    -1,   243,   425,   865,
     429,   865,   426,    -1,    64,   425,   893,   426,    -1,   157,
     425,   893,   426,    -1,   202,   425,   893,   426,    -1,   399,
     425,   893,   426,    -1,   400,   425,   223,   941,   426,    -1,
     400,   425,   223,   941,   429,   871,   426,    -1,   400,   425,
     223,   941,   429,   893,   426,    -1,   400,   425,   223,   941,
     429,   871,   429,   893,   426,    -1,   401,   425,   872,   426,
      -1,   402,   425,   874,   865,   875,   426,    -1,   403,   425,
     223,   941,   426,    -1,   403,   425,   223,   941,   429,   865,
     426,    -1,   404,   425,   865,   429,   869,   870,   426,    -1,
     405,   425,   874,   865,    31,   843,   426,    -1,   385,   865,
      -1,   385,   229,   379,    -1,   429,   331,   407,    -1,   429,
     331,   229,    -1,   429,   331,   229,   379,    -1,    -1,   398,
     425,   872,   426,    -1,   873,    -1,   872,   429,   873,    -1,
     865,    31,   941,    -1,   865,    -1,   118,    -1,    76,    -1,
     274,   390,    -1,   339,   390,    -1,    -1,   391,   877,    -1,
      -1,   878,    -1,   877,   429,   878,    -1,   939,    31,   880,
      -1,   260,   880,    -1,   260,   939,    -1,    -1,   425,   881,
     882,   803,   883,   426,    -1,   939,    -1,    -1,   267,    47,
     893,    -1,    -1,   283,   884,    -1,   307,   884,    -1,    -1,
     885,    -1,    41,   885,    28,   885,    -1,   365,   272,    -1,
     365,   144,    -1,    87,   306,    -1,   865,   272,    -1,   865,
     144,    -1,   306,   425,   893,   426,    -1,   306,   425,   426,
      -1,   425,   893,   429,   865,   426,    -1,    29,    -1,   329,
      -1,    22,    -1,     8,    -1,   889,    -1,   416,    -1,   417,
      -1,   418,    -1,   419,    -1,   420,    -1,   421,    -1,   413,
      -1,   414,    -1,   412,    -1,     8,    -1,   253,   425,   694,
     426,    -1,   888,    -1,   253,   425,   694,   426,    -1,   888,
      -1,   253,   425,   694,   426,    -1,   205,    -1,   237,   205,
      -1,   166,    -1,   237,   166,    -1,   865,    -1,   893,   429,
     865,    -1,   895,    -1,   894,   429,   895,    -1,   865,    -1,
     676,    13,   865,    -1,   841,    -1,   896,   429,   841,    -1,
     423,   893,   424,    -1,   423,   898,   424,    -1,   423,   424,
      -1,   897,    -1,   898,   429,   897,    -1,   900,   150,   865,
      -1,    -1,     3,    -1,   406,    -1,   221,    -1,    99,    -1,
     163,    -1,   218,    -1,   313,    -1,   936,    -1,   865,   902,
     905,   906,    -1,   865,   902,   905,    -1,   269,   865,    -1,
     866,   170,   866,    -1,    -1,   865,   905,   906,    -1,   865,
     906,   905,    -1,   865,   905,    -1,   865,   906,    -1,   893,
      -1,    -1,   150,   865,    -1,   145,   865,    -1,   865,   150,
     893,    -1,   150,   893,    -1,   893,    -1,   791,    -1,   425,
     893,   426,    -1,    52,   913,   910,   912,   127,    -1,   911,
      -1,   910,   911,    -1,   388,   865,   352,   865,    -1,   123,
     865,    -1,    -1,   865,    -1,    -1,   939,    -1,   939,   916,
      -1,   427,   930,    -1,   427,   418,    -1,   423,   865,   424,
      -1,   423,   865,   430,   865,   424,    -1,   915,    -1,   916,
     915,    -1,    -1,   917,   915,    -1,    35,    -1,    -1,   865,
      -1,   104,    -1,   919,    -1,   920,   429,   919,    -1,   425,
     920,   426,    -1,   923,    -1,   922,   429,   923,    -1,   865,
      31,   941,    -1,   865,     3,    -1,   865,    -1,   418,    -1,
     925,    -1,   924,   429,   925,    -1,   939,    -1,   939,   916,
      -1,   927,    -1,   926,   429,   927,    -1,   939,    -1,   939,
      -1,   939,    -1,   941,    -1,   939,    -1,   936,    -1,   940,
      -1,   939,   916,    -1,   935,    -1,     4,    -1,   936,    -1,
       6,    -1,     7,    -1,   933,   936,    -1,   933,   425,   894,
     426,   936,    -1,   844,   936,    -1,   861,   936,   863,    -1,
     861,   425,   935,   426,   936,   863,    -1,   361,    -1,   139,
      -1,   242,    -1,     9,    -1,     5,    -1,   939,    -1,   935,
      -1,   416,   935,    -1,   417,   935,    -1,     3,    -1,   942,
      -1,   943,    -1,     3,    -1,   942,    -1,   944,    -1,     3,
      -1,   942,    -1,   943,    -1,   944,    -1,   945,    -1,    14,
      -1,    15,    -1,    16,    -1,    17,    -1,    18,    -1,    19,
      -1,    20,    -1,    21,    -1,    23,    -1,    24,    -1,    25,
      -1,    33,    -1,    34,    -1,    36,    -1,    38,    -1,    39,
      -1,    40,    -1,    47,    -1,    48,    -1,    49,    -1,    50,
      -1,    51,    -1,    54,    -1,    55,    -1,    58,    -1,    60,
      -1,    61,    -1,    62,    -1,    63,    -1,    67,    -1,    68,
      -1,    69,    -1,    70,    -1,    72,    -1,    73,    -1,    75,
      -1,    76,    -1,    77,    -1,    78,    -1,    79,    -1,    80,
      -1,    82,    -1,    83,    -1,    84,    -1,    86,    -1,    87,
      -1,    95,    -1,    96,    -1,    97,    -1,    98,    -1,    99,
      -1,   100,    -1,   103,    -1,   105,    -1,   107,    -1,   108,
      -1,   109,    -1,   110,    -1,   111,    -1,   113,    -1,   114,
      -1,   115,    -1,   118,    -1,   119,    -1,   120,    -1,   121,
      -1,   122,    -1,   124,    -1,   125,    -1,   126,    -1,   128,
      -1,   129,    -1,   131,    -1,   132,    -1,   133,    -1,   134,
      -1,   136,    -1,   137,    -1,   140,    -1,   142,    -1,   144,
      -1,   146,    -1,   148,    -1,   152,    -1,   153,    -1,   154,
      -1,   156,    -1,   159,    -1,   161,    -1,   162,    -1,   163,
      -1,   164,    -1,   165,    -1,   167,    -1,   168,    -1,   169,
      -1,   171,    -1,   172,    -1,   173,    -1,   174,    -1,   175,
      -1,   176,    -1,   178,    -1,   181,    -1,   182,    -1,   183,
      -1,   184,    -1,   190,    -1,   193,    -1,   195,    -1,   196,
      -1,   197,    -1,   198,    -1,   199,    -1,   200,    -1,   204,
      -1,   207,    -1,   208,    -1,   209,    -1,   212,    -1,   213,
      -1,   214,    -1,   215,    -1,   216,    -1,   217,    -1,   218,
      -1,   219,    -1,   220,    -1,   221,    -1,   222,    -1,   223,
      -1,   224,    -1,   228,    -1,   229,    -1,   230,    -1,   231,
      -1,   232,    -1,   233,    -1,   234,    -1,   236,    -1,   238,
      -1,   239,    -1,   241,    -1,   244,    -1,   246,    -1,   247,
      -1,   250,    -1,   253,    -1,   254,    -1,   255,    -1,   263,
      -1,   264,    -1,   265,    -1,   266,    -1,   267,    -1,   268,
      -1,   270,    -1,   272,    -1,   275,    -1,   276,    -1,   274,
      -1,   278,    -1,   279,    -1,   280,    -1,   281,    -1,   282,
      -1,   283,    -1,   284,    -1,   286,    -1,   287,    -1,   288,
      -1,   290,    -1,   291,    -1,   292,    -1,   293,    -1,   294,
      -1,   295,    -1,   296,    -1,   297,    -1,   298,    -1,   299,
      -1,   301,    -1,   302,    -1,   304,    -1,   305,    -1,   307,
      -1,   308,    -1,   309,    -1,   310,    -1,   311,    -1,   312,
      -1,   313,    -1,   314,    -1,   316,    -1,   317,    -1,   318,
      -1,   319,    -1,   320,    -1,   322,    -1,   324,    -1,   325,
      -1,   327,    -1,   330,    -1,   331,    -1,   332,    -1,   333,
      -1,   334,    -1,   335,    -1,   336,    -1,   337,    -1,   338,
      -1,   339,    -1,   341,    -1,   343,    -1,   344,    -1,   346,
      -1,   347,    -1,   348,    -1,   349,    -1,   350,    -1,   351,
      -1,   357,    -1,   359,    -1,   362,    -1,   363,    -1,   364,
      -1,   365,    -1,   366,    -1,   367,    -1,   370,    -1,   371,
      -1,   372,    -1,   373,    -1,   376,    -1,   377,    -1,   378,
      -1,   379,    -1,   383,    -1,   385,    -1,   386,    -1,   387,
      -1,   390,    -1,   393,    -1,   394,    -1,   395,    -1,   396,
      -1,   397,    -1,   406,    -1,   407,    -1,   408,    -1,    41,
      -1,    42,    -1,    44,    -1,    45,    -1,    56,    -1,    57,
      -1,    64,    -1,   101,    -1,   102,    -1,   135,    -1,   138,
      -1,   143,    -1,   157,    -1,   180,    -1,   185,    -1,   186,
      -1,   188,    -1,   202,    -1,   225,    -1,   227,    -1,   235,
      -1,   243,    -1,   245,    -1,   258,    -1,   262,    -1,   271,
      -1,   273,    -1,   285,    -1,   306,    -1,   323,    -1,   328,
      -1,   340,    -1,   353,    -1,   354,    -1,   358,    -1,   360,
      -1,   380,    -1,   381,    -1,   398,    -1,   399,    -1,   400,
      -1,   401,    -1,   402,    -1,   403,    -1,   404,    -1,   405,
      -1,    37,    -1,    43,    -1,    71,    -1,    85,    -1,    91,
      -1,   149,    -1,   151,    -1,   166,    -1,   179,    -1,   191,
      -1,   192,    -1,   194,    -1,   203,    -1,   205,    -1,   226,
      -1,   240,    -1,   259,    -1,   260,    -1,   261,    -1,   303,
      -1,   326,    -1,   384,    -1,    22,    -1,    26,    -1,    27,
      -1,    28,    -1,    29,    -1,    30,    -1,    31,    -1,    32,
      -1,    35,    -1,    46,    -1,    52,    -1,    53,    -1,    59,
      -1,    65,    -1,    66,    -1,    74,    -1,    81,    -1,    88,
      -1,    89,    -1,    90,    -1,    92,    -1,    93,    -1,    94,
      -1,   104,    -1,   106,    -1,   112,    -1,   116,    -1,   117,
      -1,   123,    -1,   127,    -1,   130,    -1,   139,    -1,   141,
      -1,   145,    -1,   147,    -1,   150,    -1,   155,    -1,   158,
      -1,   160,    -1,   170,    -1,   177,    -1,   187,    -1,   189,
      -1,   201,    -1,   206,    -1,   210,    -1,   211,    -1,   237,
      -1,   242,    -1,   248,    -1,   249,    -1,   251,    -1,   252,
      -1,   256,    -1,   257,    -1,   269,    -1,   277,    -1,   289,
      -1,   300,    -1,   315,    -1,   321,    -1,   329,    -1,   342,
      -1,   345,    -1,   352,    -1,   355,    -1,   356,    -1,   361,
      -1,   368,    -1,   369,    -1,   374,    -1,   375,    -1,   382,
      -1,   388,    -1,   389,    -1,   391,    -1,   392,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   632,   632,   639,   646,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,   689,   690,
     691,   692,   693,   694,   695,   696,   697,   698,   699,   700,
     701,   702,   703,   704,   705,   706,   707,   708,   709,   710,
     711,   712,   713,   714,   715,   716,   717,   718,   719,   720,
     721,   722,   723,   724,   725,   726,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   746,   747,   748,   749,   750,
     751,   752,   753,   754,   755,   756,   757,   759,   769,   780,
     781,   790,   791,   795,   796,   800,   805,   809,   814,   819,
     823,   827,   831,   835,   839,   843,   847,   851,   856,   860,
     864,   868,   872,   877,   884,   886,   890,   894,   898,   902,
     916,   934,   945,   946,   950,   968,   980,  1001,  1008,  1027,
    1034,  1051,  1069,  1080,  1081,  1093,  1100,  1117,  1129,  1141,
    1142,  1146,  1147,  1155,  1156,  1157,  1158,  1159,  1160,  1174,
    1180,  1186,  1195,  1203,  1211,  1218,  1225,  1233,  1244,  1252,
    1260,  1268,  1276,  1287,  1295,  1303,  1310,  1320,  1321,  1328,
    1329,  1332,  1334,  1336,  1340,  1341,  1342,  1343,  1347,  1348,
    1349,  1350,  1362,  1366,  1370,  1385,  1408,  1409,  1410,  1414,
    1415,  1416,  1420,  1421,  1425,  1432,  1439,  1446,  1453,  1463,
    1464,  1469,  1475,  1481,  1487,  1493,  1503,  1513,  1514,  1518,
    1519,  1527,  1542,  1548,  1554,  1560,  1578,  1586,  1594,  1602,
    1613,  1614,  1619,  1627,  1635,  1644,  1652,  1660,  1669,  1678,
    1687,  1696,  1706,  1719,  1729,  1737,  1747,  1757,  1764,  1771,
    1779,  1787,  1795,  1803,  1811,  1818,  1825,  1833,  1840,  1847,
    1855,  1863,  1871,  1879,  1887,  1895,  1903,  1911,  1919,  1929,
    1930,  1934,  1935,  1936,  1940,  1941,  1945,  1948,  1949,  1953,
    1954,  1959,  1963,  1967,  1972,  1987,  1993,  2020,  2042,  2056,
    2057,  2066,  2067,  2068,  2071,  2072,  2077,  2078,  2082,  2086,
    2090,  2094,  2098,  2102,  2106,  2110,  2114,  2118,  2122,  2131,
    2135,  2139,  2143,  2147,  2151,  2155,  2156,  2161,  2165,  2172,
    2179,  2180,  2181,  2182,  2183,  2184,  2188,  2192,  2200,  2201,
    2212,  2226,  2250,  2251,  2252,  2253,  2254,  2255,  2256,  2260,
    2261,  2265,  2266,  2270,  2274,  2281,  2285,  2292,  2293,  2294,
    2298,  2299,  2302,  2313,  2324,  2325,  2329,  2337,  2338,  2357,
    2364,  2371,  2381,  2391,  2400,  2409,  2438,  2445,  2452,  2459,
    2478,  2488,  2489,  2490,  2494,  2495,  2496,  2497,  2498,  2499,
    2508,  2516,  2520,  2534,  2547,  2560,  2576,  2596,  2597,  2601,
    2602,  2605,  2611,  2615,  2623,  2628,  2634,  2635,  2639,  2644,
    2651,  2652,  2662,  2664,  2666,  2668,  2671,  2674,  2677,  2681,
    2682,  2683,  2684,  2685,  2688,  2689,  2694,  2695,  2696,  2697,
    2700,  2701,  2702,  2703,  2706,  2707,  2710,  2711,  2721,  2746,
    2758,  2759,  2763,  2764,  2768,  2784,  2785,  2786,  2799,  2811,
    2820,  2821,  2824,  2825,  2828,  2832,  2836,  2840,  2844,  2848,
    2852,  2856,  2860,  2864,  2868,  2872,  2878,  2879,  2883,  2884,
    2889,  2892,  2893,  2905,  2917,  2932,  2933,  2941,  2942,  2946,
    2947,  2951,  2952,  2956,  2957,  2961,  2969,  2980,  2981,  2991,
    3001,  3002,  3015,  3022,  3038,  3055,  3063,  3080,  3089,  3097,
    3108,  3109,  3113,  3117,  3125,  3129,  3133,  3140,  3144,  3149,
    3154,  3161,  3168,  3173,  3183,  3197,  3198,  3203,  3204,  3208,
    3209,  3219,  3227,  3244,  3253,  3261,  3277,  3289,  3290,  3291,
    3301,  3309,  3326,  3345,  3365,  3389,  3390,  3394,  3396,  3418,
    3420,  3422,  3424,  3426,  3431,  3436,  3446,  3447,  3451,  3452,
    3456,  3457,  3461,  3462,  3463,  3467,  3473,  3474,  3475,  3476,
    3477,  3481,  3482,  3486,  3488,  3497,  3504,  3514,  3518,  3519,
    3523,  3524,  3529,  3539,  3561,  3580,  3603,  3613,  3624,  3634,
    3644,  3655,  3691,  3698,  3707,  3716,  3725,  3736,  3739,  3740,
    3743,  3747,  3754,  3755,  3756,  3757,  3758,  3761,  3762,  3765,
    3768,  3769,  3777,  3784,  3785,  3788,  3790,  3807,  3822,  3823,
    3827,  3836,  3845,  3854,  3864,  3873,  3874,  3877,  3878,  3881,
    3895,  3900,  3910,  3919,  3931,  3932,  3936,  3944,  3956,  3965,
    3977,  3986,  4007,  4017,  4035,  4044,  4056,  4057,  4058,  4059,
    4060,  4061,  4062,  4063,  4064,  4065,  4066,  4067,  4071,  4072,
    4075,  4076,  4079,  4081,  4094,  4105,  4106,  4107,  4132,  4141,
    4150,  4159,  4168,  4177,  4186,  4196,  4205,  4214,  4223,  4232,
    4241,  4250,  4258,  4266,  4274,  4285,  4286,  4287,  4288,  4289,
    4290,  4291,  4292,  4293,  4294,  4295,  4296,  4300,  4301,  4311,
    4317,  4325,  4333,  4341,  4349,  4357,  4365,  4373,  4381,  4389,
    4397,  4405,  4413,  4421,  4429,  4437,  4445,  4455,  4456,  4459,
    4460,  4470,  4486,  4500,  4526,  4528,  4530,  4532,  4539,  4548,
    4549,  4552,  4559,  4566,  4573,  4587,  4595,  4603,  4611,  4619,
    4627,  4635,  4643,  4651,  4659,  4667,  4675,  4683,  4691,  4703,
    4704,  4707,  4717,  4731,  4732,  4736,  4737,  4742,  4758,  4771,
    4781,  4793,  4794,  4797,  4798,  4808,  4818,  4819,  4823,  4827,
    4831,  4842,  4855,  4869,  4886,  4887,  4888,  4900,  4919,  4920,
    4924,  4925,  4929,  4930,  4934,  4935,  4938,  4939,  4947,  4957,
    4967,  4979,  4980,  4981,  4984,  4985,  4986,  4989,  4990,  4991,
    5007,  5019,  5032,  5047,  5048,  5051,  5052,  5056,  5057,  5065,
    5066,  5070,  5071,  5086,  5095,  5104,  5113,  5122,  5134,  5135,
    5136,  5137,  5138,  5144,  5148,  5163,  5164,  5170,  5180,  5184,
    5189,  5199,  5200,  5207,  5211,  5215,  5219,  5223,  5227,  5231,
    5235,  5239,  5243,  5247,  5251,  5255,  5263,  5267,  5271,  5275,
    5281,  5282,  5289,  5290,  5293,  5305,  5309,  5324,  5335,  5336,
    5341,  5342,  5357,  5367,  5380,  5390,  5403,  5413,  5426,  5434,
    5436,  5438,  5443,  5445,  5458,  5467,  5468,  5472,  5476,  5488,
    5499,  5510,  5523,  5524,  5525,  5529,  5540,  5541,  5555,  5563,
    5573,  5586,  5587,  5590,  5591,  5601,  5610,  5618,  5626,  5635,
    5643,  5651,  5660,  5669,  5677,  5686,  5695,  5704,  5713,  5722,
    5731,  5739,  5747,  5755,  5764,  5773,  5781,  5789,  5797,  5805,
    5815,  5816,  5819,  5820,  5830,  5839,  5847,  5856,  5864,  5872,
    5880,  5896,  5905,  5913,  5921,  5929,  5938,  5946,  5954,  5963,
    5972,  5981,  5989,  5997,  6005,  6013,  6021,  6029,  6046,  6063,
    6064,  6065,  6070,  6076,  6085,  6086,  6087,  6088,  6089,  6093,
    6094,  6097,  6098,  6099,  6100,  6104,  6105,  6106,  6111,  6121,
    6142,  6152,  6153,  6156,  6165,  6171,  6190,  6197,  6204,  6211,
    6218,  6225,  6232,  6240,  6248,  6256,  6264,  6272,  6279,  6286,
    6295,  6296,  6297,  6301,  6304,  6307,  6314,  6316,  6318,  6323,
    6325,  6337,  6348,  6362,  6368,  6374,  6380,  6390,  6406,  6416,
    6417,  6421,  6425,  6429,  6433,  6437,  6441,  6445,  6449,  6453,
    6457,  6461,  6465,  6469,  6473,  6477,  6481,  6491,  6492,  6503,
    6510,  6521,  6532,  6533,  6537,  6551,  6558,  6575,  6587,  6596,
    6604,  6612,  6621,  6632,  6633,  6644,  6654,  6664,  6674,  6684,
    6694,  6702,  6723,  6746,  6754,  6763,  6774,  6775,  6787,  6801,
    6815,  6827,  6839,  6856,  6857,  6861,  6862,  6863,  6864,  6868,
    6880,  6895,  6896,  6900,  6901,  6904,  6905,  6908,  6909,  6913,
    6914,  6927,  6934,  6944,  6951,  6961,  6962,  6963,  6964,  6965,
    6966,  6967,  6971,  6975,  6982,  6989,  6990,  6991,  6995,  6996,
    6997,  6998,  7008,  7018,  7019,  7023,  7024,  7025,  7026,  7036,
    7044,  7061,  7062,  7072,  7078,  7084,  7090,  7106,  7115,  7121,
    7127,  7136,  7138,  7143,  7154,  7155,  7166,  7179,  7180,  7191,
    7202,  7203,  7206,  7207,  7208,  7209,  7210,  7211,  7212,  7213,
    7216,  7217,  7228,  7245,  7246,  7250,  7251,  7255,  7263,  7291,
    7302,  7303,  7313,  7324,  7327,  7328,  7329,  7330,  7331,  7334,
    7335,  7336,  7384,  7385,  7389,  7390,  7404,  7405,  7412,  7420,
    7428,  7436,  7444,  7452,  7463,  7464,  7491,  7506,  7507,  7526,
    7530,  7534,  7549,  7556,  7566,  7567,  7570,  7582,  7592,  7600,
    7605,  7610,  7615,  7620,  7625,  7630,  7635,  7642,  7643,  7646,
    7647,  7648,  7655,  7656,  7657,  7658,  7662,  7663,  7667,  7671,
    7672,  7675,  7684,  7697,  7698,  7699,  7700,  7704,  7705,  7709,
    7711,  7721,  7726,  7729,  7734,  7735,  7743,  7753,  7754,  7755,
    7763,  7767,  7768,  7771,  7772,  7777,  7778,  7782,  7783,  7787,
    7788,  7792,  7793,  7797,  7798,  7802,  7810,  7821,  7822,  7827,
    7833,  7851,  7852,  7856,  7857,  7867,  7871,  7876,  7883,  7891,
    7898,  7908,  7918,  7946,  7953,  7957,  7983,  7987,  7999,  8012,
    8026,  8037,  8052,  8058,  8063,  8069,  8076,  8077,  8078,  8079,
    8083,  8084,  8096,  8097,  8102,  8109,  8116,  8123,  8134,  8135,
    8148,  8152,  8159,  8169,  8174,  8175,  8180,  8181,  8189,  8194,
    8198,  8204,  8225,  8230,  8237,  8242,  8248,  8253,  8262,  8264,
    8267,  8271,  8272,  8273,  8274,  8275,  8276,  8281,  8311,  8312,
    8313,  8314,  8325,  8331,  8339,  8340,  8346,  8351,  8356,  8361,
    8366,  8371,  8376,  8381,  8387,  8393,  8399,  8406,  8428,  8437,
    8441,  8449,  8453,  8461,  8473,  8494,  8498,  8504,  8508,  8521,
    8540,  8563,  8565,  8567,  8569,  8571,  8573,  8578,  8579,  8583,
    8584,  8591,  8600,  8608,  8617,  8628,  8636,  8637,  8638,  8642,
    8644,  8646,  8648,  8650,  8652,  8654,  8659,  8664,  8670,  8678,
    8683,  8690,  8697,  8701,  8705,  8735,  8736,  8738,  8760,  8762,
    8764,  8766,  8768,  8770,  8772,  8774,  8776,  8778,  8780,  8783,
    8785,  8787,  8790,  8792,  8794,  8797,  8799,  8812,  8814,  8827,
    8829,  8842,  8844,  8858,  8871,  8884,  8897,  8920,  8927,  8934,
    8941,  8948,  8952,  8959,  8966,  8973,  8980,  8987,  8994,  8998,
    9006,  9010,  9020,  9027,  9034,  9047,  9060,  9079,  9100,  9110,
    9117,  9133,  9138,  9156,  9158,  9160,  9162,  9164,  9166,  9168,
    9170,  9172,  9174,  9176,  9178,  9180,  9182,  9184,  9186,  9188,
    9192,  9197,  9201,  9205,  9210,  9227,  9228,  9229,  9244,  9256,
    9258,  9260,  9270,  9280,  9290,  9298,  9316,  9329,  9342,  9355,
    9368,  9381,  9398,  9411,  9434,  9455,  9465,  9478,  9495,  9508,
    9518,  9531,  9541,  9554,  9567,  9580,  9593,  9606,  9619,  9632,
    9634,  9647,  9665,  9679,  9695,  9717,  9733,  9746,  9759,  9772,
    9776,  9783,  9791,  9799,  9803,  9807,  9811,  9815,  9819,  9823,
    9832,  9836,  9840,  9845,  9859,  9861,  9865,  9867,  9869,  9872,
    9875,  9878,  9879,  9882,  9890,  9900,  9901,  9904,  9905,  9906,
    9913,  9914,  9918,  9919,  9924,  9932,  9934,  9948,  9951,  9978,
    9979,  9982,  9983,  9994, 10012, 10019, 10028, 10045, 10090, 10098,
   10106, 10114, 10122, 10143, 10144, 10145, 10148, 10149, 10150, 10153,
   10154, 10157, 10158, 10159, 10160, 10161, 10162, 10163, 10164, 10165,
   10168, 10170, 10175, 10177, 10182, 10184, 10186, 10188, 10190, 10192,
   10204, 10208, 10215, 10219, 10225, 10229, 10240, 10241, 10244, 10248,
   10252, 10258, 10259, 10264, 10268, 10275, 10276, 10277, 10278, 10279,
   10280, 10281, 10282, 10292, 10296, 10303, 10310, 10311, 10327, 10331,
   10336, 10340, 10355, 10360, 10364, 10367, 10370, 10371, 10372, 10375,
   10382, 10392, 10406, 10407, 10411, 10422, 10423, 10426, 10427, 10430,
   10434, 10441, 10445, 10449, 10456, 10466, 10467, 10471, 10472, 10475,
   10476, 10487, 10488, 10497, 10498, 10506, 10517, 10518, 10521, 10537,
   10545, 10553, 10575, 10576, 10587, 10595, 10623, 10625, 10630, 10633,
   10636, 10638, 10640, 10642, 10652, 10654, 10665, 10669, 10673, 10677,
   10681, 10690, 10697, 10722, 10726, 10732, 10749, 10753, 10757, 10763,
   10764, 10765, 10767, 10768, 10769, 10785, 10786, 10787, 10792, 10793,
   10794, 10800, 10801, 10802, 10803, 10804, 10824, 10825, 10826, 10827,
   10828, 10829, 10830, 10831, 10832, 10833, 10834, 10835, 10836, 10837,
   10838, 10839, 10840, 10841, 10842, 10843, 10844, 10845, 10846, 10847,
   10848, 10849, 10850, 10851, 10852, 10853, 10854, 10855, 10856, 10857,
   10858, 10859, 10860, 10861, 10862, 10863, 10864, 10865, 10866, 10867,
   10868, 10869, 10870, 10871, 10872, 10873, 10874, 10875, 10876, 10877,
   10878, 10879, 10880, 10881, 10882, 10883, 10884, 10885, 10886, 10887,
   10888, 10889, 10890, 10891, 10892, 10893, 10894, 10895, 10896, 10897,
   10898, 10899, 10900, 10901, 10902, 10903, 10904, 10905, 10906, 10907,
   10908, 10909, 10910, 10911, 10912, 10913, 10914, 10915, 10916, 10917,
   10918, 10919, 10920, 10921, 10922, 10923, 10924, 10925, 10926, 10927,
   10928, 10929, 10930, 10931, 10932, 10933, 10934, 10935, 10936, 10937,
   10938, 10939, 10940, 10941, 10942, 10943, 10944, 10945, 10946, 10947,
   10948, 10949, 10950, 10951, 10952, 10953, 10954, 10955, 10956, 10957,
   10958, 10959, 10960, 10961, 10962, 10963, 10964, 10965, 10966, 10967,
   10968, 10969, 10970, 10971, 10972, 10973, 10974, 10975, 10976, 10977,
   10978, 10979, 10980, 10981, 10982, 10983, 10984, 10985, 10986, 10987,
   10988, 10989, 10990, 10991, 10992, 10993, 10994, 10995, 10996, 10997,
   10998, 10999, 11000, 11001, 11002, 11003, 11004, 11005, 11006, 11007,
   11008, 11009, 11010, 11011, 11012, 11013, 11014, 11015, 11016, 11017,
   11018, 11019, 11020, 11021, 11022, 11023, 11024, 11025, 11026, 11027,
   11028, 11029, 11030, 11031, 11032, 11033, 11034, 11035, 11036, 11037,
   11038, 11039, 11040, 11041, 11042, 11043, 11044, 11045, 11046, 11047,
   11048, 11049, 11050, 11051, 11052, 11053, 11054, 11055, 11056, 11057,
   11058, 11059, 11060, 11061, 11062, 11063, 11064, 11065, 11066, 11067,
   11068, 11069, 11070, 11071, 11072, 11073, 11087, 11088, 11089, 11090,
   11091, 11092, 11093, 11094, 11095, 11096, 11097, 11098, 11099, 11100,
   11101, 11102, 11103, 11104, 11105, 11106, 11107, 11108, 11109, 11110,
   11111, 11112, 11113, 11114, 11115, 11116, 11117, 11118, 11119, 11120,
   11121, 11122, 11123, 11124, 11125, 11126, 11127, 11128, 11129, 11130,
   11131, 11132, 11146, 11147, 11148, 11149, 11150, 11151, 11152, 11153,
   11154, 11155, 11156, 11157, 11158, 11159, 11160, 11161, 11162, 11163,
   11164, 11165, 11166, 11167, 11177, 11178, 11179, 11180, 11181, 11182,
   11183, 11184, 11185, 11186, 11187, 11188, 11189, 11190, 11191, 11192,
   11193, 11194, 11195, 11196, 11197, 11198, 11199, 11200, 11201, 11202,
   11203, 11204, 11205, 11206, 11207, 11208, 11209, 11210, 11211, 11212,
   11213, 11214, 11215, 11216, 11217, 11218, 11219, 11220, 11221, 11222,
   11223, 11224, 11225, 11226, 11227, 11228, 11229, 11230, 11231, 11232,
   11233, 11234, 11235, 11236, 11237, 11238, 11239, 11240, 11241, 11242,
   11243, 11244, 11245, 11246, 11247, 11248, 11249, 11250, 11251, 11252,
   11253
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P",
  "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BY", "CACHE",
  "CALLED", "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN",
  "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS",
  "CLOSE", "CLUSTER", "COALESCE", "COLLATE", "COLUMN", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION",
  "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P",
  "CONVERSION_P", "COPY", "COST", "CREATE", "CREATEDB", "CREATEROLE",
  "CREATEUSER", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY", "FETCH",
  "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD",
  "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING", "HEADER_P",
  "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOGIN_P", "MAPPING", "MATCH",
  "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NOCREATEDB",
  "NOCREATEROLE", "NOCREATEUSER", "NOINHERIT", "NOLOGIN_P", "NONE",
  "NOSUPERUSER", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSWORD", "PLACING", "PLANS",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE",
  "REFERENCES", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING",
  "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SOME", "STABLE", "STANDALONE_P", "START", "STATEMENT",
  "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P", "STRIP_P",
  "SUBSTRING", "SUPERUSER_P", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'", "'>'",
  "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS", "'['",
  "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept", "stmtblock",
  "stmtmulti", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean", "zone_value", "opt_encoding",
  "ColId_or_Sconst", "VariableResetStmt", "SetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "alter_using", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem", "ClosePortalStmt",
  "CopyStmt", "copy_from", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "CreateAsStmt",
  "create_as_target", "OptCreateAs", "CreateAsList", "CreateAsElement",
  "opt_with_data", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateFdwStmt", "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOpt", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintDeferrabilitySpec",
  "ConstraintTimeSpec", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "into_clause", "OptTempTableName", "opt_table",
  "opt_all", "opt_distinct", "opt_sort_clause", "sort_clause",
  "sortby_list", "sortby", "select_limit", "opt_select_limit",
  "limit_clause", "offset_clause", "select_limit_value",
  "select_offset_value", "opt_select_fetch_first_value",
  "select_offset_value2", "row_or_rows", "first_or_next", "group_clause",
  "having_clause", "for_locking_clause", "opt_for_locking_clause",
  "for_locking_items", "for_locking_item", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "join_type", "join_outer", "join_qual", "relation_expr",
  "relation_expr_list", "relation_expr_opt_alias", "func_table",
  "where_clause", "where_or_current_clause", "TableFuncElementList",
  "TableFuncElement", "Typename", "opt_array_bounds", "SimpleTypename",
  "ConstTypename", "GenericType", "opt_type_modifiers", "Numeric",
  "opt_float", "Bit", "ConstBit", "BitWithLength", "BitWithoutLength",
  "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "opt_charset",
  "ConstDatetime", "ConstInterval", "opt_timezone", "opt_interval",
  "interval_second", "a_expr", "b_expr", "c_expr", "func_expr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_whitespace_option", "window_clause", "window_definition_list",
  "window_definition", "over_clause", "window_specification",
  "opt_existing_window_name", "opt_partition_clause", "opt_frame_clause",
  "frame_extent", "frame_bound", "row", "sub_type", "all_Op", "MathOp",
  "qual_Op", "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "ColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,    61,    60,    62,   667,    43,    45,    42,    47,
      37,    94,   668,    91,    93,    40,    41,    46,    59,    44,
      58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   431,   432,   433,   433,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   434,   434,
     434,   434,   434,   434,   434,   434,   434,   434,   435,   436,
     436,   437,   437,   438,   438,   439,   439,   439,   439,   439,
     439,   439,   439,   439,   439,   439,   439,   439,   439,   439,
     439,   439,   439,   439,   440,   440,   440,   440,   440,   440,
     441,   442,   443,   443,   444,   445,   446,   447,   447,   448,
     448,   449,   450,   451,   451,   452,   452,   453,   453,   454,
     454,   455,   455,   456,   456,   456,   456,   456,   456,   457,
     457,   457,   458,   458,   458,   458,   458,   458,   458,   458,
     458,   458,   458,   458,   458,   458,   458,   459,   459,   460,
     460,   461,   461,   461,   462,   462,   462,   462,   463,   463,
     463,   463,   464,   464,   464,   464,   464,   464,   464,   465,
     465,   465,   466,   466,   467,   467,   467,   467,   467,   468,
     468,   469,   469,   469,   469,   469,   470,   471,   471,   472,
     472,   473,   474,   474,   474,   474,   475,   475,   475,   475,
     476,   476,   477,   477,   477,   477,   477,   477,   477,   477,
     477,   477,   477,   477,   477,   477,   477,   477,   477,   477,
     477,   477,   477,   477,   477,   477,   477,   477,   477,   477,
     477,   477,   477,   477,   477,   477,   477,   477,   477,   478,
     478,   479,   479,   479,   480,   480,   481,   482,   482,   483,
     483,   484,   484,   484,   484,   485,   485,   486,   486,   487,
     487,   488,   488,   488,   489,   489,   490,   490,   491,   491,
     491,   491,   491,   491,   491,   491,   491,   491,   491,   492,
     492,   493,   493,   494,   494,   495,   495,   496,   496,   497,
     498,   498,   498,   498,   498,   498,   499,   499,   500,   500,
     501,   501,   502,   502,   502,   502,   502,   502,   502,   503,
     503,   504,   504,   505,   505,   506,   506,   507,   507,   507,
     508,   508,   509,   510,   511,   511,   512,   512,   512,   513,
     513,   513,   513,   513,   513,   513,   514,   514,   514,   514,
     515,   516,   516,   516,   517,   517,   517,   517,   517,   517,
     518,   518,   519,   519,   519,   519,   519,   520,   520,   521,
     521,   522,   523,   523,   523,   523,   524,   524,   525,   525,
     526,   526,   527,   527,   527,   527,   527,   528,   529,   530,
     530,   530,   530,   530,   531,   531,   532,   532,   532,   532,
     533,   533,   533,   533,   534,   534,   535,   535,   536,   537,
     538,   538,   539,   539,   540,   541,   541,   541,   542,   543,
     544,   544,   545,   545,   546,   546,   546,   546,   546,   546,
     546,   546,   546,   546,   546,   546,   547,   547,   548,   548,
     548,   549,   549,   550,   550,   551,   551,   552,   552,   553,
     553,   554,   554,   555,   555,   556,   556,   557,   557,   558,
     559,   559,   560,   560,   561,   562,   562,   563,   563,   563,
     564,   564,   565,   565,   566,   567,   567,   568,   568,   568,
     568,   569,   570,   571,   572,   573,   573,   574,   574,   575,
     575,   576,   576,   577,   577,   577,   578,   579,   579,   579,
     580,   580,   581,   582,   582,   583,   583,   584,   584,   585,
     585,   585,   585,   585,   586,   586,   587,   587,   588,   588,
     589,   589,   590,   590,   590,   591,   591,   591,   591,   591,
     591,   592,   592,   593,   593,   593,   593,   593,   594,   594,
     595,   595,   596,   596,   597,   598,   599,   599,   599,   599,
     599,   599,   599,   599,   599,   599,   599,   600,   601,   601,
     602,   602,   603,   603,   603,   603,   603,   604,   604,   605,
     606,   606,   607,   608,   608,   609,   609,   610,   611,   611,
     612,   612,   612,   612,   612,   613,   613,   614,   614,   615,
     615,   616,   617,   617,   618,   618,   619,   619,   620,   620,
     621,   621,   622,   623,   624,   624,   625,   625,   625,   625,
     625,   625,   625,   625,   625,   625,   625,   625,   626,   626,
     627,   627,   628,   628,   629,   630,   630,   630,   631,   631,
     631,   631,   631,   631,   631,   631,   631,   631,   631,   631,
     631,   631,   631,   631,   631,   632,   632,   632,   632,   632,
     632,   632,   632,   632,   632,   632,   632,   633,   633,   634,
     634,   635,   635,   635,   635,   635,   635,   635,   635,   635,
     635,   635,   635,   635,   635,   635,   635,   636,   636,   637,
     637,   638,   639,   639,   640,   640,   640,   640,   640,   641,
     641,   642,   642,   642,   642,   643,   643,   643,   643,   643,
     643,   643,   643,   643,   643,   643,   643,   643,   643,   644,
     644,   645,   645,   646,   646,   647,   647,   648,   649,   650,
     650,   651,   651,   652,   652,   653,   654,   654,   655,   655,
     655,   656,   656,   656,   657,   657,   657,   658,   659,   659,
     660,   660,   661,   661,   662,   662,   663,   663,   664,   664,
     664,   665,   665,   665,   666,   666,   666,   667,   667,   667,
     668,   668,   668,   669,   669,   670,   670,   671,   671,   672,
     672,   673,   673,   674,   674,   674,   674,   674,   675,   675,
     675,   675,   675,   676,   677,   678,   678,   678,   679,   679,
     679,   680,   680,   681,   681,   681,   681,   681,   681,   681,
     681,   681,   681,   681,   681,   681,   682,   682,   682,   682,
     683,   683,   684,   684,   685,   686,   686,   687,   688,   688,
     689,   689,   690,   690,   691,   691,   692,   692,   693,   693,
     693,   693,   694,   694,   695,   696,   696,   697,   697,   698,
     698,   698,   699,   699,   699,   700,   701,   701,   702,   702,
     702,   703,   703,   704,   704,   705,   705,   705,   705,   705,
     705,   705,   705,   705,   705,   705,   705,   705,   705,   705,
     705,   705,   705,   705,   705,   705,   705,   705,   705,   705,
     706,   706,   707,   707,   708,   708,   708,   708,   708,   708,
     708,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   710,   711,
     711,   711,   712,   712,   713,   713,   713,   713,   713,   714,
     714,   715,   715,   715,   715,   716,   716,   716,   717,   717,
     718,   719,   719,   720,   721,   721,   722,   722,   722,   722,
     722,   722,   722,   722,   722,   722,   722,   722,   722,   722,
     723,   723,   723,   724,   724,   724,   725,   725,   725,   726,
     726,   727,   727,   728,   728,   728,   728,   729,   730,   731,
     731,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   733,   733,   734,
     734,   735,   736,   736,   737,   738,   738,   739,   740,   740,
     740,   740,   740,   741,   741,   742,   743,   743,   743,   743,
     743,   743,   744,   745,   745,   745,   746,   746,   747,   747,
     747,   747,   747,   748,   748,   749,   749,   749,   749,   750,
     750,   751,   751,   752,   752,   753,   753,   754,   754,   755,
     755,   756,   756,   756,   756,   757,   757,   757,   757,   757,
     757,   757,   758,   758,   759,   760,   760,   760,   761,   761,
     761,   761,   762,   763,   763,   764,   764,   764,   764,   765,
     765,   766,   766,   767,   767,   767,   767,   768,   769,   769,
     769,   770,   770,   771,   772,   772,   773,   774,   774,   775,
     776,   776,   777,   777,   777,   777,   777,   777,   777,   777,
     778,   778,   779,   780,   780,   781,   781,   782,   783,   784,
     785,   785,   786,   787,   788,   788,   788,   788,   788,   789,
     789,   789,   790,   790,   791,   791,   792,   792,   792,   792,
     792,   792,   792,   792,   793,   793,   794,   794,   794,   794,
     794,   794,   795,   795,   796,   796,   797,   798,   798,   799,
     799,   799,   799,   799,   799,   799,   799,   800,   800,   801,
     801,   801,   802,   802,   802,   802,   803,   803,   804,   805,
     805,   806,   806,   807,   807,   807,   807,   808,   808,   809,
     809,   809,   810,   810,   811,   811,   812,   813,   813,   813,
     814,   815,   815,   816,   816,   817,   817,   818,   818,   819,
     819,   820,   820,   821,   821,   822,   822,   823,   823,   824,
     824,   825,   825,   826,   826,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   827,   827,   828,   828,   828,   828,
     828,   828,   829,   829,   829,   829,   830,   830,   830,   830,
     831,   831,   832,   832,   833,   833,   833,   833,   834,   834,
     835,   835,   835,   836,   837,   837,   838,   838,   838,   839,
     839,   840,   841,   841,   841,   841,   841,   841,   842,   842,
     842,   843,   843,   843,   843,   843,   843,   843,   844,   844,
     844,   844,   845,   845,   846,   846,   847,   847,   847,   847,
     847,   847,   847,   847,   847,   847,   847,   848,   848,   849,
     849,   850,   850,   851,   852,   853,   853,   854,   854,   855,
     856,   857,   857,   857,   857,   857,   857,   858,   858,   859,
     859,   860,   860,   860,   860,   861,   862,   862,   862,   863,
     863,   863,   863,   863,   863,   863,   863,   863,   863,   863,
     863,   863,   863,   864,   864,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   866,   866,   866,   866,   866,   866,   866,
     866,   866,   866,   866,   866,   866,   866,   866,   866,   866,
     866,   866,   866,   866,   866,   867,   867,   867,   867,   867,
     867,   867,   867,   867,   867,   867,   868,   868,   868,   868,
     868,   868,   868,   868,   868,   868,   868,   868,   868,   868,
     868,   868,   868,   868,   868,   868,   868,   868,   868,   868,
     868,   868,   868,   868,   868,   868,   868,   868,   868,   868,
     868,   868,   868,   868,   868,   868,   868,   868,   868,   868,
     868,   868,   868,   868,   869,   869,   870,   870,   870,   870,
     871,   872,   872,   873,   873,   874,   874,   875,   875,   875,
     876,   876,   877,   877,   878,   879,   879,   879,   880,   881,
     881,   882,   882,   883,   883,   883,   884,   884,   885,   885,
     885,   885,   885,   886,   886,   886,   887,   887,   887,   888,
     888,   889,   889,   889,   889,   889,   889,   889,   889,   889,
     890,   890,   891,   891,   892,   892,   892,   892,   892,   892,
     893,   893,   894,   894,   895,   895,   896,   896,   897,   897,
     897,   898,   898,   899,   899,   900,   900,   900,   900,   900,
     900,   900,   900,   901,   901,   902,   903,   903,   904,   904,
     904,   904,   904,   904,   905,   906,   907,   907,   907,   908,
     908,   909,   910,   910,   911,   912,   912,   913,   913,   914,
     914,   915,   915,   915,   915,   916,   916,   917,   917,   918,
     918,   919,   919,   920,   920,   921,   922,   922,   923,   923,
     923,   923,   924,   924,   925,   925,   926,   926,   927,   928,
     929,   930,   931,   932,   933,   933,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   935,
     936,   937,   938,   938,   938,   939,   939,   939,   940,   940,
     940,   941,   941,   941,   941,   941,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,   942,   942,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   944,   944,   944,   944,   944,   944,
     944,   944,   944,   944,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     0,     5,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     3,     2,     1,     2,     2,     2,     3,     3,
       5,     5,     0,     3,     5,     5,     4,     3,     5,     3,
       5,     5,     6,     1,     1,     3,     5,     6,     4,     1,
       0,     2,     0,     1,     1,     1,     1,     1,     1,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     5,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     1,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     6,     1,     1,     1,     1,
       1,     0,     1,     1,     2,     3,     4,     3,     2,     2,
       1,     2,     3,     4,     3,     2,     4,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     4,     4,     4,     4,
       1,     3,     2,     3,     4,     6,     6,     6,     5,     5,
       6,     6,     4,     7,     2,     6,     4,     3,     3,     3,
       3,     3,     4,     4,     3,     3,     3,     3,     3,     3,
       4,     4,     3,     2,     3,     3,     3,     2,     2,     3,
       2,     1,     1,     0,     2,     0,     3,     2,     0,     1,
       3,     3,     1,     5,     3,     2,     2,    10,     6,     1,
       1,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       3,     3,     1,     1,     3,     3,     3,     3,     4,     1,
       0,     2,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     1,     3,     0,     1,     3,     1,     1,
      11,    10,     1,     1,     2,     2,     2,     2,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     3,     4,     2,     0,     3,     1,     1,     2,
       1,     3,     4,     4,     2,     5,     1,     2,     2,     2,
       3,     3,     3,     0,     1,     1,     1,     1,     1,     1,
       3,     1,     5,     7,     8,     9,    11,     3,     0,     1,
       3,     1,     2,     2,     2,     0,     1,     3,     3,     6,
       4,     0,     1,     1,     2,     2,     0,     3,     3,     2,
       1,     1,     2,     2,     4,     0,     2,     2,     2,     0,
       3,     4,     4,     0,     2,     0,     4,     0,     7,     5,
       3,     0,     1,     3,     1,     2,     3,     0,     5,     4,
       1,     0,     1,     2,     2,     1,     2,     3,     2,     2,
       2,     2,     3,     3,     1,     3,     1,     0,     1,     2,
       1,     1,     3,     6,    10,     1,     0,     1,     2,     2,
       0,     2,     2,     1,     0,     5,     7,     1,     0,     6,
       2,     0,     3,     5,     7,     6,     8,     7,     6,     6,
       4,     0,     1,     3,     4,     1,     3,     1,     2,     2,
       2,     2,     1,     1,    10,     2,     0,     2,     2,     1,
       0,     4,     6,     5,     4,     4,     8,     1,     1,     1,
       7,     9,     8,    15,    20,     1,     1,     1,     3,     1,
       1,     1,     3,     1,     3,     0,     1,     0,     1,     1,
       4,     0,     1,     3,     0,     1,     1,     1,     1,     1,
       1,     2,     0,     1,     2,     1,     2,     0,     2,     1,
       2,     2,     6,     8,     8,     4,     5,     4,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       1,     3,     3,     1,     0,     1,     3,    13,     1,     3,
       4,     5,     4,     7,     2,     1,     0,     2,     0,     1,
       0,     6,     8,     8,     1,     3,     5,     5,     7,     9,
       7,     9,     5,     6,     6,     4,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     5,     2,     2,     0,     6,     7,
       7,     7,     8,     8,     6,     8,     9,     9,     7,    10,
       7,     8,     8,     8,     8,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     2,     3,     3,     3,     3,     4,     4,     3,
       3,     3,     4,     4,     3,     4,     4,     1,     1,     1,
       0,     7,     7,    10,     1,     1,     2,     4,     5,     1,
       3,     2,     2,     2,     2,     1,     2,     2,     4,     3,
       2,     2,     2,     3,     2,     2,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     1,     3,     2,     6,     6,
       9,     3,     0,     3,     0,     5,     2,     0,     3,     3,
       3,     7,     7,    10,     1,     1,     1,    14,     1,     0,
       1,     0,     1,     0,     2,     0,     1,     3,     4,     4,
       6,     1,     2,     0,     1,     1,     0,     1,     1,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     3,
       2,     1,     3,     3,     3,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     4,     5,     1,     3,
       3,     1,     2,     4,     5,     1,     1,     1,     1,     3,
       3,     2,     2,     2,     2,     1,     2,     2,     1,     1,
       1,     3,     2,     0,     2,     1,     3,     5,     1,     2,
       1,     0,     5,     7,     5,     7,     5,     7,     3,     5,
       5,     5,     1,     3,     2,     1,     2,     1,     2,    11,
      10,    10,     2,     2,     0,     9,     2,     0,     4,     4,
       4,     1,     1,     1,     0,     7,     6,     6,     6,     6,
       7,     9,     9,     6,     6,     6,     6,     6,     8,     8,
       6,     6,     6,     5,     5,     8,     8,     8,     8,     6,
       1,     0,     2,     0,     7,     6,     6,     6,     6,     6,
       6,     7,     6,     6,     6,     6,     7,     7,     7,     9,
       9,     6,     6,     6,     8,     8,     8,     6,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     6,     8,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     3,     2,     1,
       0,     8,    10,     3,     4,     4,     0,     2,     5,     2,
       0,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     4,     3,     3,     1,     0,     5,
       6,     4,     2,     0,     4,     3,     5,     6,     4,     6,
       6,     5,     7,     1,     0,     6,    11,    11,    11,    13,
       9,    11,    10,     4,     2,     5,     2,     0,     4,     5,
       5,     4,     6,     1,     3,     1,     1,     1,     1,     2,
       4,     1,     1,     1,     0,     1,     0,     1,     0,     3,
       0,     2,     4,     3,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     2,     1,     1,     1,     1,     1,
       1,     0,     5,     3,     0,     1,     1,     1,     1,     3,
       8,     3,     0,     2,     3,     2,     3,     5,     1,     4,
       2,     1,     3,     2,     2,     0,     6,     2,     0,     5,
       3,     0,     2,     2,     2,     3,     1,     3,     1,     2,
       1,     0,     7,     1,     3,     1,     1,     3,     5,     2,
       1,     3,     7,     1,     0,     3,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     1,     2,     4,
       4,     4,     2,     3,     1,     3,     4,     2,     0,     3,
       3,     4,     4,     4,     4,     2,     1,     1,     0,     1,
       1,     0,     1,     5,     1,     0,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     2,     3,     1,     1,     1,     1,     3,     0,
       1,     1,     1,     1,     1,     3,     0,     2,     0,     1,
       3,     1,     0,     1,     2,     4,     4,     2,     0,     2,
       3,     2,     0,     1,     3,     1,     2,     1,     2,     5,
       6,     5,     1,     2,     1,     4,     3,     4,     5,     4,
       5,     4,     5,     2,     4,     1,     2,     2,     2,     1,
       1,     0,     4,     2,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     1,     2,     0,     2,     4,     0,     1,
       3,     2,     2,     3,     5,     6,     2,     3,     3,     4,
       0,     1,     1,     1,     1,     1,     2,     5,     1,     1,
       1,     1,     2,     3,     3,     0,     1,     1,     1,     1,
       1,     2,     2,     2,     2,     2,     1,     3,     0,     1,
       1,     1,     1,     5,     2,     1,     1,     1,     1,     5,
       2,     2,     2,     1,     3,     3,     2,     1,     0,     3,
       0,     5,     2,     5,     2,     1,     2,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     3,     3,     3,     3,
       3,     3,     0,     1,     4,     1,     3,     5,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     3,     3,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     6,     7,     3,     4,     4,     6,
       2,     3,     4,     1,     3,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     5,
       6,     6,     7,     3,     4,     1,     1,     2,     4,     1,
       1,     1,     2,     2,     2,     1,     4,     5,     6,     8,
       6,     7,     7,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     4,     6,
       5,     7,     7,     7,     2,     3,     3,     3,     4,     0,
       4,     1,     3,     3,     1,     1,     1,     2,     2,     0,
       2,     0,     1,     3,     3,     2,     2,     0,     6,     1,
       0,     3,     0,     2,     2,     0,     1,     4,     2,     2,
       2,     2,     2,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     1,     4,     1,     4,     1,     2,     1,     2,
       1,     3,     1,     3,     1,     3,     1,     3,     3,     3,
       2,     1,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     3,     2,     3,     0,     3,     3,
       2,     2,     1,     0,     2,     2,     3,     2,     1,     1,
       3,     5,     1,     2,     4,     2,     0,     1,     0,     1,
       2,     2,     2,     3,     5,     1,     2,     0,     2,     1,
       0,     1,     1,     1,     3,     3,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     5,     2,     3,     6,     1,     1,     1,     1,
       1,     1,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
     107,   982,   488,  1062,  1061,   982,   231,     0,  1064,     0,
     982,   320,   794,     0,     0,     0,     0,     0,   488,   982,
       0,     0,     0,     0,     0,     0,     0,  1188,     0,     0,
       0,     0,     0,     0,     0,     0,   982,     0,  1195,     0,
       0,     0,     0,  1188,     0,     0,  1066,     0,     0,     0,
       0,     2,     4,    49,    50,    18,    17,    23,    22,    72,
      73,    39,    12,    63,    44,   104,   103,   105,    29,    25,
      57,    16,    26,    30,    46,    31,    45,    15,    43,    67,
      47,    70,    36,    61,     9,    37,    62,    10,    51,    74,
      21,    48,    71,    32,    59,    55,    40,    41,    42,    64,
      65,    66,    88,    69,    99,    28,    78,    79,    94,    80,
      95,     7,    81,    38,    11,    91,    90,    92,    58,    33,
      60,    89,    93,    13,    14,    96,    68,    86,    83,   100,
      98,   106,    84,    52,     5,     6,    75,    35,     8,    20,
      19,    34,    27,   102,    24,  1064,    77,    87,    76,    53,
      82,    56,    85,   101,    54,    97,  1165,  1152,  1197,  1164,
       0,  1167,   981,   980,   966,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   487,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   990,
    1685,  1696,  1697,  1698,  1699,  1700,  1701,  1702,  1703,   296,
    1704,  1705,  1706,  1707,  1708,  1709,  1710,  1711,  1712,  1946,
    1947,  1948,  1949,  1713,  1714,  1715,  1716,  1717,  1718,  1719,
    1950,  1951,  1720,  1721,  1722,  1723,  1724,  1952,  1725,  1726,
    1727,  1728,  1729,  1730,  1731,  1732,  1733,  1734,  1735,  1736,
    1737,  1738,  1739,  1740,  1741,  1742,  1743,  1744,  1745,  1746,
    1747,  1953,  1954,  1748,  1749,  1750,  1751,  1752,  1753,  1754,
    1755,  1756,  1757,  1758,  1759,  1760,  1761,  1762,  1763,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,  1771,  1955,  1772,  1773,
    1956,  1774,  1775,  1957,  1776,  1777,  1778,  1779,  1780,  1781,
    1782,  1958,  1783,  1784,  1785,  1786,  1787,  1788,  1789,  1790,
    1791,  1792,  1793,  1794,  1795,  1796,  1797,  1798,  1959,  1799,
    1800,  1801,  1802,  1960,  1961,  1962,  1803,  1804,  1805,  1806,
    1807,  1808,  1809,  1810,  1963,  1811,  1812,  1813,  1814,  1815,
    1816,  1817,  1818,  1819,  1820,  1821,  1822,  1823,  1824,  1825,
    1826,  1827,  1964,  1965,  1828,  1829,  1830,  1831,  1832,  1833,
    1834,  1966,  1835,  1836,  1837,  1838,  1967,  1839,  1968,  1840,
    1841,  1842,  1843,  1844,  1845,  1969,  1970,  1846,  1847,  1848,
    1849,  1850,  1851,  1852,  1971,  1853,  1972,  1856,  1854,  1855,
    1857,  1858,  1859,  1860,  1861,  1862,  1863,  1973,  1864,  1865,
    1866,  1867,  1868,  1869,  1870,  1871,  1872,  1873,  1874,  1875,
    1876,  1877,  1878,  1879,  1880,  1974,  1881,  1882,  1883,  1884,
    1885,  1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,
    1975,  1895,  1896,  1897,  1976,  1898,  1899,  1900,  1901,  1902,
    1903,  1904,  1905,  1906,  1907,  1977,  1908,  1909,  1910,  1911,
    1912,  1913,  1914,  1915,  1916,  1978,  1979,  1917,  1980,  1918,
    1981,  1919,  1920,  1921,  1922,  1923,  1924,  1925,  1926,  1927,
    1928,  1929,  1930,  1931,  1932,  1982,  1983,  1933,  1934,  1935,
    1936,  1937,  1938,  1939,  1940,  1941,  1942,  1984,  1985,  1986,
    1987,  1988,  1989,  1990,  1991,  1943,  1944,  1945,   295,  1143,
    1658,  1686,  1687,  1063,  1044,   488,     0,   969,   319,     0,
       0,     0,     0,     0,     0,     0,   615,     0,     0,     0,
       0,     0,     0,     0,     0,   160,     0,     0,   343,   342,
       0,     0,     0,   768,     0,     0,     0,     0,   476,  1105,
    1854,  1103,  1144,     0,   232,   235,   233,   234,  1680,     0,
     864,   865,   867,     0,     0,   877,   642,     0,   641,     0,
       0,     0,   639,     0,     0,     0,     0,   643,   637,     0,
     636,     0,     0,     0,   640,     0,   638,     0,     0,   970,
    1102,   348,     0,     0,  1080,  1064,  1071,  1081,  1076,  1078,
    1077,  1079,  1075,  1679,  1697,   710,   710,   710,   710,   707,
     708,   710,   710,   710,  1868,     0,     0,   689,     0,   691,
    1682,   710,   715,   398,   398,   398,     0,   714,   719,   398,
       0,   963,   997,  1663,  1187,     0,   690,   962,  1917,  1094,
       0,     0,   881,     0,   882,     0,  1883,   974,   218,  1893,
    1978,  1917,   214,   187,  1701,     0,     0,   714,     0,   971,
     972,  1194,  1192,     0,  1718,  1731,  1814,   211,  1879,  1884,
    1893,  1978,  1917,  1942,   169,     0,   225,  1893,  1978,  1917,
     221,   990,     0,  1168,  1274,  1654,     0,   965,   964,  1280,
       0,  1065,     0,  1068,     0,  1239,  1866,  1172,  1174,  1070,
    1165,     0,     1,   107,  1059,  1191,  1191,     0,  1191,     0,
    1157,  1165,  1160,  1164,     0,  1685,  1992,  1993,  1994,  1995,
    1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,  2005,
    2006,  2007,  2008,  2009,  2010,  2011,  2012,  2013,     0,     0,
    1664,  1686,  1690,     0,   650,   110,  1659,   757,     0,     0,
       0,     0,     0,  1681,     0,     0,  1559,  1722,  1774,  1569,
    1567,  1568,  1561,  1562,  1563,  1564,  1565,  1566,     0,   862,
    1560,     0,   110,     0,     0,     0,     0,     0,     0,     0,
       0,  1818,   110,     0,     0,     0,     0,   986,   989,   967,
    1047,     0,  1654,     0,     0,   675,     0,   684,   676,   681,
       0,   678,     0,     0,   686,     0,   677,   679,   680,   685,
       0,     0,   682,   683,     0,     0,   978,   398,     0,     0,
       0,     0,     0,   110,  1034,     0,   347,   346,   110,   345,
     344,  1722,  1774,     0,   793,   110,     0,   162,   516,   491,
       0,     0,   580,  1818,   110,     0,     0,     0,     0,   771,
       0,     0,   475,   488,  1106,  1104,     0,  1118,   868,   213,
     212,   866,  1788,     0,   283,     0,     0,  1788,  1025,     0,
    1788,     0,  1788,   155,  1656,  1722,  1774,  1788,     0,     0,
    1788,   147,  1788,     0,  1788,   283,  1788,   492,     0,  1788,
       0,  1788,  1818,   149,     0,  1788,   283,   648,     0,  1099,
       0,  1073,  1982,  1087,  1086,     0,  1082,  1091,  1085,     0,
     710,   709,     0,   710,     0,   710,     0,   710,     0,   710,
       0,     0,     0,   710,  1683,  1684,   692,     0,   716,     0,
       0,   723,   722,   721,     0,     0,     0,   724,     0,  1278,
    1121,     0,   960,   977,     0,     0,     0,   884,   884,   884,
     973,   217,   215,     0,     0,     0,     0,     0,     0,   979,
       0,     0,  1667,  1669,  1670,  1570,  1637,     0,  1947,  1948,
    1949,  1628,     0,  1950,  1951,  1952,  1487,  1474,  1483,  1488,
    1475,  1477,  1484,  1953,  1954,  1760,  1955,  1956,  1677,  1957,
    1958,  1960,  1961,  1962,  1963,  1479,  1481,  1964,  1965,     0,
    1678,  1967,  1968,  1843,  1970,  1971,  1973,  1974,  1485,  1976,
    1977,  1978,  1979,  1980,  1981,  1676,     0,  1486,  1983,  1985,
    1986,  1987,  1988,  1989,  1990,  1991,     0,     0,  1651,     0,
    1461,     0,  1308,  1309,  1331,  1332,  1310,  1337,  1338,  1350,
    1311,     0,  1650,  1375,  1460,  1465,     0,  1459,  1455,  1178,
    1646,     0,  1456,  1666,  1668,  1629,   180,   227,     0,   228,
    1652,  1893,   170,   210,   182,   209,   183,   181,     0,  1720,
     171,     0,   178,     0,     0,     0,     0,   224,   222,     0,
     968,     0,  1276,  1275,     0,     0,  1635,  1655,   657,     0,
    1281,     0,  1057,  1058,  1056,     0,  1053,  1055,  1067,  1064,
    1642,  1641,  1643,     0,  1173,     0,     0,     0,  1155,  1154,
       3,  1070,  1189,  1190,     0,     0,     0,     0,     0,     0,
       0,     0,  1232,  1205,  1206,  1208,  1229,  1233,     0,  1161,
    1240,     0,     0,  1665,     0,     0,     0,   651,     0,     0,
       0,   109,  1023,   220,  1021,     0,     0,     0,     0,     0,
    1028,     0,     0,     0,     0,   826,     0,     0,     0,     0,
       0,     0,   827,   825,   828,   835,   848,   851,     0,   747,
     153,   154,     0,     0,     0,   911,     0,     0,   911,     0,
       0,     0,     0,     0,     0,     0,   237,   240,   468,     0,
       0,   470,     0,     0,     0,     0,     0,     0,     0,   114,
       0,     0,     0,     0,   455,   467,     0,     0,     0,     0,
       0,   464,     0,   110,   238,   449,   452,     0,     0,     0,
     525,   524,   911,     0,   236,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     114,   146,     0,     0,   239,     0,     0,   984,   985,     0,
     988,     0,  1043,     0,     0,     0,     0,     0,     0,  1722,
    1774,     0,     0,     0,     0,     0,     0,   322,   302,   303,
     110,   301,     0,     0,   577,     0,  1688,  1319,  1348,  1326,
    1348,  1348,  1315,  1315,  1328,  1316,  1317,  1355,     0,  1348,
    1315,  1320,     0,  1318,  1358,  1358,  1343,     0,  1300,  1301,
    1302,  1303,  1329,  1330,  1304,  1335,  1336,  1305,  1372,  1315,
    1689,     0,  1000,  1033,     0,     0,   112,   616,     0,     0,
     578,     0,   112,     0,   158,     0,   520,     0,     0,     0,
       0,     0,     0,   536,   535,     0,     0,   579,     0,   112,
     451,     0,   441,   398,     0,   770,   773,     0,     0,     0,
    1147,  1149,  1148,     0,  1146,     0,  1288,     0,   283,   281,
     282,   575,   876,     0,     0,     0,     0,   283,     0,     0,
    1788,     0,  1788,     0,     0,   283,   283,     0,     0,     0,
       0,   521,     0,   647,   645,   644,   646,     0,     0,     0,
       0,     0,  1788,   283,     0,     0,   635,  1580,     0,     0,
       0,     0,   199,   201,   200,   198,  1088,  1089,  1090,  1084,
    1072,     0,   700,     0,   704,     0,   695,     0,   701,     0,
     696,   693,   694,     0,   699,     0,     0,   399,   401,     0,
       0,  1745,     0,  1779,  1806,  1807,  1884,  1889,     0,  1912,
       0,   725,   752,   720,     0,     0,  1115,  1108,     0,     0,
    1131,   961,  1586,     0,     0,     0,   883,   880,   879,   878,
     216,   188,     0,     0,     0,   754,  1883,   976,     0,  1457,
       0,  1463,  1464,  1347,  1334,  1627,     0,     0,  1342,  1341,
       0,     0,     0,     0,  1324,  1323,  1322,  1462,  1594,     0,
    1321,     0,     0,     0,     0,  1348,  1348,  1346,  1394,     0,
    1325,     0,     0,  1607,     0,  1613,     0,     0,     0,  1354,
       0,  1352,     0,     0,  1430,     0,     0,     0,     0,     0,
       0,     0,  1378,  1379,  1461,  1580,     0,  1673,     0,     0,
    1340,     0,  1372,  1649,  1570,     0,     0,     0,     0,  1640,
    1578,     0,     0,  1408,  1576,     0,  1410,     0,     0,     0,
    1569,  1567,  1568,  1561,  1562,  1563,  1564,  1565,  1566,  1574,
    1391,     0,     0,  1390,     0,     0,  1242,     0,  1671,  1630,
     229,   230,   226,     0,     0,   185,   184,     0,   203,   207,
     208,   177,   206,     0,   202,  1526,  1525,   186,   176,   174,
     172,   189,   191,   192,   193,   175,   173,   223,     0,     0,
    1691,  2014,  2015,  2016,  2017,  2018,  2019,  2020,  2021,  2022,
    2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,
    2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,
    2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,
    2053,  2054,  2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,
    2063,  2064,  2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,
    2073,  2074,  2075,  2076,  2077,  2078,  2079,  2080,  2081,  2082,
    2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,  1632,  1631,
    1661,  1692,  1693,  1694,  1695,  1636,     0,     0,   283,  1282,
       0,  1242,  1133,  1135,  1136,     0,  1637,  1051,     0,  1048,
    1645,     0,  1175,     0,     0,  1060,  1171,  1170,  1198,  1199,
     786,  1169,  1223,  1224,  1219,     0,  1238,  1238,  1215,  1209,
    1214,  1212,     0,  1216,  1375,  1231,  1159,  1203,  1204,  1207,
    1158,     0,  1234,  1232,  1208,     0,     0,     0,     0,     0,
       0,     0,   652,     0,     0,     0,  1912,   219,  1019,     0,
       0,     0,     0,   756,   755,     0,     0,   775,     0,     0,
       0,  1031,   391,     0,   280,     0,     0,     0,     0,     0,
       0,     0,   833,     0,     0,     0,     0,   834,   831,   832,
    1884,   850,   849,   847,   808,   810,   809,     0,   812,   796,
       0,   797,     0,     0,   807,   815,   813,     0,     0,     0,
    1768,   242,   254,     0,   910,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   273,     0,     0,     0,     0,
     278,     0,     0,     0,   277,     0,   469,     0,     0,     0,
       0,     0,     0,   863,     0,     0,   141,   144,     0,     0,
     454,   466,     0,   458,   459,   456,   460,   461,     0,     0,
       0,     0,     0,     0,   453,     0,     0,   518,   517,   523,
       0,     0,     0,     0,     0,   904,   903,     0,     0,     0,
       0,     0,     0,     0,     0,   527,   528,     0,   529,     0,
     145,     0,     0,     0,     0,     0,     0,   197,   983,   987,
    1046,  1662,  1045,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   307,  1688,     0,   600,   576,     0,  1300,     0,
    1296,  1292,  1361,  1362,  1363,  1360,  1373,  1359,     0,  1306,
    1364,  1315,  1312,     0,   998,   365,   484,   151,     0,     0,
       0,   588,   591,     0,   108,   162,   348,     0,   161,   163,
     165,   166,   167,   164,   168,   515,   519,     0,   490,     0,
       0,     0,     0,     0,   540,   539,   543,   541,     0,   537,
       0,     0,     0,   140,   448,   450,     0,     0,   350,   429,
       0,     0,     0,   772,     0,     0,     0,     0,     0,     0,
       0,  1145,     0,  1252,  1117,  1243,  1254,  1245,  1247,  1283,
       0,  1654,     0,  1115,     0,   854,     0,  1026,  1788,   283,
       0,   852,   156,  1657,     0,     0,     0,     0,     0,   856,
     632,   148,     0,   283,   283,   493,     0,   283,   150,     0,
       0,     0,   485,   283,   649,  1101,     0,   441,  1074,  1083,
     697,   706,   705,   703,   702,   698,     0,   717,     0,   397,
       0,     0,     0,   731,     0,     0,   730,   745,   732,     0,
     734,   727,   726,   735,     0,     0,   754,  1110,     0,  1111,
    1637,     0,  1107,     0,  1128,     0,  1126,     0,  1279,  1130,
    1119,  1093,     0,  1092,  1096,  1098,  1097,  1095,     0,     0,
       0,   714,     0,     0,   283,   975,     0,  1638,  1590,     0,
    1591,     0,     0,     0,  1626,  1622,     0,     0,     0,     0,
       0,  1595,  1598,  1599,  1600,  1597,  1601,  1596,     0,     0,
    1602,     0,     0,     0,     0,     0,  1345,  1344,     0,     0,
       0,     0,     0,     0,     0,  1433,  1465,     0,     0,  1554,
       0,  1580,  1612,     0,     0,  1356,     0,     0,     0,     0,
       0,     0,     0,  1580,  1618,     0,     0,     0,  1524,     0,
    1521,     0,     0,     0,     0,  1637,     0,     0,     0,     0,
    1674,  1376,  1392,  1648,     0,  1639,     0,     0,  1399,     0,
    1619,  1426,     0,  1431,  1414,     0,  1407,     0,  1412,  1416,
    1395,  1640,  1579,     0,  1577,     0,     0,  1393,     0,  1388,
    1386,  1387,  1380,  1381,  1382,  1383,  1384,  1385,  1389,  1558,
    1556,  1557,     0,     0,     0,  1411,  1781,  1814,     0,  1188,
    1188,  1177,  1186,  1647,     0,  1285,     0,     0,     0,     0,
    1537,     0,  1584,     0,  1582,  1664,  1653,     0,     0,  1372,
       0,  1277,  1633,     0,   655,   656,   654,  1140,     0,     0,
    1288,     0,  1139,  1070,  1054,  1050,  1049,  1644,  1069,  1176,
       0,   784,   785,     0,   789,     0,     0,  1217,  1230,     0,
    1131,  1131,     0,  1221,  1222,  1213,  1163,  1162,   598,   597,
       0,     0,     0,   922,   886,   653,   923,   887,  1020,     0,
    1022,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   283,  1029,   924,   279,  1030,   915,
       0,     0,     0,   498,   499,     0,   829,   830,   925,   888,
       0,   916,   811,  1315,   795,     0,     0,   806,     0,   805,
    1315,  1315,   889,   152,   243,   365,   913,   259,   272,   267,
     268,   266,  1788,   283,  1788,   283,     0,     0,     0,     0,
     269,   264,   265,   261,   274,   275,   897,     0,   289,   292,
     276,   257,   260,   258,   241,     0,     0,  1660,     0,     0,
     858,     0,     0,   143,   900,     0,   123,   125,   127,     0,
     121,   129,   124,   126,   128,   122,   130,   120,     0,   119,
       0,     0,     0,   113,   931,   893,   457,   462,   895,   465,
     918,   463,  1700,  1761,  1894,     0,   505,   507,     0,   512,
     937,   894,     0,   917,   933,   902,     0,     0,     0,     0,
       0,     0,     0,  1035,     0,     0,     0,   932,   909,   920,
       0,   901,   896,   919,     0,     0,   195,   194,   196,     0,
       0,     0,     0,     0,     0,     0,     0,   688,   664,   687,
       0,     0,     0,     0,     0,     0,     0,   658,   321,   299,
     300,     0,     0,   298,   304,     0,   599,     0,     0,  1297,
    1293,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1313,     0,     0,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
     999,  1027,   483,   501,     0,     0,     0,     0,   134,   111,
       0,   621,   587,     0,     0,   398,   157,     0,     0,     0,
     489,   586,   584,   583,   585,     0,     0,     0,   604,     0,
    1289,     0,     0,     0,   447,   352,     0,     0,   349,   353,
     357,   358,   359,     0,   442,   444,     0,     0,   433,     0,
       0,     0,   800,     0,   818,   801,     0,     0,     0,   838,
     843,   839,   821,     0,   473,  1150,  1151,     0,  1165,     0,
    1254,     0,  1253,  1265,     0,     0,  1271,  1269,     0,  1271,
       0,  1271,     0,  1246,     0,  1248,  1265,     0,  1655,  1741,
    1286,  1116,   283,     0,     0,   495,   283,     0,   283,     0,
     283,   283,     0,   958,   522,     0,   572,     0,     0,   283,
     634,  1581,     0,   718,   400,     0,     0,     0,     0,   729,
       0,   471,   733,     0,   744,   739,   741,     0,   748,     0,
       0,  1113,  1114,  1129,  1122,  1124,  1123,     0,     0,  1120,
    1587,   633,     0,     0,   283,     0,   749,  1193,  1588,  1589,
       0,     0,     0,     0,  1623,     0,     0,  1500,  1476,  1478,
    1314,  1490,     0,  1327,  1501,  1502,  1480,  1482,     0,  1571,
       0,     0,  1491,  1435,  1436,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1448,  1447,
    1492,  1553,     0,     0,  1610,  1611,  1493,  1357,  1358,  1358,
       0,     0,  1617,     0,     0,     0,  1498,  1503,     0,     0,
    1508,     0,  1529,     0,     0,     0,  1458,  1581,  1349,  1350,
       0,     0,     0,     0,     0,     0,     0,     0,  1432,  1415,
    1409,     0,  1413,  1417,     0,     0,     0,     0,  1401,  1427,
    1397,     0,     0,  1403,     0,  1428,  1188,  1188,  1188,  1188,
    1185,     0,     0,  1241,     0,  1226,  1197,  1197,     0,  1537,
       0,  1466,     0,  1537,     0,     0,   179,     0,   204,   190,
       0,     0,     0,  1134,  1115,  1137,  1052,  1200,     0,  1572,
     789,   787,   788,  1202,     0,     0,  1237,  1236,  1235,  1210,
     921,   885,   914,  1018,   759,   760,     0,   758,     0,     0,
       0,   390,   774,     0,     0,     0,     0,  1032,   482,     0,
     481,   477,   497,   823,     0,  1315,   798,   803,   804,     0,
     362,     0,     0,     0,   244,     0,     0,   256,     0,   252,
     270,   262,   271,   263,   286,     0,     0,     0,   927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   928,     0,
       0,   116,   115,     0,   133,     0,   509,   510,   508,   504,
       0,   511,   513,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   926,   890,   659,     0,     0,
     660,   668,     0,     0,   661,     0,     0,     0,     0,     0,
       0,   670,   324,     0,   327,   335,   308,   312,  1034,  1034,
       0,   313,  1034,   309,  1034,   306,  1843,  1561,  1562,   595,
     602,   592,   594,   596,   593,     0,   601,   567,     0,     0,
       0,  1298,     0,  1366,  1367,  1368,  1369,  1370,  1371,     0,
    1365,  1372,     0,  1018,  1017,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   376,     0,     0,   370,     0,
       0,   843,   364,   367,   368,     0,   494,   136,     0,     0,
     137,   135,     0,   589,   590,     0,   348,     0,     0,   542,
     545,   538,     0,   603,   605,   581,     0,  1291,   501,  1102,
       0,   438,     0,   429,   383,   425,     0,   440,     0,   427,
     426,   428,     0,   435,   996,     0,   775,   799,     0,     0,
       0,   836,   840,   837,     0,     0,   814,     0,   822,   792,
     953,   954,   951,   952,     0,     0,  1142,  1256,  1263,     0,
    1244,     0,  1270,  1266,     0,  1267,     0,     0,  1268,     0,
       0,  1263,     0,     0,     0,   855,     0,   283,   853,     0,
     628,     0,   630,   857,   283,   283,   530,     0,   486,   444,
       0,     0,     0,   728,   746,     0,   742,     0,     0,   711,
     751,  1109,  1112,  1127,  1125,   754,     0,   712,   753,  1592,
    1333,     0,  1625,  1621,     0,  1593,     0,  1605,  1604,  1434,
    1606,     0,  1453,     0,     0,  1445,  1443,  1444,  1437,  1438,
    1439,  1440,  1441,  1442,  1446,  1615,  1614,  1608,  1609,  1353,
    1351,     0,  1495,  1496,  1497,  1616,  1504,     0,  1523,  1522,
       0,     0,     0,  1510,     0,     0,  1519,     0,  1555,  1339,
    1372,  1377,     0,     0,  1400,  1620,  1418,     0,     0,     0,
    1396,     0,     0,     0,     0,  1405,  1571,     0,     0,     0,
       0,     0,     0,  1180,  1179,  1284,     0,  1228,     0,     0,
    1196,     0,  1537,  1473,  1540,  1535,  1536,  1585,  1467,  1672,
       0,  1583,  1537,     0,  1634,     0,  1141,  1132,     0,  1201,
    1218,  1211,     0,   765,   766,   764,     0,     0,     0,   567,
       0,     0,   406,     0,   783,   783,     0,     0,   843,   936,
     478,   824,     0,   816,     0,   249,   912,     0,     0,     0,
     248,     0,   283,   283,   290,   291,   294,     0,     0,     0,
       0,     0,   622,   608,     0,     0,   623,   624,     0,     0,
     860,   861,   859,   131,   117,   118,   132,   506,   898,     0,
       0,     0,     0,     0,   935,   908,   934,   906,   905,   907,
     899,   532,     0,   662,     0,     0,   663,   674,   672,   671,
     673,   665,   325,   110,     0,   305,     0,   333,     0,   330,
     331,   329,   332,     0,     0,     0,     0,     0,     0,   569,
       0,     0,   574,   563,   565,     0,     0,     0,  1294,  1299,
    1374,  1307,   562,     0,  1009,  1008,  1007,  1011,  1010,  1013,
    1012,  1004,  1003,  1016,  1015,  1002,  1001,  1006,  1005,     0,
       0,   374,   378,   379,   377,   369,   843,   398,   437,     0,
     139,   138,     0,     0,     0,     0,   547,   551,   582,     0,
    1290,   526,  1100,   445,     0,     0,   355,   360,   361,     0,
     433,   380,     0,   429,   354,   443,     0,     0,   439,     0,
     991,     0,     0,   802,   819,   820,     0,     0,   843,   842,
       0,   480,  1255,     0,     0,  1257,     0,     0,  1259,  1261,
       0,     0,     0,     0,     0,  1658,  1537,  1287,   283,   496,
     283,   283,   959,   573,     0,   738,   737,   736,   472,     0,
     740,   283,     0,  1624,  1489,  1499,  1603,     0,     0,  1454,
       0,     0,  1494,  1984,     0,     0,  1527,  1528,  1509,     0,
    1829,  1514,     0,     0,     0,  1675,  1424,  1422,  1419,     0,
    1420,     0,     0,  1402,  1398,     0,  1404,  1429,  1184,  1183,
    1182,  1181,     0,     0,  1531,  1537,  1537,  1468,  1542,  1539,
       0,  1470,  1372,  1138,     0,  1024,     0,     0,     0,   392,
       0,   843,     0,     0,     0,   781,   786,   786,     0,   843,
     437,   817,   245,   246,   247,   250,   285,   255,   251,     0,
     929,   891,     0,     0,   614,     0,     0,     0,     0,   930,
     892,     0,     0,     0,  1040,     0,     0,   666,   667,   307,
       0,   328,   338,   339,     0,   336,   310,   315,     0,   317,
     316,   311,   314,   571,   570,   568,   564,   566,  1295,     0,
     874,   874,     0,   567,  1014,     0,     0,   366,   437,   405,
       0,   371,     0,   502,     0,   996,   350,   501,   546,     0,
       0,     0,   606,   446,   351,     0,     0,   435,     0,     0,
       0,   433,     0,   430,     0,   434,     0,     0,     0,     0,
       0,   841,     0,   845,     0,   813,   790,  1285,     0,   484,
       0,  1264,  1273,     0,  1260,  1258,  1249,     0,  1251,   875,
     629,   631,   531,   743,   750,   283,  1449,     0,     0,     0,
       0,  1505,     0,  1506,  1511,  1515,     0,  1512,  1513,  1421,
    1425,  1423,  1406,  1225,  1227,     0,  1166,  1471,  1472,     0,
    1197,  1537,   205,  1573,   744,     0,   283,   783,   437,   407,
    1843,   408,   782,   789,   789,     0,   437,   567,     0,   253,
     293,     0,     0,   620,   609,     0,     0,   625,     0,     0,
       0,     0,     0,   669,   297,   323,   334,     0,   318,   874,
       0,   871,   870,   561,     0,   373,   372,     0,   416,     0,
     500,     0,   618,   992,   514,   548,   549,   544,     0,     0,
     356,   365,   341,   389,   388,   385,   384,   386,   387,   382,
     381,     0,   435,   431,   432,     0,   993,     0,  1042,     0,
     776,   844,     0,     0,     0,   479,   474,  1262,     0,  1250,
     713,  1450,     0,  1451,     0,     0,  1517,  1516,  1530,  1532,
       0,     0,  1545,  1469,   761,     0,   762,   786,   411,     0,
     779,   778,   398,   567,   393,   284,     0,   612,   619,   610,
     620,     0,     0,  1036,     0,  1037,  1038,  1041,   337,   869,
     873,   872,     0,   402,   403,   404,     0,   375,   412,   413,
       0,   503,     0,     0,     0,     0,   363,   424,   340,   994,
     995,   288,     0,   843,   846,   957,  1272,  1452,  1520,  1507,
    1518,     0,     0,  1541,     0,     0,     0,     0,   789,     0,
     567,     0,   405,   394,     0,   611,   627,   626,     0,     0,
       0,     0,     0,   414,     0,   415,   436,   617,     0,   550,
       0,     0,   435,   777,   791,   956,   955,     0,  1533,  1534,
    1946,  1741,  1922,     0,  1543,  1546,  1544,  1538,   283,   780,
       0,   395,   409,   416,     0,  1039,   551,   421,     0,   420,
       0,   418,   417,   607,   554,   287,  1285,   939,   950,   938,
     940,   948,   945,   947,   946,   944,     0,  1550,  1549,  1548,
    1552,  1551,   763,     0,   567,   613,     0,   419,   423,   422,
     556,   558,   559,     0,   552,   555,   557,   560,   767,     0,
     949,   943,  1165,  1152,     0,   410,   396,     0,   533,     0,
     941,   950,  1547,     0,   553,   942,     0,   554,     0,   534
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    50,    51,    52,    53,  1122,  1917,  1816,  2478,  2479,
      54,    55,  1180,    56,    57,    58,    59,    60,    61,    62,
    1153,    63,    64,   816,  1304,  1928,    65,  1727,   655,  1570,
    1571,  1868,  1572,  1561,  1044,  1573,  1123,  1145,    67,    68,
    1038,  1552,    69,    70,    71,  1166,  1167,  1130,  1341,  3579,
    1804,  3752,  2337,  2338,    72,    73,  2441,  1250,  2443,  2444,
    2875,   499,  1891,  3223,  3224,  2863,  2864,  3231,  3454,  3455,
      74,  1301,  2507,  2953,  2508,  3295,  2509,  3296,  2510,  3297,
    2471,  2922,  2923,  2924,  2511,  3301,  3629,  2512,  1742,   911,
    1406,  1407,  3608,  3151,  3152,  3730,  3697,  3698,  3699,  3781,
    3303,  2518,  2963,  3308,  3481,   574,  1321,  1959,  2513,  2514,
    2951,    76,    77,  1954,  1195,  1196,  1822,  2879,  2592,    78,
     833,  2780,  3519,  2472,  2473,    79,   188,    80,  1308,    81,
      82,    83,    84,  2926,  3482,  1200,  2385,  2386,  2387,  2388,
    2831,    85,  1306,  1201,  1937,    86,    87,    88,  1857,    89,
      90,    91,  1315,  1948,  1949,  3287,  3489,  3617,  3491,  3813,
    3814,  3473,  3242,  3243,  3244,    92,    93,    94,    95,  1300,
    1920,  1921,  2880,  1112,  1254,  1894,  1895,  2942,  2943,    96,
    3182,  3183,   526,  3703,  3679,    97,    98,  3186,  3187,    99,
     100,   101,   102,   103,   568,   876,   877,  2311,   104,  1668,
     105,   795,  2428,   106,   597,   891,   892,   107,   108,   606,
    2071,   608,  1420,  2594,  2595,  3029,  2036,   730,   109,   110,
    2046,  2074,   111,  1125,  1733,  1734,  3146,   112,   527,  1326,
    1962,  2280,  3639,  3153,  3416,  2244,  2753,   113,   528,  1149,
    1770,  1965,  2523,  2524,  1772,  2211,  2975,  1774,  2525,  2530,
    2531,  2532,  2971,  2979,  3513,  3514,   114,  1147,  1763,   115,
     116,   117,  1175,   748,   118,   540,   541,   119,  3601,   120,
     846,   121,   625,  1437,   122,  1785,  2795,   123,   124,   125,
    3789,  3819,  3820,  3821,  2984,  3757,   126,  3791,   922,   128,
     129,   130,   164,   767,   768,   769,   131,  3310,   132,   133,
    1914,  2470,  2905,   134,   135,  1728,  2270,   136,   137,   138,
    1294,   139,   140,   141,   142,  1232,   143,  1075,  1076,   144,
     145,   494,   673,  1079,  1087,   146,   576,   885,   886,   887,
    1389,   147,   925,  2063,   577,   879,   149,   578,  1426,  2048,
    2049,  2052,   579,  1336,   152,  1430,  2057,  2060,   580,  1671,
    1672,  1673,  1674,  1675,  2228,   581,   599,   836,  1970,   582,
    1010,   157,   158,   159,   160,   677,   678,  1546,  2201,   615,
    1094,   643,   689,  3120,  1688,  1689,  1709,  1710,  1103,  1104,
    1699,  1701,  2246,  1702,  2255,  1694,  3117,  3394,  1705,  1706,
    1106,  1107,  2250,   161,  2205,  1974,  1975,  1976,  2542,  2552,
    2993,  3328,  1977,   920,   670,  1978,  2725,  1983,  2499,  2500,
    1775,  1901,  1278,  1011,  1279,  1912,  1012,  1470,  1281,  1013,
    1014,  1015,  1284,  1016,  1017,  1018,  1019,  1454,  1510,  1020,
    1021,  1489,  1909,  1910,  1377,  2114,  1023,  1024,  3086,  3373,
    3364,  2139,  2140,  1567,  3082,  3556,  3658,  3659,  3128,  3125,
    3398,  3560,  3726,  3764,  3765,  1025,  2192,  1539,   750,  1026,
    2882,  1541,  2134,  2213,  2214,  1716,  1452,  2081,  2098,  2099,
    2111,  2641,  2118,  2123,  2664,  2665,  2135,  2161,  1027,  2084,
    2085,  2625,  1456,  1028,  1066,  1067,  1449,  2157,  1082,  1083,
     675,  1029,  1030,  1421,   664,  3324,   854,   725,  2346,  1659,
     771,   612,  1031,  1032,  1033,  1034,  2596,  1171,   490,   720,
    2389,   491,   492,   722,  1664
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3284
static const int yypact[] =
{
   10636,   -57,  8199, -3284, -3284,   -57, -3284, 41633,   -48,   115,
     474,   135,  9392, 42039, 48941,   548,   459,   282,  7115,   -57,
   48941,  2407, 32701, 37979,   580, 48941,   798,   493, 32701, 48941,
   49347,   652,   792, 49753, 42445, 35949,   782, 48941,   778, 50159,
   42851,   686, 43257,   493, 29879, 43257,    91,   625, 50565,  1017,
    1165,   747, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284,   -48, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284,   194, -3284,   935,   276,
    1069,   872, -3284, -3284, -3284, 33919, 48941, 48941,  1052, 48941,
    1271, 33919, 48941, 48941,  1241, 26970, -3284, 48941, 48941, 48941,
   48941, 43257, 48941,  1228, 48941, 48941, 50971, 48941,  1359,   559,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, 48941,  3613,   798, -3284, -3284, 48941,
    1141, 33919, 48941,  1147,  1240, 48941, -3284, 48941,  1490,  1489,
   48941,  1495, 27389,  1321, 48941, 48941, 48941, 48941, -3284, -3284,
    1294, 48941, 48941, -3284, 51377,   971,  1545,  1462,   112, -3284,
   43663, -3284, -3284, 43257, -3284, -3284, -3284, -3284, -3284, 44069,
     282, -3284, -3284, 34325, 48941,  1485, -3284, 51783, -3284,  1557,
   34731, 52189, -3284, 27808,  1641, 52595, 53001, -3284, -3284, 53407,
   -3284, 53813,  1327, 54219, -3284, 54625, -3284,  1465, 55031, -3284,
    1244,   895,  1885, 24079, -3284,   -48, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284,   294,  1297,   147,   155,   161, -3284,
   -3284,   188,   198,   200,   294,  1703,  1703, -3284, 48941, -3284,
   -3284,  1297,     5,  1295,  1295,  1295,  1476,   -27, -3284,  1295,
   48941, -3284, -3284, -3284, -3284, 43257, -3284,  1328,   798,  1336,
    1726, 48941, -3284, 48941, -3284, 48941, 48941, -3284, -3284,  1740,
    1394,  1600,  1358, -3284,  1568,  1574,  1625,    47,   798,  1496,
   -3284, -3284,  1633, 15685,   798, 44475, 55437,   141, 44069,   798,
   44881,  1521,   559,  1644, -3284,   706, -3284,  1879,  1541,  1762,
    1358,   559, 24903, -3284,  1551,  1129, 43257, -3284, -3284, 55843,
    1648, -3284,   736,  1826, 16108, -3284, 48941,  1552, -3284,  1566,
    1579,  1591, -3284, 10636, 48941,   832,   832,  1984,   832,  1101,
    1204, -3284,  1617, -3284,   625,   182, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,  1627,  1129,
   -3284,   196, -3284,    69,  1623,  1299, -3284, -3284,   178,  1661,
    3553,  1660,   255, -3284,  2974,   292, -3284, 48941, 48941, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,  1664, -3284,
   -3284,  1678,   587,   905,  4115,   647,  3011,  1293,   120,  1807,
    1158,  1934,   837,  3304, 48941,  1893,    18, -3284,   571, -3284,
    1739,  1864,   544, 33919,  1692, -3284, 48941, -3284, -3284, -3284,
   33919, -3284,  1872, 28227, -3284, 48941, -3284, -3284, -3284, -3284,
    1809, 48941, -3284, -3284,  1924, 48941, -3284,  1295,   388,  1698,
    2067, 61483, 48941,  1748,  2110,  1749, -3284, -3284,  1748, -3284,
   -3284, 48941, 48941,  1723,  1184,  1748,  2112,  2114,  1788,  1889,
     153,  1220,   140,  2009,  1748, 48941, 48941, 48941, 48941,  2084,
   33919, 48941, -3284,  1876, -3284, -3284,   768,  1782, -3284, -3284,
   -3284, -3284,  2023,  1627,   190,  2025,  1736,  2027, -3284,  1768,
    2030,  1660,  2031,  1738, -3284, 56249, 56655,  2033,  1664, 48941,
    2034,  1738,  2035,  1921,  2040,   190,  2043, -3284,   156,  2044,
    1930,  2048,  1311,  1738, 45287,  2049,   125, -3284, 17800, -3284,
    1841, -3284,   625, -3284, -3284,  1019, -3284, 32295, -3284,  1885,
    1297, -3284, 48941,  1297, 48941,  1297, 48941,  1297, 48941,  1297,
   48941, 48941, 48941,  1297, -3284, -3284, -3284, 48941,  1766, 48941,
   48941, -3284, -3284, -3284, 38385, 48941, 38791, -3284,   628, -3284,
     233,   798, -3284, -3284, 61483,  2163, 48941,  2050,  2050,  2050,
   -3284, -3284, -3284,  1995, 48941,  2057,  2058, 38385, 48941, -3284,
   57061,  1780, -3284, -3284, -3284, -3284, -3284,  1274,  2203,   236,
    2204, 17800,  1787,   163,   163,  1791, -3284, -3284, -3284,   206,
    1793,  1810, -3284,   208,   208,  1959,  1812,  1813, -3284,   211,
    1816,  2228,  2239,   216,  1821,  1822,  1824,  1167,   163, 17800,
   -3284,  1827,   208,  1829,  1834,  1835,  2256,  1837, -3284,  2259,
    1842,   146,   234,  1843,  1844, -3284,  1812, -3284,   199,  1845,
    1846,  1847,  1848,  1849,  1851,  1853, 17800, 17800, -3284, 14839,
   -3284,   798, -3284, -3284, -3284, -3284, -3284, -3284, -3284,   102,
   -3284,   219,  3981, -3284, -3284,  2005, 17800, -3284, -3284,    33,
   -3284,   221, -3284, -3284, -3284,  1129, -3284, -3284,  1039,  1852,
   -3284,   835, -3284, -3284, -3284, -3284, -3284, -3284, 39603,  2251,
   -3284,   309,   571,  1059,  2199, 31483, 31889, -3284, -3284,  2090,
   -3284, 48941, -3284, -3284, 17800, 29473, -3284,  1129,   113, 48941,
   -3284, 25315, -3284, -3284, -3284,  1179, -3284, -3284, -3284,   -48,
   -3284, 10181, -3284,  1252,  1552, 48941, 48941,  2264, -3284, -3284,
   -3284,  1566, -3284, -3284,  1069,  1069, 17800,  1069,   144,   816,
   16531, 17800,  2151,  2051,   849,   831,  2152, -3284,  1101,  1204,
   -3284, 30691,  1175,  1129,  1943,  1946, 33107,  1875,  1949,  1951,
   57467, -3284, -3284, -3284, -3284,  1144,   879,   230,  1952,   128,
   -3284, 48941,  2060,   292,  1994, -3284,  1954,  1957,  2071,   292,
     207, 57873, -3284, -3284, -3284, -3284, -3284,  2341, 13626, -3284,
   -3284, -3284,  1960,  1944, 35137,  2253,  2069,   862,  1464,   160,
   48941,  2146,  1967,  1968,  1899,  1211,  1900, -3284, -3284,   350,
    2064, -3284,  1955,  1961, 60287,  2070, 28646,  2237,  1982, -3284,
    1132,  1987,  1988,   292, -3284,  2292,   292,   292,  1298,  2297,
    1990,   298,  1254,  1748,  1900,  1887, -3284,  1922,  1997,   267,
   -3284,  2105,   171,  1273,  1900,  2007,  2008,  1899,  1899, 48941,
   48941, 48941, 48941, 48941,  2010,  2013,  2059, 40009,  2015, 55437,
   -3284, -3284,  2016,  1281,  1900,  1140,  1064, -3284, -3284,   559,
   -3284, 48941, -3284, 48941,  1627, 61483,  2125,  1660,   292, 48941,
   48941,  1664,   967,   721,  2126, 48941,  2187,  1989, -3284, -3284,
    1748, -3284, 31087,  1723, -3284,  1958, -3284, -3284,  1999, -3284,
    1999,  1999,  1962,  1962,  1966, -3284, -3284, -3284,  1167,  1999,
    1962, -3284, 62273, -3284,  1077,  1088, -3284,  2349,  2355, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,   723,  1432,
   -3284,  2366, -3284, -3284, 61483, 48941, -3284,  2288,  2021, 33107,
   -3284,  2011, -3284, 48941,   829,   798,  2014, 48941,  2186, 48941,
   48941, 48941, 48941, -3284, -3284,   618,    49, -3284, 40009, -3284,
    1887,  2369,    10,  1295,  2257, -3284, 48941,  1978,  2373,  2209,
   -3284,  1284, -3284,  2095, -3284, 22431,  2018, 33919,   190, -3284,
   -3284, -3284, -3284, 61483, 48941, 58279, 33919,   190, 48941, 48941,
    2273,  2041,  2274,  2047, 28646,   190,   205, 48941, 48941, 48941,
   48941, -3284, 48941, -3284, -3284, -3284, -3284, 48941, 48941, 48941,
   40009,  2280,  2283,   190, 48941, 48941, -3284, 10181,  1287, 48941,
    1885, 39197, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, 48941, -3284, 48941, -3284, 48941, -3284, 48941, -3284, 48941,
   -3284, -3284, -3284, 48941, -3284, 48941,  1296, -3284, -3284,  1306,
     603, 48941,   243, 33919, 48941,  2173, 48941, 48941, 48941, 48941,
    2068,  1852,   827, -3284,  2045, 24491,  2124, -3284,   228, 43257,
    2185, -3284, -3284,  1315,   683,   807, -3284, -3284, -3284, -3284,
   -3284, -3284, 38791, 37979,  2278,   266, 48941, -3284, 17800,  1129,
   15262, -3284, -3284, -3284,  2004, 10181,  2042, 17800, -3284, -3284,
   17800,  1703,  1703, 17800, -3284, -3284, -3284, -3284,  1261,  1703,
   -3284, 17800, 17800,  1703,  1703,  1999,  1999, -3284,  1871, 17800,
   -3284, 28646, 17800, 20338, 12798, 17800,  2078,  2029,  1703, -3284,
    1703, -3284, 17800, 14416, -3284, 17800,  2217, 17800,  1059,  2218,
   17800,  1059,  2431,  2431,  1214,  3954,  2017, -3284,  2122,  1703,
   -3284,  1703,   875, -3284,   232, 61483, 17800, 33107,  2092,   203,
   17800,  2028,  1263, -3284, 17800,   169, -3284,  2038, 17800,  2093,
   17800, 17800, 17800, 17800, 17800, 17800, 17800, 17800, 17800, -3284,
   21184,   362,   698,   319, 45693, 15685,  2300, 12374, -3284,   168,
   -3284, -3284, -3284, 48941,  2251, -3284, -3284,  2097, -3284, -3284,
   -3284, -3284, -3284,   225, -3284, -3284, -3284, -3284, -3284, -3284,
    2026, -3284, -3284, -3284, -3284, -3284,  2026, -3284,  2055,  3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284,  2295,  2296,   190, -3284,
   48941,    79, -3284, -3284, -3284,  2054, -3284, 48941,   736, 40415,
   -3284, 16108, -3284,  1324,  1812, -3284,  2269, -3284,  2056, -3284,
    7201,  2269, -3284, -3284,   241,  2215,  2223,  2223, -3284,  2061,
   10181, -3284,  1338, 10181,  1430, -3284, -3284, -3284, -3284, -3284,
   -3284,    17, -3284,  2151,   831,  2065,  1330,  2128,  2129,  2167,
   48941, 48941, -3284, 33107, 48941, 48941, 48941, -3284,  2413,   773,
   37979,  2182, 36355, -3284, -3284,  2072, 48941,  2119,  2308,  2309,
    2080, -3284, -3284, 48941, -3284,  2266, 48941, 17800,  2270, 48941,
    1231,  2271, -3284,   923, 48941, 48941,  2255, -3284, -3284, -3284,
   44069, -3284, -3284, -3284,  2263, -3284, -3284, 62273, -3284, -3284,
    1349, -3284, 61878, 58685, -3284, -3284,   424, 48941, 48941, 48941,
     602, -3284, -3284, 61483, -3284, 48941, 48941, 48941, 40821, 59080,
   59486,   885,   968, 48941, 41227, -3284, 48941, 48941, 48941, 33107,
   -3284, 48941,  2261,   197, -3284,  3956, -3284,  2160, 48941, 48941,
    2094,  1357,  2172, -3284, 48941, 48941,  3172, -3284, 48941, 48941,
   -3284, -3284,   292, -3284, -3284, -3284, -3284, -3284, 48941, 48941,
     292, 48941,   292,   799, -3284, 33513, 48941, -3284, -3284, -3284,
   48941, 48941, 48941, 48941, 48941, -3284, -3284,   989,    58,  2229,
    2232,  2235, 48941, 48941, 48941, -3284, -3284,  2210, -3284, 48941,
    3172, 48941, 48941,  2178,  2179,   119,  2252, -3284, -3284, -3284,
   -3284, -3284, -3284,  2348,  2511, 48941,  2352,  2354,  2171,  2174,
    2367,   461, 48941, 48941, 48941, 48941, 48941, 48941,  2370,   461,
    2307,    85,  2137,  2148,  1371, -3284, -3284, 17800,  2533, 61483,
    2141,  2143,  2212,  2213,  2214, -3284,  2147,  2216,  1703, -3284,
   -3284,  1436, -3284,   618,   640, -3284,    20,  7501,  2430, 48941,
    1377, -3284,  2164, 48941,  7501, -3284,   978, 37979, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284,  2432, -3284,   798,
    1723,  1723,  1723,  1723, -3284, -3284, -3284,  2330,  1285, -3284,
    2153, 48941,  2262,  7501, -3284,  1887,    65, 48941, 35543,  1356,
    2551,   798,  2332, -3284, 14021,  1504,  2333, 44069,  2423,  2424,
    2442, -3284, 22019, 46099,  2159,  1492, -3284, 46099, 46505, -3284,
    2169,  1129, 18223,  2124,  1627, -3284,  2558, -3284,  2457,   190,
    1660, -3284,  1738, -3284, 48941, 48941, 48941, 48941,  1664, -3284,
   -3284,  1738,  2344,   190,   190, -3284,  2345,   190,  1738,  2279,
    2459, 44069, -3284,   125, -3284, -3284, 17800,  2189, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284,  1404, -3284, 48941, -3284,
    2441,  2445,  2450,  1738,  2226, 48941,  2194, -3284,  1738,   292,
    1738,  1852,  1852,  1738, 46911,  2605,  2469, -3284,  1406, -3284,
   -3284, 15685, -3284,   589, -3284,   677,   847,  2406, -3284, -3284,
   -3284, -3284, 61483, -3284, -3284, -3284, -3284, -3284, 48941,   231,
    2376,  2200, 46911,  2581,   190, -3284,  1415, -3284, -3284,  1171,
   -3284,  1188, 17800, 17800,   104, -3284,  9238,  1421,  2205,  2207,
    1426, -3284, -3284, -3284, -3284, -3284, -3284, -3284,  2208,  2480,
   -3284,  2211,  1427,  1449,  2220,  2221, -3284, -3284,  1937,  2224,
    8413,  2227, 20338, 20338,  1130, -3284, -3284, 20338,  2230, -3284,
    1474,  7238,  2225,  2233,  2231, -3284,  2234,  2236,  9269, 16954,
   17800, 16954, 16954,  9690,  2225,  2242,  1482, 33107,  9638,  1497,
   -3284, 17800, 33107,  3854, 17800, -3284, 17800, 48941,  2243,  2244,
   -3284, -3284,  1871, -3284,  2250, -3284, 20338, 20338,  2753, 14839,
   -3284, -3284,  2493, -3284, -3284,  1385, -3284,  2240, -3284, -3284,
    4512,   213, 17800,  2028, 17800,  2306, 28646,  7503, 17800,  4423,
    3423,  3423,   360,   360,   235,   235,   235,  1487,   319, -3284,
   -3284, -3284,  2247,  1837, 17800, -3284,  1535,  1554, 48941,  2859,
    3303, -3284, -3284, -3284, 22431,  2284, 17800, 17800, 17800,  2249,
    2392,  2663, 10181,   585, -3284,  2665, -3284,   559,  1703,   875,
   32295, -3284, -3284, 17800, -3284, -3284, -3284, -3284,  1499, 25315,
    2018, 16108,  1129,  1566, -3284, -3284, -3284, -3284, -3284, -3284,
   17800, -3284, -3284,   543,  1170, 17800,  1338, -3284, -3284, 48941,
    2185,  2185, 17800, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   48941, 48941, 48941, -3284, -3284, -3284, -3284, -3284, -3284,  2474,
   -3284, 48941, 48941,  2434, 48941,  2428,  2435, 17800,   699, 48941,
    2258,  2267,  2268, 48941,   190, -3284, -3284, 10181, -3284, -3284,
    2313,  2339, 48941,  2105, -3284,  2514, -3284, -3284, -3284, -3284,
    2455, -3284, -3284,  1432, -3284, 58685, 61878, -3284, 61878, -3284,
    1432,  1151, -3284,  1738, -3284, -3284,   806, -3284, -3284, -3284,
   -3284, -3284,  2561,   190,  2564,   190, 48941, 48941, 48941, 48941,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284,  1507, -3284,   881,
   -3284, -3284, -3284, -3284, -3284, 48941,  1157, -3284,   187, 61483,
   -3284, 60682, 48941, -3284, -3284,  2497, -3284, -3284, -3284,  2438,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,   488, -3284,
    2440, 48941,  2343, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, 33107, 33107, 33107,  1508, -3284, -3284,   798, -3284,
   -3284, -3284,  2358, -3284, -3284, -3284,  2496,  2501,  2502,  2363,
    2364,  2365,  2372, -3284,  2374,  2377,  2383, -3284, -3284, -3284,
   48941, -3284, -3284, -3284, 48941, 48941, -3284, -3284, -3284,   461,
   61483,  2530,   461,   461, 48941, 48941,   461, -3284, -3284, -3284,
    2534,  2555,  2559,  2560,  2569,  2571,   461, -3284, -3284, -3284,
   -3284,   388, 33107, -3284,  2170, 26551, -3284,  2728,  4452,  2319,
    2143,  2357,  1703,   143,   126,   610,  2458,  1703,  2546,  2359,
   -3284,  1317,  2572,  2378,  2378,  2378,  2378,  2378,  2378,  2378,
   -3284,   995, -3284,  2526, 48941,   560, 48941,  1703, -3284, -3284,
    2418, -3284, -3284, 33107, 26551,  1295,   829,  2489,  1083,  2689,
   -3284, -3284, -3284, -3284, -3284, 48941, 48941,   618,   798,  1512,
   -3284, 61483, 48941, 48941,  2396,  2371, 48941,  2375,  2379, -3284,
   -3284, -3284, -3284,  1517, -3284, 61483,     8,  2542,  2544,  1017,
    2443, 48941, -3284,  1518,    72, -3284,   798, 44069, 59892, -3284,
    2656, -3284, -3284,  1160,  2641, -3284, -3284,  1017, 13213,  1492,
    2380, 48941, -3284,  2382, 22431,  2608,  2545, -3284, 22431,  2545,
    1162,  2545,  2609, -3284, 25727, -3284,  2384, 12374,  1282,  2563,
   10181, -3284,   190, 61483, 48941, -3284,   190,  2437,   190,  2444,
     190,   190, 48941, -3284, -3284, 48941, -3284, 48941, 40009,   190,
   -3284, 10181, 48941, -3284, -3284,  2495,  2503,  2507, 48941,  1738,
   33919, -3284,  2389, 48941,   893, -3284, -3284,  2566, -3284,  1017,
   48941,  1129,  2394, -3284, -3284, -3284, -3284,  2688,  2692, -3284,
   -3284, -3284, 48941, 38385,   245, 48941, -3284, -3284, -3284, -3284,
    2403,  1524,  9766, 17800, -3284,  2700, 61483, -3284, -3284, -3284,
   -3284, -3284, 17800, -3284, -3284, -3284, -3284, -3284, 17800, -3284,
   17800,  2678, -3284,  2818,  2818, 61483, 20338,   991,  1829, 20338,
   20338, 20338, 20338, 20338, 20338, 20338, 20338, 20338, 21607,   480,
   -3284, -3284, 17800, 17800,  2685,  2678, -3284, -3284,   481,   481,
   61483,  2405,  2225,  2408,  2411, 17800, -3284, -3284,  1525, 33107,
   -3284, 17800,  8912,  1533,  2460,  9826,  1129,  4593, -3284,  2782,
     798, 17800,  1501,  1808, 17800,  1542, 17800,  2703, -3284, -3284,
   -3284,  2417, -3284, -3284, 61483, 17800, 20338, 20338,  4746, -3284,
    6194, 17800,  2439,  8583, 14839, -3284,   493,   493,   493,   493,
   -3284, 48941, 48941,  2159, 17800,  2699,    26,    26,  2451,  2392,
   26139, -3284, 17800,   260, 17377,  2452,   571,  2453, -3284, -3284,
    5574,  2446, 48941, -3284,  2124, -3284, -3284, -3284,  2461, -3284,
    1170, -3284, -3284, -3284,  4937,  2612,  1852, -3284, -3284, -3284,
   -3284, -3284, -3284,  2378,  1738,  1738,   637,  1738,  2738,   637,
    5043, -3284, -3284, 22843, 48941, 48941,  1548, -3284, -3284, 48941,
   -3284,  1623, -3284, -3284,  2707,  1269, -3284, -3284, -3284,  2520,
     995,   223,  1899,    89, -3284,  2525, 48941, -3284, 48941, -3284,
   -3284, -3284, -3284, -3284, -3284, 33107, 26551, 33107, -3284,  2535,
    2536,   591,   154,  2547,  2548,  2475,  2479,  2482, -3284,   294,
     798, -3284, -3284,   798,  1738,   798, -3284, -3284, -3284, -3284,
   33513, -3284, -3284, 48941,  2750,   149,  1374, 48941, 48941, 48941,
   48941, 48941, 48941, 48941,  2105, -3284, -3284, -3284,  2483,   461,
   -3284, -3284,  2709,  2715, -3284,   461,   461,   461,   461,   461,
     461, -3284,   148,  1550, -3284, 23667, -3284, -3284,  2110,  2110,
     624, -3284,  2110, -3284,  2110, -3284,  2461,  1703,   350, -3284,
   -3284, -3284, -3284, -3284, -3284,  2148, -3284,   714,  1703,  1422,
    2486, -3284,  2487, -3284, -3284, -3284, -3284, -3284, -3284,  2488,
   -3284,   875, 48941,  2378, -3284,   273,   311,   359,   836, 47317,
   47723, 48129,  2490, 48941, 20338, -3284,  1093,   204, -3284,  2717,
   48941,  2524, -3284, -3284, -3284,  2492, -3284,  1738, 48941, 48941,
    1738, -3284, 61483, -3284, -3284,  2887,   895, 48941,  2527,  2499,
    2779, -3284,  2500,  2504, -3284, -3284, 48941, -3284,  2526,  1244,
     644, -3284, 36761,  1356, -3284,  2749, 35543, -3284, 48941, -3284,
   -3284, -3284,  2861,  2584,  2543,   798,  2119, -3284, 58685, 17800,
   17800, -3284,  2505, -3284,  2512,  3213, -3284,  1723, -3284, -3284,
   -3284, -3284, -3284, -3284,  2583, 48941, -3284, 46099,  2516, 48941,
    1492, 22431, -3284, -3284,  1116, -3284, 22431,  2745, -3284, 22431,
   48941,  2517, 48941,   728, 48941, -3284,  2521,   190, -3284, 48941,
   -3284, 48941, -3284, -3284,   190,   190, -3284,  2624, -3284, -3284,
   48941, 48941, 48941,  1738, -3284,   292, -3284,  2794, 46911, -3284,
   -3284, -3284, -3284, -3284, -3284,   266,  2800, -3284, -3284, -3284,
   -3284, 17800, 10181, -3284,  2528, 10181,  5403, 10181,  2685, -3284,
    1674,  2801, -3284,   667,  2537,  1674,  1239,  1239,   406,   406,
     242,   242,   242,  2818,   480, 10181, 10181, -3284, -3284, -3284,
   -3284,  2529, -3284, -3284, -3284,  2225, -3284, 18646, -3284, -3284,
    2562,  2570,  2541, -3284, 17800, 19069,  2532, 62273, -3284, -3284,
     875,  2431, 20338, 20338,  2135, -3284,   356, 17800, 61483,  1561,
    2135,  2356,  2454, 17800, 17800,  9879,   372, 17800,  5521, 48941,
   48941, 48941, 48941, -3284, -3284, 10181,  2912,  2806, 17800,  2549,
   -3284,  2550,  2392, -3284, 61077, -3284, -3284, 10181, -3284, -3284,
   17800, -3284,  2392,   798, -3284,   625, -3284, -3284, 28646, -3284,
   -3284, -3284,   294, -3284, -3284, -3284,  2614, 37979,  2821,   714,
   17800,  1563, -3284,  2580, 48535, 11949,  1567,  1575,  2524, -3284,
    1875, -3284,  2610, -3284,  2731, -3284, -3284,  2735,   294, 48941,
   -3284, 61483,   190,   190, -3284, -3284,  2567, 48941, 48941,  1703,
    1703, 61483,  2553, -3284,  1703,  1703,  2554, -3284, 48941, 48941,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, 48941,
   48941, 48941, 48941,  2845, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284,  2793, -3284,   461,   461, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284,  1748,  2874, -3284, 33107, -3284, 37167, -3284,
   -3284, -3284, -3284,   798,   798,  2746, 30285,   798,   798, -3284,
    1187,  2881, -3284,  2813,   192,  2573,  1138,  2849, -3284, -3284,
   -3284, -3284,  2853,   294, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, 17800,
     936,  1674, -3284, -3284, -3284, -3284,  2524,  1295,  2630, 33107,
    1738,  1738,  2632,  1017,    27, 48941,  2886,  2622, -3284,   798,
   -3284, -3284, -3284, -3284,  2914,  1581, -3284, -3284, -3284,  2621,
    2544,  1146,  2590,  1356, -3284, -3284,   158, 48941, -3284,   270,
   -3284,  2866,  2595, -3284, 10181, 10181,   798, 62668,  2656, -3284,
   48941,  2843, -3284, 48941,  1585, -3284, 17800,  2597, -3284, -3284,
   22431,  1116,  1586, 48941,  1587, 61483,  2392, -3284,   190, -3284,
     190,   190, -3284, -3284, 48941,  1738,  1738,  1738, -3284,  2769,
   -3284,   190, 46911, 10181, -3284, -3284, -3284, 20338,  2875, -3284,
    2599, 61483, -3284,  2601,  1592,  1596, -3284, -3284, -3284,  5961,
    2648, 10181,  2697,  2604,  2606, -3284,   791,   791,   356,  1597,
   -3284, 20338, 20338,  2135,  2135, 17800,  2135, -3284, -3284, -3284,
   -3284, -3284, 17800, 17800,  2643,  2392,  2392, -3284,  2771, -3284,
    2613, -3284,   875, -3284,  2618, -3284, 46911,  2785, 46911, -3284,
    6003,  2524, 22843, 29065, 48941, -3284,   261,   261,  2751,  2524,
    2630, -3284, -3284, -3284, -3284, -3284,  2670, -3284, -3284, 26551,
   -3284, -3284, 23255, 28646, -3284,   591,  2625,  2626,   154, -3284,
   -3284,   932,   -10,  2657,  1738,  2907,   461, -3284, -3284,  2137,
     798, -3284, -3284, -3284,  1598, -3284, -3284, -3284, 48941, -3284,
    2499, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, 33919,
    3023,  3023, 48941,   714, -3284,  6290,  2814, -3284,  2630,  2839,
    2885, -3284,  1603, -3284, 48941,  2543, 35543,  2526, -3284,  1099,
    2636,  2929, -3284, -3284, -3284, 36761,  2809,  2584,   924,   924,
   48941,  2544,  2759, -3284,  2761, -3284,  3012,  2822,  3013, 48941,
   22843, -3284, 61878, -3284,  1604, -3284, -3284,  2284, 48941,    20,
    1609, -3284, 10181, 48941, -3284, -3284, -3284,  1610, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284,   245,   514, 20338, 61483,  1614,
   17800, -3284, 17800, -3284, -3284, -3284,    52, -3284, -3284, -3284,
     791,   791,  2135,  2225, 10181, 48941, -3284, -3284, -3284,  3030,
    2824,  2392, -3284, -3284,   893,   637,   245, 48535,  2630, -3284,
    2659, -3284, -3284,  1170,  1170, 48941,  2630,   714, 17800, -3284,
   -3284, 61483,  1660,   458, -3284, 61483, 61483, -3284, 48941, 48941,
   48941, 48941, 48941, -3284, -3284, -3284, -3284, 37167,  2499,  3023,
     801, -3284, -3284, -3284,  2940, -3284, -3284,   737,  2835,  2740,
   -3284, 33107,  2949, -3284, -3284, -3284, -3284, -3284, 17800,  2810,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284,  1616,  2584, -3284, -3284,  2842, -3284,  2855, -3284,  1622,
   -3284, -3284,  3213, 62668,  2980, -3284, -3284, -3284,  1631, -3284,
   -3284,   514,  1638, -3284,  1640,  1645,  2720, -3284,  2674, -3284,
    3079, 17800,   860, -3284, -3284,  2962, -3284,   261,  2724, 28646,
   -3284, -3284,  1295,   714, -3284, 10181,  1646, -3284, -3284, -3284,
    2827,  1652,  1654,  2691,  2725,  2691, -3284,  1738, -3284, -3284,
   -3284, -3284,  3000, -3284, -3284, -3284,   142, -3284,  2872,  2876,
   48941, -3284, 48941,  3095,  6581, 33919,   995, -3284, -3284, -3284,
   -3284,  2736, 22843,  2656, -3284,   257, -3284, -3284, -3284, -3284,
   -3284, 48941,  2704,  2225, 19492, 19492,  2705, 46911,  1170,  2708,
     714,  2711,  2839, -3284, 33919, -3284, -3284, -3284, 48941,  2828,
     646,   646,  3021, -3284,  2766, -3284, -3284, -3284,   591, -3284,
    2718,  1899,  2584, -3284, -3284, -3284, -3284,  2134, -3284, -3284,
   20761,  2834,   165,  7993, -3284, -3284, -3284, -3284,   245, -3284,
   17800, -3284, -3284,  2835,  1660, -3284,  2622, -3284,  3125, -3284,
     663, -3284, -3284,  2553, 37573, -3284,  2284, -3284,  2540, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284,  3116, -3284, -3284, -3284,
   -3284, -3284, -3284,  6592,   714, -3284,  3014, -3284, -3284, -3284,
   -3284, -3284, -3284,  1670, -3284, -3284, -3284, -3284, -3284,  1569,
   -3284, -3284,  1618,  1591, 19915, -3284, -3284,  2864, -3284, 37573,
   -3284,  2540, -3284, 33919, -3284, -3284,  2721, 37573,  1683, -3284
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3284, -3284, -3284,  2464, -3284,  -721,    94,  1931, -1497, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284,  1225, -3284, -3284,   103,  1300,  2096,
     937, -3284,  -867, -3284, -3284,  -527,   129,  -582, -3284, -3284,
   -3284, -3284, -3284, -3284, -3284,   635,  1355,   845,  -674, -3284,
   -1129, -3284, -3284,   357, -3284, -3284, -3284,   724,  -282, -3284,
   -3284, -3284, -3284, -3284, -3284, -3284,   -58, -3284, -3284,  -421,
   -1224,    34, -3284, -3284, -3284, -3284,   224,  -318, -1013, -3284,
   -2258, -3284,   -91, -3284, -3284, -3284,  -317, -1094,   903,  -579,
    -888,  1159,  -547, -3284,  -224, -3284,  -584,  -509,  -507,  -544,
   -3284, -2779, -3048, -3254, -2256,   132, -3284, -3284, -3284,   240,
   -3284, -1223, -3284, -3284,  1882, -1073, -3284,  -651, -3284, -3284,
   -3284, -2840, -3284,  1457,  -320, -3284,    84, -3284, -3284, -3284,
   -3284, -3284, -3284, -2799, -3284, -1151, -3284,   378, -2286,   826,
   -3284, -3284, -3284,  1904, -3284, -3284, -3284, -3284, -1255, -3284,
   -3284, -1218, -3284,  1302,   715, -3284, -3284, -3284,  -559,  -617,
    -608, -3284, -2996,   -22,   -20, -3284, -3284, -3284, -3284,  -746,
   -3284,   743, -2378,  -735, -3284, -3284,   784, -3284, -3284, -3284,
    -516,  -202,  1938, -3284,  -444, -3284, -3284, -3284,  -199, -3284,
   -3284, -3284, -3284, -3284, -3284, -1335,   -95,  -681, -3284, -3284,
   -3284, -3284, -1771, -3284,  3218,  1509,   974, -1213, -3284,   -28,
      32,  2325,  -884, -2016,   237,  -311, -3284, -1385, -3284, -3284,
   -3284, -1945, -3284, -3284, -3284, -3284, -2643, -1212, -3284, -3284,
   -3284,   281, -3284, -3263, -3001, -3030, -2637, -3284, -3284,  -838,
   -3284, -3284, -3284, -1075,  1488, -1119, -3284, -1714,   290, -2844,
    -524, -2458, -3284, -2805,  -383, -3284, -3284, -3284, -3284, -3284,
   -3284, -3284,  -835,  -506, -3284, -3284,  2726, -3284, -2564, -3284,
   -3284, -3284, -3284,   961, -3284,   107, -3284, -3284, -3284, -3284,
   -3284, -3284,  -493,  -563, -3284, -3284, -3284,   133, -3284, -3284,
   -3284, -3284,  1709,  -728,  -604,  2611, -1211,  -215, -3284, -3284,
   -3284, -3284, -2302, -3284, -3284, -3284, -3284, -3284, -3284, -3284,
   -1243, -3284, -3284, -3284, -3284, -3284, -3284, -3284,  1595,  1599,
      74,   -38, -3284, -3284,  -992, -3284,  -455, -3284,  1895, -3284,
   -3284, -3284, -3284, -3284,   134,   325, -3284,     2, -3284, -3284,
     679, -1863,     3, -3284, -3284, -3284, -3284,  -341,     4, -3284,
    1060, -3284, -3284, -1582, -3284,   138,   123, -3284, -3284,     1,
       0,   -40,   -35,   -21, -3284,  2615,  2196, -3284, -3284,    40,
    1275, -3284,  -673,  -143, -3284,  1048,  -539,  1576,  2190,  2197,
   -3284,  1045, -3284, -3284,  1053, -3284, -3284, -3284,  -505,  1588,
   -3284,  2238,  1605, -3284,  1639,  1105, -1872,  1339, -1866,   763,
    -569,   -16,    82,  2650,  2784, -3284, -3283,  1091, -2821,   377,
    -169,  1420, -1227, -3284, -3284,  -854,  6336, -3284, -3284, -3284,
    6429,  6781, -3284, -3284,  7194,  7284, -3284,  -796,   638,  7520,
    -481,  -930, -1460,  -646,  5799,  -519,  -886, -1265, -3284, -3284,
   -3284,  -216,   645,   612, -3284, -3284, -3284,  -392, -2144,  -391,
   -3284, -3284, -3284,  -393, -2712, -1280, -3284,  -170, -3284,  8333,
    1092, -3284,  -666, -1999, -2085,  -897, -1381, -3284, -3284, -3284,
   -3284, -3284, -3284, -3284, -2309, -2492,  -389,  1161, -3284, -3284,
    1253, -3284, -3284, -3284,  -999,  -683, -1528,  1168, -1537, -3284,
    -661,  1289,  1797,  -631,    44,  -490,  4725,  -428, -1705,  -981,
    -374, -3284,  -155, -3284,    16,    -9,  -135,    -4,  2568,  4326,
   -1011,  5629, -1031,  -976, -2348
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -1997
static const yytype_int16 yytable[] =
{
     156,   155,   150,   151,   153,   749,   813,   636,   542,   681,
     718,   500,   838,  1347,  1039,   690,   731,   613,   601,  1108,
    1386,   156,  1409,  1355,   601,   912,   913,  1433,  2037,  1773,
     917,  1179,  1741,  1110,  1662,  1800,  1113,   732,   600,  2013,
    1230,  1220,   752,  1117,   600,  1898,   525,   858,  1052,   680,
    1839,   762,  2150,  1444,  1660,   607,  2614,  2790,  2307,  2309,
    1782,   853,  1491,  1952,  1253,   861,  2731,   637,  1665,  2080,
    1979,   723,  2978,  1771,   728,   873,  1317,   803,  1845,  1846,
    1929,  1930,  1292,   666,  1170,  1662,  1931,  1296,  2227,  1663,
     760,  1932,  1933,  1934,  1302,   575,  2826,  2884,  2828,  1685,
    2539,  2598,   567,  1319,  2348,  1660,  2934,   684,  1338,  1464,
    1465,  2553,  2555,  3139,  1665,  2009,  3278,   881,  2437,   848,
    2561,  1046,  1834,  2728,   663,   692,  3148,   669,  1480,    66,
     488,  3318,    75,   127,   148,  1722,  2884,   532,   154,   693,
    1663,  1781,   654,  1124,  2237,  3321,   538, -1710,  2232,  3291,
    1102, -1358,   583,  3409,  3417, -1775,   583,  1458,  1459,  1508,
     691, -1778,  2906,  2907,  2908,  2909,  2910,  2911, -1348,   893,
     583,  1316,  3067, -1665,  3300,  1339,  2969,  1950,   498,  3332,
    1221,  3334,  1477,   897,  1105,  1791,  3166, -1688, -1808,  2416,
    1666,  1361,  1209,  1747, -1153, -1688,  1126,   938, -1828,  2503,
   -1857, -1689,  1376,  2116, -1343,  2811,  1146,  2726,  2727, -1689,
    2171, -1996,  1378, -1315,  2481,  1704, -1328,   734,  1247, -1996,
   -1348, -1355,  1544,   754,   538,  1309,   538,  2623,  1363,  2204,
     538,   763,  1747,  1210,  3644,  2439,  1388,  1784,  2155, -1358,
    1339, -1348,   671,  3622,  2053,  1043,  1515,  3640,  2155,  2290,
     583,  3740,  3497,  2645, -1559,  1339, -1343,  1957,  2959,  -326,
    2342, -1559,  2195,   756,   830,   538,  1310,  3502,  1662,  1364,
    1227,  1518,   538,  1150,  1957, -1153, -1156,  1241,   538,  3503,
    3755,  3656,   583,   687,   908,  3589,  1692,   538,  1922,  2893,
    2568, -1827,  2570,  2241,  3200,  1339,  1168,   589,  3239,  1127,
     162,   583,  -110,   583,  1743,   589,  3184,  -110,  2812,  3798,
    3274,   589,  1558,  1168,   538,  1758,   538,   590,   583,  2373,
    1288,  3506,  2401,  1663,  1230,   590,  3167,  1744,   915,  3507,
    1515,   590,  3048,  1114,  1744,  2172,   493,   163,   589,  2173,
    2034,  1696,   749,  1506,  2894,  1491,   799,  1373,   589, -1153,
     589,  2402,  1549,  3420,  1806,  1518,  3068, -1156,   590,   583,
    1387,  2054,  1115,  2373,   538,  1748,   495,  1515,   590,  1356,
     590,  1515,  1693,  2242,  2174,   808,  1151,  3254,  3708,   815,
      38,  2612,  3590,   749,  2189,  1211,  3573,  3574,   843,   824,
    1697,  2190,  1518,   538, -1575,   851,  1518,  1759,  2292,  1876,
    1562, -1575,   916,  1428,  1574,  1574,  1880,  3185,  1464,  1465,
      42,  1667,   804,  1559,  1228,  3257,  1480,  2645,  1311,  1349,
     831,  1365,  2073,  3168,  1340,  1422,  3169,   822,  3175,  3241,
     909, -1156,  3504,  1799,  1390,  1958,  1435,  3799,  1749,  1906,
    2440,  3756,  1128,  1288,  3201,    47,  3275,  2343,  1445,  3753,
    2077,  2813,  3486,  3632, -1315,  3118,  1792,    48,  2884,  3657,
    3164,  3142,  1545,  3259,  1458,  1459,   538,  1745,  1793,  1212,
    1830,  3478,  1832,  1477,  1951,   832,   916,  3604,   539,  3508,
    2814,   534,  1752,  1299,  2970,  2417,  1662,   796,  1757,  1340,
      49,  2645,  2083,   538, -1153,  2175, -1827,  1267,  3786,  1873,
    1129,  1869,  1312,  3818,  1340,  1366,  2153,  1896,  2229,  1837,
    1522,  1523,  3527,  3516,  1799,  3741,   672,  2026,  1560,  1794,
    2730,  1556,  2601,  3222,  3501,  2645,  1840,  1509, -1315,  1892,
     839,   542,  1820,   681,  2055,  1823,  1824,   889,   770,  1486,
    1898,  1663,  1429,   797,  1340,  2156,  1453, -1997,  1152,  1109,
    1665,   736,  2056, -1827,  1375,  2706,  3356,  1487,  3003,  1526,
      49, -1559,  2035,   595,   596,  1299,  3667,  2891, -1827,  1713,
    1563,  1488,   156,   680,  2772, -1710, -1156,   595,   596,   794,
     890,  3674,   895, -1775,   899,  3123, -1153,  1877, -1348, -1778,
     903,  1064,  2787, -1665,  2788,  1065,  1683,  2115,  1817,  2294,
     600,  3253,   600,  1714,   600,   880,  3568, -1688,  1911,   923,
     600,   904,   905,   749,  3576,   669, -1808,  2686,  1234,  1453,
   -1153, -1689, -1153,  1762, -1343,  1237, -1828,  1486, -1857,   939,
    1288, -1996,  1277,  1463,  1349,  1036,  1469,  3728,  1045,   839,
    1047, -1355,  1172,  1173,  1511,  1487,  1547,   884,  2847,  3131,
    2218,  2850,  2851,  2306,   918,  2854,  1538,   595,   596,  1490,
     916, -1348,  1429,  2657,  1985,  2861,  2245,  1288, -1156,   929,
    1813,  2647,  2990,  1991,  3028,  1327,  2994,  3733,  3645,  2106,
    2107,  1999,  2000,   156,   155,   150,   151,   153,  3614,  1040,
    1121,  2191,  1662,  1288,  2745,  1349,  3777,   919,   533,  2012,
    1246, -1575, -1156,  2427, -1156, -1997,  1062,  1979,   595,  1169,
     595,   596,  1660,  2462,  -110,  -110,  1297,  1298,  2928,  2852,
    2853,   906,  2603,  1248,  1249,   595,  1169,  1944,  1091,   535,
    2821,  2881,  1424,  1324,  3771,  1533,  1534,  1535,  1536,  1537,
    1538,  3293,  2265,  3179,  1960,  3678,  1077,  1663,   919,  1042,
     496,   600,   765,  1050,  1288,  1432,  2030,  1177,  1735,  2738,
    1351,  1353,     3,     4,   765,  2463,  2314,  3808,  1662,   610,
    2881,  1288,  1533,  1534,  1535,  1536,  1537,  1538,  1535,  1536,
    1537,  1538,  2076,  3358,  2079,  3359,  2041,  2042,  2339,  1251,
    3143,  1288,    15,  1883,  2087, -1662,  2748,  2090,  3713,   945,
     641,  1945,  2645,   538,  1662,  2102,  2103,   536,  3826,   537,
    2605,  1330,    66,  1288,  2976,    75,   127,   148,  2120,  2122,
    3239,   154,  1902,  1663,  2654,  2655,  2656,  2657,  2896,  2136,
    1737,   162,  2116,  2116,  1884,  3690, -1315,  2116,   614,  2464,
    2465,   538,   687,   766,  3180,  1773,  1738, -1315,  1998,  1463,
   -1315,  1116,  2466, -1315,  1092,   766,  1054,  1870,  1992,  1663,
    2978,  3235,  1288,  1331,  2929,   839,    24,  2001,   163,  1320,
    1322,  1323,  1048,  3294,  1486,  3778,  2116,  2116,   839,  2008,
    1178,  3137,  1834,  1174,  -142,  1072,  1903,  1073,  3693,   156,
     621,  3240,  1487,  1554,   642,  1825,  2652,  2653,  2654,  2655,
    2656,  2657,  1197,   600,  2467,  3809,  3236,  3602,  3754,  -142,
    1926,  1198,  1431,  2604,  3360,   620,  1987,  1329,   156,  1427,
    2031,  2033,  3665,  1906,  2038,  2018,  2040,  2791,  3181,  2043,
    2652,  2653,  2654,  2655,  2656,  2657,  3670,  3671,  1735,  1979,
    3261,  1904,  1432,    38,  1905,  3779,  3623,  1451,  1093,  2032,
    1332,  3241,  1963,  1736,  3144,   739,   740,   741,  1040,   742,
     743,   744,   745,   746,   747,   622,  1467,  1064,  3780,   681,
    3691,  1065,  1098,    42,  1902,  2109,  1739,  2279,  3397,  1121,
    1946,  1040,  2647,  3145,  1927,   687,  1885,  2468,  3401,  2469,
    1098,  1947,  3624,  3483,  2226,  2912,  1494,  1333,    38,  3625,
    1229,  2606,  1507,  3694,  2193,  1811,   749,  2396,    47,  1504,
    1737,  2733,  1512,  2397,  2734,  1392,  1826,  1394,  1827,  1396,
      48,  1398,  1548,  1400,  1401,  1402,  1738,  -775,    42,  3626,
    1404,  2296,  1199,  3131,  1288,  3689,  1906,  1100,  1903,   839,
    2914,  1679,  1564,   661,  2648,  3400,   839,   839,  3796,   509,
     674,  3580,   504,  1425,  2912,  1100,    45,  2460,   638,  1686,
    1687,  1055,  1691,    47,  3695,   685,  1874,   600,  1740,  2913,
    1886,   600,   600,   693,   693,    48,   693,  2271,  3213,  1334,
    1101,  2884,  1858,  1432,  3216,  3217,  3218,  3219,  3220,  3221,
    3351,  3769,  2881,  1904,   691,   691,  1905,   691,  3627,  2914,
    1695,  2915,  2403,  2792,   511,  1578,  1662,  3051,    49,  3052,
    2398,  1662,  3832,  2297,  1847,  1848,  1849,  1850,  1056,  3325,
    1074,  3322,   686,  2194,  3329,  1915,  2678,  3331,  2793,  1907,
    1218,  2683,   509,   934,    34,  1565,   623,   624,   945,   162,
    1696,  2645,  2782,  3724,  1878,  1879,  1550,  2272,  1908,   600,
    1888,  -769,  2566,  2607,  3336,   600,  1739,  2734,  1881,  1219,
    3136,  1663,  2068,  2571,  3577,   682,  1663,  3725,  1925,  1181,
    1787,  2376,  2916,  3476,  1986,   683,   163,  1566,  2918,  2379,
    1980,  2381,  1984,  1858,   749,   905,  1773,   511,  1906,  1697,
    1838,  1990,   687,  2326,  2491,  2492,  2493,  2494,  1182,   600,
    3272,  2545,   600,   600,  1795,  3024,  1551,  2652,  2653,  2654,
    2655,  2656,  2657,  2919,  1940,  1941,  1942,  1943,  1882,  2045,
    2608,  1788,  3606,  1475,  1476,  2920,  2115,  2115,  3053,  1121,
    2786,  2115,  2917,  2077,  2487,  1858,  1349,  2918,  3054,  3039,
    1313,  2746,  1098,   518,  2327,   519,  1099,   945,  1740,  2562,
    2645,  3557,  3558,  2399,   600,  2978,  1349,  1851,   731,  1314,
    3273,  3628,  1929,  1930,  2091,  1790,   538,  2546,  1931,  2980,
    2115,  2115,  2919,  1932,  1933,  1934,  2328,  1872,  3498,  1979,
    2014,  1907,  2400,  1979,  2920,  3027,  1288,   825,  2313,  1729,
    3469,  1288,  1288,  2806,  3463,  2547,  1935,  2267,  2558,  1730,
    2646,   694,  1288,   688,  3340,  2921,  3341,  1100,  2807,  1841,
    2548,   749,  3668,  2546,  1731,  2565,   826,  3499,  3470,  2549,
    3673,  2647,  3028,  3017,  3588,  3701,   518,  2329,   519,  2573,
    2574,   727,    38,  2576,   632,  1973,  3535,   521,   509,  2580,
     660,  2547,  2550,  2981, -1165, -1196,  2151,   523,  1865, -1196,
    1101,  1662,  1662,  1662,  3464, -1165,  2996,   827,  1866, -1165,
    2092,  1349,    42,  3706,  2921,  2549,  2116,  3326,   729,  2116,
    2116,  2116,  2116,  2116,  2116,  2116,  2116,  2116,  2116,  2162,
     156,  2163,  1867,  2648,    38,   681,  2353,  2960,  2591,  1194,
    3564,  1204,  3566,   511,  1825,  2776,  1924,    47,  1224,   825,
    2616, -1165,  2164,  2003,  1863,  3615,  1663,  1663,  1663,    48,
   -1196,  1662,  2007,  1953,    42,  2070,  2621,  3663,  1288,  2551,
   -1165,  2809,  1214,  2017,  2093,   680,  2116,  2116,  2937,    34,
    2647,  2865,  3616,  1864,   156,  2067,  2064,  2065,  2066,  1717,
    2534,  3251,    49,  3447,  3448,  1380,  1732,   589,  1381,    47,
    2810,  1215,  1662, -1196,  1219,   884,  1370,  2460,  3524,  2100,
    2290,  1040,  1040, -1165,  2672,  2551,  1663,   590,  1718,   827,
    1486, -1165,  1922,  1796,  2069,  2982,  1371,  2088,  2089,  2094,
    1216,  1486,  2095,  1288,  2579,  2101,  1197,   735,  1487,  2104,
    2105,  3327,  2648,  2695,    49,  2291,   798,  1719,  1515,  1487,
    2165,  2697,  1488,  2698,  2126,  2166,  2127,  1663,  3154,   945,
    2167,  2058,  2645,  1490,  2020,  1826,  2021,  1827,  2022,  3202,
    2023,  2160,  2024,  1518,  2699,  2148,  2025,  2149,  1506,  3092,
    1784,   598,   518,  2983,   519,  2526,  2496,   598,  1789,  3203,
     758,  2497,  2649,  2650,  2651,  2589,  2652,  2653,  2654,  2655,
    2656,  2657,  1064,  1132,  2219,   764,  1065,  1205,  1801,  1665,
     894,   896,   898,  1118,  1831,   900,   901,   902,  2902,  1574,
    -348,  2789,   801,  2497,  2096,   907,  1463,  2545,  1723,  2751,
    2752,  1288, -1165,  1842,  1133,  2263,  1206,   805,  2202,  2266,
    1207,  1862,  1119,  2643,  2644,  2618,    34,  2216,  2659,   802,
    2016,  1801,  2077,  1802,  1803,  1677,   820,  2939,  1678,  2292,
    2777,  2286,  2619,  2736,  2315,  1208,   814,  2620,  2756,  2298,
    1801,  1120,  2785,   828,  2168,  3233,  3234,  2700,  1801,  3237,
    3375,  3238,  2701,  2169,  2116,   829,  1799,  2692,  2693,   868,
    1088,  1134,  2312,  2546,  2253,  2254,  1802,  1803,  1662,  2797,
     845,  2799, -1997, -1997,   849,  2652,  2653,  2654,  2655,  2656,
    2657,   874,  2335,  3165,  3170,  1802,  1803,  2097,  3078,   878,
    2712,  2547,  1135,  1802,  1803,  3593,  1968,  1969,  1680,  1799,
    2354,  1681,   945,  2374,  2239,  2645,  2548,  2077,   859,  3162,
    2247,  1121,  2647,  3211,  1463,  2549,  1723,  1450,  1799,    49,
    2527,  2390,  2273,  1663,  2276,  1064,  1799, -1665,  2394,  1065,
     600,  3768,   583,  2015,   189,  2881,  2016,  2407,  2550,   497,
     910,  2233,  2027,  2236,  2411,  2028,  1979,   914,   569,  3036,
    2451,  1979,  2029,  2377,  1979,  2028, -1220, -1220,  3069,  3070,
    2671,  2061,  2673,  2674,  2062,   639,  2702,   685,  2516,  2517,
    2238,  1047,  1077,  1349,  2648,  2703,  2259,   921, -1197,  2062,
    2115,   924, -1197,  2115,  2115,  2115,  2115,  2115,  2115,  2115,
    2115,  2115,  2115,   926,  1662,  2304,  1662,   931,  2305,  3612,
    2421,  2764,  2765,  2350,  2767,   934,  2351,  2430,  2431,  2432,
    2433,  2434,  2435,   933,  2339,  2551,  3176,  2446,  3641,  1662,
    2447,    34,   932,  2482,   686,  2528,  2483,  3099,  2895,  2897,
    2898,  1139,  2116,  2116,  3246,  3247,   945,  1980,  1140,  2645,
    2115,  2115,   935, -1197,  1288,  1288,  1219,  1288,   936,  1663,
    2583,  1663,  2599,  2028,  1142,  2600,  3093,   806,   600,   807,
    2334,  2617,  1143,   809,  2016,   810,   600,  2627,   600,  1773,
    2016,   940,  2630,  2634,  1663,  2016,  2016,  1463,  3298,  1116,
    3374,  1463,  2505,  1723,  1391,  2647, -1197,  1393,  1288,  1395,
    1288,  1397,  2429,  1399,   687,  2635,   937,  1403,  2016,  1514,
    2429,  2824,  1515,  2716,   941,  2717,  3156,  3157,  3005,  1438,
    1439,  1144,  3008,  2610,  3010,  2529,  3012,  3013,  1053,  2567,
    2661,  2569,  2718,  2016,  2719,  3018,  2935,  1518,  2677,  2757,
    2758,  2016,  1519,  2649,  2650,  2651,  1057,  2652,  2653,  2654,
    2655,  2656,  2657,  2680,  2459,  2741,  2681,  2648,  2742,  1051,
    2490,  2460,   681,  2804,  2829,  1183,  2805,  2830,  2945,  1288,
    3037,  2946,  3562,  2957,  2967,  1514,  2958,  2968,  1515,  1058,
    3040,  3076,  2520,  2016,  3077,  1059,   156,  2504,   839,  3083,
    2488,  1095,  3084,  1097,  1288,  1516,   571,  2485,  3095,  1063,
    1071,  2016,  2538,  1518,  3158,  1078,  3225,  2028,  1519,  3226,
    2995,  1085,  2998,  1184,  2927,   688,  2930,  3380,    14,  3411,
    2062,  1086,  3412,  3418,    15,  3830,  2028,  3831,  3229,  2647,
    2973,  3419,   839,  1288,  2028,  1088,   749,  3494,  1230,  3075,
    3495,  3521,  3526,  3528,  1349,  2946,  2946,  1089,  3541,    20,
    1288,  3542,  3543,  3549,  3596,  2016,  2062,  3597,  2115,  3610,
    3642,  1096,  3611,  3643,  1288,  3647,  3649,  1520,  1349,  2946,
    3653,  1521,  3707,  2062,  1088,  1553, -1153,  1288,  3711,  1980,
    1116,  3712,  1111,  3119,  3121,   600,  1131,  3716,  1213,  1185,
    1349,  2648,  1522,  1523,  3717,  1979,  3718,  2062,    24,  2681,
    2735,  3719,  3734,  2749,  2016,  2062,  1524,  2116,  3736,  1217,
    3737,  2062,  1288,  2062,  3599,  1148,  2649,  2650,  2651,  1174,
    2652,  2653,  2654,  2655,  2656,  2657,  3828,  1226,  3023,  3829,
    3160,  2116,  2116,  1520,  1186,  1176,  1187,  1521,  1525,  3839,
    2141,  1526,  3829,  2144,  1231,  1233,  1833,  1235,  1238,   681,
    1245,  1243,  3035,  1252,  1527,  2760,  1255,  3050,  1522,  1523,
    3055,  3056,  3057,  3058,  3059,  3060,  3061,  3062,  3063,  3064,
    1121,  1293,  1524,  1514,  1295,  1288,  1515,  3154,  1299,  1303,
    1189,  -159,  1305,  1307,  1318,  1325,   176,  1335,  1337,  1504,
    1342,  1343,  1344,  1345,  1288,  1346,  1348,  1349,  1354,  1357,
    1358,  1518,  1359,  2160,  1525,  1360,  1519,  1526,  1362,  1367,
    2815,  1368,  2817,  1369,  1374,  1191,  1379,  3101,  3102,  1288,
    1527,  1405,  2715,  1528,  1434,  1662,  1436,  1529,  3512,  1440,
      38,  3379,  1442,  1443,  1973,  1448,  2115,  2115, -1319, -1326,
    2808,   839,  1457,  2866,  3232,  2865,  1460,  2818,  1461,  1193,
    2649,  2650,  2651,  1288,  2652,  2653,  2654,  2655,  2656,  2657,
      42,  3319,  1466, -1316,  2737,  1462,   600,    49,  1468,  2721,
    2722,  1471,  2720,    15, -1317,  3154,  1472,  1473,  1662,  1474,
    1663,  2848,  1479,  3683,  1481,  3685,  2867,  2116,    45,  1482,
    1483, -1320,  1484,  1529, -1318,    47,  1542,  1485,  1492,  1493,
    1495,  1496,  1497,  1498,  1499,  2749,  1500,    48,  1501,  2845,
    2868,  1553,  1557,  1530,  1531,  1532,  1568,  1533,  1534,  1535,
    1536,  1537,  1538,  1040,  1577,  1684,  1099,  1711,  1720,  2869,
    1101,  1721,  1723,  1663,  1724,  1521,  1725,  1746,  1753,  1754,
      49,  1751,  1755,  1756,  2749,  1777,  2870,    24,  1778,  1784,
    1786,  1796,  1797,  1798,  1799,  1288,  1522,  1523,  1807,  1805,
    1808,  2871,  2947,  3339,  1812,  1814,  1809,  1815,  3230,  1821,
    3342,  3343,  1818,  1819,  1828,  1829,  2315,  1835,  3460,  1530,
    1531,  1532,  1836,  1533,  1534,  1535,  1536,  1537,  1538,  2822,
    1197,  3452,  1843,  1844,   945,  1852,  2638,  2645,  1853,  1854,
    1859,  1861,  3787,    29,  3348,  1526,  1875,  1887,  1889,  2832,
    1899,  1890,  1453,  1897,  3381,  1900,  1913,  1463,  1527,  1980,
    1132,  1469,   506,  1980,  3006,  3271,  1919,  1923,  1939,  1199,
    1956,  3298,  1961,  1964,  1966,  1967,  1971,  1982,  1994,  1996,
    2429,  3365,  2872,  2429,  2429,  2010,  1995,  2429,  2011,  2039,
    2873,  1133,  1997,  2044,  2051,  2047,  2059,  2429,  2072,  2082,
    2083,  2124,  1251,     3,     4,   731,  2883,  2125,  3280,  3281,
    2137,  2142,  1515,  1858,  2147,  2154,  2146,  3154,  2178,    38,
    2204,  1288,  2874,  2159,  2217,  2220,   686,  3044,  3026,  2224,
    2225,   600,   945,  2176,  3539,  2645,  2231,  2248,  2890,  2892,
    2249,  2115,  1113,  2899,  3403,  2883,  3049,  2262,  1134,    42,
    3038,  2221,  3382,  2260,  2261,  2240,  2269,  1288,   571,  2944,
    2252,  2258,  2274,  2931,  2279,  2115,  2115,  2277,  3427,  3428,
     600,  3071,  3449,  2281,  2282,  2283,  2300,    45,  2285,  1135,
      14,  2341,  2288,  2295,    47,  2345,    15,  2972,   839,   156,
    2964,  2302,  2404,  2349,  3512,  2405,    48,  2352,  2406,  2410,
    3345,  3346,  3347,  2414,  2415,  1432,  2418,   156,  2986,  2419,
    2940,    20,  2420,  2422,  1973,  2423,  2424,  2647,  1973,  2425,
    2954,  1533,  1534,  1535,  1536,  1537,  1538,  2438,  2426,  3788,
    2445,  2436,  2442,  2449,  2452,  2966,  2453,  2454,  2455,  2456,
    3598,  2458,  2457,  3376,  3377,  2480,  2484,  2495,  2498,  2489,
    1662,  2502,  2519,  2521,  2533,  2535,  2536,  2537,  2544,  2563,
      24,   609,  2564,   611,  2557,  2572,  2575,   617,  2577,   156,
    3031,   627,   633,   609,  2578,   640,  1288,   633,   633,  2648,
     665,  2585,   668,   665,  2582,  2586,  3014,  1288,  1980,  3015,
    2587,  2588,  3785,  2590,  2597,  2073,  2609,  2613,  2615,   916,
    2632,  2628,  3404,  2629,  2631,  1663,  2749,  2633,    34,  2667,
    1761,  3652,  1138,  2696,  3159,  2647,  2636,  2637,  1139,    15,
    2639,  2115,  2730,  2642,  2016,  1140,  2660,  1040,  2691,  2666,
    2668,  2711,  2669,  1219,  3529,  2704,  3530,  3531,  2676,  2689,
    2690,  1142,  2714,  2724,   681,  2729,  2732,  3534,  -813,  1143,
    2763,  3090,  2768,  2773,  3676,  2766,  2769,  2526,  3681,  3682,
    1288,  2778,  2774,  2775,  2779,  2783,  2796,  2784,  3479,  2798,
    1288,  3453,  3204,  2819,  3206,  1132,  2820,  2648,  2823,  3441,
    3442,  2834,  3444,  2833,  1504,  2825,  2835,  2836,  2837,  2838,
    2839,  2849,    38,    24,  3129,  2855,  3553,  2840,  1144,  2841,
    3452,  2885,  2842,   719,   724,   726,  1133,   724,  2843,   719,
     733,   665,  2888,   751,  3677,   733,  2856,   665,  3680,   665,
    2857,  2858,    42,   724,   733,   665,  3109,  3110,  3111,  3112,
    2859,  1514,  2860,  3282,  1515,  3113,  3114,  2900,  2649,  2650,
    2651,  1906,  2652,  2653,  2654,  2655,  2656,  2657,  2903,    29,
      45,  2925,  2932,  2889,  2936,  2901,  2938,    47,  2950,  1518,
    2904,   572,  2961,  1134,  1519,  2962,  2952,  2883,  2965,    48,
    2985,  2955,  2991,  2999,  2992,  3020,  2987,  2989,  2956,  3002,
    3004,  3194,  3009,  3021,  3195,  3193,  3196,  3022,  3025,  3011,
    3030,  3033,   600,  1545,  1135,  3034,  1450,  3043,  2663,  2645,
    2662,  3072,   573,  3520,  3073,   600,  1980,  3074,  3536,  1508,
    2429,  1980,  3098,  3520,  1980,  3085,  2429,  2429,  2429,  2429,
    2429,  2429,  2527,  3097,  1288,    38,   839,  3116,  3135, -1913,
    2735,  3650,  3550,  3551,  3141,  3106,  2649,  2650,  2651,  3631,
    2652,  2653,  2654,  2655,  2656,  2657,  3655,  3122,  3132,  3133,
    1288,   600,  2694,  3147,  3163,    42,  3138,  3662,  3161,  3171,
    3177,  3178,  3666,   904,   905,  3199,  3256,  3258,  3260,  3262,
    3214,  3190,  3188,  3189,  3245,  3191,  3215,  3571,  3192,  3212,
    3248,  3249,  3276,    45,  3250,  3269,  2977,  3279,  3283, -1997,
      47,  3255,  3285,  1521,  3286,  3302,  3288,  3583,  2028,  1432,
    3306,  3307,    48,  3289,  3316,  3309,  3805,  3317,  3320,  3330,
   -1913,  3323,  3333,  3344,  1522,  1523,  3252,  3338,  1288,  3349,
    3352,  3357,  3366,    34,  3354,  3362,  3311,  1138, -1997,  3392,
    3367,  3372,  3361,  1139,  3277,    49,  3393,  3368,   749,  3406,
    1140,  3408,  3413,  3422,  3421,  3395,  3396,  3423,  1219,  3429,
    3445,  3284,  3435,  3438,  3446,  3450,  1142,  3465,  3458, -1913,
    3240,  1973,  1154,  1526,  1143,  3723,  1973,  3468,  1155,  1973,
   -1913,  3471,  3426,  3472, -1913,  3480,  1527,  3484,  3488, -1913,
    3490,  3493,  3434,  3496, -1913,  3500,  3509, -1913,  3651, -1913,
    3510,  3518,  3523,  3533,  3538,  3537,  3540,  3545,  3546,  1154,
    3547,  1288,  3548,  3648,  3555,  1155,  3565,  1156,  3559,  3561,
    3575,   600,  3430,  1144,  3563,  3578, -1913,  2529,  2977,  3591,
    3585,  3586,  3592,  3439,  3600,  3607,  3275,  1288,  3609,  3415,
    3415,  3618,   772,  3619,  3621, -1913,  3633,   665,  3634,   719,
    3453,  3635,  3637,   726,  1156,   724,  3636,  3661,   733, -1997,
     751,   687,   733,   817,  3669,  3692,  3696,  3700,  1157,  3702,
     724,  3705,   733,  3732,  3802,  1158,  3709,  3715,  1159,  3720,
    1288,   665,  3687,  3721,  1288,  1288,  3443,   840, -1913,  3710,
    3722,   719,  3727,  3729,  3678,   726, -1913,  3738,   719,  3407,
    1375,   751,  3739,  3742,  3402,  1157,  3748,  3744,  3751,  3124,
    3740,  3767,  1158,  3770,  3776,  1159,   724,  3772,  3405,  3741,
    3797,   888,  3807,  3784,  3824,  3833,  3837,  1090,  3827,  1160,
    2486,  1860,  1576,  3388,  3389,  3390,  3391,  2739,   600, -1913,
    2344,  2794,  3174,  3731,  3424,  2862,  2947,  3594,  3451,  1533,
    1534,  1535,  1536,  1537,  1538,  1980,  3688,  3620,   665,  3477,
    3304,  2771,  3630,   665,   600,  3773,  1160,  2584,  3569,  3804,
    3745,  3743,  1432,   665,   930,  3432,  3433,  3782,  3305,  3646,
    3436,  3437,  1955,  1161,   614,  2429,  2429,  2293,  3197,  2827,
    1936,  1035,  2941,   665,   633,  2461,   840,  3806,   633,   839,
    3838,  3834,  3467,  3466,  3456,  3457,  2933, -1913,  3461,  3462,
     665,  2886,  3783,  3584,   665,  1918,  3735,  1070,  1162,  3587,
    1161,  1423,  1035,   749,  2526,  2355,   616,  3312, -1913,  3474,
   -1913, -1913,   665,  3664,  2356,  2357,  2358,  1980,  3313,  2749,
    3714,  2308,  1132,   749,  3790,  3350,   841,  1163,  3835,   600,
    3613,  1164,  1060,  2234,  3292,  1162,  2019,  3582,  2235,  3032,
    3492,  1682, -1913,   156,  3485, -1913, -1913, -1913,  2747,  2743,
    2257,  1084,  1514,  1133,  1708,  1515,  1165,  2759,  2359,  2755,
    1707,  2256,  2251, -1915,  1202,   724,   724,  3511,  1164,  2723,
    2230,  2540,  1516,  2997,   731,  3525,  1068,   837,  2450,  3572,
    1518,  2744,  1154,  3290,  3654,  1519,  3079,  3089,  1155,  3758,
    1973,  3759,  3766,  1203,  2709,  2750,     0,  2624,     0,  2707,
    2602,   719,  2203,     0,  1712,     0,     0,  2360,   719,     0,
    1134,   751,     0,     0,     0,  1980,     0,     0,     0,     0,
       0,     0,     0,   724,  3517,     0,     0,  1156,     0,  1432,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   724,
     724,  1135,     0,     0, -1915,     0,  2361,     0,     0,     0,
       0,     0,     0,   665,   665,   665,   724,     0,   719,     0,
       0,     0,  2362,  2363,  2364,  2365,  2366,     0,  2367,  2527,
       0,     0,  1432,     0,  3638,     0,  1432,  1432,  1157,     0,
    2883,     0,     0,   724,   724,  1158,     0,     0,  1159,     0,
       0,  1514,     0, -1915,  1515,     0,     0,  2429,     0,     0,
    2368,  3595,   840,     0, -1915,   600,  1035,     0, -1915,     0,
    1520,     0,     0, -1915,  1521,   840,     0,     0, -1915,  1518,
       0, -1915,     0, -1915,  1519,     0,     0,     0,     0,     0,
       0,     0,  3415,     0,     0,  1522,  1523,  1408,  1408,  1160,
       0,     0,   665,     0,   609,     0,     0,     0,     0,  1524,
   -1915,     0,     0,     0,  3684,     0,  3686,     0,     0,   749,
       0,     0,  1441,     0,     0,   665,     0,     0,  1447, -1915,
      34,     0,     0,  2369,  1138,     0,  3603,     0,     0,  1035,
    1139,  1525,     0,     0,  1526,     0,     0,  1140,     0,     0,
       0,     0,     0,  1161,     0,  1219,     0,  1527,     0,  2370,
    1528,     0,     0,  1142,  1040,     0,  2371,  1035,     0,  2372,
    3750,  1143, -1915,     0,     0,     0,     0,  1980,     0,     0,
   -1915,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,  1035,  1035,     0,  1035,     0,  3774,
       0,     0,     0,     0,     0,     0,     0,     0,   839,  1520,
       0,     0,     0,  1521,  1035,     0,     0,  1222,     0,     0,
    1144,  1164,  1132, -1915,  2529,     0,     0,  3747,     0,     0,
    1529,     0,     0,     0,  1522,  1523,   840,     0,     0,  3672,
       0,     0,     0,   840,   840,     0,  1223,     0,  1524,   665,
       0,     0,  1035,  1133,   773,     0,     0,  1669,     0,  1676,
       0,     0,     0,  3775,     0,     0,     0,     0,   614,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1526,  1035,     0,   774,     0,  1035,  1035,
       0, -1915,     0,     0,     0,     0,  1527,     0,  3836,   775,
       0,     0,     0,     0,     0,     0,     0,   776,   633,     0,
    1134,   777, -1915,     0, -1915, -1915,  1530,  1531,  1532,     0,
    1533,  1534,  1535,  1536,  1537,  1538,     0,     0,  2222,   633,
       0,   778,     0,     0,  2223,     0,     0,     0,     0,     0,
       0,  1135,  1783,     0,     0,     0, -1915,     0,   665, -1915,
   -1915, -1915,   779,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   751,     0,     0,     0,  3823,  1529,
       0,     0,     0,     0,     0,     0,     0,   156,  3795,  3792,
    3793,  3794,     0,     0,     0,   780,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3816,     0,   724,   724,   724,
     724,   665,     0,     0,     0,   733,   781,   633,  3822,  3795,
    3792,  3793,  3794,     0,     0,     0,     0,     0,     0,  1871,
    3815,   665,     0,     0,     0,     0,     0,   724,   724,     0,
     782,     0,     0,   724,     0,     0,     0,  1136,     0,     0,
    3816,     0,     0,     0,     0,     0,     0,     0,  3816,     0,
       0,   156,  3795,  3792,  3793,  3794, -1997, -1997,     0,  1533,
    1534,  1535,  1536,  1537,  1538,  3815,  1137,     0,     0,     0,
      34,     0,     0,  3815,  1138,     0,     0,     0,     0,     0,
    1139,     0,  1514,     0,     0,  1515,   783,  1140,     0,     0,
       0,   733,     0,     0,     0,  1141,     0,   724,   724,   724,
     724,     0,  1516,  1142,     0,     0,   733,     0,     0,     0,
    1518,  1143,     0,   176,  1871,  1519,     0,     0,     0,     0,
       0,     0,     0,  1981,     0,   719,     0,     0,     0,     0,
       0,     0,   726,     0,   719,     0,     0,   784,     0,     0,
       0,   785,   751,   786,     0,     0,     0,   665,     0,   787,
       0,     0,     0,     0,     0,     0,   665,     0,   733,     0,
    1144,     0,   724,   724,     0,     0,     0,   665,     0,   888,
       0,     0,     0,     0,     0,     0,     0,     0,   788,     0,
     789,     0,  1514,     0,   790,  1515,     0,     0,     0,     0,
       0,     0,   791,  1408,  1154,     0,     0,   792,     0,     0,
    1155,   719,  1516,     0,  1513,   665,   665,     0,     0,  1514,
    1518,     0,  1515,  2050,     0,  1519,     0,   665,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1516,
     609,   609,  1517,     0,  2075,     0,  1035,  1518,  1035,  1156,
    1520,     0,  1519,     0,  1521,  1035,     0,     0,  1035,     0,
       0,  1035,     0,     0,     0,     0,     0,     0,     0,  1035,
    1035,     0,     0,     0,     0,  1522,  1523,  1035,     0,   751,
    1035,  1035,  1035,  1035,     0,     0,     0,     0,     0,  1524,
    1035,  1035,     0,  1035,     0,  1035,     0,     0,  1035,     0,
    1157,     0,     0,     0,     0,     0,     0,  1158,     0,     0,
    1159,     0,     0,     0,  1035,     0,     0,     0,  1035,     0,
       0,  1525,  1035,     0,  1526,     0,  1035,     0,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,  1527,  1035,     0,
    1528,     0,   665,  1035,     0,  1035,     0,     0,     0,     0,
    1520,   665,     0,     0,  1521,     0,     0,     0,     0,     0,
       0,  1160,     0,  1154,     0,     0,     0,     0,     0,  1155,
       0,     0,     0,     0,     0,  1522,  1523,  1520,     0,     0,
       0,  1521,     0,     0,     0,     0,     0,     0,     0,  1524,
       0,     0,     0,  1183,     0,     0,     0,     0,     0,     0,
       0,     0,  1522,  1523,     0,     0,     0,     0,  1156,     0,
    1529,     0,     0,     0,     0,  1161,  1524,     0,     0,     0,
       0,  1525,     0,     0,  1526,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1527,     0,     0,
    1528,  1184,     0,     0,     0,     0,     0,     0,  1525,     0,
    1162,  1526,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,     0,  1527,     0,  1158,  1528,  1676,  1159,
       0,     0,     0,     0,     0,   665,     0,   665,     0,  1035,
       0,     0,     0,  1164,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1530,  1531,  1532,     0,
    1533,  1534,  1535,  1536,  1537,  1538,     0,     0,  1165,     0,
    1529,     0,     0,  2684,     0,     0,     0,  1185,   733,     0,
    1160,     0,   733,   726,     0,     0,     0,     0,   609,     0,
     609,     0,     0,     0,     0,     0,     0,  1529,     0,     0,
       0,     0,     0,     0,   733,  1035,     0,     0,     0,     0,
       0,     0,   733,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,  1187,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1188,   733,     0,  1783,     0,     0,
       0,     0,     0,  2316,     0,     0,     0,     0,  2325,     0,
       0,     0,     0,     0,   665,   733,  1530,  1531,  1532,     0,
    1533,  1534,  1535,  1536,  1537,  1538,  2347,  2347,  1189,  1162,
    2145,     0,   726,   733,     0,     0,   733,     0,     0,     0,
       0,     0,     0,  1530,  1531,  1532,   724,  1533,  1534,  1535,
    1536,  1537,  1538,     0,   733,     0,     0,     0,  1190,     0,
       0,   733,  1164,  1191,     0,     0,     0,     0,     0,     0,
     733,     0,     0,     0,     0,     0,     0,   733,     0,     0,
       0,  1514,     0,     0,  1515,     0,     0,  1192,     0,     0,
       0,     0,     0,   724,     0,     0,     0,  1193,     0,     0,
     724,   724,   724,   724,   724,   724,     0,     0,     0,  1518,
    1514,     0,     0,  1515,  1519,  1035,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1516,     0,     0,     0,     0,     0,     0,  2347,  1518,     0,
       0,   665,     0,  1519,     0,   609,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2501,
    1514,     0,     0,  1515,     0,   724,  2515,     0,     0,     0,
       0,     0,     0,     0,     0,   840,     0,     0,     0,     0,
    1981,  2543,     0,     0,     0,  2543,  2556,     0,  1518,     0,
    1035,     0,     0,  1519,     0,     0,     0,     0,     0,     0,
       0,     0,   724,  2347,   724,  2347,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   840,
       0,     0,     0,     0,  1035,     0,     0,     0,     0,  1520,
       0,     0,     0,  1521,     0,     0,  1408,     0,     0,     0,
       0,  1514,     0,     0,  1515,     0,     0,     0,     0,     0,
       0,     0,   733,     0,  1522,  1523,     0,     0,  1520,  1035,
       0,  1516,  1521,     0,     0,     0,     0,     0,  1524,  1518,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
     733,  2705,     0,  1522,  1523,     0,     0,     0,     0,     0,
    1035,  1035,     0,     0,     0,     0,     0,  1524,     0,     0,
       0,     0,     0,  1526,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1527,     0, -1997,     0,
    1035,  1035,  1521,     0,     0,  1035,     0,     0,     0,  1525,
       0,     0,  1526,     0,     0,     0,     0,  1035,  1035,  1035,
    1035,     0,     0,  1522,  1523,  1527,     0,     0,  1528,  1035,
       0,     0,  1035,     0,  1035,  2688,     0, -1997,     0,     0,
       0,     0,     0,     0,  1035,  1035,     0,  1035,     0,     0,
       0,     0,   489,     0,     0,     0,     0,     0,   531,   489,
    1035,     0,  1035,     0,   751,   570,  1035,   489,     0,  1529,
       0,     0,  1526,   489,  1514,   619,     0,  1515,     0,  1520,
       0,     0,  1035,  1521,     0,  1527,   665,     0,     0,     0,
       0,     0,  1981,   679,  1035,  1035,  1035,     0,  1529,     0,
       0,     0,  1518,     0,  1522,  1523,     0,  1519,   840,     0,
       0,  1035,     0,     0,     0,     0,     0,  1676,  1524,  1035,
       0,     0,     0,     0,     0,     0,     0,     0,  1035,     0,
       0,     0,     0,  1035,     0,     0,     0,   665,     0,     0,
    1035,     0,     0,     0,     0,     0,     0,     0,   733,     0,
    1525,     0,     0,  1526,     0,  1530,  1531,  1532, -1997,  1533,
    1534,  1535,  1536,  1537,  1538,  1035,  1527,  2347,     0,  1528,
       0,  1408,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1530,  1531,  1532,     0,  1533,  1534,
    1535,  1536,  1537,  1538,     0,  3103,     0,     0,  2887,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   753,     0,   755,     0,   757,     0,   759,
       0,     0, -1997,   733,     0,     0,  1521,     0,     0,  1529,
     733,     0,     0,     0,     0,     0,     0,     0,  1533,  1534,
    1535,  1536,  1537,  1538,     0,     0,     0,  1522,  1523,     0,
       0,     0,     0,     0,     0,  1514,     0,     0,  1515,     0,
       0, -1997,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1516,     0,     0,     0,     0,
       0,     0,     0,  1518,     0,     0,     0,     0,  1519,     0,
       0,     0,   733,     0,     0,     0,  1526,     0,     0,     0,
       0,     0,  2347,  2347,     0,     0,     0,     0,     0,  1527,
       0,     0,     0,     0,     0,  1530,  1531,  1532,     0,  1533,
    1534,  1535,  1536,  1537,  1538,     0,     0,     0,     0,  3088,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1514,     0,     0,  1515,     0,     0,     0,     0,     0,
       0,     0,     0,  1408,   665,     0,     0,     0,     0,     0,
       0,  1516, -1997,     0,   665,     0,     0,     0,     0,  1518,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,   665,
       0,     0,     0,     0,     0,   840,     0,     0,     0,     0,
       0,     0,     0,  1520,     0,     0,  2543,  1521,     0,  2988,
       0,     0,  1981,     0,     0,     0,  1981,     0,     0,     0,
       0,     0,  3001,     0,     0,  1035,     0,  1289,  1522,  1523,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     665,     0,  1524,   665,     0,     0,   733,     0,     0,     0,
    3019,     0,     0,     0,     0,     0,     0,     0,   719,     0,
       0,   733,  1533,  1534,  1535,  1536,  1537,  1538,  2050,     0,
       0,     0,     0,     0,  1525,     0,     0,  1526,     0,     0,
       0,   665,     0,   733,     0,     0,     0,     0,     0,     0,
    1527,  1035,     0,  1528,     0,     0,     0,     0,     0,     0,
    1035,     0,     0,     0,     0,     0,  1035,     0,  1035,  1520,
       0,     0,     0,  1521,  1035,     0,     0,  1035,  1035,  1035,
    1035,  1035,  1035,  1035,  1035,  1035,  1035,   800,     0,     0,
    1035,  1035,     0,     0,  1522,  1523,     0,     0,     0,     0,
       0,   818,   819,  1035,     0,     0,   821,     0,  1524,  1035,
    1289,     0,     0,     0,     0,   835,     0,     0,     0,  1035,
       0,     0,  1035,  1529,  1035,     0,     0,     0,     0,   844,
       0,     0,     0,  1035,  1035,  1035,     0,     0,     0,  1035,
    1525,   863,  1035,  1526,   865,     0,   867,     0,   870,   665,
     665,     0,  1035,     0,     0,     0,  1527,     0,  3126,  1528,
    1035,     0,  1035,     0,     0,     0,     0,     0,     0,     0,
    1676,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   489,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3155,  1408,  1408,     0,     0,   927,   733,   928,  1530,
    1531,  1532,     0,  1533,  1534,  1535,  1536,  1537,  1538,     0,
       0,     0,     0,  3140,     0,     0,  3173,     0,     0,  1529,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   679,     0,     0,     0,   733,     0,   733,     0,     0,
       0,  1514,     0,     0,  1515,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1516,     0,   840,     0,     0,     0,  1289,     0,  1518,
       0,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1530,  1531,  1532,     0,  1533,
    1534,  1535,  1536,  1537,  1538,     0,     0,     0,     0,  3149,
     665,     0,     0,     0,  1776,     0,     0,     0,     0,     0,
       0,     0,  1035,     0,     0,     0,     0,     0,   665,  1225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1289,  1236,     0,     0,     0,   665,     0,     0,     0,     0,
    1242,     0,     0,     0,  2501,     0,  1244,     0,     0,     0,
    3299,     0,     0,     0,  1783,     0,  3019,  1291,     0,  1514,
       0,     0,  1515,     0,     0,     0,     0,  1035,  1035,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1516,
       0,     0,     0,     0,     0,  2543,  1328,  1518,     0,  1981,
       0,  1289,  1519,     0,  1981,     0,     0,  1981,  2501,  1520,
    3335,     0,     0,  1521,     0,     0,     0,  2347,  1289,  2347,
       0,     0,  1514,     0,     0,  1515,     0,     0,     0,     0,
       0,     0,     0,     0,  1522,  1523,   733,     0,  1289,     0,
       0,     0,  1516,     0,     0,     0,     0,     0,  1524,  1035,
    1518,     0,     0,     0,     0,  1519,     0,   489,     0,   489,
    1289,   489,     0,   489,     0,   489,   489,   489,     0,     0,
       0,     0,   489,     0,     0,     0,     0,     0,     0,     0,
    1525,     0,     0,  1526,     0,  1035,     0,     0,     0,     0,
       0,     0,  1035,  1035,     0,     0,  1527,     0,     0,  1528,
    1035,  1035,     0,     0,     0,  1035,     0,     0,     0,  1289,
       0,  1035,  1035,     0,     0,  1035,     0,   665,   665,   665,
     665,     0,     0,     0,     0,     0,  1035,  1520,     0,     0,
       0,  1521,  3399,     0,     0,     0,     0,     0,  1035,     0,
       0,     0,     0,     0,     0,     0,   751,     0,     0,     0,
       0,     0,  1522,  1523,     0,   609,     0,     0,  1035,     0,
       0,     0,   724,   724,     0,     0,  1524,     0,     0,  1529,
       0,     0,     0,     0,     0,     0,     0,  3425,     0,     0,
    1520,     0,     0,     0,  1521,   733,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   733,     0,  1525,     0,
       0,  1526,     0,     0,     0,  1522,  1523,     0,     0,   724,
       0,     0,     0,     0,  1527,     0,     0,  1528,     0,  1524,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   721,     0,   840,     0,     0,     0,
     721,     0,     0,     0,  1408,     0,     0,     0,     0,     0,
     679,  1525,     0,     0,  1526,  1530,  1531,  1532,     0,  1533,
    1534,  1535,  1536,  1537,  1538,     0,     0,  1527,     0,  3355,
    1528,     0,     0,     0,     0,     0,     0,  1035,     0,     0,
       0,  1289,     0,     0,     0,     0,     0,  1529,     0,     0,
       0,     0,     0,     0,     0,     0,  1750,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2215,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   665,     0,
       0,     0,     0,     0,  1035,     0,     0,     0,  1981,     0,
    1529,  3335,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     733,     0,     0,     0,     0,  1035,     0,     0,     0,     0,
       0,     0,     0,  1530,  1531,  1532,     0,  1533,  1534,  1535,
    1536,  1537,  1538,     0,     0,     0,     0,  3387,     0,  1035,
    1035,     0,     0,  1035,     0,     0,     0,     0,     0,     0,
    1035,  1035,     0,     0,     0,     0,     0,     0,     0,  1514,
       0,     0,  1515,     0,   733,     0,   733,     0,     0,     0,
    3155,   751,   724,     0,     0,     0,  1530,  1531,  1532,  1516,
    1533,  1534,  1535,  1536,  1537,  1538,     0,  1518,  3134,     0,
     719,   751,  1519,     0,     0,     0,     0,     0,     0,     0,
       0,  1514,     0,     0,  1515,     0,     0,     0,     0,     0,
    1916,     0,     0,     0,     0,     0,  1408,     0,     0,     0,
       0,  1516,  1938,     0,     0,     0,     0,   719,     0,  1518,
     665,     0,     0,     0,  1519,     0,     0,     0,     0,     0,
       0,     0,  2347,     0,  1783,     0,     0,     0,     0,     0,
       0,     0,     0,  3299,     0,     0,     0,     0,   665,     0,
    1989,     0,     0,     0,  1993,     0,     0,   724,  3155,     0,
       0,     0,     0,  2002,     0,  2004,     0,  2005,     0,     0,
       0,     0,  2006,  2303,     0,     0,     0,     0,  1776,  2310,
       0,     0,     0,     0,     0,  1035,     0,     0,  1035,  1289,
    1035,     0,     0,     0,     0,     0,   489,     0,   489,     0,
     489,     0,   489,  3660,   489,     0,     0,  1520,   489,     0,
     721,  1521,     0,     0,     0,   724,     0,     0,     0,     0,
       0,     0,     0,   665,     0,     0,  1035,     0,     0,     0,
       0,     0,  1522,  1523,     0,     0,   724,   724,   724,   724,
       0,     0,     0,     0,     0,   840,  1524,     0,     0,  1520,
       0,     0,   721,  1521,     0,     0,     0,     0,     0,   721,
       0,     0,     0,     0,     0,     0,  1035,     0,     0,     0,
       0,     0,     0,     0,  1522,  1523,     0,     0,  1525,     0,
       0,  1526,  1514,     0,     0,  1515,     0,     0,  1524,     0,
       0,     0,     0,     0,  1527,     0,     0,  1528,     0,     0,
       0,     0,     0,     0,     0,  1289,     0,     0,     0,  1035,
    1518,     0,     0,     0,     0,  1519,     0,   751,     0,     0,
    1525,     0,     0,  1526,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1527,     0,     0,  1528,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     724,     0,   721,   719,     0,     0,     0,     0,     0,     0,
    3155,     0,     0,     0,     0,     0,     0,  1529,     0,  3660,
    1776,     0,  1035,  1035,     0,   733,     0,     0,  1514,     0,
       0,  1515,   719,   721,     0,     0,   724,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1516,     0,
       0,     0,     0,  3104,     0,     0,  1518,     0,  1035,  1529,
       0,  1519,     0,     0,     0,     0,     0,     0,  1035,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3817,     0,     0,     0,     0,     0,     0,     0,
   -1997,     0,     0,     0,  1521,     0,     0,     0,     0,     0,
       0,     0,     0,  1530,  1531,  1532,     0,  1533,  1534,  1535,
    1536,  1537,  1538,     0,     0,  1522,  1523,  3544,  1289,     0,
       0,     0,  1035,     0,     0,     0,     0,  3817,     0, -1997,
       0,   719,   721,     0,     0,  3817,     0,     0,     0,   721,
       0,     0,     0,     0,     0,  1530,  1531,  1532,     0,  1533,
    1534,  1535,  1536,  1537,  1538,     0,     0,     0,     0,  3567,
    1290,     0,     0,     0,  1526,     0,     0,     0,     0,     0,
       0,     0,  1022,     0,     0,     0,  2264,  1527,     0,     0,
       0,  2268,     0,     0,     0,     0,  1520,     0,     0,   721,
    1521,  2278,     0,     0,     0,     0,     0,     0,  2284,     0,
       0,     0,     0,  1081,  2289,     0,     0,     0,     0,     0,
    2299,  1522,  1523,     0,     0,  2301,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1524,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   721,     0,     0,
       0,  2317,  2318,  2321,  2323,     0,     0,     0,  2330,  2333,
   -1997,     0,     0,  2336,     0,     0,  2340,  1525,     0,     0,
    1526,     0,  2215,  2215,  2215,     0,     0,     0,     0,     0,
       0,     0,     0,  1527,  2375,     0,  1528,     0,     0,     0,
       0,     0,     0,  1290,  2378,     0,  2380,     0,     0,     0,
       0,     0,     0,     0,     0,  2391,  2392,  2393,     0,  2395,
       0,     0,     0,     0,     0,     0,     0,     0,  2408,  2409,
     721,     0,     0,     0,     0,     0,  2412,  2413,     0,  1514,
       0,     0,  1515,     0,     0,     0,     0,     0,     0,     0,
    1514,     0,     0,  1515,     0,     0,     0,     0,   721,  1516,
    1533,  1534,  1535,  1536,  1537,  1538,  1529,  1518,     0,     0,
    1516,     0,  1519,     0,     0,     0,     0,     0,  1518,     0,
       0,  1776,  2310,  1519,  2310,   721,   721,     0,   721,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   721,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1289,     0,  1289,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   721,  1661,     0,     0,     0,     0,     0,
       0,     0,  1530,  1531,  1532,     0,  1533,  1534,  1535,  1536,
    1537,  1538,     0,     0,     0,     0,  3605,     0,     0,     0,
       0,     0,     0,     0,     0,   721,     0,     0,     0,   721,
     721,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1290,     0,     0,     0,     0,  1661,  1289,  1520,     0,     0,
    1455,  1521,     0,     0,     0,     0,     0,     0,  1520,     0,
       0,     0,  1521,     0,     0,     0,     0,     0,     0,     0,
       0,  2310,  1522,  1523,     0,     0,     0,  1290,  1478,     0,
       0,     0,     0,  1522,  1523,     0,  1524,     0,     0,     0,
       0,     0,     0,  2611,     0,     0,     0,  1524,     0,     0,
       0,     0,     0,  1290,     0,  1502,  1503,     0,  1505,     0,
    2310,     0,     0,     0,     0,     0,     0,     0,  1525,     0,
       0,  1526,     0,     0,     0,  1543,     0,  1289,     0,  1525,
       0,     0,  1526,     0,  1527,     0,     0,  1528,     0,     0,
       0,  1289,     0,     0,     0,  1527,     0,     0,  1528,     0,
       0,     0,     0,     0,  2310,     0,     0,     0,     0,     0,
       0,     0,     0,  1579,  1290,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1290,     0,  2215,     0,     0,     0,     0,     0,  1289,
       0,     0,     0,     0,     0,  1690,     0,     0,     0,  1700,
    1703,  1290,     0,     0,     0,     0,     0,  1529,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1529,     0,
       0,     0,     0,  1290,     0,     0,     0,     0,  1661,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1289,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   721,     0,   721,     0,     0,     0,
       0,  1289,  1290,     0,     0,   721,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2761,  2762,     0,     0,
       0,     0,     0,  1530,  1531,  1532,  1289,  1533,  1534,  1535,
    1536,  1537,  1538,     0,  1530,  1531,  1532,  3749,  1533,  1534,
    1535,  1536,  1537,  1538,     0,     0,     0,  2781,  3825,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1289,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   721,     0,     0,     0,     0,     0,     0,     0,
       0,  2800,  2801,  2802,  2803,     0,     0,     0,     0,     0,
    2215,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   721,     0,   721,
       0,     0,     0,     0,     0,     0,   721,     0,     0,   721,
       0,     0,   721,     0,     0,     0,     0,     0,     0,     0,
     721,   721,     0,     0,     0,     0,     0,     0,   721,     0,
       0,   721,   721,   721,   721,     0,     0,     0,     0,     0,
       0,   721,   721,     0,   721,     0,   721,     0,     0,   721,
       0,     0,  2310,     0,     0,  2844,   543,  1280,     0,     0,
    2846,     0,     0,     0,  1290,   721,  1661,     0,   544,   721,
       0,     0,     0,   721,     0,     0,     0,   721,     0,   721,
     721,   721,   721,   721,   721,   721,   721,   721,   545,   721,
       0,     0,     0,     0,   721,     0,   721,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   546,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1514,
       0,     0,  1515,   547,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2948,  2949,  1516,
    1282,     0,     0,  2241,   548,     0,     0,  1518,     0,     0,
       0,     0,  1519,     0,     0,     0,  1514,     0,     0,  1515,
       0,     0,     0,     0,     0,     0,  2086,     0,  1289,     0,
    1280,     0,   549,     0,     0,     0,  1516,   550,     0,     0,
       0,     0,     0,   551,  1518,     0,     0,     0,  2108,  1519,
       0,  2110,     0,     0,  2121,     0,     0,     0,   552,  3007,
       0,  2128,  2133,     0,  1776,     0,  2138,     0,     0,  2143,
       0,     0,  3016,     0,     0,     0,     0,     0,     0,     0,
     721,     0,     0,  2242,     0,  2152,     0,     0,     0,  2158,
       0,     0,     0,  2170,     0,     0,     0,  2177,     0,  2179,
    2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,     0,  2188,
       0,     0,     0,     0,  1022,     0,  2212,     0,     0,     0,
       0,     0,  1661,  1282,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1520,   553,     0,
       0,  1521,     0,     0,     0,     0,   721,     0,   554,     0,
       0,     0,     0,  2662,     0,     0,     0,     0,  2663,     0,
       0,     0,  1522,  1523,     0,   176,  1290,     0,     0,     0,
       0,  1290,  1290,     0,  1520,     0,  1524,     0,  1521,     0,
       0,     0,  1290,  1289,     0,     0,     0,     0,     0,   555,
       0,     0,     0,   556,  1289,   557,     0,     0,  1661,  1522,
    1523,   558,     0,     0,   559,     0,     0,     0,  1525,     0,
       0,  1526,     0,  1524,  2215,     0,     0,  1280,     0,     0,
       0,     0,     0,     0,  1527,     0,  2215,  1528,     0,     0,
     560,     0,   561,     0,  1661,     0,   562,     0,     0,     0,
       0,     0,     0,     0,   563,  1525,     0,     0,  1526,   564,
    1081,     0,     0,     0,  1280,     0,     0,     0,     0,   565,
       0,  1527,     0,     0,  1528,     0,     0,  1289,     0,     0,
       0,   566,     0,     0,     0,     0,     0,  1289,     0,     0,
    1280,  1514,     0,     0,  1515,     0,     0,     0,     0,     0,
    2474,  3172,     0,     0,     0,     0,   721,  1529,  1290,     0,
       0,  1516,     0,     0,     0,     0,     0,     0,     0,  1518,
    1282,     0,     0,     0,  1519,     0,  2287,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3198,     0,
       0,     0,     0,  3205,  1529,  3207,  3208,  3209,  3210,     0,
       0,  1280,     0,     0,  2355,     0,  2243,  1282,     0,     0,
       0,     0,  1283,  2356,  2357,  2358,     0,     0,  1280,     0,
       0,     0,     0,  1290,     0,     0,     0,     0,     0,     0,
       0,   721,     0,  1282,     0,     0,     0,     0,  1280,     0,
       0,   721,     0,  1530,  1531,  1532,     0,  1533,  1534,  1535,
    1536,  1537,  1538,     0,     0,     0,     0,  2359,     0,     0,
    1280,     0,     0,     0,  3264,  3266,  3268,     0,  3270,     0,
       0,     0,     0,  3515,     0,   721,     0,     0,     0,     0,
    1530,  1531,  1532,     0,  1533,  1534,  1535,  1536,  1537,  1538,
       0,  1289,     0,     0,  1282,     0,     0,     0,     0,  1520,
       0,  2475,     0,  1521,     0,     0,  2360,     0,     0,  1280,
     721,  1282,     0,     0,     0,     0,     0,  1289,     0,     0,
       0,  1290,     0,     0,  1522,  1523,  2448,     0,     0,     0,
       0,  1282,     0,     0,     0,  1283,     0,     0,  1524,     0,
    2781,   721,   721,     0,     0,  2361,     0,     0,     0,     0,
       0,     0,     0,  1282,     0,     0,     0,     0,     0,  3337,
       0,  2362,  2363,  2364,  2365,  2366,     0,  2367,     0,     0,
    1525,   721,   721,  1526,     0,     0,   721,     0,     0,     0,
       0,     0,     0,     0,     0,  2310,  1527,     0,   721,   721,
     721,   721,     0,     0,     0,     0,  1661,     0,     0,  2368,
     721,  1661,  1282,   721,     0,   721,     0,     0,     0,     0,
       0,  2560,     0,     0,     0,   721,   721,     0,   721,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   721,     0,   721,     0,  2476,     0,   721,     0,     0,
       0,     0,     0,     0,     0,  2581,     0,     0,     0,     0,
       0,     0,     0,   721,     0,     0,     0,     0,     0,  1529,
       0,     0,     0,   721,     0,   721,   721,   721,  2310,     0,
       0,     0,  2369,     0,  2477,     0,     0,     0,     0,     0,
    1022,  1280,   721,     0,     0,     0,     0,     0,     0,     0,
     721,     0,     0,     0,  1289,     0,     0,     0,  2370,   721,
       0,     0,     0,     0,   721,  2371,     0,     0,  2372,     0,
       0,   721,  2622,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1283,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3431,     0,     0,   721,  1289,     0,     0,
       0,  1289,  1289,     0,  3440,  1530,  1531,  1532,     0,  1533,
    1534,  1535,  1536,  1537,  1538,     0,     0,     0,  2133,  1283,
    2133,  2133,     0,     0,  1290,  1290,     0,  1290,     0,     0,
    2682,     0,     0,  2685,  1282,  2687,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1283,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3515,
       0,  2708,     0,  2710,     0,     0,     0,  2713,  1290,     0,
    1290,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1285,     0,     0,     0,     0,
       0,  1514,     0,     0,  1515,  2212,  2212,  2212,     0,     0,
    3487,  1661,  1661,  1661,     0,     0,  1283,     0,     0,     0,
       0,  1516,  2740,     0,     0,     0,     0,     0,     0,  1518,
    1081,     0,  3505,  1283,  1519,     0,     0,     0,     0,  1690,
       0,     0,     0,     0,  2754,     0,     0,     0,     0,  1290,
       0,  1703,     0,  1283,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3532,
       0,  1661,     0,     0,  1290,  1283,  2770,     0,     0,     0,
       0,     0,     0,     0,     0,  1286,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1280,     0,     0,     0,     0,  1280,  1280,
       0,     0,  1661,  1290,     0,     0,     0,     0,  1285,  1280,
       0,     0,     0,     0,  1283,     0,     0,     0,     0,     0,
    1290,     0,     0,     0,     0,     0,     0,  3800,     0,     0,
       0,     0,     0,     0,  1290,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1290,     0,  1520,
       0,     0,     0,  1521,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   721,     0,     0,     0,   721,     0,     0,
       0,     0,     0,     0,  1522,  1523,   721,     0,     0,     0,
       0,     0,  1290,     0,     0,     0,  1282,     0,  1524,     0,
       0,  1282,  1282,     0,     0,     0,     0,     0,  1286,     0,
       0,     0,  1282,     0,     0,     0,     0,     0,     0,   721,
     165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1525,     0,     0,  1526,     0,  1280,     0,     0,     0,     0,
       0,     0,     0,  2781,     0,     0,  1527,     0,     0,  1528,
       0,     0,   721,     0,     0,  1290,     0,     0,     0,     0,
       0,   721,     0,     0,     0,  3801,     0,   721,     0,   721,
       0,     0,     0,     0,  1290,   721,     0,   166,   721,   721,
     721,   721,   721,   721,   721,   721,   721,   721,     0,     0,
       0,   721,   721,     0,     0,     0,  1283,   167,     0,  1290,
    1280,     0,     0,   168,   721,  1285,     0,     0,  1661,     0,
     721,     0,     0,     0,     0,     0,     0,     0,   169,  1529,
     721,  1287,     0,   721,     0,   721,     0,     0,  1282,     0,
       0,     0,     0,  1290,   721,   721,   721,     0,     0,     0,
     721,     0,  1285,   721,     0,     0,   170,     0,     0,     0,
       0,   171,     0,   721,     0,     0,  2212,   172,     0,     0,
       0,   721,     0,   721,     0,     0,     0,     0,  1285,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1282,     0,  1286,   174,     0,  1280,     0,
       0,     0,   721,     0,     0,  1530,  1531,  1532,     0,  1533,
    1534,  1535,  1536,  1537,  1538,     0,     0,     0,     0,     0,
       0,  1514,  3042,     0,  1515,  3746,     0,     0,     0,  1285,
       0,  3045,  1286,     0,  1661,  1290,  1661,  3046,     0,  3047,
       0,  1516,     0,     0,  1287,     0,  1285,     0,     0,  1518,
       0,     0,   175,     0,  1519,     0,     0,     0,  1286,  1661,
       0,  3065,  3066,     0,     0,     0,  1285,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   176,
    2138,     0,     0,     0,     0,     0,     0,     0,  1285,     0,
    3091,  1282,     0,  3094,     0,  3096,     0,     0,     0,     0,
       0,     0,     0,   177,  3100,     0,     0,     0,     0,   178,
    3105,     0,     0,  3108,     0,   179,     0,     0,   180,  1286,
       0,     0,     0,  3115,     0,     0,     0,     0,     0,     0,
       0,  3127,     0,  2212,     0,     0,  1286,  1285,     0,     0,
       0,     0,     0,   721,   181,     0,   182,     0,  1283,     0,
     183,     0,     0,  1283,  1283,     0,  1286,     0,   184,     0,
       0,  1290,     0,   185,  1283,     0,     0,     0,     0,     0,
       0,     0,     0,   186,     0,     0,     0,     0,  1286,  1520,
       0,     0,     0,  1521,     0,   187,     0,     0,     0,     0,
       0,  1514,     0,     0,  1515,     0,     0,  1290,   721,   721,
       0,     0,     0,     0,  1522,  1523,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1524,  1518,
     721,     0,     0,     0,  1519,   721,     0,  1286,   721,     0,
       0,  1287,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1280,  1280,     0,  1280,     0,     0,     0,     0,     0,
    1525,     0,     0,  1526,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1527,     0,  1287,  1528,
     721,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1283,     0,  2640,     0,     0,  1280,     0,  1280,     0,     0,
       0,     0,     0,     0,  1287,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   721,     0,     0,  1285,
       0,     0,  3107,   721,   721,     0,  1290,     0,     0,     0,
       0,   721,   721,     0,     0,     0,   721,  1290,     0,     0,
       0,     0,   721,   721,  1282,  1282,   721,  1282,     0,  1529,
       0,     0,     0,     0,     0,  1283,     0,   721,     0, -1997,
       0,     0,     0,  1521,     0,  1287,  1280,     0,     0,   721,
       0,     0,     0,     0,     0,     0,     0,     0,  3314,  3315,
       0,     0,  1287,     0,  1522,  1523,     0,     0,  1282,   721,
    1282,  1280,     0,     0,     0,     0,     0,     0, -1997,     0,
       0,     0,  1287,     0,     0,     0,     0,     0,     0,  1286,
    1290,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1290,     0,     0,     0,  1287,     0,     0,     0,     0,     0,
    1280,     0,     0,  1526,     0,  1530,  1531,  1532,     0,  1533,
    1534,  1535,  1536,  1537,  1538,     0,  1527,  1280,     0,     0,
    3353,     0,     0,  1283,     0,     0,     0,     0,     0,  1282,
       0,  1280,     0,     0,     0,  1661,     0,     0,     0,     0,
       0,     0,     0,  1287,  1280,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1282,     0,     0,     0,     0,     0,
       0,     0,     0,  3369,  3371,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3378,     0,   721,  1280,
       0,     0,  3383,  3384,     0,     0,  3386,     0,  1661, -1997,
       0,     0,     0,  1282,     0,     0,     0,  2212,     0,     0,
    1514,     0,     0,  1515,     0,     0,     0,     0,     0,  2212,
    1282,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1516,     0,     0,     0,  1282,     0,  1290,     0,  1518,  3410,
       0,     0,     0,  1519,     0,   721,     0,  1282,     0,   721,
       0,  1285,  1280,     0,  1290,     0,  1285,  1285,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1285,     0,     0,
       0,  1280,     0,     0,     0,     0,   721,     0,     0,     0,
    1290,     0,  1282,     0,     0,     0,     0,     0,     0,  1533,
    1534,  1535,  1536,  1537,  1538,     0,  1280,     0,     0,     0,
     721,   721,     0,     0,   721,     0,     0,     0,     0,     0,
       0,   721,   721,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1287,     0,     0,     0,     0,
    1280,   721,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1286,     0,     0,     0,  1282,  1286,  1286,  1290,     0,
       0,   721,     0,     0,     0,     0,     0,  1286,  3475,     0,
       0,     0,     0,     0,  1282,     0,     0,     0,  1520,     0,
       0,     0,  1521,     0,     0,     0,  1283,  1283,     0,  1283,
       0,     0,     0,  1285,     0,     0,     0,     0,   721,  1282,
       0,     0,     0,  1522,  1523,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1524,     0,     0,
       0,     0,     0,     0,     0,  3522,     0,     0,     0,     0,
    1283,     0,  1283,  1282,     0,     0,     0,     0,     0,   721,
       0,  1290,  1280,     0,     0,     0,     0,     0,     0,  1525,
       0,     0,  1526,     0,     0,     0,     0,     0,  1285,     0,
       0,     0,     0,     0,     0,  1527,   721,  1290,  1528,   721,
       0,   721,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1286,  3552,     0,  3080,     0,     0,     0,
       0,     0,  3554,     0,     0,     0,     0,     0,     0,     0,
       0,  1283,     0,     0,     0,     0,     0,   721,     0,     0,
    1290,     0,     0,     0,  1290,  1290,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1283,     0,     0,     0,
       0,     0,     0,     0,     0,  1282,     0,     0,  1529,     0,
    1661,     0,     0,     0,     0,     0,  1514,   721,  1286,  1515,
       0,  3081,     0,     0,     0,     0,  1285,     0,     0,     0,
       0,     0,     0,     0,     0,  1283,  1516,     0,  1280,  2626,
       0,     0,  1290,     0,  1518,     0,     0,  1514,     0,  1519,
    1515,     0,  1283,     0,     0,     0,     0,  1287,     0,     0,
     721,     0,  1287,  1287,     0,     0,  1283,  1516,     0,     0,
    2670,     0,     0,  1287,  1280,  1518,     0,     0,     0,  1283,
    1519,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1530,  1531,  1532,     0,  1533,  1534,
    1535,  1536,  1537,  1538,   721,     0,     0,     0,     0,  2138,
       0,   721,     0,     0,  1283,     0,  1286,     0,     0,     0,
       0,     0,     0,   721,   721,  1540,     0,     0,     0,     0,
       0,  1282,     0,   721,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3675,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   721,
       0,     0,     0,     0,     0,     0,     0,  1282,     0,   721,
       0,     0,     0,     0,  1520,     0,     0,  1283,  1521,     0,
       0,     0,     0,   501,  1540,     0,     0,  3704,     0,  1287,
       0,     0,     0,  1280,     0,   502,  1283,     0,     0,  1522,
    1523,     0,     0,     0,  1280,  1520,     0,     0,     0,  1521,
       0,     0,     0,  1524,     0,   503,     0,     0,     0,     0,
       0,  1283,     0,   721,     0,     0,     0,     0,     0,     0,
    1522,  1523,   721,     0,     0,     0,   504,     0,     0,     0,
    -616,     0,     0,     0,  1524,  1525,     0,     0,  1526,     0,
       0,     0,     0,     0,  1287,  1283,     0,     0,     0,     0,
     505,  1527,     0,     0,  1528,     0,   506,     0,     0,  1285,
    1285,     0,  1285,     0,     0,     0,  1525,  1280,     0,  1526,
       0,   507,     0,     0,     0,     0,  1282,  1280,     0,     0,
       0,     0,  1527,  3763,  3763,  1528,     0,  1282,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   508,
       0,     0,     0,  1285,     0,  1285,   509,     0,     0,     0,
     510,     0,     0,     0,     0,     0,     0,     0,     0,  3763,
       0,     0,     0,     0,  1529,  -769,     0,     0,     0,  3803,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1287,     0,     0,     0,     0,  1283,     0,  1286,
    1286,     0,  1286,     0,     0,  1529,     0,     0,     0,     0,
    1282,   511,     0,     0,     0,     0,     0,     0,     0,     0,
    1282,     0,     0,     0,  1285,     0,     0,     0,     0,     0,
       0,     0,     0,  3763,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1286,     0,  1286,     0,     0,     0,  1285,
       0,     0,     0,     0,     0,   512,  1514,     0,   513,  1515,
    1530,  1531,  1532,     0,  1533,  1534,  1535,  1536,  1537,  1538,
       0,     0,     0,     0,     0,     0,  1516,     0,     0,  2679,
       0,  1280,     0,     0,  1518,     0,     0,     0,  1285,  1519,
       0,  1530,  1531,  1532,     0,  1533,  1534,  1535,  1536,  1537,
    1538,     0,     0,     0,     0,  1285,   514,  1280,  1514,     0,
       0,  1515,   515,     0,  1286,     0,     0,     0,  -348,  1285,
    1540,   516,     0,  1283,     0,     0,     0,     0,  1516,     0,
       0,     0,  1285,     0,     0,     0,  1518,     0,     0,  1286,
       0,  1519,     0,     0,     0,     0,     0,  -348,     0,   517,
     518,     0,   519,   520,     0,     0,     0,     0,     0,  1283,
       0,   521,     0,     0,     0,     0,   522,  1285,     0,     0,
       0,   523,     0,     0,  1282,  1280,   524,     0,  1286,     0,
       0,     0,     0,     0,  1514,     0,     0,  1515,  -348,     0,
       0,     0,     0,     0,     0,  1286,     0,     0,  1540,     0,
    1282,     0,     0,     0,  1516,     0,     0,     0,     0,  1286,
       0,     0,  1518,     0,  1520,     0,     0,  1519,  1521,     0,
       0,  1540,  1286,     0,     0,     0,  2117,     0,     0,     0,
    1285,     0,     0,     0,     0,  1287,  1287,     0,  1287,  1522,
    1523,     0,     0,     0,  1514,  1540,  1540,  1515,  1540,  1285,
    2675,     0,     0,  1524,     0,     0,     0,  1286,  1280,     0,
       0,     0,     0,     0,  1516,     0,  1520,  3087,  1282,     0,
    1521,     0,  1518,     0,  1285,     0,     0,  1519,  1283,  1287,
       0,  1287,     0,     0,  1280,  1525,  1540,     0,  1526,  1283,
       0,  1522,  1523,     0,     0,     0,     0,  1514,     0,     0,
    1515,  1527,     0,     0,  1528,  1524,     0,     0,  1285,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1286,     0,  1540,     0,     0,  1518,     0,  1280,     0,     0,
    1519,  1280,  1280,     0,     0,     0,     0,  1525,     0,  1286,
    1526,     0,  1520,     0,     0,     0,  1521,     0,     0,     0,
    1287,  1282,     0,  1527,     0,     0,  1528,     0,     0,     0,
       0,     0,  1283,     0,  1286,     0,     0,  1522,  1523,     0,
       0,     0,  1283,     0,  1529,  1287,     0,  1282,     0,     0,
       0,  1524,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1286,     0,
       0,     0,  1520,     0,     0,     0,  1521,     0,     0,     0,
    1285,     0,     0,  1525,  1287,     0,  1526,     0,  3385,     0,
    1282,     0,     0,     0,  1282,  1282,  1529,  1522,  1523,  1527,
       0,  1287,  1528,  1540,     0,     0,     0,     0,     0,     0,
       0,  1524,     0,  1540,     0,  1287,  1540,     0,     0,     0,
       0,     0,     0,     0,     0, -1997,     0,     0,  1287,  1521,
    1530,  1531,  1532,     0,  1533,  1534,  1535,  1536,  1537,  1538,
       0,     0,     0,  1525,     0,     0,  1526,     0,     0,     0,
    1522,  1523,     0,     0,     0,     0,     0,     0,     0,  1527,
       0,     0,  1528,  1287, -1997,     0,     0,     0,     0,     0,
    1286,     0,  1529,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1530,  1531,  1532,     0,  1533,  1534,  1535,  1536,
    1537,  1538,     0,     0,     0,     0,  1283,     0,  3041,  1526,
       0,     0,     0,     0,     0,     0,  1285,     0,     0,     0,
       0,     0,  1527,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1283,     0,     0,     0,  1287,     0,     0,     0,
       0,     0,  1529,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1285,     0,     0,  1287,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1530,  1531,
    1532,     0,  1533,  1534,  1535,  1536,  1537,  1538,     0,  1514,
    1287,     0,  1515,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -1997,     0,     0,     0,  1516,
    1283,     0,     0,     0,     0,     0,  1286,  1518,     0,     0,
       0,     0,  1519,     0,  1287,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1530,  1531,
    1532,     0,  1533,  1534,  1535,  1536,  1537,  1538,     0,     0,
       0,     0,  1286,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1285,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1285,  1283,     0,  1533,  1534,  1535,  1536,  1537,
    1538,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1283,
       0,     0,     0,     0,     0,     0,  1287,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1520,     0,     0,
       0,  1521,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1283,     0,     0,  1285,  1283,  1283,     0,     0,
       0,  1286,  1522,  1523,     0,  1285,     0,     0,     0,     0,
       0,     0,  1286,     0,     0,     0,  1524,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1525,  1540,
       0,  1526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1527,     0,     0,  1528,     0,     0,
       0,  1540,     0,  1540,     0,  2117,  2117,  2658,     0,     0,
    2117,     0,  1287,     0,  1540,  1286,     0,     0,     0,     0,
       0,  1540,     0,     0,     0,  1286,  1540,     0,     0,     0,
       0,  1540,     0,     0,     0,     0,  1540,     0,     0,     0,
       0,     0,     0,     0,     0,  1540,     0,     0,  1287,  2117,
    2117,  1540,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1540,     0,     0,     0,  1529,     0,     0,
    1540,     0,  1540,  1540,  1540,  1540,  1540,  1540,  1540,  1540,
    1540,  1540,     0,     0,     0,     0,     0,     0,     0,  1285,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1540,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1285,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1530,  1531,  1532,     0,  1533,  1534,  1535,
    1536,  1537,  1538,     0,     0,     0,     0,  1287,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1287,  1286,
    1540,     0,     0,  1285,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1286,     0,     0,     0,     0,
       1,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       2,     0,     3,     4,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1287,     0,     0,     0,     0,     6,     0,     7,     8,
       0,  1287,     0,     9,     0,    10,  1285,     0,     0,     0,
       0,     0,     0,  1286,     0,    11,     0,    12,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1285,     0,     0,     0,    13,     0,     0,    14,
       0,     0,     0,     0,     0,    15,     0,     0,     0,     0,
       0,    16,     0,    17,     0,     0,     0,    18,     0,     0,
       0,     0,     0,    19,     0,     0,     0,     0,     0,     0,
      20,     0,    21,     0,     0,  1285,     0,    22,     0,  1285,
    1285,  1540,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    23,     0,     0,     0,     0,  1286,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    24,
       0,     0,  1286,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    25,    26,     0,     0,     0,     0,    27,
       0,     0,     0,     0,     0,  1287,     0,     0,    28,     0,
       0,     0,     0,     0,     0,  1286,     0,     0,     0,  1286,
    1286,     0,     0,     0,     0,    29,     0,     0,     0,     0,
       0,  1287,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1540,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    30,     0,     0,  1540,     0,     0,     0,     0,     0,
       0,     0,    31,     0,     0,     0,    32,     0,    33,     0,
       0,     0,     0,    34,     0,     0,     0,     0,    35,     0,
       0,    36,     0,     0,     0,    37,     0,     0,     0,  1287,
       0,    38,     0,     0,     0,  1540,     0,     0,    39,     0,
       0,    40,     0,     0,     0,     0,     0,     0,    41,     0,
       0,     0,     0,     0,     0,     0,  2658,  2658,     0,  2117,
       0,    42,  2117,  2117,  2117,  2117,  2117,  2117,  2117,  2117,
    2117,  2117,  2658,     0,     0,     0,     0,     0,    43,     0,
       0,     0,     0,     0,     0,     0,     0,    44,     0,    45,
       0,     0,    46,     0,     0,  1540,    47,     0,  1540,     0,
    1540,     0,     0,     0,     0,  2658,  2658,     0,    48,     0,
       0,     0,  1287,     0,     0,     0,     0,     0,     0,  2117,
    2117,  1540,     0,  1540,     0,     0,  1540,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1287,     0,
       0,    49,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1540,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1540,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1287,     0,  1540,     0,  1287,  1287,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2117,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1540,     0,     0,  1540,  1540,
    1540,     0,     0,  2658,     0,     0,     0,     0,  2658,  2658,
    2658,  2658,  2658,  2658,  2658,  2658,  2658,  2658,  1540,  1540,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1540,  2117,  2117,  1540,     0,  1540,
       0,     0,     0,  1540,  2658,  2658,     0,     0,  1540,     0,
       0,  1540,     0,     0,     0,     0,     0,     0,  1540,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1540,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2658,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1540,  1540,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1540,     0,     0,     0,
    2117,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1540,     0,  1540,     0,     0,     0,     0,  2658,
    2658,  1540,     0,     0,  2117,  2117,  1540,  1540,     0,  1540,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1540,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1540,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1540,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2658,
    2117,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2658,  2658,  1540,     0,  1540,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,  2658,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,  1540,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,  1540,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,  1540,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,  1540,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,  3414,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1064,     0,     0,     0,  1065,   695,   942,   538,
     943,   944,   945,   583,   946,     0,     0,     0,   191,   192,
     193,   194,   195,   196,   197,   198,  2206,   200,   201,   202,
       0,     0,     0,     0,   947,     0,     0,   203,   204,     0,
     205,   696,   206,   207,   208,   209,   948,   697,   949,   950,
       0,   213,   214,   215,   216,   217,   951,   952,   218,   219,
     953,   954,   222,     0,   223,   224,   225,   226,   955,     0,
       0,   228,   229,   230,   231,   698,   232,   233,     0,   234,
     235,   236,   237,   238,   239,     0,   240,   241,   242,   699,
     243,   244,   956,   957,   958,   959,   960,   961,   962,   245,
     246,   247,   248,   249,   250,   963,   964,   253,     0,   254,
       0,   255,   256,   257,   258,   259,     0,   260,   261,   262,
    2207,     0,   263,   264,   965,   266,   267,     0,   268,   269,
     270,     0,   271,   272,     0,   273,   274,   275,   276,   966,
     278,   279,   967,   968,   281,     0,   282,   969,   284,     0,
     285,     0,   286,   701,     0,   702,   287,   288,   289,     0,
     290,   970,     0,   292,     0,   293,   294,   295,   296,   297,
     703,   298,   299,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   704,   308,   309,   310,   311,   312,   971,
     972,     0,   973,     0,   316,   705,   706,   317,   707,   318,
     319,   320,   321,   322,   323,     0,   974,   708,   325,   709,
       0,   326,   327,   328,   975,   976,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   977,
     710,   978,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   979,   353,   354,   711,   355,   980,   981,   357,   982,
     359,   360,     0,     0,   361,     0,     0,   983,   363,   364,
       0,     0,   365,   712,   713,   714,   984,   367,   368,   369,
     370,   371,   372,     0,   373,   985,   375,   376,   377,   378,
     379,     0,   380,   381,   382,   383,   384,   385,   386,   986,
     388,   389,   390,     0,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   715,   403,   404,
     987,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   988,   419,   420,   421,   422,
     716,   423,   989,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   990,   436,     0,   437,   438,     0,
     439,   440,   441,   442,   443,   444,     0,   991,   992,     0,
       0,   447,   993,   449,   994,   995,   451,   452,   453,   454,
     455,   456,     0,   996,   457,   458,   459,   460,   997,     0,
     461,   462,   463,   464,   465,   998,  2208,   467,   717,   468,
     469,   470,     0,     0,   471,     0,     0,   472,   473,   474,
     475,   476,   477,   999,  1000,  1001,  1002,  1003,  1004,  1005,
     485,   486,   487,     0,     0,     0,     0,     0,     0,     0,
    1006,  1007,  2209,     0,     0,     0,     0,     0,     0,  1009,
    2210,   695,   942,   538,   943,   944,   945,   583,   946,     0,
       0,     0,   191,   192,   193,   194,   195,   196,   197,   198,
       0,   200,   201,   202,     0,     0,     0,     0,   947,     0,
       0,   203,   204,     0,   205,   696,   206,   207,   208,   209,
     948,   697,   949,   950,     0,   213,   214,   215,   216,   217,
     951,   952,   218,   219,   953,   954,   222,     0,   223,   224,
     225,   226,   955,     0,     0,   228,   229,   230,   231,   698,
     232,   233,     0,   234,   235,   236,   237,   238,   239,     0,
     240,   241,   242,   699,   243,   244,   956,   957,   958,   959,
     960,   961,   962,   245,   246,   247,   248,   249,   250,   963,
     964,   253,     0,   254,     0,   255,   256,   257,   258,   259,
       0,   260,   261,   262,     0,     0,   263,   264,   965,   266,
     267,     0,   268,   269,   270,     0,   271,   272,     0,   273,
     274,   275,   276,   966,   278,   279,   967,   968,   281,     0,
     282,   969,   284,     0,   285,     0,   286,   701,     0,   702,
     287,   288,   289,     0,   290,   970,     0,   292,     0,   293,
     294,   295,   296,   297,   703,   298,   299,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   704,   308,   309,
     310,   311,   312,   971,   972,     0,   973,     0,   316,   705,
     706,   317,   707,   318,   319,   320,   321,   322,   323,     0,
     974,   708,   325,   709,     0,   326,   327,   328,   975,   976,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   977,   710,   978,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   979,   353,   354,   711,   355,
     980,   981,   357,   982,   359,   360,     0,     0,   361,     0,
       0,   983,   363,   364,     0,     0,   365,   712,   713,   714,
     984,   367,   368,   369,   370,   371,   372,     0,   373,   985,
     375,   376,   377,   378,   379,     0,   380,   381,   382,   383,
     384,   385,   386,   986,   388,   389,   390,     0,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   715,   403,   404,   987,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   988,
     419,   420,   421,   422,   716,   423,   989,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   990,   436,
       0,   437,   438,     0,   439,   440,   441,   442,   443,   444,
       0,   991,   992,     0,     0,   447,   993,   449,   994,   995,
     451,   452,   453,   454,   455,   456,     0,   996,   457,   458,
     459,   460,   997,     0,   461,   462,   463,   464,   465,   998,
       0,   467,   717,   468,   469,   470,     0,     0,   471,     0,
       0,   472,   473,   474,   475,   476,   477,   999,  1000,  1001,
    1002,  1003,  1004,  1005,   485,   486,   487,     0,     0,     0,
       0,     0,     0,     0,  1006,  1007,   190,     0,     0,     0,
       0,     0,     0,  1009,  2119,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,  2541,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242, -1252,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0, -1252,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307, -1252,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317, -1252,   318,   319,
     320,   321,   322,   323,     0,   324, -1252,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342, -1252,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402, -1252,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,     0,     0,     0,     0,     0,     0,  1256,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1088,
     191,   192,   193,   194,   195,   196,   197,   198,     0,   200,
     201,   202,     0,     0,     0,     0,     0,     0,     0,   203,
     204,     0,   205,   696,   206,   207,   208,     0,  1257,   697,
    1258,  1259,     0,   213,   214,   215,   216,   217,     0,     0,
     218,   219,  1260,  1261,   222,     0,   223,   224,   225,   226,
       0,     0,     0,   228,   229,   230,   231,   698,   232,   233,
       0,   234,   235,   236,   237,   238,   239,     0,   240,   241,
     242,   699,   243,   244,     0,     0,     0,   700,     0,     0,
       0,   245,   246,   247,   248,   249,   250,  1262,  1263,   253,
       0,   254,     0,   255,   256,   257,   258,   259,     0,   260,
     261,   262,     0,     0,   263,   264,   965,   266,   267,     0,
     268,   269,   270,     0,   271,   272,     0,   273,   274,   275,
     276,     0,   278,   279,     0,     0,   281,     0,   282,  1264,
     284,     0,   285,     0,   286,   701,     0,   702,   287,   288,
     289,     0,   290,     0,     0,   292,     0,   293,   294,   295,
     296,   297,   703,   298,   299,   300,  1764,   301,   302,   303,
     304,   305,   306,     0,   307,   704,  1765,   309,   310,   311,
     312,  1265,  1266,     0,  1267,     0,   316,   705,   706,   317,
     707,   318,   319,   320,   321,   322,   323,     0,     0,   708,
     325,   709,     0,   326,   327,   328,     0,     0,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,  1268,   710,  1269,   344,   345,   346,   347,   348,   349,
     350,     0,   352,     0,   353,   354,   711,   355,     0,     0,
     357,  1270,   359,   360,     0,     0,   361,     0,     0,   362,
     363,   364,     0,     0,  1766,   712,   713,   714,     0,   367,
     368,   369,   370,   371,   372,     0,   373,     0,   375,     0,
     377,   378,   379,     0,   380,   381,   382,   383,   384,   385,
     386,  1271,   388,   389,   390,     0,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   715,
     403,   404,     0,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,     0,   419,  1767,
     421,   422,   716,   423,  1273,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   436,     0,   437,
     438,     0,   439,   440,   441,   442,   443,   444,     0,  1274,
    1275,     0,     0,   447,     0,   449,     0,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   459,   460,
       0,     0,   461,   462,   463,   464,     0,  1276,  1768,   467,
     717,   468,   469,   470,     0,     0,   471,     0,     0,   472,
     473,   474,   475,   476,  1256,     0,     0,     0,     0,     0,
       0,     0,   485,   486,   487,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,  1769,     0,   203,   204,     0,   205,   696,   206,
     207,   208,     0,  1257,   697,  1258,  1259,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,  1260,  1261,   222,
       0,   223,   224,   225,   226,     0,     0,     0,   228,   229,
     230,   231,   698,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,   699,   243,   244,     0,
       0,     0,   700,     0,     0,     0,   245,   246,   247,   248,
     249,   250,  1262,  1263,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   965,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,     0,   278,   279,     0,
       0,   281,     0,   282,  1264,   284,     0,   285,     0,   286,
     701,     0,   702,   287,   288,   289,     0,   290,     0,     0,
     292,     0,   293,   294,   295,   296,   297,   703,   298,   299,
     300,  1764,   301,   302,   303,   304,   305,   306,     0,   307,
     704,  1765,   309,   310,   311,   312,  1265,  1266,     0,  1267,
       0,   316,   705,   706,   317,   707,   318,   319,   320,   321,
     322,   323,     0,     0,   708,   325,   709,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,  1268,   710,  1269,   344,
     345,   346,   347,   348,   349,   350,     0,   352,     0,   353,
     354,   711,   355,     0,     0,   357,  1270,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,  1766,
     712,   713,   714,     0,   367,   368,   369,   370,   371,   372,
       0,   373,     0,   375,     0,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,  1271,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   715,   403,   404,     0,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,  1767,   421,   422,   716,   423,  1273,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,  1274,  1275,     0,     0,   447,     0,
     449,     0,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,     0,  1276,  1768,   467,   717,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   695,
     942,   538,   943,   944,   945,   583,   946,   485,   486,   487,
     191,   192,   193,   194,   195,   196,   197,   198,     0,   200,
     201,   202,     0,     0,     0,     0,   947,  2522,     0,   203,
     204,     0,   205,   696,   206,   207,   208,   209,   948,   697,
     949,   950,  2129,   213,   214,   215,   216,   217,   951,   952,
     218,   219,   953,   954,   222,     0,   223,   224,   225,   226,
     955,     0,     0,   228,   229,   230,   231,   698,   232,   233,
       0,   234,   235,   236,   237,   238,   239,     0,   240,   241,
     242,   699,   243,   244,   956,   957,   958,   959,   960,   961,
     962,   245,   246,   247,   248,   249,   250,   963,   964,   253,
       0,   254,     0,   255,   256,   257,   258,   259,     0,   260,
     261,   262,     0,     0,   263,   264,   965,   266,   267,     0,
     268,   269,   270,     0,   271,   272,     0,   273,   274,   275,
     276,   966,   278,   279,   967,   968,   281,     0,   282,   969,
     284,     0,   285,     0,   286,   701,  2130,   702,   287,   288,
     289,     0,   290,   970,     0,   292,     0,   293,   294,   295,
     296,   297,   703,   298,   299,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   704,   308,   309,   310,   311,
     312,   971,   972,     0,   973,     0,   316,   705,   706,   317,
     707,   318,   319,   320,   321,   322,   323,  2131,   974,   708,
     325,   709,     0,   326,   327,   328,   975,   976,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   977,   710,   978,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   979,   353,   354,   711,   355,   980,   981,
     357,   982,   359,   360,     0,     0,   361,     0,     0,   983,
     363,   364,     0,     0,   365,   712,   713,   714,   984,   367,
     368,   369,   370,   371,   372,     0,   373,   985,   375,   376,
     377,   378,   379,     0,   380,   381,   382,   383,   384,   385,
     386,   986,   388,   389,   390,     0,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   715,
     403,   404,   987,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   988,   419,   420,
     421,   422,   716,   423,   989,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   990,   436,     0,   437,
     438,     0,   439,   440,   441,   442,   443,   444,     0,   991,
     992,     0,  2132,   447,   993,   449,   994,   995,   451,   452,
     453,   454,   455,   456,     0,   996,   457,   458,   459,   460,
     997,     0,   461,   462,   463,   464,   465,   998,     0,   467,
     717,   468,   469,   470,     0,     0,   471,     0,     0,   472,
     473,   474,   475,   476,   477,   999,  1000,  1001,  1002,  1003,
    1004,  1005,   485,   486,   487,     0,     0,     0,     0,     0,
       0,     0,  1006,  1007,     0,     0,     0,     0,     0,     0,
       0,  1009,   695,   942,   538,   943,   944,   945,   583,   946,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,   947,
       0,     0,   203,   204,     0,   205,   696,   206,   207,   208,
     209,   948,   697,   949,   950,     0,   213,   214,   215,   216,
     217,   951,   952,   218,   219,   953,   954,   222,     0,   223,
     224,   225,   226,   955,     0,     0,   228,   229,   230,   231,
     698,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   699,   243,   244,   956,   957,   958,
     959,   960,   961,   962,   245,   246,   247,   248,   249,   250,
     963,   964,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   965,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   966,   278,   279,   967,   968,   281,
       0,   282,   969,   284,     0,   285,     0,   286,   701,     0,
     702,   287,   288,   289,     0,   290,   970,     0,   292,     0,
     293,   294,   295,   296,   297,   703,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   704,   308,
     309,   310,   311,   312,   971,   972,     0,   973,     0,   316,
     705,   706,   317,   707,   318,   319,   320,   321,   322,   323,
       0,   974,   708,   325,   709,     0,   326,   327,   328,   975,
     976,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   977,   710,   978,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   979,   353,   354,   711,
     355,   980,   981,   357,   982,   359,   360,     0,     0,   361,
       0,     0,   983,   363,   364,     0,     0,   365,   712,   713,
     714,   984,   367,   368,   369,   370,   371,   372,     0,   373,
     985,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   986,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   715,   403,   404,   987,   406,   407,   408,   409,
     410,   411,   412,   413,    38,   414,   415,   416,   417,   418,
     988,   419,   420,   421,   422,   716,   423,   989,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   990,
     436,     0,   437,   438,    42,   439,   440,   441,   442,   443,
     444,     0,   991,   992,     0,     0,   447,   993,   449,   994,
     995,   451,   452,   453,   454,   455,   456,     0,   996,   457,
     458,   459,   460,   997,     0,   461,   462,   463,   464,   882,
     998,     0,   467,   717,   468,   469,   470,     0,     0,   471,
       0,    48,   472,   473,   474,   475,   476,   477,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   485,   486,   487,     0,     0,
       0,     0,     0,     0,     0,  1006,  1007,     0,     0,     0,
       0,     0,     0,     0,  1009,   695,   942,   538,   943,   944,
     945,   583,   946,     0,     0,     0,   191,   192,   193,   194,
     195,   196,   197,   198,     0,   200,   201,   202,     0,     0,
       0,     0,   947,     0,     0,   203,   204,     0,   205,   696,
     206,   207,   208,   209,   948,   697,   949,   950,     0,   213,
     214,   215,   216,   217,   951,   952,   218,   219,   953,   954,
     222,     0,   223,   224,   225,   226,   955,     0,     0,   228,
     229,   230,   231,   698,   232,   233,     0,   234,   235,   236,
     237,   238,   239,     0,   240,   241,   242,   699,   243,   244,
     956,   957,   958,   959,   960,   961,   962,   245,   246,   247,
     248,   249,   250,   963,   964,   253,     0,   254,     0,   255,
     256,   257,   258,   259,     0,   260,   261,   262,     0,     0,
     263,   264,   965,   266,   267,     0,   268,   269,   270,     0,
     271,   272,     0,   273,   274,   275,   276,   966,   278,   279,
     967,   968,   281,     0,   282,   969,   284,     0,   285,     0,
     286,   701,     0,   702,   287,   288,   289,     0,   290,   970,
       0,   292,     0,   293,   294,   295,   296,   297,   703,   298,
     299,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   704,   308,   309,   310,   311,   312,   971,   972,     0,
     973,     0,   316,   705,   706,   317,   707,   318,   319,   320,
     321,   322,   323,     0,   974,   708,   325,   709,     0,   326,
     327,   328,   975,   976,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   977,   710,   978,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   979,
     353,   354,   711,   355,   980,   981,   357,   982,   359,   360,
       0,     0,   361,     0,     0,   983,   363,   364,     0,     0,
     365,   712,   713,   714,   984,   367,   368,   369,   370,   371,
     372,     0,   373,   985,   375,   376,   377,   378,   379,     0,
     380,   381,   382,   383,   384,   385,   386,   986,   388,   389,
     390,     0,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   715,   403,   404,   987,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   988,   419,   420,   421,   422,   716,   423,
     989,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   990,   436,     0,   437,   438,     0,   439,   440,
     441,   442,   443,   444,     0,   991,   992,     0,     0,   447,
     993,   449,   994,   995,   451,   452,   453,   454,   455,   456,
       0,   996,   457,   458,   459,   460,   997,     0,   461,   462,
     463,   464,   465,   998,     0,   467,   717,   468,   469,   470,
       0,     0,   471,     0,     0,   472,   473,   474,   475,   476,
     477,   999,  1000,  1001,  1002,  1003,  1004,  1005,   485,   486,
     487,     0,     0,     0,     0,     0,     0,     0,  1006,  1007,
       0,     0,     0,     0,     0,  1450,  2078,  1009,   695,   942,
     538,   943,   944,   945,   583,   946,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,   947,     0,     0,   203,   204,
       0,   205,   696,   206,   207,   208,   209,   948,   697,   949,
     950,     0,   213,   214,   215,   216,   217,   951,   952,   218,
     219,   953,   954,   222,     0,   223,   224,   225,   226,   955,
       0,     0,   228,   229,   230,   231,   698,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     699,   243,   244,   956,   957,   958,   959,   960,   961,   962,
     245,   246,   247,   248,   249,   250,   963,   964,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   965,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     966,   278,   279,   967,   968,   281,     0,   282,   969,   284,
       0,   285,     0,   286,   701,     0,   702,   287,   288,   289,
       0,   290,   970,     0,   292,     0,   293,   294,   295,   296,
     297,   703,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   704,   308,   309,   310,   311,   312,
     971,   972,     0,   973,     0,   316,   705,   706,   317,   707,
     318,   319,   320,   321,   322,   323,     0,   974,   708,   325,
     709,     0,   326,   327,   328,   975,   976,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     977,   710,   978,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   979,   353,   354,   711,   355,   980,   981,   357,
     982,   359,   360,     0,     0,   361,     0,     0,   983,   363,
     364,     0,     0,   365,   712,   713,   714,   984,   367,   368,
     369,   370,   371,   372,     0,   373,   985,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     986,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   715,   403,
     404,   987,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   988,   419,   420,   421,
     422,   716,   423,   989,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   990,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   991,   992,
       0,     0,   447,   993,   449,   994,   995,   451,   452,   453,
     454,   455,   456,     0,   996,   457,   458,   459,   460,   997,
       0,   461,   462,   463,   464,   465,   998,     0,   467,   717,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   999,  1000,  1001,  1002,  1003,  1004,
    1005,   485,   486,   487,     0,     0,     0,     0,     0,     0,
       0,  1006,  1007,  1008,     0,     0,     0,     0,     0,     0,
    1009,   695,   942,   538,   943,   944,   945,   583,   946,     0,
       0,     0,   191,   192,   193,   194,   195,   196,   197,   198,
       0,   200,   201,   202,     0,     0,     0,     0,   947,     0,
       0,   203,   204,     0,   205,   696,   206,   207,   208,   209,
     948,   697,   949,   950,     0,   213,   214,   215,   216,   217,
     951,   952,   218,   219,   953,   954,   222,     0,   223,   224,
     225,   226,   955,     0,     0,   228,   229,   230,   231,   698,
     232,   233,     0,   234,   235,   236,   237,   238,   239,     0,
     240,   241,   242,   699,   243,   244,   956,   957,   958,   959,
     960,   961,   962,   245,   246,   247,   248,   249,   250,   963,
     964,   253,  1080,   254,     0,   255,   256,   257,   258,   259,
       0,   260,   261,   262,     0,     0,   263,   264,   965,   266,
     267,     0,   268,   269,   270,     0,   271,   272,     0,   273,
     274,   275,   276,   966,   278,   279,   967,   968,   281,     0,
     282,   969,   284,     0,   285,     0,   286,   701,     0,   702,
     287,   288,   289,     0,   290,   970,     0,   292,     0,   293,
     294,   295,   296,   297,   703,   298,   299,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   704,   308,   309,
     310,   311,   312,   971,   972,     0,   973,     0,   316,   705,
     706,   317,   707,   318,   319,   320,   321,   322,   323,     0,
     974,   708,   325,   709,     0,   326,   327,   328,   975,   976,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   977,   710,   978,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   979,   353,   354,   711,   355,
     980,   981,   357,   982,   359,   360,     0,     0,   361,     0,
       0,   983,   363,   364,     0,     0,   365,   712,   713,   714,
     984,   367,   368,   369,   370,   371,   372,     0,   373,   985,
     375,   376,   377,   378,   379,     0,   380,   381,   382,   383,
     384,   385,   386,   986,   388,   389,   390,     0,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   715,   403,   404,   987,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   988,
     419,   420,   421,   422,   716,   423,   989,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   990,   436,
       0,   437,   438,     0,   439,   440,   441,   442,   443,   444,
       0,   991,   992,     0,     0,   447,   993,   449,   994,   995,
     451,   452,   453,   454,   455,   456,     0,   996,   457,   458,
     459,   460,   997,     0,   461,   462,   463,   464,   465,   998,
       0,   467,   717,   468,   469,   470,     0,     0,   471,     0,
       0,   472,   473,   474,   475,   476,   477,   999,  1000,  1001,
    1002,  1003,  1004,  1005,   485,   486,   487,     0,     0,     0,
       0,     0,     0,     0,  1006,  1007,     0,     0,     0,     0,
       0,     0,     0,  1009,   695,   942,   538,   943,   944,   945,
     583,   946,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,  1698,   200,   201,   202,     0,     0,     0,
       0,   947,     0,     0,   203,   204,     0,   205,   696,   206,
     207,   208,   209,   948,   697,   949,   950,     0,   213,   214,
     215,   216,   217,   951,   952,   218,   219,   953,   954,   222,
       0,   223,   224,   225,   226,   955,     0,     0,   228,   229,
     230,   231,   698,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,   699,   243,   244,   956,
     957,   958,   959,   960,   961,   962,   245,   246,   247,   248,
     249,   250,   963,   964,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   965,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   966,   278,   279,   967,
     968,   281,     0,   282,   969,   284,     0,   285,     0,   286,
     701,     0,   702,   287,   288,   289,     0,   290,   970,     0,
     292,     0,   293,   294,   295,   296,   297,   703,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     704,   308,   309,   310,   311,   312,   971,   972,     0,   973,
       0,   316,   705,   706,   317,   707,   318,   319,   320,   321,
     322,   323,     0,   974,   708,   325,   709,     0,   326,   327,
     328,   975,   976,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   977,   710,   978,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   979,   353,
     354,   711,   355,   980,   981,   357,   982,   359,   360,     0,
       0,   361,     0,     0,   983,   363,   364,     0,     0,   365,
     712,   713,   714,   984,   367,   368,   369,   370,   371,   372,
       0,   373,   985,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   986,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   715,   403,   404,   987,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   988,   419,   420,   421,   422,   716,   423,   989,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   990,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   991,   992,     0,     0,   447,   993,
     449,   994,   995,   451,   452,   453,   454,   455,   456,     0,
     996,   457,   458,   459,   460,   997,     0,   461,   462,   463,
     464,   465,   998,     0,   467,   717,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     999,  1000,  1001,  1002,  1003,  1004,  1005,   485,   486,   487,
       0,     0,     0,     0,     0,     0,     0,  1006,  1007,     0,
       0,     0,     0,     0,     0,     0,  1009,   695,   942,   538,
     943,   944,   945,   583,   946,     0,     0,     0,   191,   192,
     193,   194,   195,   196,   197,   198,     0,   200,   201,   202,
       0,     0,     0,     0,   947,     0,     0,   203,   204,     0,
     205,   696,   206,   207,   208,   209,   948,   697,   949,   950,
       0,   213,   214,   215,   216,   217,   951,   952,   218,   219,
     953,   954,   222,     0,   223,   224,   225,   226,   955,     0,
       0,   228,   229,   230,   231,   698,   232,   233,     0,   234,
     235,   236,   237,   238,   239,     0,   240,   241,   242,   699,
     243,   244,   956,   957,   958,   959,   960,   961,   962,   245,
     246,   247,   248,   249,   250,   963,   964,   253,     0,   254,
       0,   255,   256,   257,   258,   259,     0,   260,   261,   262,
       0,     0,   263,   264,   965,   266,   267,     0,   268,   269,
     270,     0,   271,   272,     0,   273,   274,   275,   276,   966,
     278,   279,   967,   968,   281,     0,   282,   969,   284,     0,
     285,     0,   286,   701,  2130,   702,   287,   288,   289,     0,
     290,   970,     0,   292,     0,   293,   294,   295,   296,   297,
     703,   298,   299,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   704,   308,   309,   310,   311,   312,   971,
     972,     0,   973,     0,   316,   705,   706,   317,   707,   318,
     319,   320,   321,   322,   323,     0,   974,   708,   325,   709,
       0,   326,   327,   328,   975,   976,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   977,
     710,   978,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   979,   353,   354,   711,   355,   980,   981,   357,   982,
     359,   360,     0,     0,   361,     0,     0,   983,   363,   364,
       0,     0,   365,   712,   713,   714,   984,   367,   368,   369,
     370,   371,   372,     0,   373,   985,   375,   376,   377,   378,
     379,     0,   380,   381,   382,   383,   384,   385,   386,   986,
     388,   389,   390,     0,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   715,   403,   404,
     987,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   988,   419,   420,   421,   422,
     716,   423,   989,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   990,   436,     0,   437,   438,     0,
     439,   440,   441,   442,   443,   444,     0,   991,   992,     0,
       0,   447,   993,   449,   994,   995,   451,   452,   453,   454,
     455,   456,     0,   996,   457,   458,   459,   460,   997,     0,
     461,   462,   463,   464,   465,   998,     0,   467,   717,   468,
     469,   470,     0,     0,   471,     0,     0,   472,   473,   474,
     475,   476,   477,   999,  1000,  1001,  1002,  1003,  1004,  1005,
     485,   486,   487,     0,     0,     0,     0,     0,     0,     0,
    1006,  1007,     0,     0,     0,     0,     0,     0,     0,  1009,
     695,   942,   538,   943,   944,   945,   583,   946,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,   947,     0,     0,
     203,   204,     0,   205,   696,   206,   207,   208,   209,   948,
     697,   949,   950,     0,   213,   214,   215,   216,   217,   951,
     952,   218,   219,   953,   954,   222,     0,   223,   224,   225,
     226,   955,     0,     0,   228,   229,   230,   231,   698,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   699,   243,   244,   956,   957,   958,   959,   960,
     961,   962,   245,   246,   247,   248,   249,   250,   963,   964,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   965,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   966,   278,   279,   967,   968,   281,     0,   282,
     969,   284,     0,   285,     0,   286,   701,     0,   702,   287,
     288,   289,     0,   290,   970,     0,   292,     0,   293,   294,
     295,   296,   297,   703,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   704,   308,   309,   310,
     311,   312,   971,   972,     0,   973,     0,   316,   705,   706,
     317,   707,   318,   319,   320,   321,   322,   323,     0,   974,
     708,   325,   709,     0,   326,   327,   328,   975,   976,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   977,   710,   978,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   979,   353,   354,   711,   355,   980,
     981,   357,   982,   359,   360,     0,     0,   361,     0,     0,
     983,   363,   364,     0,     0,   365,   712,   713,   714,   984,
     367,   368,   369,   370,   371,   372,     0,   373,   985,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   986,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     715,   403,   404,   987,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   988,   419,
     420,   421,   422,   716,   423,   989,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   990,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     991,   992,     0,     0,   447,   993,   449,   994,   995,   451,
     452,   453,   454,   455,   456,     0,   996,   457,   458,   459,
     460,   997,     0,   461,   462,   463,   464,   465,   998,  3130,
     467,   717,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   999,  1000,  1001,  1002,
    1003,  1004,  1005,   485,   486,   487,     0,     0,     0,     0,
       0,     0,     0,  1006,  1007,     0,     0,     0,     0,     0,
       0,     0,  1009,   695,   942,   538,   943,   944,   945,   583,
     946,     0,     0,     0,   191,   192,   193,   194,   195,   196,
     197,   198,     0,   200,   201,   202,     0,     0,     0,     0,
     947,     0,     0,   203,   204,     0,   205,   696,   206,   207,
     208,   209,   948,   697,   949,   950,     0,   213,   214,   215,
     216,   217,   951,   952,   218,   219,   953,   954,   222,     0,
     223,   224,   225,   226,   955,     0,     0,   228,   229,   230,
     231,   698,   232,   233,     0,   234,   235,   236,   237,   238,
     239,     0,   240,   241,   242,   699,   243,   244,   956,   957,
     958,   959,   960,   961,   962,   245,   246,   247,   248,   249,
     250,   963,   964,   253,     0,   254,     0,   255,   256,   257,
     258,   259,     0,   260,   261,   262,     0,     0,   263,   264,
     965,   266,   267,     0,   268,   269,   270,     0,   271,   272,
       0,   273,   274,   275,   276,   966,   278,   279,   967,   968,
     281,     0,   282,   969,   284,     0,   285,     0,   286,   701,
       0,   702,   287,   288,   289,     0,   290,   970,     0,   292,
       0,   293,   294,   295,   296,   297,   703,   298,   299,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,   704,
     308,   309,   310,   311,   312,   971,   972,     0,   973,     0,
     316,   705,   706,   317,   707,   318,   319,   320,   321,   322,
     323,     0,   974,   708,   325,   709,     0,   326,   327,   328,
     975,   976,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   977,   710,   978,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   979,   353,   354,
     711,   355,   980,   981,   357,   982,   359,   360,     0,     0,
     361,     0,     0,   983,   363,   364,     0,     0,   365,   712,
     713,   714,   984,   367,   368,   369,   370,   371,   372,     0,
     373,   985,   375,   376,   377,   378,   379,     0,   380,   381,
     382,   383,   384,   385,   386,   986,   388,   389,   390,     0,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   715,   403,   404,   987,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   988,   419,   420,   421,   422,   716,   423,   989,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     990,   436,     0,   437,   438,     0,   439,   440,   441,   442,
     443,   444,     0,   991,   992,     0,     0,   447,   993,   449,
     994,   995,   451,   452,   453,   454,   455,   456,     0,   996,
     457,   458,   459,   460,   997,     0,   461,   462,   463,   464,
     465,   998,     0,   467,   717,   468,   469,   470,     0,     0,
     471,     0,     0,   472,   473,   474,   475,   476,   477,   999,
    1000,  1001,  1002,  1003,  1004,  1005,   485,   486,   487,     0,
       0,     0,     0,     0,     0,     0,  1006,  1007,     0,     0,
       0,     0,     0,     0,     0,  1009,   695,   942,   538,   943,
     944,   945,   583,   946,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,   947,     0,     0,   203,   204,     0,   205,
     696,   206,   207,   208,   209,   948,   697,   949,   950,     0,
     213,   214,   215,   216,   217,   951,   952,   218,   219,   953,
     954,   222,     0,   223,   224,   225,   226,   955,     0,     0,
     228,   229,   230,   231,   698,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   699,   243,
    2559,   956,   957,   958,   959,   960,   961,   962,   245,   246,
     247,   248,   249,   250,   963,   964,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   965,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   966,   278,
     279,   967,   968,   281,     0,   282,   969,   284,     0,   285,
       0,   286,   701,     0,   702,   287,   288,   289,     0,   290,
     970,     0,   292,     0,   293,   294,   295,   296,   297,   703,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   704,   308,   309,   310,   311,   312,   971,   972,
       0,   973,     0,   316,   705,   706,   317,   707,   318,   319,
     320,   321,   322,   323,     0,   974,   708,   325,   709,     0,
     326,   327,   328,   975,   976,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   977,   710,
     978,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     979,   353,   354,   711,   355,   980,   981,   357,   982,   359,
     360,     0,     0,   361,     0,     0,   983,   363,   364,     0,
       0,   365,   712,   713,   714,   984,   367,   368,   369,   370,
     371,   372,     0,   373,   985,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   986,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   715,   403,   404,   987,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   988,   419,   420,   421,   422,   716,
     423,   989,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   990,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   991,   992,     0,     0,
     447,   993,   449,   994,   995,   451,   452,   453,   454,   455,
     456,     0,   996,   457,   458,   459,   460,   997,     0,   461,
     462,   463,   464,   465,   998,     0,   467,   717,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   999,  1000,  1001,  1002,  1003,  1004,  1005,   485,
     486,   487,     0,     0,     0,     0,     0,     0,     0,  1006,
    1007,     0,     0,     0,     0,     0,     0,     0,  1009,   695,
     942,   538,   943,   944,   945,   583,   946,     0,     0,     0,
     191,   192,   193,   194,   195,   196,   197,   198,     0,   200,
     201,   202,     0,     0,     0,     0,   947,     0,     0,   203,
     204,     0,   205,   696,   206,   207,   208,   209,   948,   697,
     949,   950,     0,   213,   214,   215,   216,   217,   951,   952,
     218,   219,   953,   954,   222,     0,   223,   224,   225,   226,
     955,     0,     0,   228,   229,   230,   231,   698,   232,   233,
       0,   234,   235,   236,   237,   238,   239,     0,   240,   241,
     242,   699,   243,   244,   956,   957,   958,   959,   960,   961,
     962,   245,   246,   247,   248,   249,   250,   963,   964,   253,
       0,   254,     0,   255,   256,   257,   258,   259,     0,   260,
     261,   262,     0,     0,   263,   264,   965,   266,   267,     0,
     268,   269,   270,     0,   271,   272,     0,   273,   274,   275,
     276,   966,   278,   279,   967,   968,   281,     0,   282,   969,
     284,     0,   285,     0,   286,   701,     0,   702,   287,   288,
     289,     0,   290,   970,     0,   292,     0,   293,   294,   295,
     296,   297,   703,   298,   299,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,   704,   308,   309,   310,   311,
     312,   971,   972,     0,   973,     0,   316,   705,   706,   317,
     707,   318,   319,   320,   321,   322,   323,     0,   974,   708,
     325,   709,     0,   326,   327,   328,   975,   976,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   977,   710,   978,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   979,   353,   354,   711,   355,   980,   981,
     357,   982,   359,   360,     0,     0,   361,     0,     0,   983,
     363,   364,     0,     0,   365,   712,   713,   714,   984,   367,
     368,   369,   370,   371,   372,     0,   373,   985,   375,   376,
     377,   378,   379,     0,   380,   381,   382,   383,   384,   385,
     386,   986,   388,   389,   390,     0,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   715,
     403,   404,   987,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   988,   419,   420,
     421,   422,   716,   423,   989,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   990,   436,     0,   437,
     438,     0,   439,   440,   441,   442,   443,   444,     0,   991,
     992,     0,     0,   447,   993,   449,   994,   995,   451,   452,
     453,   454,   455,   456,     0,   996,   457,   458,   459,   460,
     997,     0,   461,   462,   463,   464,   465,   998,     0,   467,
     717,   468,   469,   470,     0,     0,   471,     0,     0,   472,
     473,   474,   475,   476,  3363,   999,  1000,  1001,  1002,  1003,
    1004,  1005,   485,   486,   487,     0,     0,     0,     0,     0,
       0,     0,  1006,  1007,     0,     0,     0,     0,     0,     0,
       0,  1009,   695,   942,   538,   943,   944,   945,   583,   946,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,   947,
       0,     0,   203,   204,     0,   205,   696,   206,   207,   208,
     209,   948,   697,   949,   950,     0,   213,   214,   215,   216,
     217,   951,   952,   218,   219,   953,   954,   222,     0,   223,
     224,   225,   226,   955,     0,     0,   228,   229,   230,   231,
     698,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   699,   243,   244,   956,   957,   958,
     959,   960,   961,   962,   245,   246,   247,   248,   249,   250,
     963,   964,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   965,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   966,   278,   279,   967,   968,   281,
       0,   282,   969,   284,     0,   285,     0,   286,   701,     0,
     702,   287,   288,   289,     0,   290,   970,     0,   292,     0,
     293,   294,   295,   296,   297,   703,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   704,   308,
     309,   310,   311,   312,   971,   972,     0,   973,     0,   316,
     705,   706,   317,   707,   318,   319,   320,   321,   322,   323,
       0,   974,   708,   325,   709,     0,   326,   327,   328,   975,
     976,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   977,   710,   978,   344,  3370,   346,
     347,   348,   349,   350,   351,   352,   979,   353,   354,   711,
     355,   980,   981,   357,   982,   359,   360,     0,     0,   361,
       0,     0,   983,   363,   364,     0,     0,   365,   712,   713,
     714,   984,   367,   368,   369,   370,   371,   372,     0,   373,
     985,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   986,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   715,   403,   404,   987,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     988,   419,   420,   421,   422,   716,   423,   989,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   990,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   991,   992,     0,     0,   447,   993,   449,   994,
     995,   451,   452,   453,   454,   455,   456,     0,   996,   457,
     458,   459,   460,   997,     0,   461,   462,   463,   464,   465,
     998,     0,   467,   717,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   485,   486,   487,     0,     0,
       0,     0,     0,     0,     0,  1006,  1007,     0,     0,     0,
       0,     0,     0,     0,  1009,   695,   942,   538,   943,   944,
     945,   583,   946,     0,     0,     0,   191,   192,   193,   194,
     195,   196,   197,   198,     0,   200,   201,   202,     0,     0,
       0,     0,   947,     0,     0,   203,   204,     0,   205,   696,
     206,   207,   208,  3760,   948,   697,   949,   950,     0,   213,
     214,   215,   216,   217,   951,   952,   218,   219,   953,   954,
     222,     0,   223,   224,   225,   226,   955,     0,     0,   228,
     229,   230,   231,   698,   232,   233,     0,   234,   235,   236,
     237,   238,   239,     0,   240,   241,   242,   699,   243,  3761,
     956,   957,   958,   959,   960,   961,   962,   245,   246,   247,
     248,   249,   250,   963,   964,   253,     0,   254,     0,   255,
     256,   257,   258,   259,     0,   260,   261,   262,     0,     0,
     263,   264,   965,   266,   267,     0,   268,   269,   270,     0,
     271,   272,     0,   273,   274,   275,   276,   966,   278,   279,
     967,   968,   281,     0,   282,   969,   284,     0,   285,     0,
     286,   701,     0,   702,   287,   288,   289,     0,   290,   970,
       0,   292,     0,   293,   294,   295,   296,   297,   703,   298,
     299,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   704,   308,   309,   310,   311,   312,   971,   972,     0,
     973,     0,   316,   705,   706,   317,   707,   318,   319,   320,
     321,   322,   323,     0,   974,   708,   325,   709,     0,   326,
     327,   328,   975,   976,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   977,   710,   978,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   979,
     353,   354,   711,   355,   980,   981,   357,   982,   359,   360,
       0,     0,   361,     0,     0,   983,   363,   364,     0,     0,
     365,   712,   713,   714,   984,   367,   368,   369,   370,   371,
     372,     0,   373,   985,   375,   376,   377,   378,   379,     0,
     380,   381,   382,   383,   384,   385,   386,   986,   388,   389,
     390,     0,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   715,   403,   404,   987,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   988,   419,   420,   421,   422,   716,   423,
     989,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   990,   436,     0,   437,   438,     0,   439,   440,
     441,   442,   443,   444,     0,   991,   992,     0,     0,   447,
     993,   449,   994,   995,   451,   452,   453,  3762,   455,   456,
       0,   996,   457,   458,   459,   460,   997,     0,   461,   462,
     463,   464,   465,   998,     0,   467,   717,   468,   469,   470,
       0,     0,   471,     0,     0,   472,   473,   474,   475,   476,
     477,   999,  1000,  1001,  1002,  1003,  1004,  1005,   485,   486,
     487,     0,     0,     0,     0,     0,     0,     0,  1006,  1007,
       0,     0,     0,     0,     0,     0,     0,  1009,   695,   942,
     538,   943,   944,   945,   583,   946,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,   947,     0,     0,   203,   204,
       0,   205,   696,   206,   207,   208,   209,   948,   697,   949,
     950,     0,   213,   214,   215,   216,   217,   951,   952,   218,
     219,   953,   954,   222,     0,   223,   224,   225,   226,   955,
       0,     0,   228,   229,   230,   231,   698,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     699,   243,  3761,   956,   957,   958,   959,   960,   961,   962,
     245,   246,   247,   248,   249,   250,   963,   964,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   965,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     966,   278,   279,   967,   968,   281,     0,   282,   969,   284,
       0,   285,     0,   286,   701,     0,   702,   287,   288,   289,
       0,   290,   970,     0,   292,     0,   293,   294,   295,   296,
     297,   703,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   704,   308,   309,   310,   311,   312,
     971,   972,     0,   973,     0,   316,   705,   706,   317,   707,
     318,   319,   320,   321,   322,   323,     0,   974,   708,   325,
     709,     0,   326,   327,   328,   975,   976,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     977,   710,   978,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   979,   353,   354,   711,   355,   980,   981,   357,
     982,   359,   360,     0,     0,   361,     0,     0,   983,   363,
     364,     0,     0,   365,   712,   713,   714,   984,   367,   368,
     369,   370,   371,   372,     0,   373,   985,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     986,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   715,   403,
     404,   987,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   988,   419,   420,   421,
     422,   716,   423,   989,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   990,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   991,   992,
       0,     0,   447,   993,   449,   994,   995,   451,   452,   453,
    3762,   455,   456,     0,   996,   457,   458,   459,   460,   997,
       0,   461,   462,   463,   464,   465,   998,     0,   467,   717,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   999,  1000,  1001,  1002,  1003,  1004,
    1005,   485,   486,   487,     0,     0,     0,     0,     0,     0,
       0,  1006,  1007,     0,     0,     0,     0,     0,     0,     0,
    1009,   695,   942,   538,   943,   944,   945,   583,   946,     0,
       0,     0,   191,   192,   193,   194,   195,   196,   197,   198,
       0,   200,   201,   202,     0,     0,     0,     0,   947,     0,
       0,   203,   204,     0,   205,   696,   206,   207,   208,   209,
     948,   697,   949,   950,     0,   213,   214,   215,   216,   217,
     951,   952,   218,   219,   953,   954,   222,     0,   223,   224,
     225,   226,   955,     0,     0,   228,   229,   230,   231,   698,
     232,   233,     0,   234,   235,   236,   237,   238,   239,     0,
     240,   241,   242,   699,   243,   244,   956,   957,   958,   959,
     960,   961,   962,   245,   246,   247,   248,   249,   250,   963,
     964,   253,     0,   254,     0,   255,   256,   257,   258,   259,
       0,   260,   261,   262,     0,     0,   263,   264,   965,   266,
     267,     0,   268,   269,   270,     0,   271,   272,     0,   273,
     274,   275,   276,   966,   278,   279,   967,   968,   281,     0,
     282,   969,   284,     0,   285,     0,   286,   701,     0,   702,
     287,   288,   289,     0,   290,   970,     0,   292,     0,   293,
     294,   295,   296,   297,   703,   298,   299,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   704,   308,   309,
     310,   311,   312,   971,   972,     0,   973,     0,   316,   705,
     706,   317,   707,   318,   319,   320,   321,   322,   323,     0,
     974,   708,   325,   709,     0,   326,   327,   328,   975,   976,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   977,   710,   978,   344,   345,   346,   347,
     348,   349,   350,   351,   352,     0,   353,   354,   711,   355,
     980,   981,   357,   982,   359,   360,     0,     0,   361,     0,
       0,   983,   363,   364,     0,     0,   365,   712,   713,   714,
     984,   367,   368,   369,   370,   371,   372,     0,   373,   985,
     375,   376,   377,   378,   379,     0,   380,   381,   382,   383,
     384,   385,   386,   986,   388,   389,   390,     0,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   715,   403,   404,   987,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   988,
     419,   420,   421,   422,   716,   423,   989,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   990,   436,
       0,   437,   438,     0,   439,   440,   441,   442,   443,   444,
       0,   991,   992,     0,     0,   447,   993,   449,   994,   995,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     459,   460,   997,     0,   461,   462,   463,   464,   465,   998,
       0,   467,   717,   468,   469,   470,     0,     0,   471,     0,
       0,   472,   473,   474,   475,   476,   477,   999,  1000,  1001,
    1002,  1003,  1004,  1005,   485,   486,   487,     0,     0,     0,
       0,     0,     0,     0,  2112,  2113,     0,     0,     0,     0,
       0,     0,     0,  1009,   695,   942,   538,   943,   944,   945,
     583,   946,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,   947,     0,     0,   203,   204,     0,   205,   696,   206,
     207,   208, -1997,   948,   697,   949,   950,     0,   213,   214,
     215,   216,   217,   951,   952,   218,   219,   953,   954,   222,
       0,   223,   224,   225,   226,   955,     0,     0,   228,   229,
     230,   231,   698,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,   699,   243,  3761,   956,
     957,   958,   959,   960,   961,   962,   245,   246,   247,   248,
     249,   250,   963,   964,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   965,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   966,   278,   279,   967,
     968,   281,     0,   282,   969,   284,     0,   285,     0,   286,
     701,     0,   702,   287,   288,   289,     0,   290,   970,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     704,   308,   309,   310,   311,   312,   971,   972,     0,   973,
       0,   316,   705,   706,   317,   707,   318,   319,   320,   321,
     322,   323,     0,   974,   708,   325,     0,     0,   326,   327,
     328,   975,   976,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   977,   710,   978,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,   711,   355,   980,   981,   357,   982,   359,   360,     0,
       0,   361,     0,     0,   983,   363,   364,     0,     0,   365,
     712,   713,   714,   984,   367,   368,   369,   370,   371,   372,
       0,   373,   985,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   986,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   715,   403,   404,   987,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   988,   419,   420,   421,   422,     0,   423,   989,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   990,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   991,   992,     0,     0,   447,   993,
     449,   994,   995,   451,   452,   453,  3762,   455,   456,     0,
     996,   457,   458,   459,   460,   997,     0,   461,   462,   463,
     464,   465,   998,     0,   467,   717,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     999,  1000,  1001,  1002,  1003,  1004,  1005,   485,   486,   487,
       0,     0,     0,     0,     0,     0,     0,  1006,  1007,     0,
       0,     0,     0,     0,     0,     0,  1009,   695,   942,   538,
     943,   944,   945,   583,   946,     0,     0,     0,   191,   192,
     193,   194,   195,   196,   197,   198,     0,   200,   201,   202,
       0,     0,     0,     0,   947,     0,     0,   203,   204,     0,
     205,   696,   206,   207,   208,     0,   948,   697,   949,   950,
       0,   213,   214,   215,   216,   217,   951,   952,   218,   219,
     953,   954,   222,     0,   223,   224,   225,   226,   955,     0,
       0,   228,   229,   230,   231,   698,   232,   233,     0,   234,
     235,   236,   237,   238,   239,     0,   240,   241,   242,   699,
     243,   244,   956,   957,   958,   959,   960,   961,   962,   245,
     246,   247,   248,   249,   250,   963,   964,   253,     0,   254,
       0,   255,   256,   257,   258,   259,     0,   260,   261,   262,
       0,     0,   263,   264,   965,   266,   267,     0,   268,   269,
     270,     0,   271,     0,     0,   273,   274,   275,   276,   966,
     278,   279,   967,   968,   281,     0,   282,   969,   284,     0,
     285,     0,   286,   701,     0,   702,   287,   288,   289,     0,
     290,   970,     0,   292,     0,   293,   294,   295,   296,   297,
       0,   298,   299,   300,     0,   301,   302,   303,   304,   305,
     306,     0,   307,   704,   308,   309,   310,   311,   312,   971,
     972,     0,   973,     0,   316,   705,   706,   317,   707,   318,
     319,   320,   321,   322,   323,     0,   974,   708,   325,     0,
       0,   326,   327,   328,   975,   976,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   977,
     710,   978,   344,   345,   346,   347,   348,   349,   350,   351,
     352,     0,   353,   354,   711,   355,   980,   981,   357,   982,
     359,   360,     0,     0,   361,     0,     0,   983,   363,   364,
       0,     0,   365,   712,   713,   714,   984,   367,   368,   369,
     370,   371,   372,     0,   373,   985,   375,   376,   377,   378,
     379,     0,   380,   381,   382,   383,   384,   385,   386,   986,
     388,   389,   390,     0,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   715,   403,   404,
     987,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   988,   419,   420,   421,   422,
       0,   423,   989,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   990,   436,     0,   437,   438,     0,
     439,   440,   441,   442,   443,   444,     0,   991,   992,     0,
       0,   447,   993,   449,   994,   995,   451,   452,   453,   454,
     455,   456,     0,   996,   457,   458,   459,   460,   997,     0,
     461,   462,   463,   464,   465,   998,     0,   467,   717,   468,
     469,   470,     0,     0,   471,     0,     0,   472,   473,   474,
     475,   476,   477,   999,  1000,  1001,  1002,  1003,  1004,  1005,
     485,   486,   487,     0,     0,     0,     0,     0,     0,     0,
    1006,  1007,     0,     0,     0,     0,     0,     0,     0,  1009,
     695,   942,   538,   943,   944,   945,   583,   946,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,   947,     0,     0,
     203,   204,     0,   205,   696,   206,   207,   208,     0,   948,
     697,   949,   950,     0,   213,   214,   215,   216,   217,   951,
     952,   218,   219,   953,   954,   222,     0,   223,   224,   225,
     226,   955,     0,     0,   228,   229,   230,   231,   698,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   699,   243,   244,   956,   957,   958,   959,   960,
     961,   962,   245,   246,   247,   248,   249,   250,   963,   964,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   965,   266,   267,
       0,   268,   269,   270,     0,   271,     0,     0,   273,   274,
     275,   276,   966,   278,   279,   967,   968,   281,     0,   282,
     969,   284,     0,   285,     0,   286,   701,     0,   702,   287,
     288,   289,     0,   290,   970,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   704,   308,   309,   310,
     311,   312,   971,   972,     0,   973,     0,   316,   705,   706,
     317,   707,   318,   319,   320,   321,   322,   323,     0,   974,
     708,   325,     0,     0,   326,   327,   328,   975,   976,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   977,   710,   978,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,   711,   355,   980,
     981,   357,   982,   359,   360,     0,     0,   361,     0,     0,
     983,   363,   364,     0,     0,   365,   712,   713,   714,   984,
     367,   368,   369,   370,   371,   372,     0,   373,   985,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   986,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     715,   403,   404,   987,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   988,   419,
     420,   421,   422,     0,   423,   989,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   990,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     991,   992,     0,     0,   447,   993,   449,   994,   995,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,   997,     0,   461,   462,   463,   464,   465,   998,     0,
     467,   717,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   999,  1000,  1001,  1002,
    1003,  1004,  1005,   485,   486,   487,     0,     0,     0,     0,
       0,     0,   695,  2112,  2113,     0,     0,     0,     0,     0,
       0,     0,  1009,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,   696,   206,   207,   208,
     209,   210,   697,   211,   212,     0,   213,   214,   215,   216,
     217,     0,   952,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   955,     0,     0,   228,   229,   230,   231,
     698,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   699,   243,   244,   956,   957,   958,
     959,   960,   961,   962,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   967,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,   701,     0,
     702,   287,   288,   289,     0,   290,   970,     0,   292,     0,
     293,   294,   295,   296,   297,   703,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   704,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     705,   706,   317,   707,   318,   319,   320,   321,   322,   323,
       0,   974,   708,   325,   709,     0,   326,   327,   328,   975,
     976,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   710,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,   711,
     355,     0,   981,   357,   358,   359,   360,     0,     0,   361,
       0,   662,   362,   363,   364,     0,     0,   365,   712,   713,
     714,   984,   367,   368,   369,   370,   371,   372,     0,   373,
     985,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   715,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    38,   414,   415,   416,   417,   418,
     988,   419,   420,   421,   422,   716,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   990,
     436,     0,   437,   438,    42,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   993,   449,   994,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,   997,     0,   461,   462,   463,   464,   882,
     466,     0,   467,   717,   468,   469,   470,     0,     0,   471,
       0,    48,   472,   473,   474,   475,   476,   477,   999,  1000,
    1001,  1002,  1003,  1004,  1005,   485,   486,   487,     0,     0,
       0,     0,     0,     0,   695,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1972,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,   696,   206,
     207,   208,   209,   210,   697,   211,   212,     0,   213,   214,
     215,   216,   217,     0,   952,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   955,     0,     0,   228,   229,
     230,   231,   698,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,   699,   243,   244,   956,
     957,   958,   959,   960,   961,   962,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   967,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
     701,     0,   702,   287,   288,   289,     0,   290,   970,     0,
     292,     0,   293,   294,   295,   296,   297,   703,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     704,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   705,   706,   317,   707,   318,   319,   320,   321,
     322,   323,     0,   974,   708,   325,   709,     0,   326,   327,
     328,   975,   976,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   710,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,   711,   355,     0,   981,   357,   358,   359,   360,     0,
       0,   361,     0,   662,   362,   363,   364,     0,     0,   365,
     712,   713,   714,   984,   367,   368,   369,   370,   371,   372,
       0,   373,   985,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   715,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   988,   419,   420,   421,   422,   716,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   990,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   993,
     449,   994,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,   997,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   717,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     999,  1000,  1001,  1002,  1003,  1004,  1005,   485,   486,   487,
       0,     0,     0,     0,     0,     0,   695,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1972,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
     696,   206,   207,   208,   209,   210,   697,   211,   212,     0,
     213,   214,   215,   216,   217,     0,   952,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   955,     0,     0,
     228,   229,   230,   231,   698,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   699,   243,
     244,   956,   957,   958,   959,   960,   961,   962,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   967,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,   701,     0,   702,   287,   288,   289,     0,   290,
     970,     0,   292,     0,   293,   294,   295,   296,   297,   703,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   704,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   705,   706,   317,   707,   318,   319,
     320,   321,   322,   323,     0,   974,   708,   325,   709,     0,
     326,   327,   328,   975,   976,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   710,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,   711,   355,     0,   981,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,   712,   713,   714,   984,   367,   368,   369,   370,
     371,   372,     0,   373,   985,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   715,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   988,   419,   420,   421,   422,   716,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   990,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   993,   449,   994,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,   997,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   717,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   999,  1000,  1001,  1002,  1003,  1004,  1005,   485,
     486,   487,     0,     0,     0,     0,     0,     0,   695,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3150,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,   696,   206,   207,   208,   209,   210,   697,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   698,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     699,   243,   244,     0,     0,     0,   700,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,   701,     0,   702,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,   703,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   704,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   705,   706,   317,   707,
     318,   319,   320,   321,   322,   323,     0,   324,   708,   325,
     709,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   710,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,   711,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,   712,   713,   714,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   715,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,   716,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   717,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,     0,     0,     0,     0,     0,
     190,  1168,   538,     0,     0,     0,   583,     0,     0,     0,
    3581,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,  1382,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,  1383,     0,   361,  1384,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,  1385,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,     0,     0,     0,
       0,     0,   190,   595,  1169,  3227,     0,     0,     0,     0,
       0,     0,  3228,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     3,     4,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    38,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,    42,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   882,
     466,     0,   467,   883,   468,   469,   470,     0,     0,   471,
       0,    48,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,     0,
       0,     0,     0,     0,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    49,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    38,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,    42,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   882,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,    48,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
       0,     0,     0,     0,     0,     0,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,     0,     0,     0,     0,     0,     0,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1061,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,     0,     0,     0,     0,     0,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1670,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,     0,     0,     0,
       0,     0,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3000,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,     0,
       0,     0,     0,     0,  1256,  1168,   538,     0,     0,   736,
     583,     0,     0,     0,  3124,   191,   192,   193,   194,   195,
     196,   197,   198,  1581,   200,   201,   202,  1582,  1583,  1584,
    1585,  1586,  1587,  1588,   203,   204,  1589,   205,   696,   206,
     207,   208,     0,  1257,   697,  1258,  1259,  1590,   213,   214,
     215,   216,   217,  1591,  1592,   218,   219,  1260,  1261,   222,
    1593,   223,   224,   225,   226,     0,  1594,  1595,   228,   229,
     230,   231,   698,   232,   233,  1596,   234,   235,   236,   237,
     238,   239,  1597,   240,   241,   242,   699,   243,   244,  1598,
    1599,  1600,   700,  1601,  1602,  1603,   245,   246,   247,   248,
     249,   250,  1262,  1263,   253,  1604,   254,  1605,   255,   256,
     257,   258,   259,  1606,   260,   261,   262,  1607,  1608,   263,
     264,   965,   266,   267,  1609,   268,   269,   270,  1610,   271,
     272,  1611,   273,   274,   275,   276,     0,   278,   279,     0,
    1612,   281,  1613,   282,  1264,   284,  1614,   285,  1615,   286,
     701,  1616,   702,   287,   288,   289,  1617,   290,     0,  1618,
     292,  1619,   293,   294,   295,   296,   297,   703,   298,   299,
     300,  1620,   301,   302,   303,   304,   305,   306,  1621,   307,
     704,     0,   309,   310,   311,   312,  1265,  1266,  1622,  1267,
    1623,   316,   705,   706,   317,   707,   318,   319,   320,   321,
     322,   323,  1624,     0,   708,   325,   709,  1625,   326,   327,
     328,  1626,  1627,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,  1268,   710,  1269,   344,
     345,   346,   347,   348,   349,   350,     0,   352,  1628,   353,
     354,   711,   355,  1629,     0,   357,  1270,   359,   360,  1630,
    1631,   361,  1632,  1633,  2876,   363,   364,  1634,  1635,     0,
     712,   713,   714,     0,   367,   368,   369,   370,   371,   372,
    1636,   373,     0,   375,     0,   377,   378,   379,  1637,   380,
     381,   382,   383,   384,   385,   386,  1271,   388,   389,   390,
    1638,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,  1639,   401,   402,   715,   403,   404,     0,   406,   407,
     408,   409,   410,   411,   412,   413,  1640,   414,   415,   416,
     417,   418,  1641,   419,  1767,   421,   422,   716,   423,  1273,
    1642,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   436,  1643,   437,   438,  1644,   439,   440,   441,
     442,   443,   444,  1645,  1274,  1275,  1646,  1647,   447,     0,
     449,     0,  1648,   451,   452,   453,   454,   455,   456,  1649,
    1650,   457,   458,   459,   460,  1651,  1652,   461,   462,   463,
     464,     0,  1276,  1653,   467,   717,   468,   469,   470,  1654,
    1655,   471,  1656,  1657,   472,   473,   474,   475,   476,     0,
       0,     0,     0,     0,     0,     0,     0,   485,   486,   487,
       0,     0,     0,   739,   740,   741,     0,  2877,  2878,   744,
     745,   746,   747,   190,     0,     0,     0,     0,   736,     0,
       0,     0,     0,     0,   191,   192,   193,   194,   195,   196,
     197,   198,     0,   200,   201,   202,     0,     0,     0,     0,
       0,     0,     0,   203,   204,     0,   205,     0,   206,   207,
     208,   209,   210,     0,   211,   212,     0,   213,   214,   215,
     216,   217,     0,     0,   218,   219,   220,   221,   222,     0,
     223,   737,   225,   226,   227,     0,     0,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
     239,     0,   240,   241,   242,     0,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,   248,   249,
     250,   251,   252,   253,     0,   254,     0,   255,   256,   257,
     258,   259,     0,   260,   261,   262,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
       0,   273,   274,   275,   276,   277,   278,   279,   280,     0,
     738,     0,   282,   283,   284,     0,   285,     0,   286,     0,
       0,     0,   287,   288,   289,     0,   290,   291,     0,   292,
       0,   293,   294,   295,   296,   297,     0,   298,   299,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,   327,   328,
       0,     0,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,     0,   353,   354,
       0,   355,     0,   356,   357,   358,   359,   360,     0,     0,
     361,     0,     0,   362,   363,   364,     0,     0,   365,     0,
       0,     0,   366,   367,   368,   369,   370,   371,   372,     0,
     373,   374,   375,   376,   377,   378,   379,     0,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,     0,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,     0,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,     0,   419,   420,   421,   422,     0,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,     0,   437,   438,     0,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,     0,   447,   448,   449,
     450,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   459,   460,     0,     0,   461,   462,   463,   464,
     465,   466,     0,   467,     0,   468,   469,   470,     0,     0,
     471,     0,     0,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,     0,
       0,     0,   739,   740,   741,     0,   742,   743,   744,   745,
     746,   747,   190,     0,     0,     0,     0,   736,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     811,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   812,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,     0,     0,
       0,   739,   740,   741,     0,   742,   743,   744,   745,   746,
     747,   190,     0,     0,     0,     0,   736,     0,     0,     0,
       0,     0,   191,   192,   193,   194,   195,   196,   197,   198,
       0,   200,   201,   202,     0,     0,     0,     0,     0,     0,
       0,   203,   204,     0,   205,     0,   206,   207,   208,   209,
     210,     0,   211,   212,     0,   213,   214,   215,   216,   217,
       0,     0,   218,   219,   220,   221,   222,     0,   223,   855,
     225,   226,   227,     0,     0,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,   239,     0,
     240,   241,   242,     0,   243,   244,     0,     0,     0,     0,
       0,     0,     0,   245,   246,   247,   248,   249,   250,   251,
     252,   253,     0,   254,     0,   255,   256,   257,   258,   259,
       0,   260,   261,   262,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,     0,   273,
     274,   275,   276,   277,   278,   279,   280,     0,   856,     0,
     282,   283,   284,     0,   285,     0,   286,     0,     0,     0,
     287,   288,   289,     0,   290,   291,     0,   292,     0,   293,
     294,   295,   296,   857,     0,   298,   299,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,     0,   308,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,     0,
       0,   317,     0,   318,   319,   320,   321,   322,   323,     0,
     324,     0,   325,     0,     0,   326,   327,   328,     0,     0,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,     0,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,     0,   353,   354,     0,   355,
       0,   356,   357,   358,   359,   360,     0,     0,   361,     0,
       0,   362,   363,   364,     0,     0,   365,     0,     0,     0,
     366,   367,   368,   369,   370,   371,   372,     0,   373,   374,
     375,   376,   377,   378,   379,     0,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,     0,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,     0,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,     0,
     419,   420,   421,   422,     0,   423,   424,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
       0,   437,   438,     0,   439,   440,   441,   442,   443,   444,
       0,   445,   446,     0,     0,   447,   448,   449,   450,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     459,   460,     0,     0,   461,   462,   463,   464,   465,   466,
       0,   467,     0,   468,   469,   470,     0,     0,   471,     0,
       0,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,     0,     0,     0,
     739,   740,   741,     0,   742,   743,   744,   745,   746,   747,
     190,     0,     0,     0,     0,   736,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,  1239,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,  1240,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,     0,     0,     0,   739,
     740,   741,     0,   742,   743,   744,   745,   746,   747,   190,
       0,     0,     0,     0,   736,     0,     0,     0,     0,     0,
     191,   192,   193,   194,   195,   196,   197,   198,     0,   200,
     201,   202,     0,     0,     0,     0,     0,     0,     0,   203,
     204,     0,   205,     0,   206,   207,   208,   209,   210,     0,
     211,   212,     0,   213,   214,   215,   216,   217,     0,     0,
     218,   219,   220,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,   239,     0,   240,   241,
     242,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,   248,   249,   250,   251,   252,   253,
       0,   254,     0,   255,   256,   257,   258,   259,     0,   260,
     261,   262,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,     0,   273,   274,   275,
     276,   277,   278,   279,   280,     0,   281,     0,   282,   283,
     284,     0,   285,     0,   286,     0,     0,     0,   287,   288,
     289,     0,   290,   291,     0,   292,     0,   293,   294,   295,
     296,   297,     0,   298,   299,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,   327,   328,     0,     0,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,     0,   353,   354,     0,   355,     0,   356,
     357,   358,   359,   360,     0,     0,   361,     0,     0,   362,
     363,   364,     0,     0,   365,     0,     0,     0,   366,   367,
     368,   369,   370,   371,   372,     0,   373,   374,   375,   376,
     377,   378,   379,     0,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,     0,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,     0,   419,   420,
     421,   422,     0,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   437,
     438,     0,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,     0,   447,   448,   449,   450,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   459,   460,
       0,     0,   461,   462,   463,   464,   465,   466,     0,   467,
       0,   468,   469,   470,     0,     0,   471,     0,     0,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,     0,     0,     0,   739,   740,
     741,     0,   742,   743,   744,   745,   746,   747,   190,     0,
       0,     0,     0,   736,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,  3570,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,     0,     0,  1580,   739,   740,   741,
       0,   742,   743,   744,   745,   746,   747,   191,   192,   193,
     194,   195,   196,   197,   198,  1581,   200,   201,   202,  1582,
    1583,  1584,  1585,  1586,  1587,  1588,   203,   204,  1589,   205,
     696,   206,   207,   208,   209,   210,   697,   211,   212,  1590,
     213,   214,   215,   216,   217,  1591,  1592,   218,   219,   220,
     221,   222,  1593,   223,   224,   225,   226,   227,  1594,  1595,
     228,   229,   230,   231,   698,   232,   233,  1596,   234,   235,
     236,   237,   238,   239,  1597,   240,   241,   242,   699,   243,
     244,  1598,  1599,  1600,   700,  1601,  1602,  1603,   245,   246,
     247,   248,   249,   250,   251,   252,   253,  1604,   254,  1605,
     255,   256,   257,   258,   259,  1606,   260,   261,   262,  1607,
    1608,   263,   264,   265,   266,   267,  1609,   268,   269,   270,
    1610,   271,   272,  1611,   273,   274,   275,   276,   277,   278,
     279,   280,  1612,   281,  1613,   282,   283,   284,  1614,   285,
    1615,   286,   701,  1616,   702,   287,   288,   289,  1617,   290,
     291,  1618,   292,  1619,   293,   294,   295,   296,   297,   703,
     298,   299,   300,  1620,   301,   302,   303,   304,   305,   306,
    1621,   307,   704,   308,   309,   310,   311,   312,   313,   314,
    1622,   315,  1623,   316,   705,   706,   317,   707,   318,   319,
     320,   321,   322,   323,  1624,   324,   708,   325,   709,  1625,
     326,   327,   328,  1626,  1627,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   710,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
    1628,   353,   354,   711,   355,  1629,   356,   357,   358,   359,
     360,  1630,  1631,   361,  1632,  1633,   362,   363,   364,  1634,
    1635,   365,   712,   713,   714,   366,   367,   368,   369,   370,
     371,   372,  1636,   373,   374,   375,   376,   377,   378,   379,
    1637,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,  1638,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,  1639,   401,   402,   715,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,  1640,   414,
     415,   416,   417,   418,  1641,   419,   420,   421,   422,   716,
     423,   424,  1642,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,  1643,   437,   438,  1644,   439,
     440,   441,   442,   443,   444,  1645,   445,   446,  1646,  1647,
     447,   448,   449,   450,  1648,   451,   452,   453,   454,   455,
     456,  1649,  1650,   457,   458,   459,   460,  1651,  1652,   461,
     462,   463,   464,   465,   466,  1653,   467,   717,   468,   469,
     470,  1654,  1655,   471,  1656,  1657,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,  1658,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,   667,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,  1256,     0,     0,     0,     0,     0,
       0,     0,     0,  3459,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,   696,   206,
     207,   208,     0,  1257,   697,  1258,  1259,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,  1260,  1261,   222,
       0,   223,   224,   225,   226,     0,     0,     0,   228,   229,
     230,   231,   698,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,   699,   243,   244,     0,
       0,     0,   700,     0,     0,     0,   245,   246,   247,   248,
     249,   250,  1262,  1263,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   965,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,     0,   278,   279,     0,
       0,   281,     0,   282,  1264,   284,     0,   285,     0,   286,
     701,     0,   702,   287,   288,   289,     0,   290,     0,     0,
     292,     0,   293,   294,   295,   296,   297,   703,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     704,     0,   309,   310,   311,   312,  1265,  1266,     0,  1267,
       0,   316,   705,   706,   317,   707,   318,   319,   320,   321,
     322,   323,     0,     0,   708,   325,   709,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,  1268,   710,  1269,   344,
     345,   346,   347,   348,   349,   350,     0,   352,     0,   353,
     354,   711,   355,     0,     0,   357,  1270,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,     0,
     712,   713,   714,     0,   367,   368,   369,   370,   371,   372,
       0,   373,     0,   375,     0,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,  1271,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   715,   403,   404,     0,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,  1272,   421,   422,   716,   423,  1273,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,  1274,  1275,     0,     0,   447,     0,
     449,     0,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,     0,  1276,     0,   467,   717,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,     0,
    1893,     0,     0,     0,     0,     0,     0,   485,   486,   487,
       0,   191,   192,   193,   194,   195,   196,   197,   198,  1715,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,   696,   206,   207,   208,     0,  1257,
     697,  1258,  1259,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,  1260,  1261,   222,     0,   223,   224,   225,
     226,     0,     0,     0,   228,   229,   230,   231,   698,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   699,   243,   244,     0,     0,     0,   700,     0,
       0,     0,   245,   246,   247,   248,   249,   250,  1262,  1263,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   965,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,     0,   278,   279,     0,     0,   281,     0,   282,
    1264,   284,     0,   285,     0,   286,   701,     0,   702,   287,
     288,   289,     0,   290,     0,     0,   292,     0,   293,   294,
     295,   296,   297,   703,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   704,     0,   309,   310,
     311,   312,  1265,  1266,     0,  1267,     0,   316,   705,   706,
     317,   707,   318,   319,   320,   321,   322,   323,     0,     0,
     708,   325,   709,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,  1268,   710,  1269,   344,   345,   346,   347,   348,
     349,   350,     0,   352,     0,   353,   354,   711,   355,     0,
       0,   357,  1270,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,     0,   712,   713,   714,     0,
     367,   368,   369,   370,   371,   372,     0,   373,     0,   375,
       0,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,  1271,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     715,   403,   404,     0,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
    1272,   421,   422,   716,   423,  1273,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
    1274,  1275,     0,     0,   447,     0,   449,     0,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,     0,  1276,     0,
     467,   717,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,     0,   190,  1168,   538,     0,
       0,     0,   583,   485,   486,   487,     0,   191,   192,   193,
     194,   195,   196,   197,   198,  1715,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,  1569,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,  1382,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,  1383,     0,   361,  1384,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,  1385,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,  1168,   538,     0,     0,     0,   583,   595,
    1169,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,  1575,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,  1382,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,  1383,     0,   361,
    1384,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
    1385,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,  1168,
     538,     0,     0,     0,   583,   595,  1169,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,  1382,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,  1383,     0,   361,  1384,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,  1385,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
     583,   595,  1169,     0,     0,   191,   584,   193,   194,   195,
     196,   197,   198,   585,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   586,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   587,   283,   284,     0,   285,     0,   588,
       0,   589,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   590,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   591,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   592,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   593,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   594,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
    1580,     0,     0,     0,     0,     0,     0,   595,   596,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,  1581,
     200,   201,   202,  1582,  1583,  1584,  1585,  1586,  1587,  1588,
     203,   204,  1589,   205,   696,   206,   207,   208,   209,   210,
     697,   211,   212,  1590,   213,   214,   215,   216,   217,  1591,
    1592,   218,   219,   220,   221,   222,  1593,   223,   224,   225,
     226,   227,  1594,  1595,   228,   229,   230,   231,   698,   232,
     233,  1596,   234,   235,   236,   237,   238,   239,  1597,   240,
     241,   242,   699,   243,   244,  1598,  1599,  1600,   700,  1601,
    1602,  1603,   245,   246,   247,   248,   249,   250,   251,   252,
     253,  1604,   254,  1605,   255,   256,   257,   258,   259,  1606,
     260,   261,   262,  1607,  1608,   263,   264,   265,   266,   267,
    1609,   268,   269,   270,  1610,   271,   272,  1611,   273,   274,
     275,   276,   277,   278,   279,   280,  1612,   281,  1613,   282,
     283,   284,  1614,   285,  1615,   286,   701,  1616,   702,   287,
     288,   289,  1617,   290,   291,  1618,   292,  1619,   293,   294,
     295,   296,   297,   703,   298,   299,   300,  1620,   301,   302,
     303,   304,   305,   306,  1621,   307,   704,   308,   309,   310,
     311,   312,   313,   314,  1622,   315,  1623,   316,   705,   706,
     317,   707,   318,   319,   320,   321,   322,   323,  1624,   324,
     708,   325,   709,  1625,   326,   327,   328,  1626,  1627,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   710,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,  1628,   353,   354,   711,   355,  1629,
     356,   357,   358,   359,   360,  1630,  1631,   361,  1632,  1633,
     362,   363,   364,  1634,  1635,   365,   712,   713,   714,   366,
     367,   368,   369,   370,   371,   372,  1636,   373,   374,   375,
     376,   377,   378,   379,  1637,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,  1638,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,  1639,   401,   402,
     715,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,  1640,   414,   415,   416,   417,   418,  1641,   419,
     420,   421,   422,   716,   423,   424,  1642,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,  1643,
     437,   438,  1644,   439,   440,   441,   442,   443,   444,  1645,
     445,   446,  1646,  1647,   447,   448,   449,   450,  1648,   451,
     452,   453,   454,   455,   456,  1649,  1650,   457,   458,   459,
     460,  1651,  1652,   461,   462,   463,   464,   465,   466,  1653,
     467,   717,   468,   469,   470,  1654,  1655,   471,  1656,  1657,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,  1580,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,  2382,   196,   197,   198,  1581,   200,   201,   202,  1582,
    1583,  1584,  1585,  1586,  1587,  1588,   203,   204,  1589,   205,
     696,   206,   207,   208,   209,   210,   697,   211,   212,  1590,
     213,   214,   215,   216,   217,  1591,  1592,   218,   219,   220,
     221,   222,  1593,   223,   224,   225,   226,   227,  1594,  1595,
     228,   229,   230,   231,   698,   232,   233,  1596,   234,   235,
     236,   237,   238,   239,  1597,   240,   241,   242,   699,   243,
     244,  1598,  1599,  1600,   700,  1601,  1602,  1603,   245,   246,
     247,   248,   249,   250,   251,   252,   253,  1604,   254,  1605,
     255,   256,   257,   258,   259,  1606,   260,   261,   262,  1607,
    1608,   263,   264,   265,  2383,   267,  1609,   268,   269,   270,
    1610,   271,   272,  1611,   273,   274,   275,   276,   277,   278,
     279,   280,  1612,   281,  1613,   282,   283,   284,  1614,   285,
    1615,   286,   701,  1616,   702,   287,   288,   289,  1617,   290,
     291,  1618,   292,  1619,   293,   294,   295,   296,   297,   703,
     298,   299,   300,  1620,   301,   302,   303,   304,   305,   306,
    1621,   307,   704,   308,   309,   310,   311,   312,   313,   314,
    1622,   315,  1623,   316,   705,   706,   317,   707,   318,   319,
     320,   321,   322,   323,  1624,   324,   708,   325,   709,  1625,
     326,   327,   328,  1626,  1627,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   710,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
    1628,   353,   354,   711,   355,  1629,   356,   357,   358,   359,
     360,  1630,  1631,   361,  1632,  1633,   362,   363,   364,  1634,
    1635,   365,   712,   713,   714,   366,   367,   368,   369,   370,
     371,   372,  1636,   373,   374,   375,   376,   377,   378,   379,
    1637,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,  1638,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,  1639,   401,   402,   715,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,  1640,   414,
     415,   416,   417,   418,  1641,  2384,   420,   421,   422,   716,
     423,   424,  1642,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,  1643,   437,   438,  1644,   439,
     440,   441,   442,   443,   444,  1645,   445,   446,  1646,  1647,
     447,   448,   449,   450,  1648,   451,   452,   453,   454,   455,
     456,  1649,  1650,   457,   458,   459,   460,  1651,  1652,   461,
     462,   463,   464,   465,   466,  1653,   467,   717,   468,   469,
     470,  1654,  1655,   471,  1656,  1657,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   695,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,   696,   206,   207,   208,
     209,   210,   697,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     698,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,   699,   243,   244,     0,     0,     0,
     700,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,   701,     0,
     702,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,   703,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,   704,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     705,   706,   317,   707,   318,   319,   320,   321,   322,   323,
       0,   324,   708,   325,   709,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   710,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,   711,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,   712,   713,
     714,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   715,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,   716,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   717,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   695,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,   696,   206,   207,   208,   209,   210,   697,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   698,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     699,   243,   244,     0,     0,     0,   700,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,   701,     0,   702,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     842,   703,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,   704,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   705,   706,   317,   707,
     318,   319,   320,   321,   322,   323,     0,   324,   708,   325,
     709,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   710,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,   711,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,   712,   713,   714,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   715,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,   716,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   717,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   695,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,   696,   206,
     207,   208,   209,   210,   697,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   698,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,   699,   243,   244,     0,
       0,     0,   700,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
     701,     0,   702,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   850,   703,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
     704,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   705,   706,   317,   707,   318,   319,   320,   321,
     322,   323,     0,   324,   708,   325,   709,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   710,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,   711,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
     712,   713,   714,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   715,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,   716,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   717,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,  1735,   223,   224,   225,
     226,   227,     0,  1779,   228,   229,   230,   231,     0,   232,
     233,  1736,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,  1780,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,  1738,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,  1739,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,  1740,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,  1735,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,  1736,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,  1780,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
    1738,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,  2506,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
    1739,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,  1740,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   634,   197,
     198,   602,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
     603,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,   635,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   604,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   605,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,   602,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,   603,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
    2275,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   604,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     605,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
    1735,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,  1736,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,  1780,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,  1738,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,  1739,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
    1740,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,   538,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,  1382,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,  1383,     0,   361,  1384,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,  1385,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,  3810,   538,  3811,
    3812,     0,   583,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,   602,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
     603,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   604,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   605,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,  1410,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,  1411,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,  1412,   286,     0,     0,     0,  1413,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,  1414,  1415,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,  1416,   410,   411,   412,   413,
       0,  1417,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
    1418,   439,  1419,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,   603,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     604,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   605,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     3,     4,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   883,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,     0,   538,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,  1555,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,  1855,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,  1856,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     3,     4,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,  2319,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,  2320,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,  2331,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,  2332,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,   529,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   530,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,   628,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   629,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   630,   446,
       0,     0,   631,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,   656,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   657,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   658,   446,     0,     0,   659,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,   662,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,   834,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,   538,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,  1037,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,  1048,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   644,   219,   220,   221,  1049,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   647,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   648,   404,   405,   406,   407,
     408,   649,   410,   411,   412,   413,     0,   414,   415,   416,
     417,  1041,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   651,   446,     0,     0,   652,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   653,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,   538,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,  1372,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,  2196,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,  2197,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,  2198,   439,
     440,  2199,   442,  2200,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
    2541,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,  2554,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,  2593,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,  3263,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,  3265,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,  3267,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
    3414,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   618,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   626,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   644,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   645,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   297,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   646,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   647,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   648,   404,   405,   406,   407,   408,   649,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   650,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   651,   446,     0,     0,   652,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   653,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     297,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   676,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   761,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   823,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   847,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   852,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     860,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   862,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   864,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   866,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,   869,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
     871,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     872,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   875,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   644,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   647,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   648,   404,   405,   406,   407,   408,   649,   410,   411,
     412,   413,     0,   414,   415,   416,   417,  1041,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     651,   446,     0,     0,   652,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   653,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,  1069,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,     0,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   445,   446,     0,     0,
     447,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,  1350,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,     0,   206,   207,   208,   209,   210,     0,   211,
     212,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,   220,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
     245,   246,   247,   248,   249,   250,   251,   252,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   265,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
     277,   278,   279,   280,     0,   281,     0,   282,   283,   284,
       0,   285,     0,   286,     0,     0,     0,   287,   288,   289,
       0,   290,   291,     0,   292,     0,   293,   294,   295,   296,
    1352,     0,   298,   299,   300,     0,   301,   302,   303,   304,
     305,   306,     0,   307,     0,   308,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,     0,     0,   317,     0,
     318,   319,   320,   321,   322,   323,     0,   324,     0,   325,
       0,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,     0,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,     0,   353,   354,     0,   355,     0,   356,   357,
     358,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,   365,     0,     0,     0,   366,   367,   368,
     369,   370,   371,   372,     0,   373,   374,   375,   376,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,     0,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,   420,   421,
     422,     0,   423,   424,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,   445,   446,
       0,     0,   447,   448,   449,   450,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,   465,   466,     0,   467,     0,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   191,   192,   193,   194,   195,
     196,   197,   198,     0,   200,   201,   202,     0,     0,     0,
       0,     0,     0,     0,   203,   204,     0,   205,     0,   206,
     207,   208,   209,   210,     0,   211,   212,     0,   213,   214,
     215,   216,   217,     0,     0,   218,   219,   220,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,   239,     0,   240,   241,   242,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,   245,   246,   247,   248,
     249,   250,   251,   252,   253,     0,   254,     0,   255,   256,
     257,   258,   259,     0,   260,   261,   262,     0,     0,   263,
     264,   265,   266,   267,     0,   268,   269,   270,     0,   271,
     272,     0,   273,   274,   275,   276,   277,   278,   279,   280,
       0,   281,     0,   282,   283,   284,     0,   285,     0,   286,
       0,     0,     0,   287,   288,   289,     0,   290,   291,     0,
     292,     0,   293,   294,   295,   296,   297,     0,   298,   299,
     300,     0,   301,   302,   303,   304,   305,   306,     0,   307,
       0,   308,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,     0,     0,   317,     0,   318,   319,   320,   321,
     322,   323,     0,   324,     0,   325,     0,     0,   326,   327,
     328,     0,     0,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,     0,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,     0,   353,
     354,     0,   355,     0,   356,   357,   358,   359,   360,     0,
       0,   361,     0,     0,   362,   363,   364,     0,     0,   365,
       0,     0,     0,   366,   367,   368,   369,   370,   371,   372,
       0,   373,   374,   375,   376,   377,   378,   379,     0,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
       0,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,     0,   403,   404,   405,   406,   407,
    1446,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,     0,   419,   420,   421,   422,     0,   423,   424,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,     0,   437,   438,     0,   439,   440,   441,
     442,   443,   444,     0,   445,   446,     0,     0,   447,   448,
     449,   450,     0,   451,   452,   453,   454,   455,   456,     0,
       0,   457,   458,   459,   460,     0,     0,   461,   462,   463,
     464,   465,   466,     0,   467,     0,   468,   469,   470,     0,
       0,   471,     0,     0,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   644,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   647,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,   371,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   648,   404,   405,   406,   407,   408,   649,   410,   411,
     412,   413,     0,   414,   415,   416,   417,  1041,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,  1726,   441,   442,   443,   444,     0,
     651,   446,     0,     0,   652,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   653,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
       0,   206,   207,   208,   209,   210,     0,   211,   212,     0,
     213,   214,   215,   216,   217,     0,     0,   644,   219,   220,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,   245,   246,
     247,   248,   249,   250,   251,   252,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   265,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,   277,   278,
     279,   280,     0,   281,     0,   282,   283,   284,     0,   285,
       0,   286,     0,     0,     0,   287,   288,   289,     0,   290,
     291,     0,   292,     0,   293,   294,   295,   296,   297,     0,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,     0,   308,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,     0,     0,   317,     0,   318,   319,
     320,   321,   322,   323,     0,   324,     0,   325,     0,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   647,   342,     0,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
       0,   353,   354,     0,   355,     0,   356,   357,   358,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,   365,     0,     0,     0,   366,   367,   368,   369,   370,
     371,   372,     0,   373,   374,   375,   376,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,     0,   648,   404,   405,
     406,   407,   408,  1760,   410,   411,   412,   413,     0,   414,
     415,   416,   417,  1041,     0,   419,   420,   421,   422,     0,
     423,   424,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,   651,   446,     0,     0,
     652,   448,   449,   450,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,   465,   466,     0,   467,     0,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     653,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,   194,   195,   196,   197,
     198,     0,   200,   201,   202,     0,     0,     0,     0,     0,
       0,     0,   203,   204,     0,   205,     0,   206,   207,   208,
     209,   210,     0,   211,   212,     0,   213,   214,   215,   216,
     217,     0,     0,   218,   219,   220,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,   239,
       0,   240,   241,   242,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,   245,   246,   247,   248,   249,   250,
     251,   252,   253,     0,   254,     0,   255,   256,   257,   258,
     259,     0,   260,   261,   262,     0,     0,   263,   264,   265,
     266,   267,     0,   268,   269,   270,     0,   271,   272,     0,
     273,   274,   275,   276,   277,   278,   279,   280,     0,   281,
       0,   282,   283,   284,     0,   285,     0,   286,     0,     0,
       0,   287,   288,   289,     0,   290,   291,     0,   292,     0,
     293,   294,   295,   296,  1988,     0,   298,   299,   300,     0,
     301,   302,   303,   304,   305,   306,     0,   307,     0,   308,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
       0,     0,   317,     0,   318,   319,   320,   321,   322,   323,
       0,   324,     0,   325,     0,     0,   326,   327,   328,     0,
       0,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,     0,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,     0,   353,   354,     0,
     355,     0,   356,   357,   358,   359,   360,     0,     0,   361,
       0,     0,   362,   363,   364,     0,     0,   365,     0,     0,
       0,   366,   367,   368,   369,   370,   371,   372,     0,   373,
     374,   375,   376,   377,   378,   379,     0,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,     0,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,     0,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
       0,   419,   420,   421,   422,     0,   423,   424,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,     0,   437,   438,     0,   439,   440,   441,   442,   443,
     444,     0,   445,   446,     0,     0,   447,   448,   449,   450,
       0,   451,   452,   453,   454,   455,   456,     0,     0,   457,
     458,   459,   460,     0,     0,   461,   462,   463,   464,   465,
     466,     0,   467,     0,   468,   469,   470,     0,     0,   471,
       0,     0,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,  1256,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,   194,   195,   196,   197,   198,     0,   200,   201,
     202,     0,     0,     0,     0,     0,     0,     0,   203,   204,
       0,   205,   696,   206,   207,   208,     0,  1257,   697,  1258,
    1259,     0,   213,   214,   215,   216,   217,     0,     0,   218,
     219,  1260,  1261,   222,     0,   223,   224,   225,   226,     0,
       0,     0,   228,   229,   230,   231,   698,   232,   233,     0,
     234,   235,   236,   237,   238,   239,     0,   240,   241,   242,
     699,   243,   244,     0,     0,     0,   700,     0,     0,     0,
     245,   246,   247,   248,   249,   250,  1262,  1263,   253,     0,
     254,     0,   255,   256,   257,   258,   259,     0,   260,   261,
     262,     0,     0,   263,   264,   965,   266,   267,     0,   268,
     269,   270,     0,   271,   272,     0,   273,   274,   275,   276,
       0,   278,   279,     0,     0,   281,     0,   282,  1264,   284,
       0,   285,     0,   286,   701,     0,   702,   287,   288,   289,
       0,   290,     0,     0,   292,     0,   293,   294,   295,   296,
     297,   703,   298,   299,   300,  1764,   301,   302,   303,   304,
     305,   306,     0,   307,   704,  1765,   309,   310,   311,   312,
    1265,  1266,     0,  1267,     0,   316,   705,   706,   317,   707,
     318,   319,   320,   321,   322,   323,     0,     0,   708,   325,
     709,     0,   326,   327,   328,     0,     0,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
    1268,   710,  1269,   344,   345,   346,   347,   348,   349,   350,
       0,   352,     0,   353,   354,   711,   355,     0,     0,   357,
    1270,   359,   360,     0,     0,   361,     0,     0,   362,   363,
     364,     0,     0,  1766,   712,   713,   714,     0,   367,   368,
     369,   370,   371,   372,     0,   373,     0,   375,     0,   377,
     378,   379,     0,   380,   381,   382,   383,   384,   385,   386,
    1271,   388,   389,   390,     0,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   715,   403,
     404,     0,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,     0,   419,  1767,   421,
     422,   716,   423,  1273,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,     0,   436,     0,   437,   438,
       0,   439,   440,   441,   442,   443,   444,     0,  1274,  1275,
       0,     0,   447,     0,   449,     0,     0,   451,   452,   453,
     454,   455,   456,     0,     0,   457,   458,   459,   460,     0,
       0,   461,   462,   463,   464,     0,  1276,  1768,   467,   717,
     468,   469,   470,     0,     0,   471,     0,     0,   472,   473,
     474,   475,   476,   190,     0,     0,     0,     0,     0,     0,
       0,   485,   486,   487,   191,   192,   193,   194,   195,   196,
     197,   198,     0,   200,   201,   202,     0,     0,     0,     0,
       0,     0,     0,   203,   204,     0,   205,     0,   206,   207,
     208,   209,   210,     0,   211,   212,     0,   213,   214,   215,
     216,   217,     0,     0,   218,   219,   220,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,     0,   232,   233,     0,   234,   235,   236,   237,   238,
     239,     0,   240,   241,   242,     0,   243,   244,     0,     0,
       0,     0,     0,     0,     0,   245,   246,   247,   248,   249,
     250,   251,   252,   253,     0,   254,     0,   255,   256,   257,
     258,   259,     0,   260,   261,   262,     0,     0,   263,   264,
     265,   266,   267,     0,   268,   269,   270,     0,   271,   272,
       0,   273,   274,   275,   276,   277,   278,   279,   280,     0,
     281,     0,   282,   283,   284,     0,   285,     0,   286,     0,
       0,     0,   287,   288,   289,     0,   290,   291,     0,   292,
       0,   293,   294,   295,   296,  2322,     0,   298,   299,   300,
       0,   301,   302,   303,   304,   305,   306,     0,   307,     0,
     308,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,     0,     0,   317,     0,   318,   319,   320,   321,   322,
     323,     0,   324,     0,   325,     0,     0,   326,   327,   328,
       0,     0,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,     0,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,     0,   353,   354,
       0,   355,     0,   356,   357,   358,   359,   360,     0,     0,
     361,     0,     0,   362,   363,   364,     0,     0,   365,     0,
       0,     0,   366,   367,   368,   369,   370,   371,   372,     0,
     373,   374,   375,   376,   377,   378,   379,     0,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,     0,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,     0,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,     0,   419,   420,   421,   422,     0,   423,   424,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,     0,   437,   438,     0,   439,   440,   441,   442,
     443,   444,     0,   445,   446,     0,     0,   447,   448,   449,
     450,     0,   451,   452,   453,   454,   455,   456,     0,     0,
     457,   458,   459,   460,     0,     0,   461,   462,   463,   464,
     465,   466,     0,   467,     0,   468,   469,   470,     0,     0,
     471,     0,     0,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     191,   192,   193,   194,   195,   196,   197,   198,     0,   200,
     201,   202,     0,     0,     0,     0,     0,     0,     0,   203,
     204,     0,   205,     0,   206,   207,   208,   209,   210,     0,
     211,   212,     0,   213,   214,   215,   216,   217,     0,     0,
     218,   219,   220,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,     0,   232,   233,
       0,   234,   235,   236,   237,   238,   239,     0,   240,   241,
     242,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,   245,   246,   247,   248,   249,   250,   251,   252,   253,
       0,   254,     0,   255,   256,   257,   258,   259,     0,   260,
     261,   262,     0,     0,   263,   264,   265,   266,   267,     0,
     268,   269,   270,     0,   271,   272,     0,   273,   274,   275,
     276,   277,   278,   279,   280,     0,   281,     0,   282,   283,
     284,     0,   285,     0,   286,     0,     0,     0,   287,   288,
     289,     0,   290,   291,     0,   292,     0,   293,   294,   295,
     296,  2324,     0,   298,   299,   300,     0,   301,   302,   303,
     304,   305,   306,     0,   307,     0,   308,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,     0,     0,   317,
       0,   318,   319,   320,   321,   322,   323,     0,   324,     0,
     325,     0,     0,   326,   327,   328,     0,     0,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,     0,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,     0,   353,   354,     0,   355,     0,   356,
     357,   358,   359,   360,     0,     0,   361,     0,     0,   362,
     363,   364,     0,     0,   365,     0,     0,     0,   366,   367,
     368,   369,   370,   371,   372,     0,   373,   374,   375,   376,
     377,   378,   379,     0,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,     0,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,     0,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,     0,   419,   420,
     421,   422,     0,   423,   424,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,     0,   437,
     438,     0,   439,   440,   441,   442,   443,   444,     0,   445,
     446,     0,     0,   447,   448,   449,   450,     0,   451,   452,
     453,   454,   455,   456,     0,     0,   457,   458,   459,   460,
       0,     0,   461,   462,   463,   464,   465,   466,     0,   467,
       0,   468,   469,   470,     0,     0,   471,     0,     0,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,  1256,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   191,   192,   193,   194,
     195,   196,   197,   198,     0,   200,   201,   202,     0,     0,
       0,     0,     0,     0,     0,   203,   204,     0,   205,   696,
     206,   207,   208,     0,  1257,   697,  1258,  1259,     0,   213,
     214,   215,   216,   217,     0,     0,   218,   219,  1260,  1261,
     222,     0,   223,   224,   225,   226,     0,     0,     0,   228,
     229,   230,   231,   698,   232,   233,     0,   234,   235,   236,
     237,   238,   239,     0,   240,   241,   242,   699,   243,   244,
       0,     0,     0,   700,     0,     0,     0,   245,   246,   247,
     248,   249,   250,  1262,  1263,   253,     0,   254,     0,   255,
     256,   257,   258,   259,     0,   260,   261,   262,     0,     0,
     263,   264,   965,   266,   267,     0,   268,   269,   270,     0,
     271,   272,     0,   273,   274,   275,   276,     0,   278,   279,
       0,     0,   281,     0,   282,  1264,   284,     0,   285,     0,
     286,   701,     0,   702,   287,   288,   289,     0,   290,     0,
       0,   292,     0,   293,   294,   295,   296,   297,   703,   298,
     299,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   704,     0,   309,   310,   311,   312,  1265,  1266,     0,
    1267,     0,   316,   705,   706,   317,   707,   318,   319,   320,
     321,   322,   323,     0,     0,   708,   325,   709,     0,   326,
     327,   328,     0,     0,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,  1268,   710,  1269,
     344,   345,   346,   347,   348,   349,   350,     0,   352,     0,
     353,   354,   711,   355,  1756,     0,   357,  1270,   359,   360,
       0,     0,   361,     0,     0,   362,   363,   364,     0,     0,
       0,   712,   713,   714,     0,   367,   368,   369,   370,   371,
     372,     0,   373,     0,   375,     0,   377,   378,   379,     0,
     380,   381,   382,   383,   384,   385,   386,  1271,   388,   389,
     390,     0,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   715,   403,   404,     0,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,     0,   419,  1767,   421,   422,   716,   423,
    1273,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   436,     0,   437,   438,  2974,   439,   440,
     441,   442,   443,   444,     0,  1274,  1275,     0,     0,   447,
       0,   449,     0,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   459,   460,     0,     0,   461,   462,
     463,   464,     0,  1276,     0,   467,   717,   468,   469,   470,
       0,     0,   471,     0,     0,   472,   473,   474,   475,   476,
    1256,     0,     0,     0,     0,     0,     0,     0,   485,   486,
     487,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,   696,   206,   207,   208,     0,  1257,
     697,  1258,  1259,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,  1260,  1261,   222,     0,   223,   224,   225,
     226,     0,     0,     0,   228,   229,   230,   231,   698,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,   699,   243,   244,     0,     0,     0,   700,     0,
       0,     0,   245,   246,   247,   248,   249,   250,  1262,  1263,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   965,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,     0,   278,   279,     0,     0,   281,     0,   282,
    1264,   284,     0,   285,     0,   286,   701,     0,   702,   287,
     288,   289,     0,   290,     0,     0,   292,     0,   293,   294,
     295,   296,   297,   703,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,   704,     0,   309,   310,
     311,   312,  1265,  1266,     0,  1267,     0,   316,   705,   706,
     317,   707,   318,   319,   320,   321,   322,   323,     0,     0,
     708,   325,   709,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,  1268,   710,  1269,   344,   345,   346,   347,   348,
     349,   350,  1810,   352,     0,   353,   354,   711,   355,     0,
       0,   357,  1270,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,     0,   712,   713,   714,     0,
     367,   368,   369,   370,   371,   372,     0,   373,     0,   375,
       0,   377,   378,   379,     0,   380,   381,   382,   383,   384,
     385,   386,  1271,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     715,   403,   404,     0,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
    1272,   421,   422,   716,   423,  1273,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,     0,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
    1274,  1275,     0,     0,   447,     0,   449,     0,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,     0,  1276,     0,
     467,   717,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,  1256,     0,     0,     0,     0,
       0,     0,     0,   485,   486,   487,   191,   192,   193,   194,
     195,   196,   197,   198,     0,   200,   201,   202,     0,     0,
       0,     0,     0,     0,     0,   203,   204,     0,   205,   696,
     206,   207,   208,     0,  1257,   697,  1258,  1259,     0,   213,
     214,   215,   216,   217,     0,     0,   218,   219,  1260,  1261,
     222,     0,   223,   224,   225,   226,     0,     0,     0,   228,
     229,   230,   231,   698,   232,   233,     0,   234,   235,   236,
     237,   238,   239,     0,   240,   241,   242,   699,   243,   244,
       0,     0,     0,   700,     0,     0,     0,   245,   246,   247,
     248,   249,   250,  1262,  1263,   253,     0,   254,     0,   255,
     256,   257,   258,   259,     0,   260,   261,   262,     0,     0,
     263,   264,   965,   266,   267,     0,   268,   269,   270,     0,
     271,   272,     0,   273,   274,   275,   276,     0,   278,   279,
       0,     0,   281,     0,   282,  1264,   284,     0,   285,     0,
     286,   701,     0,   702,   287,   288,   289,     0,   290,     0,
       0,   292,     0,   293,   294,   295,   296,   297,   703,   298,
     299,   300,     0,   301,   302,   303,   304,   305,   306,     0,
     307,   704,     0,   309,   310,   311,   312,  1265,  1266,     0,
    1267,     0,   316,   705,   706,   317,   707,   318,   319,   320,
     321,   322,   323,     0,     0,   708,   325,   709,     0,   326,
     327,   328,     0,     0,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,  1268,   710,  1269,
     344,   345,   346,   347,   348,   349,   350,  2816,   352,     0,
     353,   354,   711,   355,     0,     0,   357,  1270,   359,   360,
       0,     0,   361,     0,     0,   362,   363,   364,     0,     0,
       0,   712,   713,   714,     0,   367,   368,   369,   370,   371,
     372,     0,   373,     0,   375,     0,   377,   378,   379,     0,
     380,   381,   382,   383,   384,   385,   386,  1271,   388,   389,
     390,     0,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   715,   403,   404,     0,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,     0,   419,  1272,   421,   422,   716,   423,
    1273,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   436,     0,   437,   438,     0,   439,   440,
     441,   442,   443,   444,     0,  1274,  1275,     0,     0,   447,
       0,   449,     0,     0,   451,   452,   453,   454,   455,   456,
       0,     0,   457,   458,   459,   460,     0,     0,   461,   462,
     463,   464,     0,  1276,     0,   467,   717,   468,   469,   470,
       0,     0,   471,     0,     0,   472,   473,   474,   475,   476,
     190,     0,     0,     0,     0,     0,     0,     0,   485,   486,
     487,   191,   192,   193,   194,   195,   196,   197,   198,     0,
     200,   201,   202,     0,     0,     0,     0,     0,     0,     0,
     203,   204,     0,   205,     0,   206,   207,   208,   209,   210,
       0,   211,   212,     0,   213,   214,   215,   216,   217,     0,
       0,   218,   219,   220,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,   239,     0,   240,
     241,   242,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,   245,   246,   247,   248,   249,   250,   251,   252,
     253,     0,   254,     0,   255,   256,   257,   258,   259,     0,
     260,   261,   262,     0,     0,   263,   264,   265,   266,   267,
       0,   268,   269,   270,     0,   271,   272,     0,   273,   274,
     275,   276,   277,   278,   279,   280,     0,   281,     0,   282,
     283,   284,     0,   285,     0,   286,     0,     0,     0,   287,
     288,   289,     0,   290,   291,     0,   292,     0,   293,   294,
     295,   296,   297,     0,   298,   299,   300,     0,   301,   302,
     303,   304,   305,   306,     0,   307,     0,   308,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,     0,     0,
     317,     0,   318,   319,   320,   321,   322,   323,     0,   324,
       0,   325,     0,     0,   326,   327,   328,     0,     0,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,     0,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,     0,   353,   354,     0,   355,     0,
     356,   357,   358,   359,   360,     0,     0,   361,     0,     0,
     362,   363,   364,     0,     0,   365,     0,     0,     0,   366,
     367,   368,   369,   370,     0,   372,     0,   373,   374,   375,
     376,   377,   378,   379,     0,   380,   381,   382,   383,   384,
       0,   386,   387,   388,   389,   390,     0,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
       0,   403,   404,   405,     0,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,     0,   419,
     420,   421,   422,     0,   423,   424,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,     0,
     437,   438,     0,   439,   440,   441,   442,   443,   444,     0,
     445,   446,     0,     0,   447,   448,   449,   450,     0,   451,
     452,   453,   454,   455,   456,     0,     0,   457,   458,   459,
     460,     0,     0,   461,   462,   463,   464,   465,   466,     0,
     467,     0,   468,   469,   470,     0,     0,   471,     0,     0,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,  1256,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
     696,   206,   207,   208,     0,  1257,   697,  1258,  1259,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,  1260,
    1261,   222,     0,   223,   224,   225,   226,     0,     0,     0,
     228,   229,   230,   231,   698,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   699,   243,
     244,     0,     0,     0,   700,     0,     0,     0,   245,   246,
     247,   248,   249,   250,  1262,  1263,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   965,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,     0,   278,
     279,     0,     0,   281,     0,   282,  1264,   284,     0,   285,
       0,   286,   701,     0,   702,   287,   288,   289,     0,   290,
       0,     0,   292,     0,   293,   294,   295,   296,   297,   703,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   704,     0,   309,   310,   311,   312,  1265,  1266,
       0,  1267,     0,   316,   705,   706,   317,   707,   318,   319,
     320,   321,   322,   323,     0,     0,   708,   325,   709,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,  1268,   710,
    1269,   344,   345,   346,   347,   348,   349,   350,     0,   352,
       0,   353,   354,   711,   355,     0,     0,   357,  1270,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,     0,   712,   713,   714,     0,   367,   368,   369,   370,
     371,   372,     0,   373,     0,   375,     0,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,  1271,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   715,   403,   404,     0,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,  1272,   421,   422,   716,
     423,  1273,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,  1274,  1275,     0,     0,
     447,     0,   449,     0,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,     0,  1276,     0,   467,   717,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,  1256,     0,     0,     0,     0,     0,     0,     0,   485,
     486,   487,   191,   192,   193,   194,   195,   196,   197,   198,
       0,   200,   201,   202,     0,     0,     0,     0,     0,     0,
       0,   203,   204,     0,   205,   696,   206,   207,   208,     0,
    1257,   697,  1258,  1259,     0,   213,   214,   215,   216,   217,
       0,     0,   218,   219,  1260,  1261,   222,     0,   223,   224,
     225,   226,     0,     0,     0,   228,   229,   230,   231,   698,
     232,   233,     0,   234,   235,   236,   237,   238,   239,     0,
     240,   241,   242,   699,   243,   244,     0,     0,     0,   700,
       0,     0,     0,   245,   246,   247,   248,   249,   250,  1262,
    1263,   253,     0,   254,     0,   255,   256,   257,   258,   259,
       0,   260,   261,   262,     0,     0,   263,   264,   965,   266,
     267,     0,   268,   269,   270,     0,   271,   272,     0,   273,
     274,   275,   276,     0,   278,   279,     0,     0,   281,     0,
     282,  1264,   284,     0,   285,     0,   286,   701,     0,   702,
     287,   288,   289,     0,   290,     0,     0,   292,     0,   293,
     294,   295,   296,   297,   703,   298,   299,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   704,     0,   309,
     310,   311,   312,  1265,  1266,     0,  1267,     0,   316,   705,
     706,   317,   707,   318,   319,   320,   321,   322,   323,     0,
       0,   708,   325,   709,     0,   326,   327,   328,     0,     0,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,  1268,   710,  1269,   344,   345,   346,   347,
     348,   349,   350,     0,   352,     0,   353,   354,   711,   355,
       0,     0,   357,  1270,   359,   360,     0,     0,   361,     0,
       0,   362,   363,   364,     0,     0,     0,   712,   713,   714,
       0,   367,   368,   369,   370,   371,   372,     0,   373,     0,
     375,     0,   377,   378,   379,     0,   380,   381,   382,   383,
     384,   385,   386,  1271,   388,   389,   390,     0,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   715,   403,   404,     0,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,     0,
     419,  1767,   421,   422,   716,   423,  1273,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   436,
       0,   437,   438,     0,   439,   440,   441,   442,   443,   444,
       0,  1274,  1275,     0,     0,   447,     0,   449,     0,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     459,   460,     0,     0,   461,   462,   463,   464,     0,  1276,
       0,   467,   717,   468,   469,   470,     0,     0,   471,     0,
       0,   472,   473,   474,   475,   476,  1256,     0,     0,     0,
       0,     0,     0,     0,   485,   486,   487,   191,   192,   193,
     194,   195,   196,   197,   198,     0,   200,   201,   202,     0,
       0,     0,     0,     0,     0,     0,   203,   204,     0,   205,
     696,   206,   207,   208,     0,  1257,   697,  1258,  1259,     0,
     213,   214,   215,   216,   217,     0,     0,   218,   219,  1260,
    1261,   222,     0,   223,   224,   225,   226,     0,     0,     0,
     228,   229,   230,   231,   698,   232,   233,     0,   234,   235,
     236,   237,   238,   239,     0,   240,   241,   242,   699,   243,
     244,     0,     0,     0,   700,     0,     0,     0,   245,   246,
     247,   248,   249,   250,  1262,  1263,   253,     0,   254,     0,
     255,   256,   257,   258,   259,     0,   260,   261,   262,     0,
       0,   263,   264,   965,   266,   267,     0,   268,   269,   270,
       0,   271,   272,     0,   273,   274,   275,   276,     0,   278,
     279,     0,     0,   281,     0,   282,  1264,   284,     0,   285,
       0,   286,   701,     0,   702,   287,   288,   289,     0,   290,
       0,     0,   292,     0,   293,   294,   295,   296,   297,   703,
     298,   299,   300,     0,   301,   302,   303,   304,   305,   306,
       0,   307,   704,     0,   309,   310,   311,   312,  1265,  1266,
       0,  1267,     0,   316,   705,   706,   317,   707,   318,   319,
     320,   321,   322,   323,     0,     0,   708,   325,   709,     0,
     326,   327,   328,     0,     0,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,  1268,   710,
    1269,   344,   345,   346,   347,   348,   349,   350,     0,   352,
       0,   353,   354,   711,   355,     0,     0,   357,  1270,   359,
     360,     0,     0,   361,     0,     0,   362,   363,   364,     0,
       0,     0,   712,   713,   714,     0,   367,   368,   369,   370,
     371,   372,     0,   373,     0,   375,     0,   377,   378,   379,
       0,   380,   381,   382,   383,   384,   385,   386,  1271,   388,
     389,   390,     0,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   715,   403,   404,     0,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,     0,   419,     0,   421,   422,   716,
     423,  1273,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   436,     0,   437,   438,     0,   439,
     440,   441,   442,   443,   444,     0,  1274,  1275,     0,     0,
     447,     0,   449,     0,     0,   451,   452,   453,   454,   455,
     456,     0,     0,   457,   458,   459,   460,     0,     0,   461,
     462,   463,   464,     0,  1276,     0,   467,   717,   468,   469,
     470,     0,     0,   471,     0,     0,   472,   473,   474,   475,
     476,  1256,     0,     0,     0,     0,     0,     0,     0,   485,
     486,   487,   191,   192,   193,   194,   195,   196,   197,   198,
       0,   200,   201,   202,     0,     0,     0,     0,     0,     0,
       0,   203,   204,     0,   205,   696,   206,   207,   208,     0,
       0,   697,     0,     0,     0,   213,   214,   215,   216,   217,
       0,     0,   218,   219,     0,     0,   222,     0,   223,   224,
     225,   226,     0,     0,     0,   228,   229,   230,   231,   698,
     232,   233,     0,   234,   235,   236,   237,   238,   239,     0,
     240,   241,   242,   699,   243,   244,     0,     0,     0,   700,
       0,     0,     0,   245,   246,   247,   248,   249,   250,     0,
       0,   253,     0,   254,     0,   255,   256,   257,   258,   259,
       0,   260,   261,   262,     0,     0,   263,   264,   265,   266,
     267,     0,   268,   269,   270,     0,   271,   272,     0,   273,
     274,   275,   276,     0,   278,   279,     0,     0,   281,     0,
     282,     0,   284,     0,   285,     0,   286,   701,     0,   702,
     287,   288,   289,     0,   290,     0,     0,   292,     0,   293,
     294,   295,   296,   297,   703,   298,   299,   300,     0,   301,
     302,   303,   304,   305,   306,     0,   307,   704,     0,   309,
     310,   311,   312,     0,     0,     0,     0,     0,   316,   705,
     706,   317,   707,   318,   319,   320,   321,   322,   323,     0,
       0,   708,   325,   709,     0,   326,   327,   328,     0,     0,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,     0,   710,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   352,     0,   353,   354,   711,   355,
       0,     0,   357,     0,   359,   360,     0,     0,   361,     0,
       0,   362,   363,   364,     0,     0,     0,   712,   713,   714,
       0,   367,   368,   369,   370,   371,   372,     0,   373,     0,
     375,     0,   377,   378,   379,     0,   380,   381,   382,   383,
     384,   385,   386,     0,   388,   389,   390,     0,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   715,   403,   404,     0,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,     0,
     419,     0,   421,   422,   716,   423,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   436,
       0,   437,   438,     0,   439,   440,   441,   442,   443,   444,
       0,     0,     0,     0,     0,   447,     0,   449,     0,     0,
     451,   452,   453,   454,   455,   456,     0,     0,   457,   458,
     459,   460,     0,     0,   461,   462,   463,   464,     0,     0,
       0,   467,   717,   468,   469,   470,     0,     0,   471,     0,
       0,   472,   473,   474,   475,   476,     0,     0,     0,     0,
       0,     0,     0,     0,   485,   486,   487
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,   175,   512,    35,    17,    49,
     165,    11,   539,   851,   645,   158,   171,    26,    22,   692,
     887,    21,   910,   858,    28,   604,   605,   924,  1413,  1148,
     609,   752,  1126,   694,  1065,  1164,   719,   172,    22,  1374,
     768,   762,   177,   724,    28,  1272,    12,   553,   652,    49,
    1201,   186,  1512,   937,  1065,    23,  2072,  2315,  1772,  1773,
    1154,   551,   992,  1318,   799,   555,  2210,    35,  1067,  1450,
    1335,   166,  2530,  1148,   169,   565,   822,   505,  1207,  1208,
    1304,  1304,   803,    43,   735,  1116,  1304,   808,  1670,  1065,
     185,  1304,  1304,  1304,   815,    21,  2382,  2445,  2384,  1091,
    1972,  2046,    18,   824,  1809,  1116,  2484,   145,   843,   963,
     964,  1977,  1978,  2750,  1113,  1370,  2921,   572,  1889,   547,
    1983,   648,  1195,  2208,    42,   160,  2769,    45,   982,     0,
       7,  2975,     0,     0,     0,  1116,  2484,    14,     0,   160,
    1116,  1154,    39,   725,  1681,  2985,     5,     0,  1676,  2948,
     689,     5,     9,  3149,  3155,     0,     9,   953,   954,    57,
     160,     0,  2464,  2465,  2466,  2467,  2468,  2469,     5,    22,
       9,    31,  2664,     5,  2953,    50,   104,   128,    43,  3000,
     762,  3002,   978,    22,   689,    25,    97,     5,     0,    70,
      77,   865,    72,   104,     0,    13,    18,   150,     0,   134,
       0,     5,   876,  1483,     5,    18,   730,  2206,  2207,    13,
      41,     5,   878,     5,  1919,  1101,     5,   173,   797,    13,
      57,     5,   189,   179,     5,    72,     5,   123,    72,   150,
       5,   187,   104,   113,  3517,   150,   887,    66,    35,     5,
      50,     5,   151,  3497,    16,   104,    11,  3510,    35,   229,
       9,   109,  3300,    11,    22,    50,    57,   247,   250,   111,
      63,    29,  1542,   181,   152,     5,   113,   109,  1299,   113,
     252,    36,     5,    18,   247,    81,     0,   783,     5,   121,
      23,   229,     9,   257,   279,   295,   142,     5,  1299,   163,
    1995,   150,  1997,    32,   145,    50,     4,   150,   106,   121,
     357,     9,     4,     9,    74,   150,   152,     9,   121,   144,
     106,   150,     3,     4,     5,   108,     5,   170,     9,  1816,
     801,    51,   264,  1299,  1052,   170,   237,   104,   355,    59,
      11,   170,  2641,   264,   104,   166,   384,   394,   150,   170,
      97,   324,   512,  1009,   218,  1275,   501,   874,   150,   155,
     150,   293,  1035,  3158,     4,    36,  2665,    81,   170,     9,
     887,   133,   293,  1860,     5,   237,   251,    11,   170,   859,
     170,    11,   228,   112,   205,   510,   121,   104,  3632,   514,
     315,   150,   392,   553,    22,   265,  3416,  3417,   543,   524,
     373,    29,    36,     5,    22,   550,    36,   190,   378,  1237,
    1051,    29,   429,   170,  1055,  1056,  1241,   253,  1262,  1263,
     345,   298,   507,   104,   396,   104,  1270,    11,   265,   429,
     308,   265,   156,   334,   299,   915,   337,   522,  2806,   237,
     425,   155,   274,   425,   889,   425,   926,   272,   310,   313,
     355,   184,   264,   924,   295,   380,   242,   250,   938,  3712,
    1449,   264,   425,  3501,    30,   429,   296,   392,  2806,   407,
     237,  2763,   429,   104,  1260,  1261,     5,   237,   308,   349,
    1191,  3276,  1193,  1269,   425,   363,   429,  3473,   196,   209,
     293,    22,  1133,   425,   412,   366,  1517,   496,  1139,   299,
     425,    11,   388,     5,   300,   326,   355,   188,  3752,  1234,
     322,  1229,   349,  3786,   299,   349,  1517,  1253,   429,   242,
     191,   192,  3333,  3318,   425,   373,   425,  1405,   209,   359,
     260,  1048,  2050,   375,  3303,    11,   355,   425,   104,  1250,
     539,   540,  1183,   573,   306,  1186,  1187,   575,   494,   393,
    1767,  1517,   429,   499,   299,   342,   383,   191,   293,   692,
    1549,     8,   324,   412,   429,   342,  3048,   411,  2557,   240,
     425,   329,   319,   416,   417,   425,  3567,   424,   427,  1108,
    1051,   425,   572,   573,  2279,   428,   300,   416,   417,   495,
     584,  3577,   586,   428,   588,  2729,   392,  1238,   425,   428,
     594,   423,  2306,   425,  2308,   427,  1086,  1483,  1180,  1750,
     584,  2903,   586,  1108,   588,   571,  3411,   425,  1289,   618,
     594,   595,   596,   783,  3419,   533,   428,  2145,   773,   383,
     426,   425,   428,  1147,   425,   780,   428,   393,   428,   638,
    1111,   425,   801,   425,   429,   644,   425,  3667,   647,   648,
     649,   425,   737,   738,   425,   411,   425,   573,  2419,  2734,
     425,  2422,  2423,  1772,   610,  2426,   421,   416,   417,   425,
     429,   425,   429,   421,  1338,  2436,   425,  1148,   392,   625,
    1176,   191,  2544,  1347,   429,   830,  2548,  3673,  3518,  1475,
    1476,  1355,  1356,   683,   683,   683,   683,   683,  3487,   645,
     392,   329,  1723,  1174,  2231,   429,    50,   615,   150,  1373,
     795,   329,   426,   242,   428,   191,   662,  1972,   416,   417,
     416,   417,  1723,    73,   416,   417,   811,   812,   158,  2424,
    2425,   598,   133,   335,   336,   416,   417,   109,   684,   270,
     242,  2445,   104,   828,  3730,   416,   417,   418,   419,   420,
     421,    97,  1723,   152,  1323,   287,   672,  1723,   666,   646,
     276,   735,   193,   650,  1235,   924,   153,   170,    59,  2219,
     855,   856,    26,    27,   193,   125,  1779,   104,  1799,   189,
    2484,  1252,   416,   417,   418,   419,   420,   421,   418,   419,
     420,   421,  1448,   116,  1450,   118,  1417,  1418,  1799,   798,
     153,  1272,   109,    72,  1460,   251,   253,  1463,  3642,     8,
      22,   183,    11,     5,  1835,  1471,  1472,   348,  3804,   350,
     133,    43,   683,  1294,  2528,   683,   683,   683,  1484,  1485,
     106,   683,    99,  1799,   418,   419,   420,   421,   218,  1495,
     131,   357,  2112,  2113,   113,    34,   412,  2117,   345,   199,
     200,     5,   257,   284,   253,  1964,   147,   423,  1354,   425,
     426,   427,   212,   429,    22,   284,   150,  1231,  1348,  1835,
    3318,   237,  1343,    95,   304,   874,   183,  1357,   394,   825,
     826,   827,    37,   229,   393,   229,  2156,  2157,   887,  1369,
     293,  2744,  1955,   425,   297,   149,   163,   151,   151,   889,
      98,   177,   411,    58,   116,    96,   416,   417,   418,   419,
     420,   421,   255,   887,   264,   242,   282,  3471,  3713,   322,
      81,   264,   921,   324,   247,   263,  1344,   833,   918,   918,
     317,  1411,  3565,   313,  1414,  1380,  1416,   121,   337,  1419,
     416,   417,   418,   419,   420,   421,  3573,  3574,    59,  2204,
     104,   218,  1111,   315,   221,   299,    22,   947,   116,   346,
     182,   237,  1326,    74,   317,   412,   413,   414,   914,   416,
     417,   418,   419,   420,   421,   173,   966,   423,   322,  1009,
     169,   427,   141,   345,    99,  1481,   277,   375,  3122,   392,
     362,   937,   191,   346,   155,   257,   265,   347,  3132,   349,
     141,   373,    68,  3279,  1668,    59,   996,   229,   315,    75,
     429,   324,  1011,   266,   306,  1174,  1176,    18,   380,  1009,
     131,   426,  1021,    24,   429,   892,   217,   894,   219,   896,
     392,   898,  1031,   900,   901,   902,   147,   425,   345,   105,
     907,   108,   385,  3118,  1515,  3599,   313,   206,   163,  1048,
     104,  1079,  1051,   357,   253,  3130,  1055,  1056,  3760,   154,
     425,  3429,    74,   425,    59,   206,   373,  1911,   276,  1094,
    1095,   355,  1097,   380,   327,   130,  1235,  1051,   369,    74,
     349,  1055,  1056,  1094,  1095,   392,  1097,   304,  2849,   311,
     249,  3429,  1217,  1252,  2855,  2856,  2857,  2858,  2859,  2860,
    3035,  3728,  2806,   218,  1094,  1095,   221,  1097,   174,   104,
     284,   106,  1848,   297,   209,  1061,  2137,   116,   425,   118,
     121,  2142,  3824,   190,  1209,  1210,  1211,  1212,   412,  2991,
     384,  2987,   187,   425,  2996,  1294,  2137,  2999,   322,   406,
     293,  2142,   154,   427,   297,    76,   344,   345,     8,   357,
     324,    11,  2293,   283,  1239,  1240,   107,   374,   425,  1133,
    1245,   173,  1990,   306,   426,  1139,   277,   429,   191,   322,
    2742,  2137,   355,  1998,  3420,     0,  2142,   307,  1303,   264,
     308,  1822,   177,   237,  1343,   428,   394,   118,   242,  1830,
    1335,  1832,  1337,  1318,  1354,  1169,  2305,   209,   313,   373,
    1199,  1346,   257,   308,  1940,  1941,  1942,  1943,   293,  1183,
     107,    85,  1186,  1187,  1160,  2590,   167,   416,   417,   418,
     419,   420,   421,   277,  1309,  1310,  1311,  1312,   251,   392,
     373,   359,  3478,    56,    57,   289,  2112,  2113,   237,   392,
    2305,  2117,   237,  2232,   256,  1370,   429,   242,   247,  2620,
      20,  2233,   141,   348,   359,   350,   145,     8,   369,  1984,
      11,  3395,  3396,   264,  1238,  3713,   429,  1213,  1413,    39,
     167,   337,  2486,  2486,     3,  1158,     5,   151,  2486,   109,
    2156,  2157,   277,  2486,  2486,  2486,   308,  1233,   132,  2544,
    1375,   406,   293,  2548,   289,   392,  1767,   316,  1778,   145,
     152,  1772,  1773,   412,   107,   179,  1305,  1725,  1981,   155,
     170,   429,  1783,   368,  3009,   369,  3011,   206,   427,  1202,
     194,  1481,  3568,   151,   170,  1989,   345,   171,   180,   203,
    3576,   191,   429,  2578,   392,  3611,   348,   359,   350,  2003,
    2004,   279,   315,  2007,    34,  1335,  3352,   359,   154,  2013,
      40,   179,   226,   183,   130,   141,  1515,   369,   284,   145,
     249,  2382,  2383,  2384,   167,   141,   194,   386,   294,   145,
      99,   429,   345,  3621,   369,   203,  2646,   251,    97,  2649,
    2650,  2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,   116,
    1380,   118,   318,   253,   315,  1425,  1814,  2516,  2039,   754,
    3406,   756,  3408,   209,    96,  2283,  1302,   380,   763,   316,
    2074,   187,   139,  1359,   264,   306,  2382,  2383,  2384,   392,
     206,  2442,  1368,  1319,   345,  1443,  2082,  3561,  1899,   303,
     206,   264,   264,  1379,   163,  1425,  2706,  2707,   345,   297,
     191,  2442,   333,   293,  1434,  1434,  1434,  1434,  1434,   264,
    1967,  2901,   425,  3214,  3215,   426,   302,   150,   429,   380,
     293,   293,  2483,   249,   322,  1381,   145,  2311,  3330,  1468,
     229,  1417,  1418,   249,  2130,   303,  2442,   170,   293,   386,
     393,   257,  2483,   175,  1442,   315,   165,  1461,  1462,   218,
     322,   393,   221,  1964,  2011,  1469,   255,   246,   411,  1473,
    1474,   375,   253,  2159,   425,   264,   355,   322,    11,   411,
     237,   116,   425,   118,  1488,   242,  1490,  2483,  2773,     8,
     247,  1429,    11,   425,  1391,   217,  1393,   219,  1395,   145,
    1397,  1521,  1399,    36,   139,  1509,  1403,  1511,  2194,    28,
      66,    22,   348,   373,   350,    31,   251,    28,    74,   165,
     312,   256,   412,   413,   414,  2035,   416,   417,   418,   419,
     420,   421,   423,    49,  1563,   196,   427,   264,   347,  2558,
     586,   587,   588,   264,   310,   591,   592,   593,   251,  2220,
     386,   420,   425,   256,   313,   601,   425,    85,   427,   409,
     410,  2062,   368,   310,    80,  1720,   293,    97,  1544,  1724,
     297,   310,   293,  2112,  2113,   424,   297,  1553,  2117,   359,
     429,   347,  2601,   392,   393,   426,   312,  2495,   429,   378,
    2284,  1746,   424,  2217,  1783,   322,   295,   429,  2249,  1754,
     347,   322,  2303,    78,   361,  2868,  2869,   242,   347,  2872,
    3090,  2874,   247,   370,  2914,   173,   425,  2156,  2157,   312,
     426,   137,  1777,   151,   306,   307,   392,   393,  2679,  2323,
     165,  2325,   413,   414,    97,   416,   417,   418,   419,   420,
     421,   196,  1797,  2792,  2793,   392,   393,   406,  2679,   425,
    2176,   179,   168,   392,   393,  3446,   392,   393,   426,   425,
    1815,   429,     8,  1818,  1684,    11,   194,  2686,    47,   420,
    1694,   392,   191,  2844,   425,   203,   427,   423,   425,   425,
     196,  1836,  1730,  2679,  1732,   423,   425,   425,  1843,   427,
    1694,  3727,     9,   426,     5,  3429,   429,  1852,   226,    10,
     425,  1677,   426,  1679,  1859,   429,  2991,   251,    19,  2613,
    1899,  2996,   426,  1828,  2999,   429,   306,   307,  2668,  2669,
    2129,   426,  2131,  2132,   429,    36,   361,   130,   392,   393,
     426,  1760,  1678,   429,   253,   370,   426,   429,   141,   429,
    2646,   425,   145,  2649,  2650,  2651,  2652,  2653,  2654,  2655,
    2656,  2657,  2658,    47,  2805,   426,  2807,    37,   429,  3484,
    1875,  2271,  2272,   426,  2274,   427,   429,  1882,  1883,  1884,
    1885,  1886,  1887,   193,  2805,   303,  2807,   426,  3512,  2830,
     429,   297,   408,   426,   187,   301,   429,  2704,  2454,  2455,
    2456,   307,  3092,  3093,   392,   393,     8,  1972,   314,    11,
    2706,  2707,   254,   206,  2305,  2306,   322,  2308,   254,  2805,
     426,  2807,   426,   429,   330,   429,    28,   348,  1822,   350,
    1796,   426,   338,   348,   429,   350,  1830,   426,  1832,  2968,
     429,   355,   426,   426,  2830,   429,   429,   425,  2952,   427,
    3087,   425,  1957,   427,   890,   191,   249,   893,  2349,   895,
    2351,   897,  1881,   899,   257,   426,   251,   903,   429,     8,
    1889,  2371,    11,   348,   251,   350,  2774,  2775,  2562,   928,
     929,   387,  2566,  2062,  2568,   391,  2570,  2571,   254,  1994,
     426,  1996,   348,   429,   350,  2579,  2485,    36,   426,  2250,
    2251,   429,    41,   412,   413,   414,    37,   416,   417,   418,
     419,   420,   421,   426,  1908,   426,   429,   253,   429,   408,
    1939,  2785,  1972,   426,   426,    48,   429,   429,   426,  2420,
    2614,   429,  3402,   426,   426,     8,   429,   429,    11,   408,
     426,   426,  1961,   429,   429,   193,  1956,  1956,  1967,   426,
    1926,   686,   429,   688,  2445,    28,    81,  1923,   426,   418,
     322,   429,  1972,    36,   426,   149,   426,   429,    41,   429,
    2549,   429,  2551,    96,  2474,   368,  2476,   426,   103,   426,
     429,   425,   429,   426,   109,   426,   429,   428,  2865,   191,
    2527,   426,  2011,  2484,   429,   426,  2176,   426,  2736,  2675,
     429,   426,   426,   426,   429,   429,   429,   426,   426,   134,
    2501,   429,   426,   426,   426,   429,   429,   429,  2914,   426,
     426,    47,   429,   429,  2515,   426,   426,   166,   429,   429,
     426,   170,   426,   429,   426,   429,   428,  2528,   426,  2204,
     427,   429,   425,  2726,  2727,  2039,   395,   426,   251,   172,
     429,   253,   191,   192,   426,  3330,   426,   429,   183,   429,
    2213,   426,   426,  2243,   429,   429,   205,  3357,   426,   145,
     426,   429,  2563,   429,  3469,   425,   412,   413,   414,   425,
     416,   417,   418,   419,   420,   421,   426,   204,  2588,   429,
    2781,  3381,  3382,   166,   217,   427,   219,   170,   237,   426,
    1498,   240,   429,  1501,   375,   251,   229,   425,   246,  2159,
     196,   312,  2612,   425,   253,  2260,    59,  2646,   191,   192,
    2649,  2650,  2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,
     392,    31,   205,     8,   395,  2626,    11,  3412,   425,    37,
     263,    37,   364,   264,   145,    71,   280,   375,   135,  2159,
     135,   425,   135,   395,  2645,   135,   135,   429,   135,   135,
     135,    36,   251,  2173,   237,   135,    41,   240,   135,   135,
    2349,   251,  2351,   135,   135,   298,   345,  2706,  2707,  2670,
     253,   425,  2192,   256,    31,  3226,   146,   326,  3317,   204,
     315,  3098,   145,   145,  2204,   425,  3092,  3093,     5,     5,
    2345,  2220,   425,    43,  2865,  3226,   425,  2352,   425,   332,
     412,   413,   414,  2704,   416,   417,   418,   419,   420,   421,
     345,  2977,   273,     5,  2218,   425,  2220,   425,   425,  2199,
    2200,   425,  2198,   109,     5,  3510,   425,   425,  3279,   425,
    3226,  2420,   425,  3588,   425,  3590,    86,  3537,   373,   425,
     425,     5,   425,   326,     5,   380,   261,   425,   425,   425,
     425,   425,   425,   425,   425,  2445,   425,   392,   425,  2414,
     110,   429,    31,   412,   413,   414,    87,   416,   417,   418,
     419,   420,   421,  2249,   204,    31,   145,   145,   355,   129,
     249,   355,   427,  3279,   355,   170,   355,   355,   314,   355,
     425,   251,   355,   242,  2484,   355,   146,   183,   374,    66,
     251,   175,   355,   355,   425,  2806,   191,   192,   264,   429,
     375,   161,  2501,  3007,   264,    98,   375,   355,  2865,    47,
    3014,  3015,   355,   355,    47,   355,  2515,   425,  3236,   412,
     413,   414,   355,   416,   417,   418,   419,   420,   421,  2368,
     255,  3228,   355,   355,     8,   355,   429,    11,   355,   310,
     355,   355,   238,   239,  3025,   240,   251,   251,   191,  2388,
      31,   392,   383,   425,    28,    30,    20,   425,   253,  2544,
      49,   425,   104,  2548,  2563,  2914,   375,   386,   212,   385,
      31,  3495,   145,   425,    31,   196,   311,   389,   135,   135,
    2419,  3077,   242,  2422,  2423,   135,   375,  2426,   135,   246,
     250,    80,   375,   355,   300,   380,   241,  2436,   150,   425,
     388,   353,  2441,    26,    27,  2590,  2445,   408,  2928,  2929,
     223,   223,    11,  2578,   322,   353,   429,  3712,   355,   315,
     150,  2932,   282,   425,   357,   429,   187,  2626,  2593,   164,
     164,  2445,     8,   425,  3361,    11,   412,   252,  2452,  2453,
     247,  3357,  3155,  2457,  3135,  2484,  2645,   310,   137,   345,
    2615,   426,    28,   355,   355,   429,    73,  2968,    81,  2498,
     429,   426,   310,  2477,   375,  3381,  3382,   425,  3172,  3173,
    2484,  2670,  3223,   195,   195,   425,   251,   373,   242,   168,
     103,   250,   242,   242,   380,   355,   109,  2526,  2527,  2519,
    2519,   258,   293,   429,  3643,   293,   392,   355,   293,   319,
    3020,  3021,  3022,   355,   355,  2704,   284,  2537,  2537,   191,
    2496,   134,    31,   191,  2544,   191,   375,   191,  2548,   375,
    2506,   416,   417,   418,   419,   420,   421,   250,   191,   425,
     412,   191,   425,    30,   423,  2521,   423,   355,   355,   355,
    3458,   355,   425,  3092,  3093,   145,   412,   247,   425,   147,
    3611,   319,    31,   251,   251,   162,   162,   145,   429,    31,
     183,    23,   135,    25,   425,   251,   251,    29,   319,  2599,
    2599,    33,    34,    35,   145,    37,  3087,    39,    40,   253,
      42,   170,    44,    45,   425,   170,  2572,  3098,  2773,  2575,
     170,   395,  3751,   429,    19,   156,   220,   251,    47,   429,
     150,   426,  3138,   426,   426,  3611,  2806,   426,   297,   408,
     299,  3538,   301,   150,  2779,   191,   426,   426,   307,   109,
     426,  3537,   260,   426,   429,   314,   426,  2613,   408,   426,
     426,   355,   426,   322,  3338,   425,  3340,  3341,   426,   426,
     426,   330,   425,   389,  2714,   426,    13,  3351,    13,   338,
     206,  2690,   254,   425,  3581,   251,   251,    31,  3585,  3586,
    3171,   378,   425,   425,   355,   181,   135,   242,  3277,   135,
    3181,  3228,  2837,   206,  2839,    49,   268,   253,   268,  3199,
    3200,   215,  3202,   355,  2714,   372,   215,   215,   355,   355,
     355,   191,   315,   183,  2733,   191,  3392,   355,   387,   355,
    3597,     3,   355,   165,   166,   167,    80,   169,   355,   171,
     172,   173,   423,   175,  3582,   177,   191,   179,  3583,   181,
     191,   191,   345,   185,   186,   187,  2716,  2717,  2718,  2719,
     191,     8,   191,  2932,    11,  2721,  2722,   221,   412,   413,
     414,   313,   416,   417,   418,   419,   420,   421,   206,   239,
     373,   255,   364,   426,   295,   426,    97,   380,   392,    36,
     412,   384,   250,   137,    41,   251,   425,  2806,   355,   392,
     159,   426,   194,   194,   259,   310,   426,   425,   429,   425,
     247,  2820,   375,   310,  2823,  2819,  2825,   310,   429,   375,
     254,   133,  2806,   429,   168,   133,   423,   127,   150,    11,
     145,   426,   425,  3323,   426,  2819,  2991,   426,  3357,    57,
    2849,  2996,   425,  3333,  2999,   385,  2855,  2856,  2857,  2858,
    2859,  2860,   196,   150,  3335,   315,  2865,   158,   412,     0,
    3003,  3535,  3381,  3382,   252,   426,   412,   413,   414,  3500,
     416,   417,   418,   419,   420,   421,  3542,   426,   426,   426,
    3361,  2865,   129,   145,   364,   345,   425,  3560,   181,   364,
     355,   355,  3566,  2877,  2878,   145,  2905,  2906,  2907,  2908,
     191,   426,   355,   355,  2888,   426,   191,  3413,   426,   426,
     424,   424,   195,   373,   426,   425,   392,   425,    31,   166,
     380,  2905,   395,   170,   145,   176,   426,  3433,   429,  3098,
      69,   347,   392,   429,   429,   392,  3774,   425,   355,   194,
      81,   425,   425,   319,   191,   192,  2902,   426,  3429,   155,
     150,   150,   390,   297,   426,   426,  2965,   301,   205,    47,
     390,   429,   425,   307,  2920,   425,   160,   426,  3138,   355,
     314,   150,   392,   242,   364,   426,   426,   242,   322,   412,
     135,  2937,   429,   429,   191,   111,   330,   106,   242,   130,
     177,  2991,    18,   240,   338,  3661,  2996,   424,    24,  2999,
     141,   152,  3171,   150,   145,   375,   253,   375,   122,   150,
     388,    97,  3181,   392,   155,   425,   150,   158,  3537,   160,
     425,   178,   425,   254,   425,   150,   425,   379,   331,    18,
     426,  3512,   426,  3523,   391,    24,   251,    63,   267,   426,
     289,  3025,  3177,   387,   426,   375,   187,   391,   392,   392,
     425,   425,   145,  3188,    31,   216,   242,  3538,   173,  3154,
    3155,   425,   494,   134,   255,   206,   307,   499,   307,   501,
    3597,    59,    59,   505,    63,   507,   254,    47,   510,   326,
     512,   257,   514,   515,   425,   145,   251,   347,   114,   140,
     522,   281,   524,  3672,  3768,   121,   254,   117,   124,   379,
    3581,   533,  3592,   429,  3585,  3586,  3201,   539,   249,   254,
      31,   543,   150,   389,   287,   547,   257,   392,   550,  3147,
     429,   553,   122,   251,  3133,   114,    31,   251,   392,   425,
     109,   426,   121,   425,   306,   124,   568,   426,  3142,   373,
     306,   573,    17,   425,    28,   281,   425,   683,   134,   175,
    1925,  1220,  1056,  3109,  3110,  3111,  3112,  2220,  3142,   300,
    1805,  2316,  2805,  3669,  3168,  2441,  3335,  3449,  3226,   416,
     417,   418,   419,   420,   421,  3330,  3597,  3495,   610,  3270,
    2956,  2278,  3499,   615,  3168,  3732,   175,  2028,  3412,  3773,
    3699,  3698,  3361,   625,   626,  3179,  3180,  3741,  2958,  3519,
    3184,  3185,  1320,   229,   345,  3214,  3215,  1750,  2830,  2383,
    1306,   643,  2497,   645,   646,  1913,   648,  3776,   650,  3228,
    3837,  3829,  3244,  3243,  3233,  3234,  2483,   368,  3237,  3238,
     662,  2447,  3748,  3435,   666,  1297,  3680,   669,   264,  3438,
     229,   916,   674,  3413,    31,    73,    28,  2966,   389,  3253,
     391,   392,   684,  3564,    82,    83,    84,  3412,  2968,  3429,
    3643,  1773,    49,  3433,  3757,  3028,   540,   293,  3831,  3253,
    3485,   297,   661,  1678,  2949,   264,  1381,  3432,  1679,  2600,
    3289,  1085,   423,  3283,  3283,   426,   427,   428,  2240,  2229,
    1714,   676,     8,    80,  1104,    11,   322,  2252,   126,  2246,
    1103,  1713,  1697,     0,   293,   737,   738,  3316,   297,  2204,
    1671,  1972,    28,  2550,  3469,  3331,   666,   533,  1898,  3414,
      36,  2230,    18,  2946,  3540,    41,  2681,  2689,    24,  3721,
    3330,  3722,  3725,   322,  2173,  2243,    -1,  2084,    -1,  2171,
    2051,   773,  1545,    -1,  1106,    -1,    -1,   175,   780,    -1,
     137,   783,    -1,    -1,    -1,  3510,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   795,  3320,    -1,    -1,    63,    -1,  3538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   811,
     812,   168,    -1,    -1,    81,    -1,   214,    -1,    -1,    -1,
      -1,    -1,    -1,   825,   826,   827,   828,    -1,   830,    -1,
      -1,    -1,   230,   231,   232,   233,   234,    -1,   236,   196,
      -1,    -1,  3581,    -1,  3509,    -1,  3585,  3586,   114,    -1,
    3429,    -1,    -1,   855,   856,   121,    -1,    -1,   124,    -1,
      -1,     8,    -1,   130,    11,    -1,    -1,  3446,    -1,    -1,
     268,  3450,   874,    -1,   141,  3429,   878,    -1,   145,    -1,
     166,    -1,    -1,   150,   170,   887,    -1,    -1,   155,    36,
      -1,   158,    -1,   160,    41,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3567,    -1,    -1,   191,   192,   909,   910,   175,
      -1,    -1,   914,    -1,   916,    -1,    -1,    -1,    -1,   205,
     187,    -1,    -1,    -1,  3589,    -1,  3591,    -1,    -1,  3669,
      -1,    -1,   934,    -1,    -1,   937,    -1,    -1,   940,   206,
     297,    -1,    -1,   341,   301,    -1,  3472,    -1,    -1,   951,
     307,   237,    -1,    -1,   240,    -1,    -1,   314,    -1,    -1,
      -1,    -1,    -1,   229,    -1,   322,    -1,   253,    -1,   367,
     256,    -1,    -1,   330,  3500,    -1,   374,   979,    -1,   377,
    3705,   338,   249,    -1,    -1,    -1,    -1,  3712,    -1,    -1,
     257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   264,    -1,
      -1,    -1,    -1,    -1,  1006,  1007,    -1,  1009,    -1,  3734,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3597,   166,
      -1,    -1,    -1,   170,  1026,    -1,    -1,   293,    -1,    -1,
     387,   297,    49,   300,   391,    -1,    -1,  3702,    -1,    -1,
     326,    -1,    -1,    -1,   191,   192,  1048,    -1,    -1,  3575,
      -1,    -1,    -1,  1055,  1056,    -1,   322,    -1,   205,  1061,
      -1,    -1,  1064,    80,    21,    -1,    -1,  1069,    -1,  1071,
      -1,    -1,    -1,  3738,    -1,    -1,    -1,    -1,   345,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   240,  1096,    -1,    53,    -1,  1100,  1101,
      -1,   368,    -1,    -1,    -1,    -1,   253,    -1,  3833,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    74,  1120,    -1,
     137,    78,   389,    -1,   391,   392,   412,   413,   414,    -1,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,  1141,
      -1,    98,    -1,    -1,   430,    -1,    -1,    -1,    -1,    -1,
      -1,   168,  1154,    -1,    -1,    -1,   423,    -1,  1160,   426,
     427,   428,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1176,    -1,    -1,    -1,  3788,   326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3757,  3757,  3757,
    3757,  3757,    -1,    -1,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3784,    -1,  1209,  1210,  1211,
    1212,  1213,    -1,    -1,    -1,  1217,   173,  1219,  3788,  3788,
    3788,  3788,  3788,    -1,    -1,    -1,    -1,    -1,    -1,  1231,
    3784,  1233,    -1,    -1,    -1,    -1,    -1,  1239,  1240,    -1,
     197,    -1,    -1,  1245,    -1,    -1,    -1,   264,    -1,    -1,
    3829,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3837,    -1,
      -1,  3831,  3831,  3831,  3831,  3831,   413,   414,    -1,   416,
     417,   418,   419,   420,   421,  3829,   293,    -1,    -1,    -1,
     297,    -1,    -1,  3837,   301,    -1,    -1,    -1,    -1,    -1,
     307,    -1,     8,    -1,    -1,    11,   253,   314,    -1,    -1,
      -1,  1303,    -1,    -1,    -1,   322,    -1,  1309,  1310,  1311,
    1312,    -1,    28,   330,    -1,    -1,  1318,    -1,    -1,    -1,
      36,   338,    -1,   280,  1326,    41,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1335,    -1,  1337,    -1,    -1,    -1,    -1,
      -1,    -1,  1344,    -1,  1346,    -1,    -1,   304,    -1,    -1,
      -1,   308,  1354,   310,    -1,    -1,    -1,  1359,    -1,   316,
      -1,    -1,    -1,    -1,    -1,    -1,  1368,    -1,  1370,    -1,
     387,    -1,  1374,  1375,    -1,    -1,    -1,  1379,    -1,  1381,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   345,    -1,
     347,    -1,     8,    -1,   351,    11,    -1,    -1,    -1,    -1,
      -1,    -1,   359,  1405,    18,    -1,    -1,   364,    -1,    -1,
      24,  1413,    28,    -1,     3,  1417,  1418,    -1,    -1,     8,
      36,    -1,    11,  1425,    -1,    41,    -1,  1429,    -1,   386,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
    1442,  1443,    31,    -1,  1446,    -1,  1448,    36,  1450,    63,
     166,    -1,    41,    -1,   170,  1457,    -1,    -1,  1460,    -1,
      -1,  1463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1471,
    1472,    -1,    -1,    -1,    -1,   191,   192,  1479,    -1,  1481,
    1482,  1483,  1484,  1485,    -1,    -1,    -1,    -1,    -1,   205,
    1492,  1493,    -1,  1495,    -1,  1497,    -1,    -1,  1500,    -1,
     114,    -1,    -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,
     124,    -1,    -1,    -1,  1516,    -1,    -1,    -1,  1520,    -1,
      -1,   237,  1524,    -1,   240,    -1,  1528,    -1,  1530,  1531,
    1532,  1533,  1534,  1535,  1536,  1537,  1538,   253,  1540,    -1,
     256,    -1,  1544,  1545,    -1,  1547,    -1,    -1,    -1,    -1,
     166,  1553,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,
      -1,   175,    -1,    18,    -1,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,   191,   192,   166,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,
      -1,    -1,    -1,    48,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    63,    -1,
     326,    -1,    -1,    -1,    -1,   229,   205,    -1,    -1,    -1,
      -1,   237,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,
     256,    96,    -1,    -1,    -1,    -1,    -1,    -1,   237,    -1,
     264,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,
      -1,    -1,    -1,    -1,   253,    -1,   121,   256,  1670,   124,
      -1,    -1,    -1,    -1,    -1,  1677,    -1,  1679,    -1,  1681,
      -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   412,   413,   414,    -1,
     416,   417,   418,   419,   420,   421,    -1,    -1,   322,    -1,
     326,    -1,    -1,   429,    -1,    -1,    -1,   172,  1720,    -1,
     175,    -1,  1724,  1725,    -1,    -1,    -1,    -1,  1730,    -1,
    1732,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,    -1,  1746,  1747,    -1,    -1,    -1,    -1,
      -1,    -1,  1754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   217,    -1,   219,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   229,  1777,    -1,  1779,    -1,    -1,
      -1,    -1,    -1,  1785,    -1,    -1,    -1,    -1,  1790,    -1,
      -1,    -1,    -1,    -1,  1796,  1797,   412,   413,   414,    -1,
     416,   417,   418,   419,   420,   421,  1808,  1809,   263,   264,
     426,    -1,  1814,  1815,    -1,    -1,  1818,    -1,    -1,    -1,
      -1,    -1,    -1,   412,   413,   414,  1828,   416,   417,   418,
     419,   420,   421,    -1,  1836,    -1,    -1,    -1,   293,    -1,
      -1,  1843,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,
    1852,    -1,    -1,    -1,    -1,    -1,    -1,  1859,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,   322,    -1,    -1,
      -1,    -1,    -1,  1875,    -1,    -1,    -1,   332,    -1,    -1,
    1882,  1883,  1884,  1885,  1886,  1887,    -1,    -1,    -1,    36,
       8,    -1,    -1,    11,    41,  1897,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,  1919,    36,    -1,
      -1,  1923,    -1,    41,    -1,  1927,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1951,
       8,    -1,    -1,    11,    -1,  1957,  1958,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1967,    -1,    -1,    -1,    -1,
    1972,  1973,    -1,    -1,    -1,  1977,  1978,    -1,    36,    -1,
    1982,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1994,  1995,  1996,  1997,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2011,
      -1,    -1,    -1,    -1,  2016,    -1,    -1,    -1,    -1,   166,
      -1,    -1,    -1,   170,    -1,    -1,  2028,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2044,    -1,   191,   192,    -1,    -1,   166,  2051,
      -1,    28,   170,    -1,    -1,    -1,    -1,    -1,   205,    36,
      -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,
    2072,   129,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,
    2082,  2083,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,
      -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,   166,    -1,
    2112,  2113,   170,    -1,    -1,  2117,    -1,    -1,    -1,   237,
      -1,    -1,   240,    -1,    -1,    -1,    -1,  2129,  2130,  2131,
    2132,    -1,    -1,   191,   192,   253,    -1,    -1,   256,  2141,
      -1,    -1,  2144,    -1,  2146,  2147,    -1,   205,    -1,    -1,
      -1,    -1,    -1,    -1,  2156,  2157,    -1,  2159,    -1,    -1,
      -1,    -1,     7,    -1,    -1,    -1,    -1,    -1,    13,    14,
    2172,    -1,  2174,    -1,  2176,    20,  2178,    22,    -1,   326,
      -1,    -1,   240,    28,     8,    30,    -1,    11,    -1,   166,
      -1,    -1,  2194,   170,    -1,   253,  2198,    -1,    -1,    -1,
      -1,    -1,  2204,    48,  2206,  2207,  2208,    -1,   326,    -1,
      -1,    -1,    36,    -1,   191,   192,    -1,    41,  2220,    -1,
      -1,  2223,    -1,    -1,    -1,    -1,    -1,  2229,   205,  2231,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2240,    -1,
      -1,    -1,    -1,  2245,    -1,    -1,    -1,  2249,    -1,    -1,
    2252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2260,    -1,
     237,    -1,    -1,   240,    -1,   412,   413,   414,   326,   416,
     417,   418,   419,   420,   421,  2277,   253,  2279,    -1,   256,
      -1,  2283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,   413,   414,    -1,   416,   417,
     418,   419,   420,   421,    -1,   129,    -1,    -1,   426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   178,    -1,   180,    -1,   182,    -1,   184,
      -1,    -1,   166,  2345,    -1,    -1,   170,    -1,    -1,   326,
    2352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,   419,   420,   421,    -1,    -1,    -1,   191,   192,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    41,    -1,
      -1,    -1,  2414,    -1,    -1,    -1,   240,    -1,    -1,    -1,
      -1,    -1,  2424,  2425,    -1,    -1,    -1,    -1,    -1,   253,
      -1,    -1,    -1,    -1,    -1,   412,   413,   414,    -1,   416,
     417,   418,   419,   420,   421,    -1,    -1,    -1,    -1,   426,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2495,  2496,    -1,    -1,    -1,    -1,    -1,
      -1,    28,   326,    -1,  2506,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,  2521,
      -1,    -1,    -1,    -1,    -1,  2527,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   166,    -1,    -1,  2538,   170,    -1,  2541,
      -1,    -1,  2544,    -1,    -1,    -1,  2548,    -1,    -1,    -1,
      -1,    -1,  2554,    -1,    -1,  2557,    -1,   801,   191,   192,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2572,    -1,   205,  2575,    -1,    -1,  2578,    -1,    -1,    -1,
    2582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2590,    -1,
      -1,  2593,   416,   417,   418,   419,   420,   421,  2600,    -1,
      -1,    -1,    -1,    -1,   237,    -1,    -1,   240,    -1,    -1,
      -1,  2613,    -1,  2615,    -1,    -1,    -1,    -1,    -1,    -1,
     253,  2623,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
    2632,    -1,    -1,    -1,    -1,    -1,  2638,    -1,  2640,   166,
      -1,    -1,    -1,   170,  2646,    -1,    -1,  2649,  2650,  2651,
    2652,  2653,  2654,  2655,  2656,  2657,  2658,   502,    -1,    -1,
    2662,  2663,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,
      -1,   516,   517,  2675,    -1,    -1,   521,    -1,   205,  2681,
     924,    -1,    -1,    -1,    -1,   530,    -1,    -1,    -1,  2691,
      -1,    -1,  2694,   326,  2696,    -1,    -1,    -1,    -1,   544,
      -1,    -1,    -1,  2705,  2706,  2707,    -1,    -1,    -1,  2711,
     237,   556,  2714,   240,   559,    -1,   561,    -1,   563,  2721,
    2722,    -1,  2724,    -1,    -1,    -1,   253,    -1,  2730,   256,
    2732,    -1,  2734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   598,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2773,  2774,  2775,    -1,    -1,   621,  2779,   623,   412,
     413,   414,    -1,   416,   417,   418,   419,   420,   421,    -1,
      -1,    -1,    -1,   426,    -1,    -1,  2798,    -1,    -1,   326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   676,    -1,    -1,    -1,  2837,    -1,  2839,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,    -1,  2865,    -1,    -1,    -1,  1111,    -1,    36,
      -1,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   412,   413,   414,    -1,   416,
     417,   418,   419,   420,   421,    -1,    -1,    -1,    -1,   426,
    2902,    -1,    -1,    -1,  1148,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2914,    -1,    -1,    -1,    -1,    -1,  2920,   764,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1174,   776,    -1,    -1,    -1,  2937,    -1,    -1,    -1,    -1,
     785,    -1,    -1,    -1,  2946,    -1,   791,    -1,    -1,    -1,
    2952,    -1,    -1,    -1,  2956,    -1,  2958,   802,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    -1,  2969,  2970,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,  2987,   831,    36,    -1,  2991,
      -1,  1235,    41,    -1,  2996,    -1,    -1,  2999,  3000,   166,
    3002,    -1,    -1,   170,    -1,    -1,    -1,  3009,  1252,  3011,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   191,   192,  3028,    -1,  1272,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,   205,  3041,
      36,    -1,    -1,    -1,    -1,    41,    -1,   892,    -1,   894,
    1294,   896,    -1,   898,    -1,   900,   901,   902,    -1,    -1,
      -1,    -1,   907,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     237,    -1,    -1,   240,    -1,  3077,    -1,    -1,    -1,    -1,
      -1,    -1,  3084,  3085,    -1,    -1,   253,    -1,    -1,   256,
    3092,  3093,    -1,    -1,    -1,  3097,    -1,    -1,    -1,  1343,
      -1,  3103,  3104,    -1,    -1,  3107,    -1,  3109,  3110,  3111,
    3112,    -1,    -1,    -1,    -1,    -1,  3118,   166,    -1,    -1,
      -1,   170,  3124,    -1,    -1,    -1,    -1,    -1,  3130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3138,    -1,    -1,    -1,
      -1,    -1,   191,   192,    -1,  3147,    -1,    -1,  3150,    -1,
      -1,    -1,  3154,  3155,    -1,    -1,   205,    -1,    -1,   326,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3169,    -1,    -1,
     166,    -1,    -1,    -1,   170,  3177,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3188,    -1,   237,    -1,
      -1,   240,    -1,    -1,    -1,   191,   192,    -1,    -1,  3201,
      -1,    -1,    -1,    -1,   253,    -1,    -1,   256,    -1,   205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   165,    -1,  3228,    -1,    -1,    -1,
     171,    -1,    -1,    -1,  3236,    -1,    -1,    -1,    -1,    -1,
    1085,   237,    -1,    -1,   240,   412,   413,   414,    -1,   416,
     417,   418,   419,   420,   421,    -1,    -1,   253,    -1,   426,
     256,    -1,    -1,    -1,    -1,    -1,    -1,  3269,    -1,    -1,
      -1,  1515,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1131,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1547,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3320,    -1,
      -1,    -1,    -1,    -1,  3326,    -1,    -1,    -1,  3330,    -1,
     326,  3333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3352,    -1,    -1,    -1,    -1,  3357,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   412,   413,   414,    -1,   416,   417,   418,
     419,   420,   421,    -1,    -1,    -1,    -1,   426,    -1,  3381,
    3382,    -1,    -1,  3385,    -1,    -1,    -1,    -1,    -1,    -1,
    3392,  3393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,  3406,    -1,  3408,    -1,    -1,    -1,
    3412,  3413,  3414,    -1,    -1,    -1,   412,   413,   414,    28,
     416,   417,   418,   419,   420,   421,    -1,    36,   424,    -1,
    3432,  3433,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
    1295,    -1,    -1,    -1,    -1,    -1,  3458,    -1,    -1,    -1,
      -1,    28,  1307,    -1,    -1,    -1,    -1,  3469,    -1,    36,
    3472,    -1,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3484,    -1,  3486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3495,    -1,    -1,    -1,    -1,  3500,    -1,
    1345,    -1,    -1,    -1,  1349,    -1,    -1,  3509,  3510,    -1,
      -1,    -1,    -1,  1358,    -1,  1360,    -1,  1362,    -1,    -1,
      -1,    -1,  1367,  1767,    -1,    -1,    -1,    -1,  1772,  1773,
      -1,    -1,    -1,    -1,    -1,  3537,    -1,    -1,  3540,  1783,
    3542,    -1,    -1,    -1,    -1,    -1,  1391,    -1,  1393,    -1,
    1395,    -1,  1397,  3555,  1399,    -1,    -1,   166,  1403,    -1,
     501,   170,    -1,    -1,    -1,  3567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3575,    -1,    -1,  3578,    -1,    -1,    -1,
      -1,    -1,   191,   192,    -1,    -1,  3588,  3589,  3590,  3591,
      -1,    -1,    -1,    -1,    -1,  3597,   205,    -1,    -1,   166,
      -1,    -1,   543,   170,    -1,    -1,    -1,    -1,    -1,   550,
      -1,    -1,    -1,    -1,    -1,    -1,  3618,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   191,   192,    -1,    -1,   237,    -1,
      -1,   240,     8,    -1,    -1,    11,    -1,    -1,   205,    -1,
      -1,    -1,    -1,    -1,   253,    -1,    -1,   256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1899,    -1,    -1,    -1,  3661,
      36,    -1,    -1,    -1,    -1,    41,    -1,  3669,    -1,    -1,
     237,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,    -1,   256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3702,    -1,   643,  3705,    -1,    -1,    -1,    -1,    -1,    -1,
    3712,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,  3721,
    1964,    -1,  3724,  3725,    -1,  3727,    -1,    -1,     8,    -1,
      -1,    11,  3734,   674,    -1,    -1,  3738,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    -1,    -1,   129,    -1,    -1,    36,    -1,  3760,   326,
      -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,  3770,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   412,   413,   414,    -1,   416,   417,   418,
     419,   420,   421,    -1,    -1,   191,   192,   426,  2062,    -1,
      -1,    -1,  3824,    -1,    -1,    -1,    -1,  3829,    -1,   205,
      -1,  3833,   773,    -1,    -1,  3837,    -1,    -1,    -1,   780,
      -1,    -1,    -1,    -1,    -1,   412,   413,   414,    -1,   416,
     417,   418,   419,   420,   421,    -1,    -1,    -1,    -1,   426,
     801,    -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   643,    -1,    -1,    -1,  1721,   253,    -1,    -1,
      -1,  1726,    -1,    -1,    -1,    -1,   166,    -1,    -1,   830,
     170,  1736,    -1,    -1,    -1,    -1,    -1,    -1,  1743,    -1,
      -1,    -1,    -1,   674,  1749,    -1,    -1,    -1,    -1,    -1,
    1755,   191,   192,    -1,    -1,  1760,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   878,    -1,    -1,
      -1,  1786,  1787,  1788,  1789,    -1,    -1,    -1,  1793,  1794,
     326,    -1,    -1,  1798,    -1,    -1,  1801,   237,    -1,    -1,
     240,    -1,  2206,  2207,  2208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   253,  1819,    -1,   256,    -1,    -1,    -1,
      -1,    -1,    -1,   924,  1829,    -1,  1831,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1840,  1841,  1842,    -1,  1844,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1853,  1854,
     951,    -1,    -1,    -1,    -1,    -1,  1861,  1862,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,   979,    28,
     416,   417,   418,   419,   420,   421,   326,    36,    -1,    -1,
      28,    -1,    41,    -1,    -1,    -1,    -1,    -1,    36,    -1,
      -1,  2305,  2306,    41,  2308,  1006,  1007,    -1,  1009,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1026,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2349,    -1,  2351,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1064,  1065,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   412,   413,   414,    -1,   416,   417,   418,   419,
     420,   421,    -1,    -1,    -1,    -1,   426,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1096,    -1,    -1,    -1,  1100,
    1101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1111,    -1,    -1,    -1,    -1,  1116,  2420,   166,    -1,    -1,
     951,   170,    -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,
      -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2445,   191,   192,    -1,    -1,    -1,  1148,   979,    -1,
      -1,    -1,    -1,   191,   192,    -1,   205,    -1,    -1,    -1,
      -1,    -1,    -1,  2068,    -1,    -1,    -1,   205,    -1,    -1,
      -1,    -1,    -1,  1174,    -1,  1006,  1007,    -1,  1009,    -1,
    2484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,    -1,
      -1,   240,    -1,    -1,    -1,  1026,    -1,  2501,    -1,   237,
      -1,    -1,   240,    -1,   253,    -1,    -1,   256,    -1,    -1,
      -1,  2515,    -1,    -1,    -1,   253,    -1,    -1,   256,    -1,
      -1,    -1,    -1,    -1,  2528,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1064,  1235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1252,    -1,  2557,    -1,    -1,    -1,    -1,    -1,  2563,
      -1,    -1,    -1,    -1,    -1,  1096,    -1,    -1,    -1,  1100,
    1101,  1272,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,
      -1,    -1,    -1,  1294,    -1,    -1,    -1,    -1,  1299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2626,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1335,    -1,  1337,    -1,    -1,    -1,
      -1,  2645,  1343,    -1,    -1,  1346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2261,  2262,    -1,    -1,
      -1,    -1,    -1,   412,   413,   414,  2670,   416,   417,   418,
     419,   420,   421,    -1,   412,   413,   414,   426,   416,   417,
     418,   419,   420,   421,    -1,    -1,    -1,  2292,   426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2704,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2326,  2327,  2328,  2329,    -1,    -1,    -1,    -1,    -1,
    2734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1448,    -1,  1450,
      -1,    -1,    -1,    -1,    -1,    -1,  1457,    -1,    -1,  1460,
      -1,    -1,  1463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1471,  1472,    -1,    -1,    -1,    -1,    -1,    -1,  1479,    -1,
      -1,  1482,  1483,  1484,  1485,    -1,    -1,    -1,    -1,    -1,
      -1,  1492,  1493,    -1,  1495,    -1,  1497,    -1,    -1,  1500,
      -1,    -1,  2806,    -1,    -1,  2410,    21,   801,    -1,    -1,
    2415,    -1,    -1,    -1,  1515,  1516,  1517,    -1,    33,  1520,
      -1,    -1,    -1,  1524,    -1,    -1,    -1,  1528,    -1,  1530,
    1531,  1532,  1533,  1534,  1535,  1536,  1537,  1538,    53,  1540,
      -1,    -1,    -1,    -1,  1545,    -1,  1547,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    98,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2502,  2503,    28,
     801,    -1,    -1,    32,   119,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    41,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,  1457,    -1,  2932,    -1,
     924,    -1,   147,    -1,    -1,    -1,    28,   152,    -1,    -1,
      -1,    -1,    -1,   158,    36,    -1,    -1,    -1,  1479,    41,
      -1,  1482,    -1,    -1,  1485,    -1,    -1,    -1,   173,  2564,
      -1,  1492,  1493,    -1,  2968,    -1,  1497,    -1,    -1,  1500,
      -1,    -1,  2577,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1681,    -1,    -1,   112,    -1,  1516,    -1,    -1,    -1,  1520,
      -1,    -1,    -1,  1524,    -1,    -1,    -1,  1528,    -1,  1530,
    1531,  1532,  1533,  1534,  1535,  1536,  1537,  1538,    -1,  1540,
      -1,    -1,    -1,    -1,  1545,    -1,  1547,    -1,    -1,    -1,
      -1,    -1,  1723,   924,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,   253,    -1,
      -1,   170,    -1,    -1,    -1,    -1,  1747,    -1,   263,    -1,
      -1,    -1,    -1,   145,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,   191,   192,    -1,   280,  1767,    -1,    -1,    -1,
      -1,  1772,  1773,    -1,   166,    -1,   205,    -1,   170,    -1,
      -1,    -1,  1783,  3087,    -1,    -1,    -1,    -1,    -1,   304,
      -1,    -1,    -1,   308,  3098,   310,    -1,    -1,  1799,   191,
     192,   316,    -1,    -1,   319,    -1,    -1,    -1,   237,    -1,
      -1,   240,    -1,   205,  3118,    -1,    -1,  1111,    -1,    -1,
      -1,    -1,    -1,    -1,   253,    -1,  3130,   256,    -1,    -1,
     345,    -1,   347,    -1,  1835,    -1,   351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   359,   237,    -1,    -1,   240,   364,
    1681,    -1,    -1,    -1,  1148,    -1,    -1,    -1,    -1,   374,
      -1,   253,    -1,    -1,   256,    -1,    -1,  3171,    -1,    -1,
      -1,   386,    -1,    -1,    -1,    -1,    -1,  3181,    -1,    -1,
    1174,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      19,  2796,    -1,    -1,    -1,    -1,  1897,   326,  1899,    -1,
      -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,
    1111,    -1,    -1,    -1,    41,    -1,  1747,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2833,    -1,
      -1,    -1,    -1,  2838,   326,  2840,  2841,  2842,  2843,    -1,
      -1,  1235,    -1,    -1,    73,    -1,   375,  1148,    -1,    -1,
      -1,    -1,   801,    82,    83,    84,    -1,    -1,  1252,    -1,
      -1,    -1,    -1,  1964,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1972,    -1,  1174,    -1,    -1,    -1,    -1,  1272,    -1,
      -1,  1982,    -1,   412,   413,   414,    -1,   416,   417,   418,
     419,   420,   421,    -1,    -1,    -1,    -1,   126,    -1,    -1,
    1294,    -1,    -1,    -1,  2909,  2910,  2911,    -1,  2913,    -1,
      -1,    -1,    -1,  3317,    -1,  2016,    -1,    -1,    -1,    -1,
     412,   413,   414,    -1,   416,   417,   418,   419,   420,   421,
      -1,  3335,    -1,    -1,  1235,    -1,    -1,    -1,    -1,   166,
      -1,   170,    -1,   170,    -1,    -1,   175,    -1,    -1,  1343,
    2051,  1252,    -1,    -1,    -1,    -1,    -1,  3361,    -1,    -1,
      -1,  2062,    -1,    -1,   191,   192,  1897,    -1,    -1,    -1,
      -1,  1272,    -1,    -1,    -1,   924,    -1,    -1,   205,    -1,
    2985,  2082,  2083,    -1,    -1,   214,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1294,    -1,    -1,    -1,    -1,    -1,  3004,
      -1,   230,   231,   232,   233,   234,    -1,   236,    -1,    -1,
     237,  2112,  2113,   240,    -1,    -1,  2117,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3429,   253,    -1,  2129,  2130,
    2131,  2132,    -1,    -1,    -1,    -1,  2137,    -1,    -1,   268,
    2141,  2142,  1343,  2144,    -1,  2146,    -1,    -1,    -1,    -1,
      -1,  1982,    -1,    -1,    -1,  2156,  2157,    -1,  2159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2172,    -1,  2174,    -1,   304,    -1,  2178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2016,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2194,    -1,    -1,    -1,    -1,    -1,   326,
      -1,    -1,    -1,  2204,    -1,  2206,  2207,  2208,  3512,    -1,
      -1,    -1,   341,    -1,   343,    -1,    -1,    -1,    -1,    -1,
    2051,  1515,  2223,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2231,    -1,    -1,    -1,  3538,    -1,    -1,    -1,   367,  2240,
      -1,    -1,    -1,    -1,  2245,   374,    -1,    -1,   377,    -1,
      -1,  2252,  2083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3178,    -1,    -1,  2277,  3581,    -1,    -1,
      -1,  3585,  3586,    -1,  3189,   412,   413,   414,    -1,   416,
     417,   418,   419,   420,   421,    -1,    -1,    -1,  2129,  1148,
    2131,  2132,    -1,    -1,  2305,  2306,    -1,  2308,    -1,    -1,
    2141,    -1,    -1,  2144,  1515,  2146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3643,
      -1,  2172,    -1,  2174,    -1,    -1,    -1,  2178,  2349,    -1,
    2351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   801,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,  2206,  2207,  2208,    -1,    -1,
    3285,  2382,  2383,  2384,    -1,    -1,  1235,    -1,    -1,    -1,
      -1,    28,  2223,    -1,    -1,    -1,    -1,    -1,    -1,    36,
    2231,    -1,  3307,  1252,    41,    -1,    -1,    -1,    -1,  2240,
      -1,    -1,    -1,    -1,  2245,    -1,    -1,    -1,    -1,  2420,
      -1,  2252,    -1,  1272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3344,
      -1,  2442,    -1,    -1,  2445,  1294,  2277,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   801,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1767,    -1,    -1,    -1,    -1,  1772,  1773,
      -1,    -1,  2483,  2484,    -1,    -1,    -1,    -1,   924,  1783,
      -1,    -1,    -1,    -1,  1343,    -1,    -1,    -1,    -1,    -1,
    2501,    -1,    -1,    -1,    -1,    -1,    -1,   144,    -1,    -1,
      -1,    -1,    -1,    -1,  2515,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2528,    -1,   166,
      -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2544,    -1,    -1,    -1,  2548,    -1,    -1,
      -1,    -1,    -1,    -1,   191,   192,  2557,    -1,    -1,    -1,
      -1,    -1,  2563,    -1,    -1,    -1,  1767,    -1,   205,    -1,
      -1,  1772,  1773,    -1,    -1,    -1,    -1,    -1,   924,    -1,
      -1,    -1,  1783,    -1,    -1,    -1,    -1,    -1,    -1,  2590,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     237,    -1,    -1,   240,    -1,  1899,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3518,    -1,    -1,   253,    -1,    -1,   256,
      -1,    -1,  2623,    -1,    -1,  2626,    -1,    -1,    -1,    -1,
      -1,  2632,    -1,    -1,    -1,   272,    -1,  2638,    -1,  2640,
      -1,    -1,    -1,    -1,  2645,  2646,    -1,    78,  2649,  2650,
    2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,    -1,    -1,
      -1,  2662,  2663,    -1,    -1,    -1,  1515,    98,    -1,  2670,
    1964,    -1,    -1,   104,  2675,  1111,    -1,    -1,  2679,    -1,
    2681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,   326,
    2691,   801,    -1,  2694,    -1,  2696,    -1,    -1,  1899,    -1,
      -1,    -1,    -1,  2704,  2705,  2706,  2707,    -1,    -1,    -1,
    2711,    -1,  1148,  2714,    -1,    -1,   147,    -1,    -1,    -1,
      -1,   152,    -1,  2724,    -1,    -1,  2557,   158,    -1,    -1,
      -1,  2732,    -1,  2734,    -1,    -1,    -1,    -1,  1174,    -1,
      -1,    -1,   173,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1964,    -1,  1111,   197,    -1,  2062,    -1,
      -1,    -1,  2773,    -1,    -1,   412,   413,   414,    -1,   416,
     417,   418,   419,   420,   421,    -1,    -1,    -1,    -1,    -1,
      -1,     8,  2623,    -1,    11,  3700,    -1,    -1,    -1,  1235,
      -1,  2632,  1148,    -1,  2805,  2806,  2807,  2638,    -1,  2640,
      -1,    28,    -1,    -1,   924,    -1,  1252,    -1,    -1,    36,
      -1,    -1,   253,    -1,    41,    -1,    -1,    -1,  1174,  2830,
      -1,  2662,  2663,    -1,    -1,    -1,  1272,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,
    2681,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1294,    -1,
    2691,  2062,    -1,  2694,    -1,  2696,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   304,  2705,    -1,    -1,    -1,    -1,   310,
    2711,    -1,    -1,  2714,    -1,   316,    -1,    -1,   319,  1235,
      -1,    -1,    -1,  2724,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2732,    -1,  2734,    -1,    -1,  1252,  1343,    -1,    -1,
      -1,    -1,    -1,  2914,   345,    -1,   347,    -1,  1767,    -1,
     351,    -1,    -1,  1772,  1773,    -1,  1272,    -1,   359,    -1,
      -1,  2932,    -1,   364,  1783,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   374,    -1,    -1,    -1,    -1,  1294,   166,
      -1,    -1,    -1,   170,    -1,   386,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,  2968,  2969,  2970,
      -1,    -1,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    36,
    2991,    -1,    -1,    -1,    41,  2996,    -1,  1343,  2999,    -1,
      -1,  1111,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2305,  2306,    -1,  2308,    -1,    -1,    -1,    -1,    -1,
     237,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,  1148,   256,
    3041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1899,    -1,   269,    -1,    -1,  2349,    -1,  2351,    -1,    -1,
      -1,    -1,    -1,    -1,  1174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3077,    -1,    -1,  1515,
      -1,    -1,   129,  3084,  3085,    -1,  3087,    -1,    -1,    -1,
      -1,  3092,  3093,    -1,    -1,    -1,  3097,  3098,    -1,    -1,
      -1,    -1,  3103,  3104,  2305,  2306,  3107,  2308,    -1,   326,
      -1,    -1,    -1,    -1,    -1,  1964,    -1,  3118,    -1,   166,
      -1,    -1,    -1,   170,    -1,  1235,  2420,    -1,    -1,  3130,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2969,  2970,
      -1,    -1,  1252,    -1,   191,   192,    -1,    -1,  2349,  3150,
    2351,  2445,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,
      -1,    -1,  1272,    -1,    -1,    -1,    -1,    -1,    -1,  1515,
    3171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3181,    -1,    -1,    -1,  1294,    -1,    -1,    -1,    -1,    -1,
    2484,    -1,    -1,   240,    -1,   412,   413,   414,    -1,   416,
     417,   418,   419,   420,   421,    -1,   253,  2501,    -1,    -1,
    3041,    -1,    -1,  2062,    -1,    -1,    -1,    -1,    -1,  2420,
      -1,  2515,    -1,    -1,    -1,  3226,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1343,  2528,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2445,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3084,  3085,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3097,    -1,  3269,  2563,
      -1,    -1,  3103,  3104,    -1,    -1,  3107,    -1,  3279,   326,
      -1,    -1,    -1,  2484,    -1,    -1,    -1,  3118,    -1,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,  3130,
    2501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,  2515,    -1,  3317,    -1,    36,  3150,
      -1,    -1,    -1,    41,    -1,  3326,    -1,  2528,    -1,  3330,
      -1,  1767,  2626,    -1,  3335,    -1,  1772,  1773,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1783,    -1,    -1,
      -1,  2645,    -1,    -1,    -1,    -1,  3357,    -1,    -1,    -1,
    3361,    -1,  2563,    -1,    -1,    -1,    -1,    -1,    -1,   416,
     417,   418,   419,   420,   421,    -1,  2670,    -1,    -1,    -1,
    3381,  3382,    -1,    -1,  3385,    -1,    -1,    -1,    -1,    -1,
      -1,  3392,  3393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1515,    -1,    -1,    -1,    -1,
    2704,  3412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1767,    -1,    -1,    -1,  2626,  1772,  1773,  3429,    -1,
      -1,  3432,    -1,    -1,    -1,    -1,    -1,  1783,  3269,    -1,
      -1,    -1,    -1,    -1,  2645,    -1,    -1,    -1,   166,    -1,
      -1,    -1,   170,    -1,    -1,    -1,  2305,  2306,    -1,  2308,
      -1,    -1,    -1,  1899,    -1,    -1,    -1,    -1,  3469,  2670,
      -1,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3326,    -1,    -1,    -1,    -1,
    2349,    -1,  2351,  2704,    -1,    -1,    -1,    -1,    -1,  3510,
      -1,  3512,  2806,    -1,    -1,    -1,    -1,    -1,    -1,   237,
      -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,  1964,    -1,
      -1,    -1,    -1,    -1,    -1,   253,  3537,  3538,   256,  3540,
      -1,  3542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1899,  3385,    -1,   274,    -1,    -1,    -1,
      -1,    -1,  3393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2420,    -1,    -1,    -1,    -1,    -1,  3578,    -1,    -1,
    3581,    -1,    -1,    -1,  3585,  3586,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2445,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2806,    -1,    -1,   326,    -1,
    3611,    -1,    -1,    -1,    -1,    -1,     8,  3618,  1964,    11,
      -1,   339,    -1,    -1,    -1,    -1,  2062,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2484,    28,    -1,  2932,    31,
      -1,    -1,  3643,    -1,    36,    -1,    -1,     8,    -1,    41,
      11,    -1,  2501,    -1,    -1,    -1,    -1,  1767,    -1,    -1,
    3661,    -1,  1772,  1773,    -1,    -1,  2515,    28,    -1,    -1,
      31,    -1,    -1,  1783,  2968,    36,    -1,    -1,    -1,  2528,
      41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   412,   413,   414,    -1,   416,   417,
     418,   419,   420,   421,  3705,    -1,    -1,    -1,    -1,  3540,
      -1,  3712,    -1,    -1,  2563,    -1,  2062,    -1,    -1,    -1,
      -1,    -1,    -1,  3724,  3725,  1022,    -1,    -1,    -1,    -1,
      -1,  2932,    -1,  3734,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3578,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3760,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2968,    -1,  3770,
      -1,    -1,    -1,    -1,   166,    -1,    -1,  2626,   170,    -1,
      -1,    -1,    -1,    21,  1081,    -1,    -1,  3618,    -1,  1899,
      -1,    -1,    -1,  3087,    -1,    33,  2645,    -1,    -1,   191,
     192,    -1,    -1,    -1,  3098,   166,    -1,    -1,    -1,   170,
      -1,    -1,    -1,   205,    -1,    53,    -1,    -1,    -1,    -1,
      -1,  2670,    -1,  3824,    -1,    -1,    -1,    -1,    -1,    -1,
     191,   192,  3833,    -1,    -1,    -1,    74,    -1,    -1,    -1,
      78,    -1,    -1,    -1,   205,   237,    -1,    -1,   240,    -1,
      -1,    -1,    -1,    -1,  1964,  2704,    -1,    -1,    -1,    -1,
      98,   253,    -1,    -1,   256,    -1,   104,    -1,    -1,  2305,
    2306,    -1,  2308,    -1,    -1,    -1,   237,  3171,    -1,   240,
      -1,   119,    -1,    -1,    -1,    -1,  3087,  3181,    -1,    -1,
      -1,    -1,   253,  3724,  3725,   256,    -1,  3098,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,
      -1,    -1,    -1,  2349,    -1,  2351,   154,    -1,    -1,    -1,
     158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3760,
      -1,    -1,    -1,    -1,   326,   173,    -1,    -1,    -1,  3770,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2062,    -1,    -1,    -1,    -1,  2806,    -1,  2305,
    2306,    -1,  2308,    -1,    -1,   326,    -1,    -1,    -1,    -1,
    3171,   209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3181,    -1,    -1,    -1,  2420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3824,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2349,    -1,  2351,    -1,    -1,    -1,  2445,
      -1,    -1,    -1,    -1,    -1,   253,     8,    -1,   256,    11,
     412,   413,   414,    -1,   416,   417,   418,   419,   420,   421,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    31,
      -1,  3335,    -1,    -1,    36,    -1,    -1,    -1,  2484,    41,
      -1,   412,   413,   414,    -1,   416,   417,   418,   419,   420,
     421,    -1,    -1,    -1,    -1,  2501,   304,  3361,     8,    -1,
      -1,    11,   310,    -1,  2420,    -1,    -1,    -1,   316,  2515,
    1377,   319,    -1,  2932,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    -1,  2528,    -1,    -1,    -1,    36,    -1,    -1,  2445,
      -1,    41,    -1,    -1,    -1,    -1,    -1,   345,    -1,   347,
     348,    -1,   350,   351,    -1,    -1,    -1,    -1,    -1,  2968,
      -1,   359,    -1,    -1,    -1,    -1,   364,  2563,    -1,    -1,
      -1,   369,    -1,    -1,  3335,  3429,   374,    -1,  2484,    -1,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,   386,    -1,
      -1,    -1,    -1,    -1,    -1,  2501,    -1,    -1,  1455,    -1,
    3361,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,  2515,
      -1,    -1,    36,    -1,   166,    -1,    -1,    41,   170,    -1,
      -1,  1478,  2528,    -1,    -1,    -1,  1483,    -1,    -1,    -1,
    2626,    -1,    -1,    -1,    -1,  2305,  2306,    -1,  2308,   191,
     192,    -1,    -1,    -1,     8,  1502,  1503,    11,  1505,  2645,
     150,    -1,    -1,   205,    -1,    -1,    -1,  2563,  3512,    -1,
      -1,    -1,    -1,    -1,    28,    -1,   166,    31,  3429,    -1,
     170,    -1,    36,    -1,  2670,    -1,    -1,    41,  3087,  2349,
      -1,  2351,    -1,    -1,  3538,   237,  1543,    -1,   240,  3098,
      -1,   191,   192,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,   253,    -1,    -1,   256,   205,    -1,    -1,  2704,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2626,    -1,  1579,    -1,    -1,    36,    -1,  3581,    -1,    -1,
      41,  3585,  3586,    -1,    -1,    -1,    -1,   237,    -1,  2645,
     240,    -1,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,
    2420,  3512,    -1,   253,    -1,    -1,   256,    -1,    -1,    -1,
      -1,    -1,  3171,    -1,  2670,    -1,    -1,   191,   192,    -1,
      -1,    -1,  3181,    -1,   326,  2445,    -1,  3538,    -1,    -1,
      -1,   205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2704,    -1,
      -1,    -1,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,
    2806,    -1,    -1,   237,  2484,    -1,   240,    -1,   129,    -1,
    3581,    -1,    -1,    -1,  3585,  3586,   326,   191,   192,   253,
      -1,  2501,   256,  1690,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   205,    -1,  1700,    -1,  2515,  1703,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,  2528,   170,
     412,   413,   414,    -1,   416,   417,   418,   419,   420,   421,
      -1,    -1,    -1,   237,    -1,    -1,   240,    -1,    -1,    -1,
     191,   192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
      -1,    -1,   256,  2563,   205,    -1,    -1,    -1,    -1,    -1,
    2806,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   412,   413,   414,    -1,   416,   417,   418,   419,
     420,   421,    -1,    -1,    -1,    -1,  3335,    -1,   352,   240,
      -1,    -1,    -1,    -1,    -1,    -1,  2932,    -1,    -1,    -1,
      -1,    -1,   253,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3361,    -1,    -1,    -1,  2626,    -1,    -1,    -1,
      -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2968,    -1,    -1,  2645,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,
     414,    -1,   416,   417,   418,   419,   420,   421,    -1,     8,
    2670,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,    28,
    3429,    -1,    -1,    -1,    -1,    -1,  2932,    36,    -1,    -1,
      -1,    -1,    41,    -1,  2704,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   412,   413,
     414,    -1,   416,   417,   418,   419,   420,   421,    -1,    -1,
      -1,    -1,  2968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3098,  3512,    -1,   416,   417,   418,   419,   420,
     421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3538,
      -1,    -1,    -1,    -1,    -1,    -1,  2806,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3581,    -1,    -1,  3171,  3585,  3586,    -1,    -1,
      -1,  3087,   191,   192,    -1,  3181,    -1,    -1,    -1,    -1,
      -1,    -1,  3098,    -1,    -1,    -1,   205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,  2086,
      -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   253,    -1,    -1,   256,    -1,    -1,
      -1,  2108,    -1,  2110,    -1,  2112,  2113,  2114,    -1,    -1,
    2117,    -1,  2932,    -1,  2121,  3171,    -1,    -1,    -1,    -1,
      -1,  2128,    -1,    -1,    -1,  3181,  2133,    -1,    -1,    -1,
      -1,  2138,    -1,    -1,    -1,    -1,  2143,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2152,    -1,    -1,  2968,  2156,
    2157,  2158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2170,    -1,    -1,    -1,   326,    -1,    -1,
    2177,    -1,  2179,  2180,  2181,  2182,  2183,  2184,  2185,  2186,
    2187,  2188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3335,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2212,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   412,   413,   414,    -1,   416,   417,   418,
     419,   420,   421,    -1,    -1,    -1,    -1,  3087,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3098,  3335,
    2287,    -1,    -1,  3429,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3361,    -1,    -1,    -1,    -1,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      24,    -1,    26,    27,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3171,    -1,    -1,    -1,    -1,    60,    -1,    62,    63,
      -1,  3181,    -1,    67,    -1,    69,  3512,    -1,    -1,    -1,
      -1,    -1,    -1,  3429,    -1,    79,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3538,    -1,    -1,    -1,   100,    -1,    -1,   103,
      -1,    -1,    -1,    -1,    -1,   109,    -1,    -1,    -1,    -1,
      -1,   115,    -1,   117,    -1,    -1,    -1,   121,    -1,    -1,
      -1,    -1,    -1,   127,    -1,    -1,    -1,    -1,    -1,    -1,
     134,    -1,   136,    -1,    -1,  3581,    -1,   141,    -1,  3585,
    3586,  2448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   155,    -1,    -1,    -1,    -1,  3512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   183,
      -1,    -1,  3538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   207,   208,    -1,    -1,    -1,    -1,   213,
      -1,    -1,    -1,    -1,    -1,  3335,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,    -1,  3581,    -1,    -1,    -1,  3585,
    3586,    -1,    -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,
      -1,  3361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2560,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   275,    -1,    -1,  2581,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,    -1,    -1,    -1,   290,    -1,   292,    -1,
      -1,    -1,    -1,   297,    -1,    -1,    -1,    -1,   302,    -1,
      -1,   305,    -1,    -1,    -1,   309,    -1,    -1,    -1,  3429,
      -1,   315,    -1,    -1,    -1,  2622,    -1,    -1,   322,    -1,
      -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2643,  2644,    -1,  2646,
      -1,   345,  2649,  2650,  2651,  2652,  2653,  2654,  2655,  2656,
    2657,  2658,  2659,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   371,    -1,   373,
      -1,    -1,   376,    -1,    -1,  2682,   380,    -1,  2685,    -1,
    2687,    -1,    -1,    -1,    -1,  2692,  2693,    -1,   392,    -1,
      -1,    -1,  3512,    -1,    -1,    -1,    -1,    -1,    -1,  2706,
    2707,  2708,    -1,  2710,    -1,    -1,  2713,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3538,    -1,
      -1,   425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2740,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2754,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3581,    -1,  2770,    -1,  3585,  3586,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2914,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3042,    -1,    -1,  3045,  3046,
    3047,    -1,    -1,  3050,    -1,    -1,    -1,    -1,  3055,  3056,
    3057,  3058,  3059,  3060,  3061,  3062,  3063,  3064,  3065,  3066,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3091,  3092,  3093,  3094,    -1,  3096,
      -1,    -1,    -1,  3100,  3101,  3102,    -1,    -1,  3105,    -1,
      -1,  3108,    -1,    -1,    -1,    -1,    -1,    -1,  3115,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3127,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3314,  3315,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3353,    -1,    -1,    -1,
    3357,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3369,    -1,  3371,    -1,    -1,    -1,    -1,  3376,
    3377,  3378,    -1,    -1,  3381,  3382,  3383,  3384,    -1,  3386,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3410,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3522,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3536,
    3537,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3550,  3551,  3552,    -1,  3554,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,  3651,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,  3675,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,  3704,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,  3763,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,  3803,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   423,    -1,    -1,    -1,   427,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    72,    73,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,    -1,   105,
      -1,   107,   108,   109,   110,   111,    -1,   113,   114,   115,
     116,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,    -1,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,    -1,   353,   354,    -1,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,   425,
     426,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,    -1,   105,    -1,   107,   108,   109,   110,   111,
      -1,   113,   114,   115,    -1,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,    -1,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
      -1,   353,   354,    -1,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   416,   417,     3,    -1,    -1,    -1,
      -1,    -1,    -1,   425,   426,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    51,    -1,    -1,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      -1,    -1,    -1,    67,    68,    69,    70,    71,    72,    73,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    -1,    -1,
      -1,    95,    96,    97,    98,    99,   100,   101,   102,   103,
      -1,   105,    -1,   107,   108,   109,   110,   111,    -1,   113,
     114,   115,    -1,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,    -1,   128,   129,    -1,   131,   132,   133,
     134,    -1,   136,   137,    -1,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,    -1,   203,
     204,   205,    -1,   207,   208,   209,    -1,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,    -1,    -1,
     244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,    -1,   263,
     264,   265,   266,   267,   268,    -1,   270,    -1,   272,    -1,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,    -1,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,    -1,   341,    -1,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,    -1,   353,
     354,    -1,    -1,   357,    -1,   359,    -1,    -1,   362,   363,
     364,   365,   366,   367,    -1,    -1,   370,   371,   372,   373,
      -1,    -1,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   406,   407,   408,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,   426,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    -1,    -1,    -1,    67,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,    -1,   136,   137,    -1,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,    -1,    -1,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
      -1,   270,    -1,   272,    -1,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,    -1,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,    -1,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,    -1,
     359,    -1,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,     3,
       4,     5,     6,     7,     8,     9,    10,   406,   407,   408,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,   426,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    72,    73,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
      -1,   105,    -1,   107,   108,   109,   110,   111,    -1,   113,
     114,   115,    -1,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,    -1,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,   150,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,    -1,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   425,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    72,    73,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,    -1,   105,    -1,   107,
     108,   109,   110,   111,    -1,   113,   114,   115,    -1,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,    -1,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,    -1,   353,   354,    -1,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
      -1,    -1,    -1,    -1,    -1,   423,   424,   425,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
     425,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,   108,   109,   110,   111,
      -1,   113,   114,   115,    -1,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,    -1,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
      -1,   353,   354,    -1,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   416,   417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   425,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    72,    73,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,    -1,   105,
      -1,   107,   108,   109,   110,   111,    -1,   113,   114,   115,
      -1,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,    -1,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,   150,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,    -1,   353,   354,    -1,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    -1,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    -1,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    72,    73,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,    -1,   105,    -1,   107,   108,   109,
     110,   111,    -1,   113,   114,   115,    -1,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,    -1,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,    -1,   353,   354,    -1,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   425,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,
     417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    72,    73,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
      -1,   105,    -1,   107,   108,   109,   110,   111,    -1,   113,
     114,   115,    -1,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,    -1,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,    -1,   353,
     354,    -1,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   425,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   425,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    72,    73,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,    -1,   105,    -1,   107,
     108,   109,   110,   111,    -1,   113,   114,   115,    -1,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,    -1,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,    -1,   270,   271,   272,   273,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,    -1,   353,   354,    -1,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     425,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,    -1,   105,    -1,   107,   108,   109,   110,   111,
      -1,   113,   114,   115,    -1,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,    -1,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
      -1,   353,   354,    -1,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,    -1,    -1,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   416,   417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   425,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      -1,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    -1,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    72,    73,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,    -1,   105,
      -1,   107,   108,   109,   110,   111,    -1,   113,   114,   115,
      -1,    -1,   118,   119,   120,   121,   122,    -1,   124,   125,
     126,    -1,   128,    -1,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,    -1,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,    -1,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,    -1,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
      -1,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,    -1,   353,   354,    -1,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,    -1,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,
      -1,    -1,     3,   416,   417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    53,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,   252,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   425,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,   252,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,
     425,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,
      -1,    -1,     3,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,   425,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   425,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   425,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   425,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     425,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   425,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,     8,
       9,    -1,    -1,    -1,   425,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    -1,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,    -1,   136,   137,    -1,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,    -1,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,    -1,
     359,    -1,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,   407,   408,
      -1,    -1,    -1,   412,   413,   414,    -1,   416,   417,   418,
     419,   420,   421,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,
      40,    41,    42,    -1,    44,    45,    -1,    47,    48,    49,
      50,    51,    -1,    -1,    54,    55,    56,    57,    58,    -1,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    -1,    72,    73,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,
     100,   101,   102,   103,    -1,   105,    -1,   107,   108,   109,
     110,   111,    -1,   113,   114,   115,    -1,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,    -1,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,
      -1,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,    -1,   238,   239,
      -1,   241,    -1,   243,   244,   245,   246,   247,    -1,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,
      -1,    -1,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,    -1,   353,   354,    -1,    -1,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,    -1,    -1,
     370,   371,   372,   373,    -1,    -1,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
      -1,    -1,   412,   413,   414,    -1,   416,   417,   418,   419,
     420,   421,     3,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,    -1,
      -1,   412,   413,   414,    -1,   416,   417,   418,   419,   420,
     421,     3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    -1,    38,    39,    40,    41,
      42,    -1,    44,    45,    -1,    47,    48,    49,    50,    51,
      -1,    -1,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    -1,
      72,    73,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    95,    96,    97,    98,    99,   100,   101,
     102,   103,    -1,   105,    -1,   107,   108,   109,   110,   111,
      -1,   113,   114,   115,    -1,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,    -1,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,    -1,
     202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,    -1,   238,   239,    -1,   241,
      -1,   243,   244,   245,   246,   247,    -1,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,
     262,   263,   264,   265,   266,   267,   268,    -1,   270,   271,
     272,   273,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,    -1,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
      -1,   353,   354,    -1,    -1,   357,   358,   359,   360,    -1,
     362,   363,   364,   365,   366,   367,    -1,    -1,   370,   371,
     372,   373,    -1,    -1,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,    -1,    -1,
     412,   413,   414,    -1,   416,   417,   418,   419,   420,   421,
       3,    -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,    -1,    -1,   412,
     413,   414,    -1,   416,   417,   418,   419,   420,   421,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    -1,    38,    39,    40,    41,    42,    -1,
      44,    45,    -1,    47,    48,    49,    50,    51,    -1,    -1,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    -1,    72,    73,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    95,    96,    97,    98,    99,   100,   101,   102,   103,
      -1,   105,    -1,   107,   108,   109,   110,   111,    -1,   113,
     114,   115,    -1,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,    -1,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,    -1,   202,    -1,
     204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,    -1,   238,   239,    -1,   241,    -1,   243,
     244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,    -1,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,    -1,   353,
     354,    -1,    -1,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,    -1,    -1,   370,   371,   372,   373,
      -1,    -1,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,    -1,    -1,   412,   413,
     414,    -1,   416,   417,   418,   419,   420,   421,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,    -1,     3,   412,   413,   414,
      -1,   416,   417,   418,   419,   420,   421,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   418,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   418,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    -1,    -1,    -1,    67,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,    -1,   136,   137,    -1,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,    -1,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,    -1,   203,   204,   205,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,    -1,    -1,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,    -1,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
      -1,   270,    -1,   272,    -1,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,    -1,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,    -1,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,    -1,
     359,    -1,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,    -1,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,   406,   407,   408,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,   418,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    -1,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,    -1,
      -1,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,    -1,   270,    -1,   272,
      -1,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,    -1,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,    -1,   359,    -1,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,    -1,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,    -1,     3,     4,     5,    -1,
      -1,    -1,     9,   406,   407,   408,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,   418,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,     4,     5,    -1,    -1,    -1,     9,   416,
     417,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,     4,
       5,    -1,    -1,    -1,     9,   416,   417,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
       9,   416,   417,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,   150,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,   240,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,   240,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    -1,    66,    67,    68,    69,    70,    -1,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
     147,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,   205,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,   155,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
     155,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,   147,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,     4,     5,     6,
       7,    -1,     9,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,   147,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,   252,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,    -1,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    -1,    38,    39,    40,    41,    42,    -1,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    -1,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,    -1,   202,    -1,   204,
      -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,    -1,   238,   239,    -1,   241,    -1,   243,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,   264,
     265,   266,   267,   268,    -1,   270,   271,   272,   273,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,    -1,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,   358,   359,   360,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,
      39,    40,    41,    42,    -1,    44,    45,    -1,    47,    48,
      49,    50,    51,    -1,    -1,    54,    55,    56,    57,    58,
      -1,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    -1,    72,    73,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    83,    84,    -1,    86,    87,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,
      99,   100,   101,   102,   103,    -1,   105,    -1,   107,   108,
     109,   110,   111,    -1,   113,   114,   115,    -1,    -1,   118,
     119,   120,   121,   122,    -1,   124,   125,   126,    -1,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,
     209,    -1,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,    -1,   238,
     239,    -1,   241,    -1,   243,   244,   245,   246,   247,    -1,
      -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,
      -1,    -1,    -1,   262,   263,   264,   265,   266,   267,   268,
      -1,   270,   271,   272,   273,   274,   275,   276,    -1,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
      -1,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
     319,   320,    -1,   322,   323,   324,   325,    -1,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,    -1,   353,   354,    -1,    -1,   357,   358,
     359,   360,    -1,   362,   363,   364,   365,   366,   367,    -1,
      -1,   370,   371,   372,   373,    -1,    -1,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,   267,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      -1,    38,    39,    40,    41,    42,    -1,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    -1,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    -1,    86,
      87,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,    -1,   202,    -1,   204,    -1,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,    -1,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
      -1,   238,   239,    -1,   241,    -1,   243,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,    -1,    -1,    -1,   262,   263,   264,   265,   266,
     267,   268,    -1,   270,   271,   272,   273,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,    -1,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,   358,   359,   360,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,    40,
      41,    42,    -1,    44,    45,    -1,    47,    48,    49,    50,
      51,    -1,    -1,    54,    55,    56,    57,    58,    -1,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      -1,    72,    73,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,   100,
     101,   102,   103,    -1,   105,    -1,   107,   108,   109,   110,
     111,    -1,   113,   114,   115,    -1,    -1,   118,   119,   120,
     121,   122,    -1,   124,   125,   126,    -1,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
      -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,    -1,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,    -1,   238,   239,    -1,
     241,    -1,   243,   244,   245,   246,   247,    -1,    -1,   250,
      -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,    -1,
      -1,   262,   263,   264,   265,   266,   267,   268,    -1,   270,
     271,   272,   273,   274,   275,   276,    -1,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,    -1,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,    -1,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,    -1,   316,   317,   318,   319,   320,
      -1,   322,   323,   324,   325,    -1,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,    -1,   353,   354,    -1,    -1,   357,   358,   359,   360,
      -1,   362,   363,   364,   365,   366,   367,    -1,    -1,   370,
     371,   372,   373,    -1,    -1,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    -1,    47,    48,    49,    50,    51,    -1,    -1,    54,
      55,    56,    57,    58,    -1,    60,    61,    62,    63,    -1,
      -1,    -1,    67,    68,    69,    70,    71,    72,    73,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      95,    96,    97,    98,    99,   100,   101,   102,   103,    -1,
     105,    -1,   107,   108,   109,   110,   111,    -1,   113,   114,
     115,    -1,    -1,   118,   119,   120,   121,   122,    -1,   124,
     125,   126,    -1,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,    -1,   203,   204,
     205,    -1,   207,   208,   209,    -1,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,    -1,    -1,   244,
     245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,    -1,   270,    -1,   272,    -1,   274,
     275,   276,    -1,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,    -1,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,    -1,   341,    -1,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,    -1,   353,   354,
      -1,    -1,   357,    -1,   359,    -1,    -1,   362,   363,   364,
     365,   366,   367,    -1,    -1,   370,   371,   372,   373,    -1,
      -1,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   406,   407,   408,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    -1,    38,    39,
      40,    41,    42,    -1,    44,    45,    -1,    47,    48,    49,
      50,    51,    -1,    -1,    54,    55,    56,    57,    58,    -1,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    -1,    72,    73,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    83,    84,    -1,    86,    87,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    95,    96,    97,    98,    99,
     100,   101,   102,   103,    -1,   105,    -1,   107,   108,   109,
     110,   111,    -1,   113,   114,   115,    -1,    -1,   118,   119,
     120,   121,   122,    -1,   124,   125,   126,    -1,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,    -1,   202,    -1,   204,    -1,    -1,   207,   208,   209,
      -1,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,    -1,   238,   239,
      -1,   241,    -1,   243,   244,   245,   246,   247,    -1,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,    -1,
      -1,    -1,   262,   263,   264,   265,   266,   267,   268,    -1,
     270,   271,   272,   273,   274,   275,   276,    -1,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,    -1,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,   319,
     320,    -1,   322,   323,   324,   325,    -1,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,    -1,   353,   354,    -1,    -1,   357,   358,   359,
     360,    -1,   362,   363,   364,   365,   366,   367,    -1,    -1,
     370,   371,   372,   373,    -1,    -1,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    -1,    38,    39,    40,    41,    42,    -1,
      44,    45,    -1,    47,    48,    49,    50,    51,    -1,    -1,
      54,    55,    56,    57,    58,    -1,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    -1,    72,    73,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    83,
      84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    95,    96,    97,    98,    99,   100,   101,   102,   103,
      -1,   105,    -1,   107,   108,   109,   110,   111,    -1,   113,
     114,   115,    -1,    -1,   118,   119,   120,   121,   122,    -1,
     124,   125,   126,    -1,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,    -1,   202,    -1,
     204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,    -1,   238,   239,    -1,   241,    -1,   243,
     244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,   263,
     264,   265,   266,   267,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,    -1,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,    -1,   322,   323,
     324,   325,    -1,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,    -1,   353,
     354,    -1,    -1,   357,   358,   359,   360,    -1,   362,   363,
     364,   365,   366,   367,    -1,    -1,   370,   371,   372,   373,
      -1,    -1,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    51,    -1,    -1,    54,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    -1,    -1,    -1,    67,
      68,    69,    70,    71,    72,    73,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,    97,
      98,    99,   100,   101,   102,   103,    -1,   105,    -1,   107,
     108,   109,   110,   111,    -1,   113,   114,   115,    -1,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,    -1,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,    -1,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,    -1,   207,
     208,   209,    -1,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,   247,
      -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,    -1,   270,    -1,   272,    -1,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,    -1,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,   350,   351,    -1,   353,   354,    -1,    -1,   357,
      -1,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,   377,
     378,   379,    -1,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,   407,
     408,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    -1,    -1,    -1,    67,    68,    69,    70,    71,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,    -1,   136,   137,    -1,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,   149,    -1,   151,   152,
     153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,   179,    -1,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,    -1,
     203,   204,   205,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,   240,   241,    -1,
      -1,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,    -1,   259,   260,   261,    -1,
     263,   264,   265,   266,   267,   268,    -1,   270,    -1,   272,
      -1,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,    -1,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,    -1,   359,    -1,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,    -1,   381,    -1,
     383,   384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   406,   407,   408,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    -1,    47,
      48,    49,    50,    51,    -1,    -1,    54,    55,    56,    57,
      58,    -1,    60,    61,    62,    63,    -1,    -1,    -1,    67,
      68,    69,    70,    71,    72,    73,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,    97,
      98,    99,   100,   101,   102,   103,    -1,   105,    -1,   107,
     108,   109,   110,   111,    -1,   113,   114,   115,    -1,    -1,
     118,   119,   120,   121,   122,    -1,   124,   125,   126,    -1,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
      -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,    -1,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,    -1,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,    -1,   203,   204,   205,    -1,   207,
     208,   209,    -1,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,    -1,
     238,   239,   240,   241,    -1,    -1,   244,   245,   246,   247,
      -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
      -1,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,    -1,   270,    -1,   272,    -1,   274,   275,   276,    -1,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,    -1,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,   314,    -1,   316,   317,
     318,   319,   320,    -1,   322,   323,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,    -1,   341,    -1,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,    -1,   353,   354,    -1,    -1,   357,
      -1,   359,    -1,    -1,   362,   363,   364,   365,   366,   367,
      -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,   377,
     378,   379,    -1,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,   407,
     408,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    -1,    38,    39,    40,    41,    42,
      -1,    44,    45,    -1,    47,    48,    49,    50,    51,    -1,
      -1,    54,    55,    56,    57,    58,    -1,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    -1,    72,
      73,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      83,    84,    -1,    86,    87,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    96,    97,    98,    99,   100,   101,   102,
     103,    -1,   105,    -1,   107,   108,   109,   110,   111,    -1,
     113,   114,   115,    -1,    -1,   118,   119,   120,   121,   122,
      -1,   124,   125,   126,    -1,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,    -1,   202,
      -1,   204,    -1,    -1,   207,   208,   209,    -1,    -1,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,    -1,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,    -1,   238,   239,    -1,   241,    -1,
     243,   244,   245,   246,   247,    -1,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,    -1,    -1,    -1,   262,
     263,   264,   265,   266,    -1,   268,    -1,   270,   271,   272,
     273,   274,   275,   276,    -1,   278,   279,   280,   281,   282,
      -1,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,    -1,   301,   302,
      -1,   304,   305,   306,    -1,   308,   309,   310,   311,   312,
     313,   314,    -1,   316,   317,   318,   319,   320,    -1,   322,
     323,   324,   325,    -1,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,    -1,
     353,   354,    -1,    -1,   357,   358,   359,   360,    -1,   362,
     363,   364,   365,   366,   367,    -1,    -1,   370,   371,   372,
     373,    -1,    -1,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    -1,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,    -1,    -1,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,    -1,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,    -1,   270,    -1,   272,    -1,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,   323,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,    -1,   359,    -1,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,    -1,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,
     407,   408,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    -1,    47,    48,    49,    50,    51,
      -1,    -1,    54,    55,    56,    57,    58,    -1,    60,    61,
      62,    63,    -1,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      -1,    -1,    -1,    95,    96,    97,    98,    99,   100,   101,
     102,   103,    -1,   105,    -1,   107,   108,   109,   110,   111,
      -1,   113,   114,   115,    -1,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,    -1,   128,   129,    -1,   131,
     132,   133,   134,    -1,   136,   137,    -1,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,    -1,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
      -1,    -1,   244,   245,   246,   247,    -1,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,    -1,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,    -1,   270,    -1,
     272,    -1,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,    -1,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,    -1,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,    -1,   341,
      -1,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
      -1,   353,   354,    -1,    -1,   357,    -1,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,    -1,   370,   371,
     372,   373,    -1,    -1,   376,   377,   378,   379,    -1,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,   407,   408,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    -1,
      47,    48,    49,    50,    51,    -1,    -1,    54,    55,    56,
      57,    58,    -1,    60,    61,    62,    63,    -1,    -1,    -1,
      67,    68,    69,    70,    71,    72,    73,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    -1,    -1,    -1,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    -1,   105,    -1,
     107,   108,   109,   110,   111,    -1,   113,   114,   115,    -1,
      -1,   118,   119,   120,   121,   122,    -1,   124,   125,   126,
      -1,   128,   129,    -1,   131,   132,   133,   134,    -1,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,    -1,   203,   204,   205,    -1,
     207,   208,   209,    -1,    -1,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,    -1,    -1,   244,   245,   246,
     247,    -1,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,    -1,   259,   260,   261,    -1,   263,   264,   265,   266,
     267,   268,    -1,   270,    -1,   272,    -1,   274,   275,   276,
      -1,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,    -1,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,    -1,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,    -1,   341,    -1,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,    -1,   353,   354,    -1,    -1,
     357,    -1,   359,    -1,    -1,   362,   363,   364,   365,   366,
     367,    -1,    -1,   370,   371,   372,   373,    -1,    -1,   376,
     377,   378,   379,    -1,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,
     407,   408,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      -1,    43,    -1,    -1,    -1,    47,    48,    49,    50,    51,
      -1,    -1,    54,    55,    -1,    -1,    58,    -1,    60,    61,
      62,    63,    -1,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      -1,    -1,    -1,    95,    96,    97,    98,    99,   100,    -1,
      -1,   103,    -1,   105,    -1,   107,   108,   109,   110,   111,
      -1,   113,   114,   115,    -1,    -1,   118,   119,   120,   121,
     122,    -1,   124,   125,   126,    -1,   128,   129,    -1,   131,
     132,   133,   134,    -1,   136,   137,    -1,    -1,   140,    -1,
     142,    -1,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,    -1,   181,
     182,   183,   184,    -1,    -1,    -1,    -1,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
      -1,   203,   204,   205,    -1,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
      -1,    -1,   244,    -1,   246,   247,    -1,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,    -1,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,    -1,   270,    -1,
     272,    -1,   274,   275,   276,    -1,   278,   279,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,    -1,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,   303,   304,   305,    -1,   307,   308,   309,   310,   311,
     312,   313,   314,    -1,   316,   317,   318,   319,   320,    -1,
     322,    -1,   324,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,    -1,   341,
      -1,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
      -1,    -1,    -1,    -1,    -1,   357,    -1,   359,    -1,    -1,
     362,   363,   364,   365,   366,   367,    -1,    -1,   370,   371,
     372,   373,    -1,    -1,   376,   377,   378,   379,    -1,    -1,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,   407,   408
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    40,    60,    62,    63,    67,
      69,    79,    81,   100,   103,   109,   115,   117,   121,   127,
     134,   136,   141,   155,   183,   207,   208,   213,   222,   239,
     275,   286,   290,   292,   297,   302,   305,   309,   315,   322,
     325,   332,   345,   362,   371,   373,   376,   380,   392,   425,
     432,   433,   434,   435,   441,   442,   444,   445,   446,   447,
     448,   449,   450,   452,   453,   457,   467,   469,   470,   473,
     474,   475,   485,   486,   501,   536,   542,   543,   550,   556,
     558,   560,   561,   562,   563,   572,   576,   577,   578,   580,
     581,   582,   596,   597,   598,   599,   610,   616,   617,   620,
     621,   622,   623,   624,   629,   631,   634,   638,   639,   649,
     650,   653,   658,   668,   687,   690,   691,   692,   695,   698,
     700,   702,   705,   708,   709,   710,   717,   718,   720,   721,
     722,   727,   729,   730,   734,   735,   738,   739,   740,   742,
     743,   744,   745,   747,   750,   751,   756,   762,   765,   767,
     768,   773,   775,   779,   786,   790,   791,   792,   793,   794,
     795,   824,   357,   394,   723,    21,    78,    98,   104,   119,
     147,   152,   158,   173,   197,   253,   280,   304,   310,   316,
     319,   345,   347,   351,   359,   364,   374,   386,   557,   723,
       3,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    33,    34,    36,    38,    39,    40,    41,
      42,    44,    45,    47,    48,    49,    50,    51,    54,    55,
      56,    57,    58,    60,    61,    62,    63,    64,    67,    68,
      69,    70,    72,    73,    75,    76,    77,    78,    79,    80,
      82,    83,    84,    86,    87,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   105,   107,   108,   109,   110,   111,
     113,   114,   115,   118,   119,   120,   121,   122,   124,   125,
     126,   128,   129,   131,   132,   133,   134,   135,   136,   137,
     138,   140,   142,   143,   144,   146,   148,   152,   153,   154,
     156,   157,   159,   161,   162,   163,   164,   165,   167,   168,
     169,   171,   172,   173,   174,   175,   176,   178,   180,   181,
     182,   183,   184,   185,   186,   188,   190,   193,   195,   196,
     197,   198,   199,   200,   202,   204,   207,   208,   209,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   238,   239,   241,   243,   244,   245,   246,
     247,   250,   253,   254,   255,   258,   262,   263,   264,   265,
     266,   267,   268,   270,   271,   272,   273,   274,   275,   276,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   301,   302,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   316,   317,   318,   319,   320,   322,
     323,   324,   325,   327,   328,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   343,   344,   346,
     347,   348,   349,   350,   351,   353,   354,   357,   358,   359,
     360,   362,   363,   364,   365,   366,   367,   370,   371,   372,
     373,   376,   377,   378,   379,   380,   381,   383,   385,   386,
     387,   390,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   787,   927,
     939,   942,   943,   384,   752,   251,   276,   723,    43,   492,
     791,    21,    33,    53,    74,    98,   104,   119,   147,   154,
     158,   209,   253,   256,   304,   310,   319,   347,   348,   350,
     351,   359,   364,   369,   374,   502,   613,   659,   669,    22,
     275,   927,   787,   150,    22,   270,   348,   350,     5,   196,
     696,   697,   936,    21,    33,    53,    78,    98,   119,   147,
     152,   158,   173,   253,   263,   304,   308,   310,   316,   319,
     345,   347,   351,   359,   364,   374,   386,   557,   625,   723,
     927,    81,   384,   425,   536,   751,   757,   765,   768,   773,
     779,   786,   790,     9,    15,    22,    38,   142,   148,   150,
     170,   198,   228,   278,   291,   416,   417,   635,   636,   787,
     935,   938,    22,    81,   289,   315,   640,   641,   642,   939,
     189,   939,   932,   936,   345,   800,   635,   939,   357,   927,
     263,    98,   173,   344,   345,   703,   309,   939,    22,   320,
     353,   357,   459,   939,    19,   155,   640,   641,   276,   723,
     939,    22,   116,   802,    54,    75,   209,   224,   304,   310,
     320,   353,   357,   397,   458,   459,    22,   320,   353,   357,
     459,   357,   252,   833,   925,   939,   800,   418,   939,   833,
     835,   151,   425,   753,   425,   921,   288,   796,   797,   927,
     791,   792,     0,   428,   752,   130,   187,   257,   368,   803,
     804,   791,   793,   794,   429,     3,    37,    43,    71,    85,
      91,   149,   151,   166,   179,   191,   192,   194,   203,   205,
     226,   240,   259,   260,   261,   303,   326,   384,   933,   939,
     940,   942,   944,   627,   939,   928,   939,   279,   627,    97,
     648,   933,   937,   939,   925,   246,     8,    61,   140,   412,
     413,   414,   416,   417,   418,   419,   420,   421,   694,   888,
     889,   939,   937,   927,   925,   927,   833,   927,   312,   927,
     627,   215,   937,   925,   196,   193,   284,   724,   725,   726,
     925,   931,   939,    21,    53,    66,    74,    78,    98,   119,
     152,   173,   197,   253,   304,   308,   310,   316,   345,   347,
     351,   359,   364,   386,   557,   632,   936,   925,   355,   933,
     927,   425,   359,   928,   627,    97,   348,   350,   937,   348,
     350,    61,   140,   694,   295,   937,   454,   939,   927,   927,
     312,   927,   627,   215,   937,   316,   345,   386,    78,   173,
     152,   308,   363,   551,    22,   927,   788,   835,   466,   936,
     939,   697,   165,   933,   927,   165,   701,   165,   928,    97,
     165,   933,   165,   926,   927,    61,   140,   165,   694,    47,
     165,   926,   165,   927,   165,   927,   165,   927,   312,   165,
     927,   165,   215,   926,   196,   165,   626,   627,   425,   766,
     502,   757,   380,   384,   751,   758,   759,   760,   939,   752,
     938,   636,   637,    22,   637,   938,   637,    22,   637,   938,
     637,   637,   637,   938,   935,   935,   787,   637,   279,   425,
     425,   520,   520,   520,   251,   355,   429,   520,   925,   833,
     834,   429,   719,   936,   425,   763,    47,   927,   927,   925,
     939,    37,   408,   193,   427,   254,   254,   251,   150,   936,
     355,   251,     4,     6,     7,     8,    10,    30,    42,    44,
      45,    52,    53,    56,    57,    64,    88,    89,    90,    91,
      92,    93,    94,   101,   102,   120,   135,   138,   139,   143,
     157,   185,   186,   188,   202,   210,   211,   225,   227,   237,
     242,   243,   245,   253,   262,   271,   285,   306,   321,   328,
     340,   353,   354,   358,   360,   361,   369,   374,   381,   399,
     400,   401,   402,   403,   404,   405,   416,   417,   418,   425,
     791,   844,   847,   850,   851,   852,   854,   855,   856,   857,
     860,   861,   865,   867,   868,   886,   890,   909,   914,   922,
     923,   933,   934,   935,   936,   939,   936,    22,   471,   924,
     925,   320,   458,   104,   465,   936,   466,   936,    37,    58,
     458,   408,   725,   254,   150,   355,   412,    37,   408,   193,
     726,   425,   925,   418,   423,   427,   915,   916,   834,    31,
     939,   322,   149,   151,   384,   748,   749,   751,   149,   754,
     104,   865,   919,   920,   796,   429,   425,   755,   426,   426,
     434,   925,    22,   116,   801,   801,    47,   801,   141,   145,
     206,   249,   807,   809,   810,   819,   821,   822,   803,   804,
     921,   425,   604,   916,   264,   293,   427,   628,   264,   293,
     322,   392,   436,   467,   468,   654,    18,   121,   264,   322,
     478,   395,    49,    80,   137,   168,   264,   293,   301,   307,
     314,   322,   330,   338,   387,   468,   681,   688,   425,   670,
      18,   121,   293,   451,    18,    24,    63,   114,   121,   124,
     175,   229,   264,   293,   297,   322,   476,   477,     4,   417,
     548,   938,   627,   627,   425,   693,   427,   170,   293,   436,
     443,   264,   293,    48,    96,   172,   217,   219,   229,   263,
     293,   298,   322,   332,   476,   545,   546,   255,   264,   385,
     566,   574,   293,   322,   476,   264,   293,   297,   322,    72,
     113,   265,   349,   251,   264,   293,   322,   145,   293,   322,
     436,   468,   293,   322,   476,   927,   204,   252,   396,   429,
     724,   375,   746,   251,   933,   425,   927,   933,   246,    61,
     140,   694,   927,   312,   927,   196,   627,   520,   335,   336,
     488,   936,   425,   604,   605,    59,     3,    42,    44,    45,
      56,    57,   101,   102,   143,   185,   186,   188,   225,   227,
     245,   285,   323,   328,   353,   354,   381,   841,   843,   845,
     847,   849,   851,   852,   853,   855,   856,   860,   861,   940,
     942,   927,   436,    31,   741,   395,   436,   627,   627,   425,
     600,   502,   436,    37,   455,   364,   573,   264,   559,    72,
     113,   265,   349,    20,    39,   583,    31,   600,   145,   436,
     925,   537,   925,   925,   627,    71,   660,   933,   927,   557,
      43,    95,   182,   229,   311,   375,   774,   135,   604,    50,
     299,   479,   135,   425,   135,   395,   135,   670,   135,   429,
     165,   627,   165,   627,   135,   693,   926,   135,   135,   251,
     135,   479,   135,    72,   113,   265,   349,   135,   251,   135,
     145,   165,   165,   466,   135,   429,   479,   865,   893,   345,
     426,   429,   139,   248,   251,   361,   463,   466,   548,   761,
     757,   637,   787,   637,   787,   637,   787,   637,   787,   637,
     787,   787,   787,   637,   787,   425,   521,   522,   939,   521,
      22,    98,   147,   152,   196,   197,   310,   316,   345,   347,
     643,   924,   926,   642,   104,   425,   769,   790,   170,   429,
     776,   936,   841,   896,    31,   926,   146,   704,   704,   704,
     204,   939,   145,   145,   643,   926,   309,   939,   425,   917,
     423,   791,   897,   383,   858,   865,   913,   425,   858,   858,
     425,   425,   425,   425,   846,   846,   273,   791,   425,   425,
     848,   425,   425,   425,   425,    56,    57,   858,   865,   425,
     846,   425,   425,   425,   425,   425,   393,   411,   425,   862,
     425,   862,   425,   425,   791,   425,   425,   425,   425,   425,
     425,   425,   865,   865,   791,   865,   893,   936,    57,   425,
     859,   425,   936,     3,     8,    11,    28,    31,    36,    41,
     166,   170,   191,   192,   205,   237,   240,   253,   256,   326,
     412,   413,   414,   416,   417,   418,   419,   420,   421,   888,
     890,   892,   261,   865,   189,   429,   798,   425,   936,   916,
     107,   167,   472,   429,    58,   104,   466,    31,     3,   104,
     209,   464,   548,   861,   936,    76,   118,   874,    87,   104,
     460,   461,   463,   466,   548,   104,   460,   204,   925,   865,
       3,    22,    26,    27,    28,    29,    30,    31,    32,    35,
      46,    52,    53,    59,    65,    66,    74,    81,    88,    89,
      90,    92,    93,    94,   104,   106,   112,   116,   117,   123,
     127,   130,   139,   141,   145,   147,   150,   155,   158,   160,
     170,   177,   187,   189,   201,   206,   210,   211,   237,   242,
     248,   249,   251,   252,   256,   257,   269,   277,   289,   300,
     315,   321,   329,   342,   345,   352,   355,   356,   361,   368,
     369,   374,   375,   382,   388,   389,   391,   392,   418,   930,
     941,   942,   943,   944,   945,   915,    77,   298,   630,   939,
     425,   780,   781,   782,   783,   784,   939,   426,   429,   752,
     426,   429,   797,   926,    31,   755,   793,   793,   805,   806,
     865,   793,   142,   228,   816,   284,   324,   373,    22,   811,
     865,   812,   814,   865,   867,   819,   820,   810,   809,   807,
     808,   145,   822,   807,   819,   418,   896,   264,   293,   322,
     355,   355,   930,   427,   355,   355,   347,   458,   736,   145,
     155,   170,   302,   655,   656,    59,    74,   131,   147,   277,
     369,   518,   519,    74,   104,   237,   355,   104,   237,   310,
     927,   251,   548,   314,   355,   355,   242,   548,   108,   190,
     310,   299,   681,   689,   170,   180,   258,   323,   382,   426,
     671,   674,   675,   676,   678,   841,   940,   355,   374,    66,
     131,   509,   518,   939,    66,   706,   251,   308,   359,    74,
     706,    25,   296,   308,   359,   925,   175,   355,   355,   425,
     481,   347,   392,   393,   481,   429,     4,   264,   375,   375,
     235,   841,   264,   694,    98,   355,   438,   468,   355,   355,
     548,    47,   547,   548,   548,    96,   217,   219,    47,   355,
     436,   310,   436,   229,   546,   425,   355,   242,   936,   566,
     355,   706,   310,   355,   355,   481,   481,   627,   627,   627,
     627,   925,   355,   355,   310,    94,   374,   579,   937,   355,
     438,   355,   310,   264,   293,   284,   294,   318,   462,   724,
     931,   939,   925,   604,   841,   251,   670,   548,   627,   627,
     693,   191,   251,    72,   113,   265,   349,   251,   627,   191,
     392,   493,   436,     3,   606,   607,   600,   425,   843,    31,
      30,   842,    99,   163,   218,   221,   313,   406,   425,   863,
     864,   628,   846,    20,   731,   841,   927,   437,   613,   375,
     601,   602,   941,   386,   437,   937,    81,   155,   456,   501,
     542,   582,   638,   658,   727,   936,   574,   575,   927,   212,
     627,   627,   627,   627,   109,   183,   362,   373,   584,   585,
     128,   425,   579,   437,   544,   545,    31,   247,   425,   538,
     520,   145,   661,   931,   425,   672,    31,   196,   392,   393,
     789,   311,   425,   791,   826,   827,   828,   833,   836,   868,
     933,   939,   389,   838,   933,   479,   841,   928,   165,   927,
     933,   479,   926,   927,   135,   375,   135,   375,   694,   479,
     479,   926,   927,   925,   927,   927,   927,   925,   926,   579,
     135,   135,   479,   626,   627,   426,   429,   925,   757,   759,
     787,   787,   787,   787,   787,   787,   521,   426,   429,   426,
     153,   317,   346,   926,    97,   319,   647,   648,   926,   246,
     926,   924,   924,   926,   355,   392,   651,   380,   770,   771,
     939,   300,   772,    16,   133,   306,   324,   777,   833,   241,
     778,   426,   429,   764,   768,   773,   779,   790,   355,   641,
     640,   641,   150,   156,   652,   939,   893,   915,   424,   893,
     897,   898,   425,   388,   910,   911,   865,   893,   935,   935,
     893,     3,    99,   163,   218,   221,   313,   406,   899,   900,
     936,   935,   893,   893,   935,   935,   858,   858,   865,   694,
     865,   901,   416,   417,   866,   867,   886,   890,   903,   426,
     893,   865,   893,   904,   353,   408,   935,   935,   865,    46,
     150,   201,   356,   865,   893,   907,   893,   223,   865,   872,
     873,   874,   223,   865,   874,   426,   429,   322,   935,   935,
     863,   841,   865,   941,   353,    35,   342,   918,   865,   425,
     791,   908,   116,   118,   139,   237,   242,   247,   361,   370,
     865,    41,   166,   170,   205,   326,   425,   865,   355,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,    22,
      29,   329,   887,   306,   425,   886,   154,   209,   345,   348,
     350,   799,   925,   923,   150,   825,    22,   116,   382,   418,
     426,   676,   865,   894,   895,   940,   925,   357,   425,   936,
     429,   426,   424,   430,   164,   164,   479,   784,   785,   429,
     825,   412,   917,   925,   749,   750,   925,   919,   426,   791,
     429,    32,   112,   375,   666,   425,   813,   938,   252,   247,
     823,   823,   429,   306,   307,   815,   820,   808,   426,   426,
     355,   355,   310,   937,   927,   930,   937,   928,   927,    73,
     737,   304,   374,   640,   310,   155,   640,   425,   927,   375,
     662,   195,   195,   425,   927,   242,   937,   865,   242,   927,
     229,   264,   378,   554,   566,   242,   108,   190,   937,   927,
     251,   927,   258,   940,   426,   429,   676,   678,   675,   678,
     940,   628,   937,   926,   509,   841,   939,   927,   927,    22,
     374,   927,   165,   927,   165,   939,   308,   359,   308,   359,
     927,    22,   374,   927,   925,   937,   927,   483,   484,   941,
     927,   250,    63,   250,   477,   355,   929,   939,   929,   429,
     426,   429,   355,   928,   937,    73,    82,    83,    84,   126,
     175,   214,   230,   231,   232,   233,   234,   236,   268,   341,
     367,   374,   377,   439,   937,   927,   548,   627,   927,   548,
     927,   548,    18,   121,   322,   567,   568,   569,   570,   941,
     937,   927,   927,   927,   937,   927,    18,    24,   121,   264,
     293,   264,   293,   600,   293,   293,   293,   937,   927,   927,
     319,   937,   927,   927,   355,   355,    70,   366,   284,   191,
      31,   627,   191,   191,   375,   375,   191,   242,   633,   936,
     627,   627,   627,   627,   627,   627,   191,   633,   250,   150,
     355,   487,   425,   489,   490,   412,   426,   429,   865,    30,
     842,   841,   423,   423,   355,   355,   355,   425,   355,   935,
     846,   584,    73,   125,   199,   200,   212,   264,   347,   349,
     732,   511,   554,   555,    19,   170,   304,   343,   439,   440,
     145,   929,   426,   429,   412,   925,   455,   256,   502,   147,
     936,   600,   600,   600,   600,   247,   251,   256,   425,   839,
     840,   939,   319,   134,   790,   627,   205,   503,   505,   507,
     509,   515,   518,   539,   540,   939,   392,   393,   532,    31,
     936,   251,   426,   673,   674,   679,    31,   196,   301,   391,
     680,   681,   682,   251,   466,   162,   162,   145,   791,   827,
     828,    31,   829,   939,   429,    85,   151,   179,   194,   203,
     226,   303,   830,   829,    31,   829,   939,   425,   916,    87,
     865,   772,   604,    31,   135,   479,   670,   627,   929,   627,
     929,   693,   251,   479,   479,   251,   479,   319,   145,   466,
     479,   865,   425,   426,   522,   170,   170,   170,   395,   926,
     429,   548,   549,   158,   644,   645,   937,    19,   652,   426,
     429,   917,   922,   133,   324,   133,   324,   306,   373,   220,
     841,   927,   150,   251,   644,    47,   479,   426,   424,   424,
     429,   893,   865,   123,   911,   912,    31,   426,   426,   426,
     426,   426,   150,   426,   426,   426,   426,   426,   429,   426,
     269,   902,   426,   866,   866,    11,   170,   191,   253,   412,
     413,   414,   416,   417,   418,   419,   420,   421,   890,   866,
     426,   426,   145,   150,   905,   906,   426,   408,   426,   426,
      31,   907,   893,   907,   907,   150,   426,   426,   941,    31,
     426,   429,   865,   941,   429,   865,   917,   865,   939,   426,
     426,   408,   866,   866,   129,   893,   150,   116,   118,   139,
     242,   247,   361,   370,   425,   129,   342,   918,   865,   908,
     865,   355,   694,   865,   425,   791,   348,   350,   348,   350,
     925,   800,   800,   826,   389,   837,   894,   894,   895,   426,
     260,   879,    13,   426,   429,   804,   725,   935,   863,   461,
     865,   426,   429,   781,   838,   919,   755,   806,   253,   888,
     891,   409,   410,   667,   865,   815,   924,   778,   778,   812,
     937,   927,   927,   206,   926,   926,   251,   926,   254,   251,
     865,   519,   929,   425,   425,   425,   521,   479,   378,   355,
     552,   927,   566,   181,   242,   628,   674,   678,   678,   420,
     511,   121,   297,   322,   478,   707,   135,   479,   135,   479,
     927,   927,   927,   927,   426,   429,   412,   427,   937,   264,
     293,    18,   121,   264,   293,   841,   235,   841,   937,   206,
     268,   242,   936,   268,   926,   372,   569,   570,   569,   426,
     429,   571,   936,   355,   215,   215,   215,   355,   355,   355,
     355,   355,   355,   355,   927,   937,   927,   633,   841,   191,
     633,   633,   929,   929,   633,   191,   191,   191,   191,   191,
     191,   633,   488,   496,   497,   941,    43,    86,   110,   129,
     146,   161,   242,   250,   282,   491,   253,   416,   417,   548,
     603,   678,   891,   936,   945,     3,   607,   426,   423,   426,
     935,   424,   935,   163,   218,   864,   218,   864,   864,   935,
     221,   426,   251,   206,   412,   733,   733,   733,   733,   733,
     733,   733,    59,    74,   104,   106,   177,   237,   242,   277,
     289,   369,   512,   513,   514,   255,   564,   926,   158,   304,
     926,   935,   364,   602,   603,   520,   295,   345,    97,   521,
     925,   585,   608,   609,   936,   426,   429,   841,   927,   927,
     392,   541,   425,   504,   925,   426,   429,   426,   429,   250,
     481,   250,   251,   533,   790,   355,   925,   426,   429,   104,
     412,   683,   936,   466,   345,   677,   678,   392,   682,   684,
     109,   183,   315,   373,   715,   159,   790,   426,   939,   425,
     827,   194,   259,   831,   827,   831,   194,   830,   831,   194,
     425,   939,   425,   894,   247,   479,   841,   927,   479,   375,
     479,   375,   479,   479,   925,   925,   927,   579,   479,   939,
     310,   310,   310,   926,   648,   429,   937,   392,   429,   646,
     254,   790,   771,   133,   133,   926,   643,   479,   937,   897,
     426,   352,   865,   127,   841,   865,   865,   865,   905,   841,
     866,   116,   118,   237,   247,   866,   866,   866,   866,   866,
     866,   866,   866,   866,   866,   865,   865,   906,   905,   862,
     862,   841,   426,   426,   426,   893,   426,   429,   941,   873,
     274,   339,   875,   426,   429,   385,   869,    31,   426,   859,
     936,   865,    28,    28,   865,   426,   865,   150,   425,   896,
     865,   866,   866,   129,   129,   865,   426,   129,   865,   800,
     800,   800,   800,   925,   925,   865,   158,   817,   429,   803,
     804,   803,   426,   879,   425,   880,   939,   865,   879,   936,
     382,   895,   426,   426,   424,   412,   784,   772,   425,   667,
     426,   252,   733,   153,   317,   346,   657,   145,   657,   426,
     425,   524,   525,   664,   868,   939,   521,   521,   426,   937,
     628,   181,   420,   364,   237,   481,    97,   237,   334,   337,
     481,   364,   927,   939,   484,   603,   941,   355,   355,   152,
     253,   337,   611,   612,   152,   253,   618,   619,   355,   355,
     426,   426,   426,   938,   936,   936,   936,   568,   927,   145,
     145,   295,   145,   165,   937,   927,   937,   927,   927,   927,
     927,   566,   426,   633,   191,   191,   633,   633,   633,   633,
     633,   633,   375,   494,   495,   426,   429,   418,   425,   463,
     466,   498,   548,   741,   741,   237,   282,   741,   741,   106,
     177,   237,   593,   594,   595,   935,   392,   393,   424,   424,
     426,   863,   925,   733,   104,   935,   936,   104,   936,   104,
     936,   104,   936,   104,   927,   104,   927,   104,   927,   425,
     927,   866,   107,   167,   106,   242,   195,   925,   684,   425,
     926,   926,   841,    31,   925,   395,   145,   586,   426,   429,
     840,   564,   766,    97,   229,   506,   508,   510,   518,   939,
     532,   516,   176,   531,   507,   540,    69,   347,   534,   392,
     728,   936,   662,   679,   865,   865,   429,   425,   680,   600,
     355,   552,   829,   425,   926,   827,   251,   375,   832,   827,
     194,   827,   839,   425,   839,   939,   426,   927,   426,   479,
     929,   929,   479,   479,   319,   926,   926,   926,   548,   155,
     645,   652,   150,   865,   426,   426,   906,   150,   116,   118,
     247,   425,   426,   398,   871,   893,   390,   390,   426,   865,
     229,   865,   429,   870,   843,   863,   866,   866,   865,   896,
     426,    28,    28,   865,   865,   129,   865,   426,   925,   925,
     925,   925,    47,   160,   818,   426,   426,   879,   881,   939,
     895,   879,   936,   921,   694,   938,   355,   640,   150,   593,
     865,   426,   429,   392,   375,   627,   665,   665,   426,   426,
     684,   364,   242,   242,   938,   939,   841,   479,   479,   412,
     937,   927,   935,   935,   841,   429,   935,   935,   429,   937,
     927,   926,   926,   627,   926,   135,   191,   633,   633,   436,
     111,   497,   463,   466,   499,   500,   936,   936,   242,   418,
     521,   936,   936,   107,   167,   106,   595,   594,   424,   152,
     180,   152,   150,   592,   938,   865,   237,   513,   684,   520,
     375,   535,   565,   569,   375,   790,   425,   927,   122,   587,
     388,   589,   936,    97,   426,   429,   392,   533,   132,   171,
     425,   532,   109,   121,   274,   927,    51,    59,   209,   150,
     425,   936,   676,   685,   686,   940,   684,   925,   178,   553,
     926,   426,   865,   425,   827,   832,   426,   839,   426,   479,
     479,   479,   927,   254,   479,   644,   866,   150,   425,   896,
     425,   426,   429,   426,   426,   379,   331,   426,   426,   426,
     866,   866,   865,   893,   865,   391,   876,   879,   879,   267,
     882,   426,   863,   426,   644,   251,   644,   426,   684,   525,
     253,   694,   627,   666,   666,   289,   684,   535,   375,   480,
     603,   425,   933,   694,   612,   425,   425,   619,   392,   295,
     392,   392,   145,   633,   489,   936,   426,   429,   521,   648,
      31,   699,   699,   925,   593,   426,   535,   216,   523,   173,
     426,   429,   929,   728,   564,   306,   333,   588,   425,   134,
     508,   255,   534,    22,    68,    75,   105,   174,   337,   517,
     517,   924,   533,   307,   307,    59,   254,    59,   627,   663,
     664,   678,   426,   429,   837,   552,   555,   426,   926,   426,
     479,   866,   896,   426,   872,   893,   229,   407,   877,   878,
     939,    47,   803,   879,   646,   657,   479,   665,   535,   425,
     667,   667,   925,   535,   593,   865,   896,   670,   287,   615,
     693,   896,   896,   626,   627,   626,   627,   926,   500,   699,
      34,   169,   145,   151,   266,   327,   251,   527,   528,   529,
     347,   569,   140,   614,   865,   281,   511,   426,   534,   254,
     254,   426,   429,   680,   685,   117,   426,   426,   426,   426,
     379,   429,    31,   893,   283,   307,   883,   150,   666,   389,
     526,   694,   520,   593,   426,   615,   426,   426,   392,   122,
     109,   373,   251,   529,   251,   528,   927,   627,    31,   426,
     933,   392,   482,   664,   684,    23,   184,   716,   878,   880,
      41,    87,   365,   865,   884,   885,   884,   426,   644,   667,
     425,   593,   426,   523,   933,   627,   306,    50,   229,   299,
     322,   530,   530,   611,   425,   481,   534,   238,   425,   711,
     713,   718,   768,   773,   779,   790,   885,   306,   144,   272,
     144,   272,   479,   865,   527,   670,   589,    17,   104,   242,
       4,     6,     7,   590,   591,   935,   936,   939,   837,   712,
     713,   714,   791,   792,    28,   426,   593,   134,   426,   429,
     426,   428,   885,   281,   591,   714,   933,   425,   590,   426
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */





/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1455 of yacc.c  */
#line 633 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			}
    break;

  case 3:

/* Line 1455 of yacc.c  */
#line 640 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 647 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				}
    break;

  case 107:

/* Line 1455 of yacc.c  */
#line 759 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 108:

/* Line 1455 of yacc.c  */
#line 770 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 109:

/* Line 1455 of yacc.c  */
#line 780 "gram.y"
    {}
    break;

  case 110:

/* Line 1455 of yacc.c  */
#line 781 "gram.y"
    {}
    break;

  case 111:

/* Line 1455 of yacc.c  */
#line 790 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 112:

/* Line 1455 of yacc.c  */
#line 791 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 113:

/* Line 1455 of yacc.c  */
#line 795 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 114:

/* Line 1455 of yacc.c  */
#line 796 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 801 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 806 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 810 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 815 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 820 "gram.y"
    {
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
				}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 824 "gram.y"
    {
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
				}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 828 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 832 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
				}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 836 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
				}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 840 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
				}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 844 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
				}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 848 "gram.y"
    {
					(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
				}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 852 "gram.y"
    {
					/* For backwards compatibility, synonym for SUPERUSER */
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
				}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 857 "gram.y"
    {
					(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
				}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 861 "gram.y"
    {
					(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
				}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 865 "gram.y"
    {
					(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
				}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 869 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 873 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 878 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 884 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); }
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 887 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 891 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 895 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 899 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 903 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 917 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 935 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 945 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 946 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 951 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 969 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 981 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1002 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1009 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1028 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1035 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1052 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1070 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1080 "gram.y"
    { (yyval.ival) = +1; }
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1081 "gram.y"
    { (yyval.ival) = -1; }
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1094 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1101 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1118 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1130 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1141 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 1142 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 161:

/* Line 1455 of yacc.c  */
#line 1146 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 162:

/* Line 1455 of yacc.c  */
#line 1147 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 1175 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 1181 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 1187 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 172:

/* Line 1455 of yacc.c  */
#line 1196 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 1204 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 1212 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 1219 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 1226 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 1234 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 1245 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 1253 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 1261 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 1269 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 1277 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 1288 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 1296 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 1304 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 1311 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 1320 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 1322 "gram.y"
    {
					(yyval.str) = palloc(strlen((yyvsp[(1) - (3)].str)) + strlen((yyvsp[(3) - (3)].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str));
				}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 1328 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 1329 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 1333 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 1335 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 1337 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 1340 "gram.y"
    { (yyval.str) = "read uncommitted"; }
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 1341 "gram.y"
    { (yyval.str) = "read committed"; }
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 1342 "gram.y"
    { (yyval.str) = "repeatable read"; }
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 1343 "gram.y"
    { (yyval.str) = "serializable"; }
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 1347 "gram.y"
    { (yyval.str) = "true"; }
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 1348 "gram.y"
    { (yyval.str) = "false"; }
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 1349 "gram.y"
    { (yyval.str) = "on"; }
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 1350 "gram.y"
    { (yyval.str) = "off"; }
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 1363 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 1367 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 1371 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 1386 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 1408 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 1409 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 1410 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 1414 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 1415 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 1416 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 1420 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 1421 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 1426 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 1433 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 1440 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 1447 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 1454 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 1463 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 1464 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 1470 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 1476 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 1482 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 1488 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 1494 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 1504 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred    = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 1513 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 1514 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 1518 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 1519 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 1528 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 1543 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 1549 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 1555 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 1561 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 1579 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 1587 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					(yyval.node) = (Node *)n;
				}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 1595 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 1603 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					(yyval.node) = (Node *)n;
				}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 1613 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 1614 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 1620 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 1628 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 1636 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 1645 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 1653 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 1661 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 1670 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 1679 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 1688 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 1697 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 1707 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 1720 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (7)].str);
					n->def = (Node *) (yyvsp[(6) - (7)].typnam);
					n->transform = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 1730 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 1738 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 1748 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 1758 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 1765 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 1772 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 1780 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 1788 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 1796 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 1804 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 1812 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 1819 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 1826 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 1834 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 1841 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 1848 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 1856 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 1864 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 1872 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 1880 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 1888 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 1896 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 1904 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 1912 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 1920 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 1929 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); }
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 1930 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 1934 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; }
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 1935 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; }
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 1936 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 1940 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 1941 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 1945 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 1948 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 1949 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 1953 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 1954 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 1960 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 1964 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 1968 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 1973 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 1988 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 1994 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2022 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (10)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (10)].list);
					n->is_from = (yyvsp[(6) - (10)].boolean);
					n->filename = (yyvsp[(7) - (10)].str);

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (10)].defelt));
					if ((yyvsp[(5) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (10)].defelt));
					if ((yyvsp[(8) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(8) - (10)].defelt));
					if ((yyvsp[(10) - (10)].list))
						n->options = list_concat(n->options, (yyvsp[(10) - (10)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2043 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (6)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->filename = (yyvsp[(4) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2056 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2057 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2066 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2067 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2068 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2071 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2072 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2077 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2078 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2083 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2087 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2091 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2095 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2099 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2103 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2107 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2111 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2115 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2119 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2123 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2132 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2135 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2140 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2143 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2148 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2151 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2155 "gram.y"
    {}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2156 "gram.y"
    {}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2162 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2166 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2173 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2179 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2180 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2181 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2182 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); }
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2183 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); }
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2184 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2189 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2193 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2200 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2201 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2214 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->istemp = (yyvsp[(2) - (11)].boolean);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(6) - (11)].list);
					n->inhRelations = (yyvsp[(8) - (11)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2228 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (10)].range)->istemp = (yyvsp[(2) - (10)].boolean);
					n->relation = (yyvsp[(4) - (10)].range);
					n->tableElts = (yyvsp[(7) - (10)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (10)].list));
					n->ofTypename->location = (yylsp[(6) - (10)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (10)].list);
					n->oncommit = (yyvsp[(9) - (10)].oncommit);
					n->tablespacename = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2250 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2251 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2252 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2253 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2254 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2255 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2256 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2260 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2261 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2265 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2266 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2271 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 2275 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 2282 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 2286 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 2292 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 2293 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 2294 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 2298 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 2299 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 2303 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->constraints = (yyvsp[(3) - (3)].list);
					n->is_local = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 2314 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->constraints = (yyvsp[(4) - (4)].list);
					n->is_local = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 2324 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 2325 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 2330 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 2337 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 2338 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 2358 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 2365 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 2372 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 2382 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 2392 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (4)]);
					n->raw_expr = (yyvsp[(3) - (4)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 2401 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 2410 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 2439 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 2446 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 2453 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 2460 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 2479 "gram.y"
    {
					InhRelation *n = makeNode(InhRelation);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 2488 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 2489 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); }
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 2490 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 2494 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 2495 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 2496 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 2497 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 2498 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 2499 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 2509 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 2516 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 2521 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					if ((yyvsp[(5) - (5)].ival) != 0)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CHECK constraints cannot be deferred"),
								 parser_errposition((yylsp[(5) - (5)]))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 2536 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexspace = (yyvsp[(6) - (7)].str);
					n->deferrable = ((yyvsp[(7) - (7)].ival) & 1) != 0;
					n->initdeferred = ((yyvsp[(7) - (7)].ival) & 2) != 0;
					(yyval.node) = (Node *)n;
				}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 2549 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexspace = (yyvsp[(7) - (8)].str);
					n->deferrable = ((yyvsp[(8) - (8)].ival) & 1) != 0;
					n->initdeferred = ((yyvsp[(8) - (8)].ival) & 2) != 0;
					(yyval.node) = (Node *)n;
				}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 2563 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					n->deferrable		= ((yyvsp[(9) - (9)].ival) & 1) != 0;
					n->initdeferred		= ((yyvsp[(9) - (9)].ival) & 2) != 0;
					(yyval.node) = (Node *)n;
				}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 2578 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					n->skip_validation  = FALSE;
					n->deferrable		= ((yyvsp[(11) - (11)].ival) & 1) != 0;
					n->initdeferred		= ((yyvsp[(11) - (11)].ival) & 2) != 0;
					(yyval.node) = (Node *)n;
				}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 2596 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 2597 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 2601 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 2602 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 2606 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 2612 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 2616 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 2624 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 2628 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 2634 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 2636 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 2640 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 2645 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 2651 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 2652 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 2663 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 2665 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); }
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 2667 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); }
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 2669 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); }
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 2671 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 2674 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 2677 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 2681 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 2682 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 2683 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 2684 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 2685 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 2688 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 2689 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 2694 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 2695 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); }
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 2696 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); }
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 2697 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 2700 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; }
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 2701 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 2702 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 2703 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 2706 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 2707 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 2710 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 2711 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 2722 "gram.y"
    {
					/*
					 * When the SelectStmt is a set-operation tree, we must
					 * stuff the INTO information into the leftmost component
					 * Select, because that's where analyze.c will expect
					 * to find it.	Similarly, the output column names must
					 * be attached to that Select's target list.
					 */
					SelectStmt *n = findLeftmostSelect((SelectStmt *) (yyvsp[(6) - (7)].node));
					if (n->intoClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE AS cannot specify INTO"),
								 parser_errposition(exprLocation((Node *) n->intoClause))));
					(yyvsp[(4) - (7)].into)->rel->istemp = (yyvsp[(2) - (7)].boolean);
					n->intoClause = (yyvsp[(4) - (7)].into);
					/* Implement WITH NO DATA by forcing top-level LIMIT 0 */
					if (!(yyvsp[(7) - (7)].boolean))
						((SelectStmt *) (yyvsp[(6) - (7)].node))->limitCount = makeIntConst(0, -1);
					(yyval.node) = (yyvsp[(6) - (7)].node);
				}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 2747 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
				}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 2758 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 2759 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 2763 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 2764 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 2769 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (1)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 2784 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 2785 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 2786 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 2800 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->istemp = (yyvsp[(2) - (5)].boolean);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 2812 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 2820 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 2821 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 2824 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 2825 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 2829 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 2833 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 2837 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 2841 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 2845 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 2849 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 2853 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 2857 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 2861 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 2865 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 2869 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 2873 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 2878 "gram.y"
    {}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 2879 "gram.y"
    {}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 2883 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); }
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 2885 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 2889 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); }
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 2892 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 2893 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 2906 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 2919 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 2932 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 2933 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 2941 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 2942 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 2946 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 2947 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 2951 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 2952 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 2956 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 2957 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 2962 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(4) - (5)].str);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 2970 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 2980 "gram.y"
    {}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 2981 "gram.y"
    {}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 2992 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (6)].str);
					n->owner = (yyvsp[(4) - (6)].str);
					n->location = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3001 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3002 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3016 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3023 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3039 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->validator = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3056 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3064 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(7) - (8)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3081 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->validator = (yyvsp[(6) - (7)].list);
					n->change_validator = true;
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3090 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->validator = (yyvsp[(6) - (6)].list);
					n->change_validator = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3098 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3108 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3109 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3114 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3118 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3125 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3130 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3134 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3141 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3145 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3150 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3155 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3162 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3168 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3173 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3185 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3197 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3198 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3203 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3204 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3208 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3209 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3220 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3228 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(5) - (6)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3245 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3254 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3262 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3278 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3289 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3290 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3291 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); }
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3302 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3310 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3327 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3348 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->before = (yyvsp[(4) - (15)].boolean);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3369 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->before = FALSE;
					n->row = TRUE;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					n->deferrable = ((yyvsp[(10) - (20)].ival) & 1) != 0;
					n->initdeferred = ((yyvsp[(10) - (20)].ival) & 2) != 0;
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3389 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3390 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3395 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3397 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3419 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 3421 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 3423 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 3425 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); }
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 3427 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 3432 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 3436 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 3446 "gram.y"
    {}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 3447 "gram.y"
    {}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 3451 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 3452 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 3456 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 3457 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 3461 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 3462 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 3463 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 3468 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 3473 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 3474 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 3475 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 3476 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 3477 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 3481 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); }
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 3482 "gram.y"
    { (yyval.range) = NULL; }
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 3487 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 3489 "gram.y"
    {
					if ((yyvsp[(1) - (2)].ival) == 0 && (yyvsp[(2) - (2)].ival) != 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);
				}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 3498 "gram.y"
    {
					if ((yyvsp[(1) - (1)].ival) != 0)
						(yyval.ival) = 3;
					else
						(yyval.ival) = 0;
				}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 3505 "gram.y"
    {
					if ((yyvsp[(2) - (2)].ival) == 0 && (yyvsp[(1) - (2)].ival) != 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);
				}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 3514 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 3518 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 3519 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 3523 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 3524 "gram.y"
    { (yyval.ival) = 2; }
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 3530 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 3540 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 3563 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					n->deferrable = ((yyvsp[(8) - (8)].ival) & 1) != 0;
					n->initdeferred = ((yyvsp[(8) - (8)].ival) & 2) != 0;

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 3581 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = NULL;
					n->property = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 3604 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 3614 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 3625 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 3635 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 3645 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 3656 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);
					RangeVar *r = makeNode(RangeVar);

					/* can't use qualified_name, sigh */
					switch (list_length((yyvsp[(3) - (7)].list)))
					{
						case 1:
							r->catalogname = NULL;
							r->schemaname = NULL;
							r->relname = strVal(linitial((yyvsp[(3) - (7)].list)));
							break;
						case 2:
							r->catalogname = NULL;
							r->schemaname = strVal(linitial((yyvsp[(3) - (7)].list)));
							r->relname = strVal(lsecond((yyvsp[(3) - (7)].list)));
							break;
						case 3:
							r->catalogname = strVal(linitial((yyvsp[(3) - (7)].list)));
							r->schemaname = strVal(lsecond((yyvsp[(3) - (7)].list)));
							r->relname = strVal(lthird((yyvsp[(3) - (7)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString((yyvsp[(3) - (7)].list))),
											parser_errposition((yylsp[(3) - (7)]))));
							break;
					}
					r->location = (yylsp[(3) - (7)]);
					n->typevar = r;
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 3692 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 3699 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 3708 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 3717 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 3726 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 3736 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 3739 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 3740 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 3744 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 3748 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 3754 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); }
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 3755 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); }
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 3756 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); }
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 3757 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); }
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 3758 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 3761 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 3762 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 3765 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 3768 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 3769 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 3778 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 3784 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 3785 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 3789 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 3791 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 3809 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 3822 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 3823 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 3828 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 3837 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->number = (yyvsp[(2) - (5)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 3846 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 3855 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 3865 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 3873 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 3874 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 3877 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 3878 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 3882 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 3895 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 3901 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 3911 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 3920 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 3931 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 3932 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 3937 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 3945 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 3957 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 3966 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 3978 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 3987 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4008 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4018 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4036 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4045 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4056 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4057 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4058 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4059 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4060 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4061 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4062 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4063 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4064 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4065 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4066 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4067 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4071 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4072 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4075 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4076 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4080 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); }
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4082 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4095 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4105 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4106 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4107 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4133 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4142 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4151 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4160 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4169 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4178 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4187 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4197 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4206 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4215 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4224 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4233 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4242 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4251 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4259 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4267 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4275 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4285 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4286 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4287 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4288 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4289 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4290 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4291 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4292 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4293 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4294 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4295 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4296 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4300 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4301 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4312 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4318 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4326 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4334 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4342 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4350 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4358 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4366 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4374 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4382 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4390 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4398 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4406 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4414 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4422 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4430 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4438 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4446 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4455 "gram.y"
    {}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4456 "gram.y"
    {}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4459 "gram.y"
    {}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4460 "gram.y"
    {}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4472 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4488 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4502 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4527 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4529 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4531 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4533 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4540 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4548 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); }
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4549 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); }
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4553 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4560 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 4567 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 4574 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 4588 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 4596 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 4604 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 4612 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 4620 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 4628 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 4636 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 4644 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 4652 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 4660 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 4668 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 4676 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 4684 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 4692 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 4703 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 4704 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 4708 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 4718 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 4731 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 4732 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 4736 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); }
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 4738 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); }
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 4743 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 4759 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 4772 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 4782 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 4793 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 4794 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 4797 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 4798 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 4809 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 4818 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 4819 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 4824 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 4828 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 4832 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 4844 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 4857 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 4871 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 4886 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; }
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 4887 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 4888 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 4903 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 4919 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 4920 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 4924 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 4925 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 4929 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 4930 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 4934 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 4935 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 4938 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); }
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 4939 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); }
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 4948 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (4)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->opclass = (yyvsp[(2) - (4)].list);
					(yyval.ielem)->ordering = (yyvsp[(3) - (4)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(4) - (4)].ival);
				}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 4958 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (4)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->opclass = (yyvsp[(2) - (4)].list);
					(yyval.ielem)->ordering = (yyvsp[(3) - (4)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(4) - (4)].ival);
				}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 4968 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (6)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->opclass = (yyvsp[(4) - (6)].list);
					(yyval.ielem)->ordering = (yyvsp[(5) - (6)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(6) - (6)].ival);
				}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 4979 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 4980 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 4981 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 4984 "gram.y"
    { (yyval.ival) = SORTBY_ASC; }
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 4985 "gram.y"
    { (yyval.ival) = SORTBY_DESC; }
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 4986 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; }
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 4989 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 4990 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; }
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 4991 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5009 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5021 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5034 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5047 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5048 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5051 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5052 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5056 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5057 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5065 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5066 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5070 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5072 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5087 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5096 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5105 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5114 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5123 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5134 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5135 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5136 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5137 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5138 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5149 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5163 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5165 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5171 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5181 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
			    }
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5185 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    }
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5190 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    }
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5199 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5200 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5208 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5212 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5216 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5220 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5224 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5228 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5232 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5236 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5240 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5244 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5248 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5252 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5256 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5264 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5268 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5272 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5276 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5281 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5283 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5289 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5290 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5294 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5306 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5310 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5325 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5335 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5336 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5358 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = extractArgTypes((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5368 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = extractArgTypes((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5381 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5391 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5404 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5414 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5427 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5435 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); }
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5437 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); }
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5439 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); }
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5444 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5446 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); }
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5459 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5467 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5468 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5473 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5477 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5490 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5501 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5512 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5523 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; }
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5524 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; }
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5525 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; }
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5530 "gram.y"
    {
					DropCastStmt *n = makeNode(DropCastStmt);
					n->sourcetype = (yyvsp[(5) - (9)].typnam);
					n->targettype = (yyvsp[(7) - (9)].typnam);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5540 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5541 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5556 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5564 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5574 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5586 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5587 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5590 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5591 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5602 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5611 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5619 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5627 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5636 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5644 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->subname = (yyvsp[(4) - (7)].str);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5652 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5661 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5670 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5678 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5687 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5696 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5705 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 5714 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 5723 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 5732 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 5740 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 5748 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 5756 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 5765 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 5774 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 5782 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 5790 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 5798 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 5806 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 5815 "gram.y"
    { (yyval.ival) = COLUMN; }
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 5816 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 5819 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 5820 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 5831 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 5840 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 5848 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 5857 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 5865 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 5873 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 5881 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 5897 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 5906 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 5914 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 5922 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 5930 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 5939 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 5947 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 5955 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 5964 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 5973 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 5982 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 5990 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 5998 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6006 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6014 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6022 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6030 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6049 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6063 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6064 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6065 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6071 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6077 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6093 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6094 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6097 "gram.y"
    { (yyval.ival) = CMD_SELECT; }
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6098 "gram.y"
    { (yyval.ival) = CMD_UPDATE; }
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6099 "gram.y"
    { (yyval.ival) = CMD_DELETE; }
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6100 "gram.y"
    { (yyval.ival) = CMD_INSERT; }
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6104 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6105 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6106 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6112 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6122 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6143 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 6152 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6153 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6157 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6166 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6172 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 966:

/* Line 1455 of yacc.c  */
#line 6191 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6198 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6205 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6212 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6219 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6226 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6233 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6241 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6249 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6257 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6265 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6273 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6280 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6287 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6295 "gram.y"
    {}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6296 "gram.y"
    {}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6297 "gram.y"
    {}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6302 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); }
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6305 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); }
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6308 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6315 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6317 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6319 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6325 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6339 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (8)].range);
					n->view->istemp = (yyvsp[(2) - (8)].boolean);
					n->aliases = (yyvsp[(5) - (8)].list);
					n->query = (yyvsp[(7) - (8)].node);
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6350 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (10)].range);
					n->view->istemp = (yyvsp[(4) - (10)].boolean);
					n->aliases = (yyvsp[(7) - (10)].list);
					n->query = (yyvsp[(9) - (10)].node);
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6363 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6369 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6375 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6380 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6391 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6407 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6416 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6417 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6422 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6426 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6430 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6434 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6438 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6442 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6446 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6450 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6454 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6458 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6462 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6466 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6470 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6474 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6478 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6482 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6491 "gram.y"
    {}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6492 "gram.y"
    {}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6504 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6511 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6522 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6532 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6533 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6538 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6552 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6559 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6576 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					n->constraints = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6588 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6597 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6605 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6613 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6622 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6632 "gram.y"
    {}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6633 "gram.y"
    {}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6645 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6655 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6665 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6675 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6685 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6695 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6703 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6725 "gram.y"
    {
			  CreateConversionStmt *n = makeNode(CreateConversionStmt);
			  n->conversion_name = (yyvsp[(4) - (10)].list);
			  n->for_encoding_name = (yyvsp[(6) - (10)].str);
			  n->to_encoding_name = (yyvsp[(8) - (10)].str);
			  n->func_name = (yyvsp[(10) - (10)].list);
			  n->def = (yyvsp[(2) - (10)].boolean);
			  (yyval.node) = (Node *)n;
			}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6747 "gram.y"
    {
			       ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(3) - (4)].range);
				   n->indexname = (yyvsp[(4) - (4)].str);
				   n->verbose = (yyvsp[(2) - (4)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6755 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = NULL;
				   n->indexname = NULL;
				   n->verbose = (yyvsp[(2) - (2)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6764 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(5) - (5)].range);
				   n->indexname = (yyvsp[(3) - (5)].str);
				   n->verbose = (yyvsp[(2) - (5)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6774 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6775 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6788 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6802 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6816 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6828 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6840 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6856 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 6857 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 6861 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; }
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 6862 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; }
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 6863 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; }
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 6864 "gram.y"
    { (yyval.ival) = VACOPT_FULL; }
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 6869 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 6881 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 6895 "gram.y"
    {}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 6896 "gram.y"
    {}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 6900 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 6901 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 6904 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 6905 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 6908 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 6909 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 6913 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 6914 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 6928 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 6935 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 6945 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 6952 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 6972 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 6976 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 6983 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 6989 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 6990 "gram.y"
    { (yyval.str) = "analyze"; }
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 6991 "gram.y"
    { (yyval.str) = "verbose"; }
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 6995 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 6996 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 6997 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 6998 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 7009 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 7018 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 7019 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 7037 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					n->into = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 7046 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (8)].str);
					n->params = (yyvsp[(8) - (8)].list);
					(yyvsp[(4) - (8)].into)->rel->istemp = (yyvsp[(2) - (8)].boolean);
					n->into = (yyvsp[(4) - (8)].into);
					if ((yyvsp[(4) - (8)].into)->colNames)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("column name list not allowed in CREATE TABLE / AS EXECUTE")));
					/* ... because it's not implemented, but it could be */
					(yyval.node) = (Node *) n;
				}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 7061 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 7062 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 7073 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 7079 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 7085 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 7091 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 7107 "gram.y"
    {
					(yyvsp[(4) - (5)].istmt)->relation = (yyvsp[(3) - (5)].range);
					(yyvsp[(4) - (5)].istmt)->returningList = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) (yyvsp[(4) - (5)].istmt);
				}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 7116 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 7122 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 7128 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 7137 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7139 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7144 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7154 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7155 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7168 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(3) - (6)].range);
					n->usingClause = (yyvsp[(4) - (6)].list);
					n->whereClause = (yyvsp[(5) - (6)].node);
					n->returningList = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7179 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7180 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7192 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7202 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); }
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7203 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 7206 "gram.y"
    { (yyval.ival) = AccessShareLock; }
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7207 "gram.y"
    { (yyval.ival) = RowShareLock; }
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7208 "gram.y"
    { (yyval.ival) = RowExclusiveLock; }
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7209 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; }
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7210 "gram.y"
    { (yyval.ival) = ShareLock; }
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7211 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; }
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7212 "gram.y"
    { (yyval.ival) = ExclusiveLock; }
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7213 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7216 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7217 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7233 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(2) - (7)].range);
					n->targetList = (yyvsp[(4) - (7)].list);
					n->fromClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7245 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7246 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); }
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 7250 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 7251 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 7256 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				}
    break;

  case 1138:

/* Line 1455 of yacc.c  */
#line 7264 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				}
    break;

  case 1139:

/* Line 1455 of yacc.c  */
#line 7292 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7302 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7303 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); }
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7314 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7324 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7327 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7328 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; }
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7329 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; }
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7330 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; }
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7331 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; }
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7334 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7335 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; }
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7336 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7389 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7390 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7404 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7406 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7413 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7421 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7429 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7437 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7445 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7453 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7463 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7464 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7494 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7506 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7508 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7527 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7531 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7535 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7550 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7557 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7566 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7567 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7571 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (4)].str);
				n->aliascolnames = (yyvsp[(2) - (4)].list);
				n->ctequery = (yyvsp[(4) - (4)].node);
				n->location = (yylsp[(1) - (4)]);
				(yyval.node) = (Node *) n;
			}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7583 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
				}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7592 "gram.y"
    { (yyval.into) = NULL; }
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7601 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7606 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7611 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7616 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7621 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7626 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->istemp = true;
				}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7631 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->istemp = false;
				}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7636 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->istemp = false;
				}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7642 "gram.y"
    {}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7643 "gram.y"
    {}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 7646 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 7647 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 7648 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 7655 "gram.y"
    { (yyval.list) = list_make1(NIL); }
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 7656 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 7657 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 7658 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 7662 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 7663 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 7667 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 7671 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); }
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 7672 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); }
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 7676 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 7685 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 7697 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); }
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 7698 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); }
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 7699 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); }
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 7700 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); }
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 7704 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 7705 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); }
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 7710 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 7712 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 7722 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); }
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 7727 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 7730 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 7734 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 7736 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 7743 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 7753 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); }
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 7754 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 7755 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); }
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 7763 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 7767 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 7768 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 7771 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 7772 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 7777 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1226:

/* Line 1455 of yacc.c  */
#line 7778 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1227:

/* Line 1455 of yacc.c  */
#line 7782 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1228:

/* Line 1455 of yacc.c  */
#line 7783 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1229:

/* Line 1455 of yacc.c  */
#line 7787 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1230:

/* Line 1455 of yacc.c  */
#line 7788 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1231:

/* Line 1455 of yacc.c  */
#line 7792 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1232:

/* Line 1455 of yacc.c  */
#line 7793 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 7797 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 7798 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 7803 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = TRUE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 7811 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = FALSE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 7821 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 7822 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 7828 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 7834 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 7851 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 7852 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 7856 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 7857 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 7868 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].range);
				}
    break;

  case 1246:

/* Line 1455 of yacc.c  */
#line 7872 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				}
    break;

  case 1247:

/* Line 1455 of yacc.c  */
#line 7877 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (1)].node);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1248:

/* Line 1455 of yacc.c  */
#line 7884 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 7892 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 7899 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (6)].node);
					a->aliasname = (yyvsp[(3) - (6)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 7909 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					a->aliasname = (yyvsp[(2) - (5)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 7919 "gram.y"
    {
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if (IsA((yyvsp[(1) - (1)].node), SelectStmt) &&
						((SelectStmt *) (yyvsp[(1) - (1)].node))->valuesLists)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("VALUES in FROM must have an alias"),
								 errhint("For example, FROM (VALUES ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("subquery in FROM must have an alias"),
								 errhint("For example, FROM (SELECT ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.node) = NULL;
				}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 7947 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 7954 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 7958 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 7984 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 7988 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 8000 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 8013 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 8027 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 8038 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 8053 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 8059 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 8064 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 8070 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 8076 "gram.y"
    { (yyval.jtype) = JOIN_FULL; }
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 8077 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; }
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 8078 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; }
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 8079 "gram.y"
    { (yyval.jtype) = JOIN_INNER; }
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 8083 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 8084 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 8096 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); }
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 8097 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 8103 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 8110 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 8117 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 8124 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 8134 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 8135 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 8149 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 8153 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 8160 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 8169 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 8174 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 8175 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 8180 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 8182 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 8189 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 8195 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 8199 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 8205 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (2)].str);
					n->typeName = (yyvsp[(2) - (2)].typnam);
					n->constraints = NIL;
					n->is_local = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 8226 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 8231 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 8238 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 8243 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 8249 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8254 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8263 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); }
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8265 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); }
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8267 "gram.y"
    {  (yyval.list) = NIL; }
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8271 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 8272 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1303:

/* Line 1455 of yacc.c  */
#line 8273 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 8274 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8275 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8277 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 8282 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 8311 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8312 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8313 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8314 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8326 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8332 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8339 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8340 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8347 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8352 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8357 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8362 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8367 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8372 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8377 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8382 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8388 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8394 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8400 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8407 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8428 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8438 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8442 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8450 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8454 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8462 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8474 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8495 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8499 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8505 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8509 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8522 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (5)].str)) + 1 + strlen((yyvsp[(5) - (5)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (5)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(5) - (5)].str));
						(yyvsp[(1) - (5)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8541 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (2)].str)) + 1 + strlen((yyvsp[(2) - (2)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (2)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(2) - (2)].str));
						(yyvsp[(1) - (2)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "char") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8564 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "char"; }
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8566 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "char"; }
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8568 "gram.y"
    { (yyval.str) = "varchar"; }
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8570 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "char"; }
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8572 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "char"; }
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 8574 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "char"; }
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 8578 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 8579 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 8583 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 8584 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 8592 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 8601 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 8609 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 8618 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 8629 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 8636 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 8637 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 8638 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 8643 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); }
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 8645 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); }
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 8647 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); }
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 8649 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); }
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 8651 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); }
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 8653 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 8655 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 8660 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 8665 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 8671 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 8679 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 8684 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 8691 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 8697 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 8702 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 8706 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 8735 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 8737 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 8739 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 8761 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 8763 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 8765 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 8767 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 8769 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 8771 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 8773 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 8775 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 8777 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 8779 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 8781 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 8784 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 8786 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 8788 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 8791 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 8793 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 8795 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 8798 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 8800 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 8813 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 8815 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 8828 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 8830 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 8843 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 8845 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 8859 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 8872 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 8885 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 8898 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (7)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 8921 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 8928 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 8935 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 8942 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 8949 "gram.y"
    {
					(yyval.node) = (Node *)makeOverlaps((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list), (yylsp[(2) - (3)]), yyscanner);
				}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 8953 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 8960 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 8967 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 8974 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 8981 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 8988 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 8995 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 8999 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 9007 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 9011 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 9021 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 9028 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 9035 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 9048 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 9061 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 9080 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 9101 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 9111 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 9118 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 9134 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 9139 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 9157 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 9159 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 9161 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 9163 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 9165 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 9167 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 9169 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 9171 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 9173 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 9175 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 9177 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 9179 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 9181 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 9183 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 9185 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 9187 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 9189 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 9193 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 9198 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 9202 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 9206 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 9211 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 9227 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 9228 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 9230 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 9245 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 9257 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 9259 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 9261 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 9271 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 9281 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 9291 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 9299 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 9317 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (4)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(4) - (4)].windef);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 9330 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = (yyvsp[(3) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 9343 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = list_make1((yyvsp[(4) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 9356 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (8)].list);
					n->args = lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(8) - (8)].windef);
					n->location = (yylsp[(1) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 9369 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(3) - (6)].list);
					n->agg_order = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 9382 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 9399 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 9412 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL92 that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9435 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9456 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9466 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9479 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9496 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9509 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9519 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9532 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9542 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9555 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9568 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9581 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9594 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9607 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9620 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9633 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); }
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9635 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9648 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9666 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9680 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9696 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[(3) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9718 "gram.y"
    {
					/* various trim expressions are defined in SQL92
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9734 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9747 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9760 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9773 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9777 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9784 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9792 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9800 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9804 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9808 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9812 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 9816 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 9820 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 9824 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 9833 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 9837 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 9841 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 9846 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 9860 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 9862 "gram.y"
    { (yyval.node) = makeNullAConst(-1); }
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 9866 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 9868 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 9870 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 9872 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 9875 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 9878 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 9879 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 9883 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 9891 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 9900 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 9901 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; }
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 9904 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 9905 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 9906 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 9913 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 9914 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 9918 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); }
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 9920 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); }
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 9925 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 9933 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); }
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 9935 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 9948 "gram.y"
    { (yyval.windef) = NULL; }
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 9953 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 9978 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 9979 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 9982 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 9983 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 9995 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 10013 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 10019 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 10029 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 10046 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 10091 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 10099 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 10107 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 10115 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 10123 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 10143 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 10144 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 10145 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); }
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 10148 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 10149 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 10150 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; }
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 10153 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 10154 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 10157 "gram.y"
    { (yyval.str) = "+"; }
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 10158 "gram.y"
    { (yyval.str) = "-"; }
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 10159 "gram.y"
    { (yyval.str) = "*"; }
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 10160 "gram.y"
    { (yyval.str) = "/"; }
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 10161 "gram.y"
    { (yyval.str) = "%"; }
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 10162 "gram.y"
    { (yyval.str) = "^"; }
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 10163 "gram.y"
    { (yyval.str) = "<"; }
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 10164 "gram.y"
    { (yyval.str) = ">"; }
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 10165 "gram.y"
    { (yyval.str) = "="; }
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 10169 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 10171 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 10176 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 10178 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 10183 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 10185 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 10187 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); }
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 10189 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); }
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 10191 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); }
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 10193 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); }
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 10205 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 10209 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 10216 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 10220 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 10226 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 10230 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 10240 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); }
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 10241 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); }
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 10245 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 10249 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 10253 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 10258 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 10259 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 10265 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 10268 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 10275 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 10276 "gram.y"
    { (yyval.str) = "year"; }
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 10277 "gram.y"
    { (yyval.str) = "month"; }
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 10278 "gram.y"
    { (yyval.str) = "day"; }
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 10279 "gram.y"
    { (yyval.str) = "hour"; }
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 10280 "gram.y"
    { (yyval.str) = "minute"; }
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 10281 "gram.y"
    { (yyval.str) = "second"; }
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 10282 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 10293 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 10297 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 10304 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 10310 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); }
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 10311 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 10328 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 10332 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 10337 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 10341 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 10356 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 10360 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 10364 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 10367 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 10370 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); }
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 10371 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 10372 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 10376 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 10382 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); }
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 10393 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 10406 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 10407 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 10412 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 10422 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 10423 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 10426 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 10427 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 10431 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 10435 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 10442 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 10446 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 10450 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 10457 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 10466 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 10467 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 10471 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 10472 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 10487 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); }
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 10489 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 10497 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 10498 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 10506 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 10517 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 10518 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 10522 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 10538 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 10546 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 10554 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 10575 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 10576 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 10588 "gram.y"
    {
					(yyval.range) = makeNode(RangeVar);
					(yyval.range)->catalogname = NULL;
					(yyval.range)->schemaname = NULL;
					(yyval.range)->relname = (yyvsp[(1) - (1)].str);
					(yyval.range)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 10596 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeNode(RangeVar);
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
					(yyval.range)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 10624 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 10626 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 10630 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 10633 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 10636 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 10638 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 10640 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 10642 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 10653 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 10655 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 10666 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 10670 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 10674 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 10678 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 10682 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 10691 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 10698 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (5)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[(3) - (5)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
								    (errcode(ERRCODE_SYNTAX_ERROR),
								     errmsg("type modifier cannot have parameter name"),
								     parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[(3) - (5)].list);
					t->location = (yylsp[(1) - (5)]);
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 10723 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 10727 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 10733 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 10750 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 10754 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 10758 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 10763 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 10764 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 10765 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 10767 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 10768 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); }
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 10769 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); }
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 10785 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 10786 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 10787 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 10792 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 10793 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 10794 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 10800 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 10801 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 10802 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 10803 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 10804 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;



/* Line 1455 of yacc.c  */
#line 33865 "gram.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (&yylloc, yyscanner, yymsg);
	  }
	else
	  {
	    yyerror (&yylloc, yyscanner, YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc, yyscanner);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 11256 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeOverlaps()
 * Create and populate a FuncCall node to support the OVERLAPS operator.
 */
static FuncCall *
makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
{
	FuncCall *n = makeNode(FuncCall);

	n->funcname = SystemFuncName("overlaps");
	if (list_length(largs) == 1)
		largs = lappend(largs, largs);
	else if (list_length(largs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
				 parser_errposition(location)));
	if (list_length(rargs) == 1)
		rargs = lappend(rargs, rargs);
	else if (list_length(rargs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
				 parser_errposition(location)));
	n->args = list_concat(largs, rargs);
	n->agg_order = NIL;
	n->agg_star = FALSE;
	n->agg_distinct = FALSE;
	n->func_variadic = FALSE;
	n->over = NULL;
	n->location = location;
	return n;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* findLeftmostSelect()
 * Find the leftmost component SelectStmt in a set-operation parsetree.
 */
static SelectStmt *
findLeftmostSelect(SelectStmt *node)
{
	while (node && node->op != SETOP_NONE)
		node = node->larg;
	Assert(node && IsA(node, SelectStmt) && node->larg == NULL);
	return node;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr    *x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->location = location;
	return (Node *) x;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Create a DefElem setting "oids" to the specified value.
 */
static DefElem *
defWithOids(bool value)
{
	DefElem    *f = makeNode(DefElem);

	f->defname = "oids";
	f->arg = (Node *) makeInteger(value);
	return f;
}


/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

